package com.yida.data.auth;

import com.yida.data.common.core.entity.constant.FebsServerConstant;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(value = FebsServerConstant.EDU_AUTH, contextId = "authServiceClient",
        fallbackFactory = RemoteAuthServiceFallback.class)
public interface RemoteAuthService {

    /**
     * 撤销认证
     *
     * @param userName
     * @param clientId
     */
    @GetMapping("/in/security/revokeApproval")
    void revokeApproval(@RequestParam("userName") String userName, @RequestParam("clientId") String clientId);
}
