package com.yida.data.auth;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.WebApplicationType;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.session.data.redis.config.annotation.web.http.EnableRedisHttpSession;

import cc.mrbird.febs.common.security.starter.annotation.EnableFebsCloudResourceServer;

/**
 * @author MrBird
 */
@SpringBootApplication
@EnableRedisHttpSession
@EnableFebsCloudResourceServer
@MapperScan("com.yida.data.auth.mapper")
@EnableFeignClients(basePackages = "com.yida.data")
public class EduAuthApplication {

    public static void main(String[] args) {
        new SpringApplicationBuilder(EduAuthApplication.class)
                .web(WebApplicationType.SERVLET)
                .run(args);
    }
}
