package com.yida.data.common.core.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.yida.data.common.core.entity.apply.enums.DelFlagType;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@TableName("t_dict")
public class Dict implements Serializable {


    @TableId(type = IdType.AUTO)
    private Integer id;
    /**
     * 数据值
     */
    @ApiModelProperty("数据值")
    @TableField("value")
    private String value;
    /**
     * 标签名
     */
    @ApiModelProperty("标签名")
    @TableField("label")
    private String label;
    /**
     * 类型
     */
    @ApiModelProperty("类型")
    @TableField("type")
    private String type;
    /**
     * 描述
     */
    @ApiModelProperty("描述")
    @TableField("description")
    private String description;
    /**
     * 排序
     */
    @ApiModelProperty("排序")
    @TableField("sort")
    private Integer sort;
    /**
     * 父级id
     */
    @ApiModelProperty("父级id")
    @TableField("parent_id")
    private Integer parentId;
    /**
     * 是否删除1删除0未删除默认0'
     */
    @ApiModelProperty("部门类型")
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag = DelFlagType.NORMAL_TYPE.getValue();

}
