package com.yida.data.common.core.entity.apply;

import lombok.Data;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
* 应用的功能表 Entity
*
* @author zhanghaijun
* @date 2021-06-30 15:41:29
*/
@Data
@TableName("edu_apply_function")
public class EduApplyFunction {

        /**
        * 
        */
            @TableId(value = "id", type = IdType.AUTO)
            private Long id;

        /**
        * 
        */
                @TableField("apply_id")
            private Long applyId;

        /**
        * 功能名称
        */
                @TableField("function_name")
            private String functionName;

        /**
        * 是否删除，	1删除0未删除默认0
        */
                @TableField("del_flag")
            @TableLogic(value = "0", delval = "1")
            private Integer delFlag;

        /**
        * 创建时间
        */
                @TableField(value ="create_date", fill = FieldFill.INSERT)
            @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
            @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
            private LocalDateTime createDate;

        /**
        * 创建人id
        */
                @TableField(value ="create_id", fill = FieldFill.INSERT)
            private Long createId;

        /**
        * 修改时间
        */
                @TableField(value ="update_date", fill = FieldFill.UPDATE)
            @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
            @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
            private LocalDateTime updateDate;

        /**
        * 修改人id
        */
                @TableField(value ="update_id", fill = FieldFill.UPDATE)
            private Long updateId;

}