package com.yida.data.common.core.entity.apply;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 订单包含学生信息
 */
@ApiModel(value = "com-yida-data-common-core-entity-apply-EduApplyProductOrderStudent")
@Data
@TableName(value = "edu_apply_product_order_student")
public class EduApplyProductOrderStudent {
    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty(value = "")
    private Long id;

    @TableField(value = "order_id")
    @ApiModelProperty(value = "")
    private Long orderId;

    /**
     * 支付学生主键ID
     */
    @TableField(value = "student_id")
    @ApiModelProperty(value = "支付学生主键ID")
    private Long studentId;

    /**
     * 支付学生姓名
     */
    @TableField(value = "student_name")
    @ApiModelProperty(value = "支付学生姓名")
    private String studentName;

    /**
     * 支付学生学号
     */
    @TableField(value = "student_number")
    @ApiModelProperty(value = "支付学生学号")
    private String studentNumber;

    /**
     * 支付学生家庭类型	关联字典表t_dict的value值，
     */
    @TableField(value = "student_family_type")
    @ApiModelProperty(value = "支付学生家庭类型	关联字典表t_dict的value值，")
    private String studentFamilyType;

    /**
     * 支付学生与家长关系
     */
    @TableField(value = "student_parent_type")
    @ApiModelProperty(value = "支付学生与家长关系")
    private String studentParentType;

    /**
     * 省ID
     */
    @TableField(value = "province_id")
    @ApiModelProperty(value = "省ID")
    private Long provinceId;

    /**
     * 市ID
     */
    @TableField(value = "city_id")
    @ApiModelProperty(value = "市ID")
    private Long cityId;

    /**
     * 县ID
     */
    @TableField(value = "county_id")
    @ApiModelProperty(value = "县ID")
    private Long countyId;

    /**
     * 乡镇ID
     */
    @TableField(value = "town_id")
    @ApiModelProperty(value = "乡镇ID")
    private Long townId;

    /**
     * 学校主键ID
     */
    @TableField(value = "school_id")
    @ApiModelProperty(value = "学校主键ID")
    private Long schoolId;

    /**
     * 学校名称
     */
    @TableField(value = "school_name")
    @ApiModelProperty(value = "学校名称")
    private String schoolName;

    /**
     * 学区主键ID
     */
    @TableField(value = "campus_id")
    @ApiModelProperty(value = "学区主键ID")
    private Long campusId;

    /**
     * 学区名称
     */
    @TableField(value = "campus_name")
    @ApiModelProperty(value = "学区名称")
    private String campusName;

    /**
     * 学段主键ID
     */
    @TableField(value = "section_id")
    @ApiModelProperty(value = "学段主键ID")
    private Long sectionId;

    /**
     * 学段名称
     */
    @TableField(value = "section_name")
    @ApiModelProperty(value = "学段名称")
    private String sectionName;

    /**
     * 年级主键ID
     */
    @TableField(value = "grade_id")
    @ApiModelProperty(value = "年级主键ID")
    private Long gradeId;

    /**
     * 年级名称
     */
    @TableField(value = "grade_name")
    @ApiModelProperty(value = "年级名称")
    private String gradeName;

    /**
     * 班级主键ID
     */
    @TableField(value = "class_id")
    @ApiModelProperty(value = "班级主键ID")
    private Long classId;

    /**
     * 班级名称
     */
    @TableField(value = "class_name")
    @ApiModelProperty(value = "班级名称")
    private String className;
}