package com.yida.data.common.core.entity.apply;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;

import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 退款表
 */
@ApiModel(value = "com-yida-data-common-core-entity-apply-EduApplyProductRefund")
@Data
@TableName(value = "edu_apply_product_refund")
public class EduApplyProductRefund {
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty(value = "主键id")
    private Long id;

    /**
     * 订单编号
     */
    @TableField(value = "order_code")
    @ApiModelProperty(value = "订单编号")
    private String orderCode;

    /**
     * 退款编号
     */
    @ApiModelProperty(value = "退款编号  替换订单编号首字母为R")
    private String refundCode;

    /**
     * 实际退款时间
     */
    @TableField(value = "refund_time")
    @ApiModelProperty(value = "实际退款时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime refundTime;

    /**
     * 退款理由
     */
    @ApiModelProperty(value = "退款理由")
    private String refundReason;

    /**
     * 创建时间（退款申请时间）
     */
    @ApiModelProperty(value = "创建时间（退款申请时间）")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createDate;

    /**
     * 创建人id（退款操作人）关联user表
     */
    @ApiModelProperty(value = "创建人id（退款操作人）关联user表")
    @TableField(fill = FieldFill.INSERT)
    private Long createId;

    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(fill = FieldFill.UPDATE)
    private LocalDateTime updateDate;

    /**
     * 修改人id
     */
    @ApiModelProperty(value = "修改人id")
    @TableField(fill = FieldFill.UPDATE)
    private Long updateId;

    public static final String COL_ID = "id";

    public static final String COL_ORDER_CODE = "order_code";

    public static final String COL_FUND_CODE = "fund_code";

    public static final String COL_REFUND_TIME = "refund_time";

    public static final String COL_REFUND_REASON = "Refund_reason";

    public static final String COL_CREATE_DATE = "create_date";

    public static final String COL_CREATE_ID = "create_id";

    public static final String COL_UPDATE_DATE = "update_date";

    public static final String COL_UPDATE_ID = "update_id";
}