package com.yida.data.common.core.entity.apply;

import java.util.Date;

import lombok.Data;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.time.LocalDate;
import java.time.LocalTime;

import io.swagger.annotations.ApiModelProperty;

/**
 * 催缴通知记录表 Entity
 *
 * @author wjm
 * @date 2021-09-01 18:23:19
 */
@Data
@TableName("edu_product_notice_record")
public class EduProductNoticeRecord {

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 催缴通知id
     */
    @ApiModelProperty(value = "催缴通知id")
    @TableField("notice_id")
    private Long noticeId;

    /**
     * 接收家长id
     */
    @ApiModelProperty(value = "接收家长id")
    @TableField("parent_id")
    private Long parentId;

    /**
     * 接收家长id
     */
    @ApiModelProperty(value = "接收家长id")
    @TableField("parent_name")
    private String parentName;

    /**
     * 通知推送时间
     */
    @ApiModelProperty(value = "通知推送时间")
    @TableField("put_date")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime putDate;

    /**
     * 发送类型0手动，1自动
     */
    @ApiModelProperty(value = "发送类型1手动，0自动")
    @TableField("put_type")
    private Integer putType;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     * 创建人id
     */
    @ApiModelProperty(value = "创建人id")
    @TableField(value = "create_id", fill = FieldFill.INSERT)
    private Long createId;

    /**
     * 创建人账号
     */
    @ApiModelProperty(value = "创建人账号")
    @TableField(value = "create_name", fill = FieldFill.INSERT)
    private String createName;

}
