package com.yida.data.common.core.entity.apply;

import java.util.Date;

import lombok.Data;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.time.LocalDate;
import java.time.LocalTime;

import io.swagger.annotations.ApiModelProperty;

/**
 * 催缴通知对应接收学生表 Entity
 *
 * @author wjm
 * @date 2021-09-03 15:33:47
 */
@Data
@TableName("edu_product_notice_student")
public class EduProductNoticeStudent {

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 通知id
     */
    @ApiModelProperty(value = "通知id")
    @TableField("notice_id")
    private Long noticeId;

    /**
     * 接收学生id
     */
    @ApiModelProperty(value = "接收学生id")
    @TableField("student_id")
    private Long studentId;

    /**
     * 通知内容
     */
    @ApiModelProperty(value = "通知内容")
    @TableField("content")
    private String content;

    @ApiModelProperty(value = "接收人类型：0为购买，1未续费")
    @TableField("receive_type")
    private Integer receiveType;

    @ApiModelProperty(value = "提醒类型：0自动，1手动")
    @TableField("put_type")
    private Integer putType;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     * 创建人id
     */
    @ApiModelProperty(value = "创建人id")
    @TableField(value = "create_id", fill = FieldFill.INSERT)
    private Long createId;

    @ApiModelProperty(value = "创建人name")
    @TableField(value = "create_name", fill = FieldFill.INSERT)
    private String createName;

    @ApiModelProperty(value = "商品id")
    @TableField("product_id")
    private Long productId;

}
