package com.yida.data.common.core.entity.applyForm;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 表单填报用户对应审核流程表
 *
 * @author ZYJ
 * @date 2023/11/24
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("core_apply_form_fill_user_approval_process")
public class CoreApplyFormFillUserApprovalProcess implements Serializable {

    private static final long serialVersionUID = -6479609281502216481L;

    /**
     * 主键id
     */
    @ApiModelProperty("主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除，1删除0未删除，默认0
     */
    @ApiModelProperty("是否删除，1删除0未删除，默认0")
    @TableField("del_flag")
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     * 创建人id
     */
    @ApiModelProperty("创建人id")
    @TableField(value = "create_id", fill = FieldFill.INSERT)
    private Long createId;

    /**
     * 最后修改时间
     */
    @ApiModelProperty("最后修改时间")
    @TableField(value = "update_date", fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    /**
     * 最后修改人id
     */
    @ApiModelProperty("最后修改人id")
    @TableField(value = "update_id", fill = FieldFill.UPDATE)
    private Long updateId;

    /**
     * 表单id
     */
    @ApiModelProperty("表单id")
    @TableField("apply_form_id")
    private Long applyFormId;

    @ApiModelProperty("用户填报信息id")
    @TableField("fill_user_id")
    private Long fillUserId;

    @ApiModelProperty("审核流程节点id")
    private Long processId;

    @ApiModelProperty("审核流程节点名称")
    private String processName;

    @ApiModelProperty("审核状态:默认0未审核，1已通过，2已拒绝，3审核中")
    private Integer examineStatus;

    /**
     * 审批人员类型：0指定角色，1指定人员
     */
    @ApiModelProperty("审批人员类型：0-指定角色，1-指定人员")
    private Integer approvalUserType;

    /**
     * 审批方式：0会审，1或审
     */
    @ApiModelProperty("审批方式：0-会审，1-或审")
    private Integer approvalType;

    /**
     * 审核顺序
     */
    @ApiModelProperty(value = "审核顺序")
    @TableField("sort")
    private Integer sort;

    @ApiModelProperty(value = "审核时间")
    @TableField(value = "audit_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime auditTime;

    @ApiModelProperty("审核记录")
    private transient List<CoreApplyFormFillUserApprovalProcessRecord> recordList;
}
