package com.yida.data.common.core.entity.applyForm;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 申请类型表单组件选项 Entity
 *
 * @author ZYJ
 * @date 2023/11/14
 */
@Data
@TableName("core_apply_form_item_children")
public class CoreApplyFormItemChildren implements Serializable {

    private static final long serialVersionUID = -2224125748353276612L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除，1删除0未删除，默认0
     */
    @ApiModelProperty(value = "是否删除，1删除0未删除，默认0")
    @TableField("del_flag")
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     * 创建人id
     */
    @ApiModelProperty(value = "创建人id")
    @TableField(value = "create_id", fill = FieldFill.INSERT)
    private Long createId;

    /**
     * 最后修改时间
     */
    @ApiModelProperty(value = "最后修改时间")
    @TableField(value = "update_date", fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    /**
     * 最后修改人id
     */
    @ApiModelProperty(value = "最后修改人id")
    @TableField(value = "update_id", fill = FieldFill.UPDATE)
    private Long updateId;

    /**
     * 表单id
     */
    @ApiModelProperty(value = "表单id")
    @TableField("form_id")
    private Long formId;

    /**
     * 表单组件id
     */
    @ApiModelProperty(value = "表单组件id")
    @TableField("form_item_id")
    private Long formItemId;

    /**
     * 组件选项排序
     */
    @ApiModelProperty(value = "组件选项排序")
    @TableField("sort")
    private String sort;

    /**
     * 组件选项名称
     */
    @ApiModelProperty(value = "组件选项名称")
    @TableField("name")
    private String name;

    /**
     * 组件选项值
     */
    @ApiModelProperty(value = "组件选项值")
    @TableField("value")
    private String value;
}
