package com.yida.data.common.core.entity.applyForm;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 审核流程表
 *
 * @author ZYJ
 * @date 2023/11/20
 */
@Data
@TableName("core_approval_process")
public class CoreApprovalProcess implements Serializable {

    private static final long serialVersionUID = 1567064061806999398L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除，1删除0未删除，默认0
     */
    @ApiModelProperty(value = "是否删除，1删除0未删除，默认0")
    @TableField("del_flag")
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     * 创建人id
     */
    @ApiModelProperty(value = "创建人id")
    @TableField(value = "create_id", fill = FieldFill.INSERT)
    private Long createId;

    /**
     * 最后修改时间
     */
    @ApiModelProperty(value = "最后修改时间")
    @TableField(value = "update_date", fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    /**
     * 最后修改人id
     */
    @ApiModelProperty(value = "最后修改人id")
    @TableField(value = "update_id", fill = FieldFill.UPDATE)
    private Long updateId;

    /**
     * 部门id
     */
    @ApiModelProperty(value = "部门id")
    @TableField("dept_id")
    private Long deptId;

    /**
     * 审核流程名称
     */
    @ApiModelProperty(value = "审核流程名称")
    @TableField("approval_process_name")
    private String approvalProcessName;


    /**
     * 审批人员类型：0指定角色，1指定人员
     */
    @ApiModelProperty(value = "审批人员类型：0-指定角色，1-指定人员")
    @TableField("approval_user_type")
    private Integer approvalUserType;

    /**
     * 审批方式：0会审，1或审
     */
    @ApiModelProperty(value = "审批方式：0-会审，1-或审")
    @TableField("approval_type")
    private Integer approvalType;

    @ApiModelProperty("审核人员字符串")
    private transient String approvalUserName;

    @ApiModelProperty("对应用户集合")
    private transient List<CoreApprovalProcessUser> userList;
}