package com.yida.data.common.core.entity.applyForm;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 审核流程人员配置表
 *
 * @author ZYJ
 * @date 2023/11/20
 */
@Data
@TableName("core_approval_process_user")
public class CoreApprovalProcessUser implements Serializable {

    private static final long serialVersionUID = -3563923283400305812L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除，1删除0未删除，默认0
     */
    @ApiModelProperty(value = "是否删除，1删除0未删除，默认0")
    @TableField("del_flag")
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     * 创建人id
     */
    @ApiModelProperty(value = "创建人id")
    @TableField(value = "create_id", fill = FieldFill.INSERT)
    private Long createId;

    /**
     * 最后修改时间
     */
    @ApiModelProperty(value = "最后修改时间")
    @TableField(value = "update_date", fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    /**
     * 最后修改人id
     */
    @ApiModelProperty(value = "最后修改人id")
    @TableField(value = "update_id", fill = FieldFill.UPDATE)
    private Long updateId;

    /**
     * 流程id
     */
    @ApiModelProperty(value = "流程id")
    @TableField("process_id")
    private Long processId;

    /**
     * 对应名称
     */
    @TableField("name")
    private String name;

    /**
     * 指定人员id
     */
    @ApiModelProperty(value = "指定人员id")
    @TableField("staff_id")
    private Long staffId;

    /**
     * 指定角色id，这里指的是班主任、系主任. 1、班主任，2、系主任
     */
    @ApiModelProperty(value = "指定角色id，这里指的是班主任、系主任. 1、班主任，2、系主任")
    @TableField("staff_role_id")
    private Integer staffRoleId;

    /**
     * 审核身份
     */
    @TableField("approval_identity")
    private String approvalIdentity;

    /**
     * 公章id
     */
    @TableField("official_seal_id")
    private Long officialSealId;
}