package com.yida.data.common.core.entity.atlas;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * 图集详情评论表
 * 
 * @author ZYJ
 * @date 2021/9/1
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("core_atlas_management_details_comment")
public class CoreAtlasManagementDetailsComment implements Serializable {

    private static final long serialVersionUID = 9083062802805109120L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 学校id
     */
    private Long schoolId;

    /**
     * 对应的图集中图片或视频id
     */
    private Long coreAtlasManagementDetailsId;

    /**
     * 评论内容
     */
    private String content;

    /**
     * 评论星级
     */
    private String star;

    /**
     * 审核状态：0待审核,1审核通过,2审核未通过
     */
    private String checkStatus;

    /**
     * 通过或不通过理由
     */
    private String reason;

    /**
     * 图片地址
     */
    private String imgUrl;

    /**
     * 创建时间
     */
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     * 最后修改人id
     */
    @TableField(value = "update_id", fill = FieldFill.UPDATE)
    private Long updateId;

    /**
     * 最后修改时间
     */
    @TableField(value = "update_date", fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    /**
     * 删除标识. 0: 未删除, 1: 已删除
     */
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;

    /**
     * 访问的用户id
     */
    private Long userId;

    /**
     * 用户名
     */
    private String userName;

    /**
     * 用户昵称
     */
    private String nickName;
}