package com.yida.data.common.core.entity.attendance;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * 教职工考勤-进出记录 Entity
 *
 * @author ZYJ
 * @date 2021-09-27 18:56:19
 */
@Data
@TableName("edu_attendance_staff_record")
public class EduAttendanceStaffRecord {

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField("staff_id")
    private Long staffId;

    /**
     * 学校id
     */
    @ApiModelProperty(value = "学校id")
    @TableField("school_id")
    private Long schoolId;

    /**
     * 考勤设备id
     */
    @ApiModelProperty(value = "考勤设备id")
    @TableField("device_id")
    private Long deviceId;

    /**
     * 进出时间
     */
    @ApiModelProperty(value = "进出时间")
    @TableField("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    /**
     * 闸机识别图片地址
     */
    @ApiModelProperty(value = "闸机识别图片地址")
    @TableField("pic_url")
    private String picUrl;

    /**
     * 0-进，1-出
     */
    @ApiModelProperty(value = "0-进，1-出")
    @TableField("scope")
    private Integer scope;

    /**
     * 考勤规则id
     */
    @ApiModelProperty(value = "考勤规则id")
    @TableField("rule_id")
    private Long ruleId;

    /**
     * 考勤规则时间段id
     */
    @ApiModelProperty(value = "考勤规则时间段id")
    @TableField("rule_time_id")
    private Long ruleTimeId;
}
