package com.yida.data.common.core.entity.attendance;

import lombok.Data;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.time.LocalDate;
import java.time.LocalTime;

import io.swagger.annotations.ApiModelProperty;

/**
 * 教职工考勤-打卡提醒 Entity
 *
 * @author ZYJ
 * @date 2021-09-27 18:56:14
 */
@Data
@TableName("edu_attendance_staff_rule_remind")
public class EduAttendanceStaffRuleRemind {

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 规则id
     */
    @ApiModelProperty(value = "规则id")
    @TableField("rule_id")
    private Long ruleId;

    /**
     * 0-上班提醒，1-下班提醒
     */
    @ApiModelProperty(value = "0-上班提醒，1-下班提醒")
    @TableField("type")
    private Integer type;

    /**
     * 提醒的分钟数
     */
    @ApiModelProperty(value = "提醒的分钟数")
    @TableField("minute")
    private Integer minute;

    /**
     * 提醒文本
     */
    @ApiModelProperty(value = "提醒文本")
    @TableField("message")
    private String message;

    /**
     * 0-添加接收人姓名，1-不添加接收人姓名
     */
    @ApiModelProperty(value = "1-添加接收人姓名，0-不添加接收人姓名")
    @TableField("include_receiver")
    private Integer includeReceiver;

}
