package com.yida.data.common.core.entity.attendance;


import lombok.Data;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;

import io.swagger.annotations.ApiModelProperty;

/**
 * 教职工考勤-特殊日期 Entity
 *
 * @author ccl
 * @date 2021-09-27 18:56:24
 */
@Data
@TableName("edu_attendance_staff_rule_special_date")
public class EduAttendanceStaffRuleSpecialDate {

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 规则id
     */
    @ApiModelProperty(value = "规则id")
    @TableField("rule_id")
    private Long ruleId;

    /**
     * 日期
     */
    @ApiModelProperty(value = "日期")
    @TableField("date")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private LocalDate date;

    /**
     * 不打卡事由
     */
    @ApiModelProperty(value = "不打卡事由")
    @TableField("reason")
    private String reason;

}
