package com.yida.data.common.core.entity.attendance;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.time.LocalTime;

/**
 * 教职工考勤-打卡时段 Entity
 *
 * @author ZYJ
 * @date 2021-09-27 18:56:12
 */
@Data
@TableName("edu_attendance_staff_rule_time")
public class EduAttendanceStaffRuleTime {

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "create_id", fill = FieldFill.INSERT)
    private Long createId;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "update_date", fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "update_id", fill = FieldFill.UPDATE)
    private Long updateId;


    /**
     * 教职工考勤规则id
     */
    @ApiModelProperty(value = "教职工考勤规则id")
    @TableField("rule_id")
    private Long ruleId;

    /**
     * 上班时间
     */
    @ApiModelProperty(value = "上班时间")
    @TableField("start_time")
    @DateTimeFormat(pattern = "HH:mm")
    @JsonFormat(timezone = "GMT+8", pattern = "HH:mm")
    private LocalTime startTime;

    /**
     * 下班时间
     */
    @ApiModelProperty(value = "下班时间")
    @TableField("end_time")
    @DateTimeFormat(pattern = "HH:mm")
    @JsonFormat(timezone = "GMT+8", pattern = "HH:mm")
    private LocalTime endTime;

    @ApiModelProperty(value = "上班打卡时段启用状态. 0-不启用, 1-启用")
    private Integer startEffectiveStatus;

    @ApiModelProperty(value = "上班打卡时段开始时间")
    @DateTimeFormat(pattern = "HH:mm")
    @JsonFormat(timezone = "GMT+8", pattern = "HH:mm")
    private LocalTime startEffectiveStartTime;

    @ApiModelProperty(value = "上班打卡时段结束时间")
    @DateTimeFormat(pattern = "HH:mm")
    @JsonFormat(timezone = "GMT+8", pattern = "HH:mm")
    private LocalTime startEffectiveEndTime;

    @ApiModelProperty(value = "下班打卡时段启用状态. 0-不启用, 1-启用")
    private Integer endEffectiveStatus;

    @ApiModelProperty(value = "下班打卡时段开始时间")
    @DateTimeFormat(pattern = "HH:mm")
    @JsonFormat(timezone = "GMT+8", pattern = "HH:mm")
    private LocalTime endEffectiveStartTime;

    @ApiModelProperty(value = "下班打卡时段结束时间")
    @DateTimeFormat(pattern = "HH:mm")
    @JsonFormat(timezone = "GMT+8", pattern = "HH:mm")
    private LocalTime endEffectiveEndTime;
}
