package com.yida.data.common.core.entity.attendance.attendance;

import java.util.Date;
import lombok.Data;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.time.LocalDate;
import java.time.LocalTime;

/**
 * 考勤规则关联地点 Entity
 *
 * @date 2023-08-09 11:37:25
 */
@Data
@TableName("attendance_rule_address")
public class AttendanceRuleAddress {

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "create_id", fill = FieldFill.INSERT)
    private Long createId;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "create_name", fill = FieldFill.INSERT)
    private String createName;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField("school_id")
    private Long schoolId;

    /**
     * 规则ID
     */
    @ApiModelProperty(value = "规则ID")
    @TableField("rule_id")
    private Long ruleId;

    /**
     * 地点名称
     */
    @ApiModelProperty(value = "地点名称")
    @TableField("address_name")
    private Long addressName;

    /**
     * 地点纬度
     */
    @ApiModelProperty(value = "地点纬度")
    @TableField("address_lat")
    private String addressLat;

    /**
     * 地点经度
     */
    @ApiModelProperty(value = "地点经度")
    @TableField("address_lon")
    private String addressLon;

    /**
     * 范围，米
     */
    @ApiModelProperty(value = "范围，米")
    @TableField("range")
    private Integer range;

}