package com.yida.data.common.core.entity.attendance.attendance;

import lombok.Data;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.time.LocalDate;
import java.time.LocalTime;

/**
 * 规则适用部门 Entity
 *
 * @date 2023-08-09 11:37:25
 */
@Data
@TableName("attendance_rule_obj")
public class AttendanceRuleObj {

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 0-教职工部门，1-家校部门
     */
    @ApiModelProperty(value = "0-教职工部门，1-家校部门")
    @TableField("user_type")
    private Integer userType;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField("rule_id")
    private Long ruleId;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField("dept_id")
    private Long deptId;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField("dept_name")
    private String deptName;

    /**
     * 父级部门id，逗号连接
     */
    @ApiModelProperty(value = "父级部门id，逗号连接")
    @TableField("parent_dept_id")
    private String parentDeptId;

}