package com.yida.data.common.core.entity.attendance.attendance;

import lombok.Data;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.time.LocalDate;
import java.time.LocalTime;

/**
 * 考勤-打卡提醒 Entity
 *
 * @date 2023-08-09 11:37:25
 */
@Data
@TableName("attendance_rule_remind")
public class AttendanceRuleRemind {

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 规则id
     */
    @ApiModelProperty(value = "规则id")
    @TableField("rule_id")
    private Long ruleId;

    /**
     * 类型=规则usertype
     */
    @ApiModelProperty(value = "类型=规则usertype")
    @TableField("user_type")
    private Integer userType;

    /**
     * 0-上班提醒，1-下班提醒
     */
    @ApiModelProperty(value = "0-上班提醒，1-下班提醒")
    @TableField("type")
    private Integer type;

    /**
     * 提醒的提前分钟数
     */
    @ApiModelProperty(value = "提醒的提前分钟数")
    @TableField("minute")
    private Integer minute;

    /**
     * 提醒文本
     */
    @ApiModelProperty(value = "提醒文本")
    @TableField("message")
    private String message;

    /**
     * 1-添加接收人姓名，0-不添加接收人姓名
     */
    @ApiModelProperty(value = "1-添加接收人姓名，0-不添加接收人姓名")
    @TableField("include_receiver")
    private Integer includeReceiver;

}