package com.yida.data.common.core.entity.attendance.attendance;

import java.util.Date;
import lombok.Data;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.time.LocalDate;
import java.time.LocalTime;

/**
 * 考勤-特殊日期 Entity
 *
 * @date 2023-08-09 11:37:25
 */
@Data
@TableName("attendance_rule_special_date")
public class AttendanceRuleSpecialDate {

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 规则id
     */
    @ApiModelProperty(value = "规则id")
    @TableField("rule_id")
    private Long ruleId;

    /**
     * 0-不用打卡，1-必须打卡
     */
    @ApiModelProperty(value = "0-不用打卡，1-必须打卡")
    @TableField("type")
    private Long type;

    /**
     * 开始日期
     */
    @ApiModelProperty(value = "开始日期")
    @TableField("start_date")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private LocalDate startDate;


    /**
     * 结束日期
     */
    @ApiModelProperty(value = "结束日期")
    @TableField("end_date")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private LocalDate endDate;

    /**
     * 事由
     */
    @ApiModelProperty(value = "事由")
    @TableField("reason")
    private String reason;

}