package com.yida.data.common.core.entity.attendance.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 考勤设备和话机设备状态枚举
 * 设备在线状态，0-在线，1-离线
 *
 * @author ZYJ
 * @date 2021/10/9
 */
@Getter
@AllArgsConstructor
public enum DeviceStateEnum {

    /**
     * 设备状态枚举
     */
    ONLINE_STATUS(0, "在线"),
    OFFLINE_STATUS(1, "离线");

    /**
     * 设备状态
     */
    private final Integer status;

    /**
     * 状态描述
     */
    private final String message;
}
