package com.yida.data.common.core.entity.camera;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.util.Date;
import java.io.Serializable;

/**
 * 摄像头对应区域组别表(EduCameraAreaGroupCamera)实体类
 *
 * @author makejava
 * @since 2022-03-14 09:19:30
 */
@Data
public class EduCameraAreaGroupCamera {

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 区域组id
     */
    private Long groupId;
    /**
     * 摄像头id
     */
    private Long cameraId;
    /**
     * 班级id
     */
    private Long classId;
    /**
     * 0未删除，1已删除
     */
    private Integer delFlag;

    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    @TableField(value = "create_id", fill = FieldFill.INSERT)
    @ApiModelProperty("修改人id")
    private Long createId;

    @TableField(value = "update_date", fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("'更新时间'")
    private LocalDateTime updateDate;

    @TableField(value = "update_id", fill = FieldFill.UPDATE)
    @ApiModelProperty("修改人id")
    private Long updateId;


}

