package com.yida.data.common.core.entity.camera;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.util.Date;
import java.io.Serializable;

/**
 * 监控设备教师权限表(EduCameraAuthorityTeacher)实体类
 *
 * @author makejava
 * @since 2022-03-14 09:19:29
 */
@Data
public class EduCameraAuthorityTeacher {

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 老师id
     */
    private Long staffId;

    private Long deptId;
    /**
     * 监控设备id
     */
    private Long cameraId;

    /**
     * 分组id
     */
    private Long groupId;
    /**
     * 是否删除，1删除0未删除
     */
    private Integer delFlag;

    /**
     * 0为职工id，1为部门id
     */
    private Integer type;
    /**
     * 创建时间
     */
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;
    /**
     * 创建人id
     */
    private Long createId;
    /**
     * 修改时间
     */
    @TableField(value = "update_date", fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("'更新时间'")
    private LocalDateTime updateDate;
    /**
     * 修改人id
     */
    private Long updateId;

    /**
     * 组下对应分组排序
     */
    private Integer groupIndex;

}

