package com.yida.data.common.core.entity.camera;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 摄像头对外开放时间表(EduCameraStrategyOpenTime)实体类
 *
 * @author makejava
 * @since 2022-03-14 09:19:30
 */
@Data
public class EduCameraStrategyOpenTime {

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 开放策略表id
     */
    private Long openId;
    /**
     * 开放日期：1周一，2周二...7周日
     */
    private Integer week;

    /**
     * 开放日期：1周一，2周二...7周日
     */
    private String label;

    /**
     * 开始时间
     */
    @DateTimeFormat(pattern = "HH:mm")
    @JsonFormat(timezone = "GMT+8", pattern = "HH:mm")
    private Date start;
    /**
     * 结束时间
     */
    @DateTimeFormat(pattern = "HH:mm")
    @JsonFormat(timezone = "GMT+8", pattern = "HH:mm")
    private Date end;

    /**
     * 0未删除，1已删除
     */
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;
}

