package com.yida.data.common.core.entity.camera;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * 监控摄像头对应转码策略表(EduCameraStrategyTrans)实体类
 *
 * @author makejava
 * @since 2022-03-14 09:19:30
 */
@Data
public class EduCameraStrategyTrans {

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 策略每天开始时间
     */
    private LocalDateTime startDate;
    /**
     * 策略每天结束时间
     */
    private LocalDateTime endDate;
    /**
     * 开启日期：1为周一，2为周二，3为周三......7为周日
     */
    private Integer week;
    /**
     * 摄像头id
     */
    private Long cameraId;
    /**
     * 0为关闭转码，1为开启转码
     */
    private Integer transStatus;
    /**
     * 创建时间
     */
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;
    /**
     * 创建人id
     */
    private Long createId;
    /**
     * 更新时间
     */
    @TableField(value = "update_date", fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("'更新时间'")
    private LocalDateTime updateDate;
    /**
     * 更新人id
     */
    private Long updateId;

    /**
     * 0未删除，1已删除
     */
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;
}

