package com.yida.data.common.core.entity.card;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalTime;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * @author ccl
 */
@Data
@TableName("edu_student_card_disturb_time")
public class EduStudentCardDisturbTime {

    /**
     *
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 学生id，对应edustudent表主键id
     */
    @TableField("student_id")
    @ApiModelProperty("学生id")
    private Long studentId;

    /**
     * 开始时间
     */
    @TableField("start_time")
    @ApiModelProperty("开始时间")
    @DateTimeFormat(pattern = "HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "HH:mm:ss")
    private LocalTime startTime;

    /**
     * 结束时间
     */
    @TableField("end_time")
    @ApiModelProperty("结束时间")
    @DateTimeFormat(pattern = "HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "HH:mm:ss")
    private LocalTime endTime;

    /**
     * 0-周一-周五，1-周六，2-周日
     */
    @TableField("type")
    @ApiModelProperty("0-周一-周五，1-周六，2-周日，多个用','分割")
    private String type;
}