package com.yida.data.common.core.entity.card;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 电子学生证关联电话 Entity
 *
 * @author zhanghaijun
 * @date 2021-08-05 09:52:38
 */
@Data
@TableName("edu_student_card_phone")
public class EduStudentCardPhone {

    /**
     *
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     *
     */
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     *
     */
    @TableField(value = "create_id", fill = FieldFill.INSERT)
    private Long createId;

    /**
     *
     */
    @TableField(value = "update_date", fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    /**
     *
     */
    @TableField(value = "update_id", fill = FieldFill.UPDATE)
    private Long updateId;

    /**
     * 设备imei号
     */
    @TableField("imei")
    @ApiModelProperty("设备imei号")
    private String imei;

    /**
     * 电话号码
     */
    @TableField("phone")
    @ApiModelProperty("电话号码")
    private String phone;

    /**
     * 电话号的备注名
     */
    @TableField("name")
    @ApiModelProperty("电话号的备注名")
    private String name;

    /**
     * 1是亲情号码，2是sos号码，3是白名单
     */
    @TableField("type")
    @ApiModelProperty("1是亲情号码，2是sos号码，3是白名单")
    private Integer type;

    /**
     * type为1 2时设置；1：表示第一个电话号码，2第二个电话号码，3第三个电话号码
     */
    @TableField("location")
    @ApiModelProperty("sos与亲情电话对应顺序，810A学生证白名单对应位置(从4开始)")
    private Integer location;

    /**
     * 0是未删除，1是删除
     */
    @TableField("del_flag")
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;

}