package com.yida.data.common.core.entity.classCall;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.yida.data.common.core.entity.classschedule.EduClassScheduleTime;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;
import java.util.List;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 点名系统
 */
@Data
@TableName("edu_class_call")
public class EduClassCall {


    @ApiModelProperty(value = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 班级ID
     */
    @ApiModelProperty(value = "课程ID")
    @TableField("class_id")
    private Long classId;

    /**
     * 班级名称
     */
    @ApiModelProperty(value = "课程名称")
    @TableField("class_name")
    private String className;


    /**
     * 课程名称
     */
    @ApiModelProperty(value = "课程名称")
    @TableField("subject_name")
    private String subjectName;


    /**
     * 学生总人数
     */
    @ApiModelProperty(value = "学生总人数")
    @TableField("student_num")
    private Integer studentNum;


    /**
     * 学生异常人数
     */
    @ApiModelProperty(value = "学生异常人数")
    @TableField("abnormal_number")
    private Integer abnormalNumber;

    /**
     * 点名教师id
     */
    @ApiModelProperty(value = "点名教师id")
    @TableField("teacher_id")
    private Long teacherId;

    /**
     * 点名教师名字
     */
    @ApiModelProperty(value = "点名教师名字")
    @TableField("teacher_name")
    private String teacherName;


    /**
     * 所属学校主键ID
     */
    @ApiModelProperty(value = "所属学校主键ID")
    @TableField("school_id")
    private Long schoolId;


    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    @TableField(value = "update_date", fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    /**
     * 创建者
     */
    @ApiModelProperty(value = "创建者")
    @TableField(value = "create_id", fill = FieldFill.INSERT)
    private Long createId;

    /**
     * 修改者
     */
    @ApiModelProperty(value = "修改者")
    @TableField(value = "update_id", fill = FieldFill.UPDATE)
    private Long updateId;

    /**
     * 删除标识
     */
    @ApiModelProperty(value = "删除标识")
    @TableField("del_flag")
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;

    @ApiModelProperty(value = "点名记录")
    @TableField(exist = false)
    private List<EduClassCallStudentRecord> studentRecordList;

}
