package com.yida.data.common.core.entity.classCall;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 点名系统-学生记录
 */
@Data
@TableName("edu_class_call_student_record")
public class EduClassCallStudentRecord {


    @ApiModelProperty(value = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 点名ID
     */
    @ApiModelProperty(value = "点名ID")
    @TableField("call_id")
    private Long callId;

    /**
     * 学生ID
     */
    @ApiModelProperty(value = "学生ID")
    @TableField("student_id")
    private Long studentId;

    /**
     * 性别
     */
    @ApiModelProperty(value = "性别(0男，1女,2或者null = 其他）")
    @TableField("gender")
    private Integer gender;


    /**
     * 头像
     */
    @ApiModelProperty(value = "头像")
    @TableField("avatar")
    private String avatar;


    /**
     * 学生姓名
     */
    @ApiModelProperty(value = "学生姓名")
    @TableField("student_name")
    private String studentName;


    /**
     * 点名状态：0异常。1正常
     */
    @ApiModelProperty(value = "点名状态：0异常。1正常")
    @TableField("status")
    private Integer status;


    /**
     * 班级Id
     */
    @ApiModelProperty(value = "班级Id")
    @TableField("class_id")
    private Long classId;
    /**
     * 班级名称
     */
    @ApiModelProperty(value = "课程名称")
    @TableField("class_name")
    private String className;


    /**
     * 学区ID
     */
    @ApiModelProperty(value = "学区ID")
    @TableField("campus_id")
    private Long campusId;
    /**
     * 学区名称
     */
    @ApiModelProperty(value = "学区名称")
    @TableField("campus_name")
    private String campusName;


    /**
     * 学段ID
     */
    @ApiModelProperty(value = "学段ID")
    @TableField("section_id")
    private Long sectionId;
    /**
     * 学段名称
     */
    @ApiModelProperty(value = "学段名称")
    @TableField("section_name")
    private String sectionName;


    /**
     * 年级ID
     */
    @ApiModelProperty(value = "年级ID")
    @TableField("grade_id")
    private Long gradeId;
    /**
     * 年级名称
     */
    @ApiModelProperty(value = "年级名称")
    @TableField("grade_name")
    private String gradeName;

    /**
     * 所属学校主键ID
     */
    @ApiModelProperty(value = "所属学校主键ID")
    @TableField("school_id")
    private Long schoolId;


    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    @TableField(value = "update_date", fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    /**
     * 创建者
     */
    @ApiModelProperty(value = "创建者")
    @TableField(value = "create_id", fill = FieldFill.INSERT)
    private Long createId;

    /**
     * 修改者
     */
    @ApiModelProperty(value = "修改者")
    @TableField(value = "update_id", fill = FieldFill.UPDATE)
    private Long updateId;

    /**
     * 删除标识
     */
    @ApiModelProperty(value = "删除标识")
    @TableField("del_flag")
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;

}
