package com.yida.data.common.core.entity.classschedule;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;

import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalTime;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 课程表时间安排 Entity
 *
 * @author zhanghaijun
 * @date 2021-08-15 11:37:08
 */
@Data
@TableName("edu_class_schedule_time")
public class EduClassScheduleTime {

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField("schedule_id")
    private Long scheduleId;

    /**
     * 周几，1.2.3.4.5.6.7
     */
    @ApiModelProperty(value = "周几，1.2.3.4.5.6.7")
    @TableField("week_id")
    private Integer weekId;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField("name")
    private String name;

    /**
     * 开始时间
     */
    @ApiModelProperty(value = "开始时间 HH:mm")
    @DateTimeFormat(pattern = "HH:mm")
    @JsonFormat(timezone = "GMT+8", pattern = "HH:mm")
    private LocalTime beginTime;

    /**
     * 结束时间
     */
    @ApiModelProperty(value = "结束时间 HH:mm")
    @DateTimeFormat(pattern = "HH:mm")
    @JsonFormat(timezone = "GMT+8", pattern = "HH:mm")
    private LocalTime endTime;

    /**
     * 排序
     */
    @ApiModelProperty(value = "排序")
    @TableField("sort")
    private Integer sort;

}
