package com.yida.data.common.core.entity.classschedule;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.time.LocalTime;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 课程表关联班级表 Entity
 *
 * @author zhanghaijun
 * @date 2021-08-15 11:36:51
 */
@Data
@TableName("edu_class_schedule_time_class")
public class EduClassScheduleTimeClass {

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 所属班级ID
     */
    @ApiModelProperty(value = "所属班级ID")
    @TableField("class_id")
    private Long classId;

    /**
     * 所属班级名称
     */
    @ApiModelProperty(value = "所属班级名称")
    @TableField("class_name")
    private String className;

    /**
     * 所属课程表ID
     */
    @ApiModelProperty(value = "所属课程表ID")
    @TableField("schedule_id")
    private Long scheduleId;

    /**
     * 所属课程表课时ID
     */
    @ApiModelProperty(value = "所属课程表课时ID")
    @TableField("schedule_time_id")
    private Long scheduleTimeId;

    /**
     * 所属科目ID
     */
    @ApiModelProperty(value = "所属科目ID")
    @TableField("subject_id")
    private Long subjectId;

    /**
     * 课程名称
     */
    @ApiModelProperty(value = "课程名称")
    @TableField("course_name")
    private String courseName;

    /**
     * 任课教师ID
     */
    @ApiModelProperty(value = "任课教师ID")
    @TableField("teacher_id")
    private Long teacherId;

    /**
     * 任课教师名称
     */
    @ApiModelProperty(value = "任课教师名称")
    @TableField("teacher_name")
    private String teacherName;

    /**
     * 上课地点
     */
    @ApiModelProperty(value = "上课地点")
    @TableField("place")
    private String place;

    @ApiModelProperty("周几")
    private transient Integer weekId;

    @ApiModelProperty("开始时间")
    private transient LocalTime beginTime;

    @ApiModelProperty("结束时间")
    private transient LocalTime endTime;

}
