package com.yida.data.common.core.entity.classschedule;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;

import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 学期管理表 Entity
 *
 * @author zhanghaijun
 * @date 2021-08-15 11:35:00
 */
@Data
@TableName("edu_semester")
public class EduSemester {

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 学期名称
     */
    @ApiModelProperty(value = "学期名称")
    @TableField("name")
    private String name;

    /**
     * 学期开始时间
     */
    @ApiModelProperty(value = "学期开始时间 yyyy-MM-dd")
    @TableField("begin_date")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private LocalDate beginDate;

    /**
     * 学期结束时间
     */
    @ApiModelProperty(value = "学期结束时间 yyyy-MM-dd")
    @TableField("end_date")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private LocalDate endDate;

}
