package com.yida.data.common.core.entity.constant;

public interface CachePrefixConstant {

    /**
     * 企业微信服务商缓存前缀
     */
    String SYS_SERVICE_PROVIDER = "sys:service:provider.";

    /**
     * 企业微信应用缓存前缀
     */
    String SYS_APP = "sys:app.";

    /**
     * 系统白名单信息
     */
    String SYS_WHITE_LIST = "sys:white:list.";

    /**
     * 部门对应的第三方系统功能
     */
    String SYS_DEPT_FUNCTION = "sys:dept:function.";

    /**
     * 企业微信应用模板缓存前缀
     */
    String SYS_APP_TEMPLATE = "sys:app.template.";

    /**
     * 部门公众号
     */
    String SYS_DEPT_WX_PUBLIC = "sys:dept-wx.public";

    /**
     * 区域接收者扫码绑定的key  0-未操作，大于1-已操作
     */
    String SYS_AGENT_RECEIVER_QR = "sys:agent:receiver.qr.";

    /**
     * 易达app缓存
     */
    String SYS_YIDA_APP = "sys:yida:app";

    /**
     * 学校(或教育局)-易达appid对应缓存
     */
    String SYS_SCHOOL_YIDA_APP = "sys:school-yida.app";

    /**
     * 易达app订阅号缓存
     */
    String SYS_YIDA_APP_ACCOUNT = "sys:yida:app.account";

    /**
     * 微信公众号对应模板消息
     */
    String SYS_WXPUBLIC_TEMPLATE_MSG = "sys:wx.public-template.msg.";


    /**
     * 修改密码 输入错误
     */
    String PWD_ERROR = "password.error.";

    /**
     * 导入数据错误
     */
    String IMPORT_ERROR = "import.error.";

    /**
     * 导入数据id前缀
     */
    String IMPORT_STAFF_KEY = "import.staff.percent.";

    String IMPORT_STAFF_FILE = "import.staff.file.";

    String IMPORT_TEACHER_KEY = "import.teacher.percent.";
    String IMPORT_TEACHER_FILE = "import.teacher.file.";

    String IMPORT_STUDENT_KEY = "import.student.";
    String IMPORT_STUDENT_FILE = "import.student.file.";

    String IMPORT_STUDENT_CARD_NUMBER_KEY = "import.student.cardNo";

    /**
     * 学生导出信息
     */
    String EXPORT_STUDENT_DATA = "student:data:export.";

    /**
     * 学生宿舍导出信息
     */
    String EXPORT_STUDENT_DORM_DATA = "student:dorm:data:export.";

    /**
     * 登录用户将要登录的部门id
     */
    String USER_LOGIN_DEPT = "auth:user.login.dept";
    // -----------------系统-------------------
    /**
     * 区域数据
     */
    String AREA_DATA = "sys:area:data:";
    /**
     * 部门数据
     */
    String SYS_DEPT_DATA = "sys:dept:data";
    /**
     * 学校corpid与部门id映射
     */
    String SYS_SCHOOL_CORPID_ID = "sys:dept:corpid-deptid";
    /**
     * 学校微信公众号id与部门id映射
     */
    String SYS_SCHOOL_APPID_ID = "sys:dept:appid-deptid";
    /**
     * 操作日志集合redis的key值
     */
    String OPERATION_LOG_LIST = "operation_log_list";

    /**
     * 微信支付配置信息
     */
    String PAY_WX_CONFIG = "sys:pay.wx.onfig";

    /**
     * 节假日
     */
    String HOLIDAY = "sys:holiday";

    /**
     * 支付类型
     */
    String PAY_WAY_CONFIG = "sys:pay.way.config";

    /**
     * 银联支付配置信息
     */
    String UNION_PAY_CONFIG = "sys:union.pay.config";

    /**
     * 建行支付配置信息
     */
    String CONSTRUCTION_PAY_CONFIG = "sys:construction.pay.config";

    /**
     * 收钱吧支付配置信息
     */
    String U_PAY_CONFIG = "sys:u.pay.config";

    /**
     * 百度api配置信息
     */
    String BAI_DU_API_CONFIG = "baidu:api.config";

    /**
     * 学校收钱吧终端信息
     */
    String DEPT_CONSUME_TERMINAL = "dept:consume:terminal.";

    /**
     * 学校消费机服务器信息
     */
    String CONSUME_CONFIG = "sys:consume.config";

    //------------------学校-------------------
    /**
     * 导入寝室 进度信息
     */
    String IMPORT_DORM_ROOM = "school:dormRoom.import";

    /**
     * 访客邀请码
     */
    String SCHOOL_VISITOR_INVITE_CODE = "school:visitor:invite.code.";

    /**
     * 邀请码对应的用户openId
     */
    String SCHOOL_VISITOR_OPEN_ID = "school:visitor:open.id";

    //------------------用户-------------------
    String STUDENT_DATA = "user:student.data";

    //------------------用户-------------------
    String STUDENT_BASE_DATA = "user:student.base.data";


    /**
     * 导入住宿学生 进度信息
     */
    String IMPORT_STUDENT_DORM = "user:studentDorm.import";

    /**
     * 导入学生类型 进度信息
     */
    String IMPORT_STUDENT_TYPE = "user:studentType.import";

    /**
     * 学生在校离校，在寝不在寝状态
     */
    String STUDENT_STATUS = "user:student.status";

    String STAFF_DATA = "user:staff.data";

    /**
     * 上传人脸key
     */
    String IMPORT_FACE_KEY = "user:face:import.key.";

    /**
     * 下发人脸总数
     */
    String ISSUE_FACE_TOTAL = "user:face:issue.total.";

    /**
     * 完成数量
     */
    String ISSUE_FACE_FINISH = "user:face:issue.finish.";

    /**
     * 错误数量
     */
    String ISSUE_FACE_ERROR = "user:face:issue.error.";

    /**
     * 错误信息
     */
    String ISSUE_FACE_ERROR_MSG = "user:face:issue.error.msg.";

    /**
     * 设备组人脸下发成功数量
     */
    String ISSUE_GROUP_USER_FACE_SUCCESS = "group.user.face.success.";

    /**
     * 大华code与人员id对应
     */
    String USER_DAHUA_USER = "user:dahuaId-userId";

    /**
     * 已同步的学生id
     */
    String SYNC_STUDENT = "sync:student:id";

    //----------------考勤---------------------
    //------------------设备-------------------
    /**
     * 存活设备
     */
    String ALIVE_DEVICE = "attendance:device:alive.";

    /**
     * 设备数据
     */
    String DEVICE_DATA = "attendance:device:data";

    /**
     * 设备数据
     */
    String DEVICE_DATA_BY_ID = "attendance:device:id:data";

    /**
     * 最新考勤记录时间
     */
    String ATTENDANCE_RECORD_LAST = "attendance:record";

    /**
     * 考勤设置
     */
    String ATTENDANCE_CONFIG = "attendance:config";

    /**
     * 设备下发的人脸组
     */
    String ISSUE_FACE_GROUP_DEVICE = "attendance:device:face-group.";

    /**
     * 设备下发的人脸组鼠标数量
     */
    String ISSUE_FACE_GROUP_DEVICE_NUMBER = "attendance:device:face-group.number.";

    /**
     * 海清设备批量编辑列表
     */
    String HQ_EDIT_BATCH = "hq.edit.batch.";

    /**
     * 海清人脸新增信息
     */
    String HQ_BATCH_ADD = "hq.batch.add.";

    /**
     * 海清人脸新编辑信息
     */
    String HQ_BATCH_EDIT = "hq.batch.edit.";

    /**
     * 接收的认证消息缓存
     */
    String HQ_RECEIVE_INFO = "hq.receive.info.";

    //--------------商品订单------------------

    /**
     * 商品信息
     */
    String PRODUCT = "product:data";

    /**
     * 商品库存
     */
    String PRODUCT_STOCK = "product:stock";

    /**
     * 订单信息
     */
    String ORDER = "product:order.";
    /**
     * 订单微信端调起支付所需参数，微信jsapi为prepay_id，微信h5为回调地址
     */
    String ORDER_FLAG = "order.flag.";
    /**
     * 学生的应用列表
     */
    String STUDENT_APPLY = "apply.student.code";

    /**
     * 按学生保存的订单信息
     */
    String STUDENT_ORDER = "order.student.";

    //-------------考试--------------
    /**
     * 考试成绩上传进度
     */
    String EXAM_UPLOAD_STUDENT_DATA = "exam.student.upload.data.";

    /**
     * 学校对应未删除学生集
     */
    String LIVE_STUDENT = "user:student:alive";

    String EXAM_SCORE = "exam.score.";

    String EXAM_STUDENT_SCORE_RANK = "exam.student.score-rank";

    //-------------电子学生证----------
    String STUDENT_CARD_IMPORT = "student.card.import";
    String TELEPHONE_IMPORT = "telephone.import";
    // 0-在线，1-不在线
    String DEVICE_CARD_ONLINE = "device:card:online:";
    // 810A设备厂商
    String DEVICE_CARD_IMEI_VENDOR = "device:card:imei-vendor";
    String DEVICE_CARD_DATA = "device:card:data:";

    // 上一条消费的定位数据时间
    String DEVICE_CARD_LAST_CONSUME_MSG = "device:card:last-consume-msg";
    // 学生证定位数据
    String DEVICE_CARD_LATEST_LOCATION = "device:card:latest-location";
    // 学生证围栏数据
    String DEVICE_CARD_FENCE_DATA = "device:card:fence:data:";
    // 学生在围栏的状态  0-围栏内  1-围栏外
    String DEVICE_CARD_FENCE_STATUS = "device:card:fence:status:";
    // 学生证上次低电量推送阈值
    String DEVICE_CARD_LOWBAT_VALUE = "device:card:last-lowbat:value";
    // 学生证是否下发天气数据
    String DEVICE_CARD_WEATHER = "device:card:weather.";
    // 城市天气数据缓存
    String DEVICE_CARD_CITY_WEATHER = "device:card:weather:city.";

    //-------------亲情电话------------
    // 存活话机
    String PHONE_ALIVE = "phone.alive.";

    /**
     * 导入时使用的部门数据
     */
    String IMPORT_DEPT_DATA = "import.dept.data";

    /**
     * 系统操作指南类型
     */
    String INSTRUCTIONS_TYPE = "instructions.type.";
    /**
     * 系统操作指南内容
     */
    String INSTRUCTIONS_CONTENT = "instructions.content.";
    /**
     * 健康体测导入进度
     */
    String HEALTH_IMPORT = "health.import.";

    /**
     * 用户导入
     */
    String HEALTH_USER_IMPORT = "health:user.import";

    //------------------------通用----------
    /**
     * 接收的第三方信息，刷入es
     */
    String RECEIVE_MSG = "common.receive.msg.list";

    //--------------自定义表单--------------------
    /**
     * 表单统计数据
     */
    String FORM_STATISTIC = "form:statistic";

    //--------------家校部门---------------
    /**
     * 家校部门数据
     */
    String USER_DEPT_DATA = "user:dept:data";

    /**
     * 家校部门指定类型部门
     */
    String USER_DEPT_TYPE_DATA = "user:dept:type:data";

    //--------------------定位数据---------------
    /**
     * 基站定位数据
     */
    String LOCATION_BTS = "location:bts-";

    /**
     * wifi定位数据
     */
    String LOCATION_WIFIMAC = "location:wifimac-";

    // --------------------宿舍数据-----------------
    /**
     * 宿舍信息
     */
    String FACILITY_DORM_ROOM = "facility:dorm:room";

    // --------------------宿舍数据-----------------
    /**
     * 宿舍信息
     */
    String FACILITY_DORM_MASTER = "facility:dorm:master.";

    // --------------------第二课堂----------------
    /**
     * 菜单配置
     */
    String SECOND_CLASS_CONFIG = "second-class:config:";
    /**
     * banner
     */
    String SECOND_CLASS_BANNER = "second-class:banner:";
    /**
     * 课程播放量
     */
    String SECOND_CLASS_COURSE_VISIT = "second-class:course:visit-num:";

    // --------------------缴费账单----------------
    /**
     * 学生账单订单缓存
     */
    String BILL_ORDER_STUDENT = "bill.order.student.";

    /**
     * 账单订单信息
     */
    String BILL_ORDER = "bill.order.";

    /**
     * 账单订单调起支付所需参数，微信jsapi为prepay_id，微信h5为支付地址，银联支付为支付地址
     */
    String BILL_ORDER_FLAG = "bill.order.flag.";

    /**
     * 学生账单列表缓存
     */
    String BILL_LIST = "student:bill:h5:list";

    /**
     * 学生账单详情缓存
     */
    String BILL_INFO = "student:bill:h5:info";

    /**
     * 学生账单订单列表缓存
     */
    String BILL_ORDER_LIST = "student:bill:order:h5:list";

    /**
     * 学生账单订单详情缓存
     */
    String BILL_ORDER_INFO = "student:bill:order:h5:info";

    /**
     * 账单统计缓存
     */
    String BILL_STATISTICS_DATA = "bill:statistics:data:";

    /**
     * 账单统计导出地址缓存
     */
    String BILL_STATISTICS_EXPORT_URL = "bill:statistics:export:url:";

    /**
     * 账单明细导出地址缓存
     */
    String BILL_PAY_DETAIL_EXPORT_URL = "bill:pay:detail:export:url:";

    // --------------------消费充值----------------
    /**
     * 学生消费订单缓存
     */
    String CONSUME_ORDER_STUDENT = "consume.order.student.";

    /**
     * 消费订单信息
     */
    String CONSUME_ORDER = "consume.order.";

    /**
     * 消费订单调起支付所需参数，微信jsapi为prepay_id，微信h5为支付地址，银联支付为支付地址，收钱吧为支付地址
     */
    String CONSUME_ORDER_FLAG = "consume.order.flag.";

    /**
     * 商品描述
     */
    String CONSUME_ORDER_DESC = "充值缴费";

    // -----------摄像头-------------------------
    /**
     * 摄像头
     */
    String EDU_CAMERA = "edu.camera.";
    // ----------教育局学校---------------------
    String SCHOOL_LIST_SEARCH = "school:list:search";

    /**
     * 下载学生照片
     */
    String USER_PIC_DOWNLOAD = "user:pic:downLoad.";


    /**
     * 职工通行记录下载
     */
    String STAFF_ATTENDANCE_RECORD_DOWNLOAD = "staff:attendance:record:downLoad.";

    /**
     * 职工考勤记录下载
     */
    String STAFF_ATTENDANCE_RESULT_DOWNLOAD = "staff:attendance:result:downLoad.";


    /**
     * 学生宿舍考勤下载
     */
    String STUDENT_DORM_ATTENDANCE_RESULT_DOWNLOAD = "student:dorm:attendance:result:downLoad.";


    /**
     * 通行记录下载
     */
    String ATTENDANCE_RECORD_DOWNLOAD = "attendance:record:download.";


    /**
     * 考勤日报下载
     */
    String ATTENDANCE_DAY_REPORT_DOWNLOAD = "attendance:day:report:download.";


    /**
     * 商品购买情况下载
     */
    String PRODUCT_BUY_DATA_DOWNLOAD = "product:buy:data:downLoad.";

    /**
     * 下载学生照片
     */
    String IMPORT_STUDENT_APPLY_PROGRESS = "import:student:apply.progress.";

    /**
     * 考勤规则实际应打卡天数
     */
    String ATTENDANCE_STAFF_RULE = "attendance:staff:rule.";

    /**
     * 学校对应关键功能点配置
     */
    String SCHOOL_FUNCATION_CODE = "school:funcation:code:";

    String ATTENDANCE_DORMITORY_CLASS = "attendance:Dormitory:class.";

    String ATTENDANCE_DORMITORY_DORM = "attendance:Dormitory:dorm.";

    String STAFF_MANGE_DEPT = "staff:mange:dept.";


    String STAFF_MANGE_CLASS = "staff:mange:class.";


    /**
     * 对应设备策略id(人脸组id)缓存
     */
    String USER_ATTENDANCE_STRATEGY = "user:attendance:strategy:";

    /**
     * 系统学校配置信息
     */
    String SCHOOL_CONFIG_DATA = "school:config:data";

    /**
     * 学校对应全部的班级信息
     */
    String SCHOOL_CLASS_DATA = "school:class:data.";

    /**
     * 学校对应全部的宿舍信息
     */
    String SCHOOL_DORM_DATA = "school:dorm:data.";

    /**
     * 学校对应的考勤规则
     */
    String SCHOOL_RULE_DATA = "school:rule:data.";

    /**
     * 宿舍学生信息
     */
    String DORM_STUDENT_DATA = "dorm:student:data.";

    /**
     * 班级学生信息
     */
    String CLASS_STUDENT_DATA = "class:student:data.";


    String ADD_MANUSCRIPT_PROGRESS = "add:manuscript:progress";

    // --------------------智慧迎新-----------------
    /**
     * 花名册下载缓存
     */
    String GUIDE_ROSTER_DATA_DOWNLOAD = "guide:roster:data:download.";

    /**
     * 花名册身份证、通知书下载图片缓存
     */
    String GUIDE_ROSTER_PIC_DATA_DOWNLOAD = "guide:roster:pic:data:download.";

    // --------------------智慧迎新-----------------
    /**
     * 新生迎新步骤信息
     */
    String GUIDE_ROSTER_STEP_DATA = "guide:roster:step:data.";

    /**
     * 花名册人员迎新订单缓存
     */
    String GUIDE_STEP_ORDER_ROSTER = "guide.step.order.roster.";

    /**
     * 迎新步骤订单缓存
     */
    String GUIDE_STEP_ORDER = "guide.step.order.";

    /**
     * 迎新订单调起支付所需参数，微信jsapi为prepay_id，微信h5为支付地址，银联支付为支付地址，建行为支付地址
     */
    String GUIDE_STEP_ORDER_FLAG = "guide.step.order.flag.";


    /**
     * 智慧迎新导入学生人脸
     */
    String IMPORT_GUIDE_AVATAR_KEY = "guide:avatar:import.key.";


    /**
     * 智慧迎新导入花名册
     */
    String IMPORT_GUIDE_ROSTER_KEY = "guide:roster:import.key.";

    /**
     * 智慧迎新系部专业数据
     */
    String WELCOME_DEPARTMENT_DATA = "welcome:department:data.";

    /**
     * 智慧迎新预分班级数据
     */
    String WELCOME_CLASS_DATA = "welcome:class:data.";

    /**
     * 智慧迎新班级对应人员数量
     */
    String WELCOME_CLASS_STUDENT_NUMBER = "welcome:class:student:number:";

    /**
     * 智慧迎新预分宿舍数据
     */
    String WELCOME_DORM_DATA = "welcome:dorm:data.";


    /**
     * 智慧迎新宿舍对应人员数量
     */
    String WELCOME_DROM_STUDENT_NUMBER = "welcome:dorm:student:number:";


    /**
     * 智慧迎新宿舍对应人员数量
     */
    String WELCOME_DROM_STUDENT_NUMBER_BUDING = "welcome:dorm:student:number:buding";


    /**
     * 智慧迎新预分班级导入进度
     */
    String WELCOME_CLASS_IMPOST_PROGRESS = "welcome:class:import:progress:";

    /**
     * 智慧迎新预分宿舍导入进度
     */
    String WELCOME_DORM_IMPOST_PROGRESS = "welcome:dorm:import:progress:";

    /**
     * 智慧迎新花名册信息
     */
    String WELCOME_ROSTER = "welcome:roster";


    /**
     * 学生考勤结果 每月记录
     */
    String ATTENDANCE_DATE_STATUS = "attendance:date:status.";


    /**
     * 管理员查看 每月记录
     */
    String ATTENDANCE_MANAGE_DATE_STATUS = "attendance:manage:date:status.";


    /**
     * 学生考勤结果 每日记录
     */
    String ATTENDANCE_STATUS_DAY_STUDENT = "attendance:status:day:student:";


    /**
     * 教职工考勤结果 每日记录
     */
    String ATTENDANCE_STATUS_DAY_STAFF = "attendance:status:day:staff:";

    /**
     * 考勤管理管理部门树
     */
    String ATTENDANCE_USER_MANAGE_TREE = "attendance:user:manage:tree:";

    /**
     * 考勤管理管理部门树
     */
    String ATTENDANCE_STAFF_IDENTITY = "attendance:staff:identity:";

    /**
     * 职工管理规则
     */
    String ATTENDANCE_STAFF_MANAGE_RULE = "attendance:staff:manage:rule";

    /**
     * 用户打卡记录
     */
    String ATTENDANCE_USER_RECORD = "attendance:user:record";

    /**
     * 学生匹配的考勤规则
     */
    String ATTENDANCE_STUDENT_RULE = "attendance:student:rule";

    /**
     * 校园主页信息
     */
    String SCHOOL_HOME_INFO = "school:home:info";

    /**
     * 学校小程序信息
     */
    String DEPT_HOME_APP_INFO = "dept:home:app:info";


    /**
     * 用户对应微信小程序
     */
    String USER_GENERATE_URL_LINK = "user:generate:url:link:";


    /**
     * 考勤规则
     */
    String ATTENDANCE_RULE_DATA = "attendance:rule";
}
