package com.yida.data.common.core.entity.constant;

/**
 * 建行支付常量
 *
 * @author ZYJ
 * @date 2023/6/19
 */
public interface ConstructionPayConstant {

    /**
     * 接口地址
     */
    String URL = "https://ibsbjstar.ccb.com.cn/CCBIS/ccbMain";

    /**
     * 二维码下单接口地址
     */
    String QR_PAY_URL = URL + "?CCB_IBSVersion=V6";

    /**
     * 二维码支付交易码
     */
    String QR_PAY_CODE = "530550";

    /**
     * 订单查询交易码
     */
    String QUERY_ORDER_CODE = "410408";

    /**
     * 业务状态码字段
     */
    String SUCCESS_KEY = "SUCCESS";

    /**
     * 业务成功状态码
     */
    String SUCCESS_CODE = "true";

    /**
     * 建行二维码下单返回地址
     * 用于获取二维码下单实际支付地址
     */
    String PAY_URL = "PAYURL";

    /**
     * 建行二维码支付实际地址
     */
    String QR_URL = "QRURL";

    /**
     * 订单查询返回码字段名称
     */
    String RETURN_CODE_NAME = "RETURN_CODE";

    /**
     * 订单查询返回消息段名称
     */
    String RETURN_MSG = "RETURN_MSG";

    /**
     * 订单查询返回码成功状态
     */
    String RETURN_SUCCESS_CODE = "000000";

    /**
     * 流水不存在状态码
     */
    String NO_ORDER_CODE = "YDCA02910001";
}
