package com.yida.data.common.core.entity.constant;

public interface DaHuaConstant {
    /**
     * 添加人员
     * post
     * code:学工号
     * name:姓名
     * roleId:学生:student001,教师:teacher001,宿管:warder001,保安:guard00,其它:other001
     * sex:1-男，2-女
     * accessCardsn:门禁卡号 8位 a-z,A-Z,0-9
     * colleageArea:校区编号
     * colleageCode:院系编号
     * colleageMajor:专业编号
     * colleageGrade:年级编号
     * colleageClass:班级编号
     */
    String ADD_USER="/eags/api/pims/v1.0/add";

    /**
     * 修改人员
     * put
     * id
     * code:学工号
     * name:姓名
     * roleId:学生:student001,教师:teacher001,宿管:warder001,保安:guard00,其它:other001
     * sex:1-男，2-女
     * accessCardsn:门禁卡号 8位 a-z,A-Z,0-9
     * colleageArea:校区编号
     * colleageCode:院系编号
     * colleageMajor:专业编号
     * colleageGrade:年级编号
     * colleageClass:班级编号
     */
    String UPDATE_USER="/eags/api/pims/v1.0/edit";

    /**
     * 删除人员
     * delete
     * ids 逗号连接的串
     */
    String DEL_USER="/eags/api/pims/v1.0/delete";

    /**
     * post
     * Content-Type: application/json
     * pId:父id 不为空
     * name: 名称
     */
    String ADD_DEPT="/eags/api/fsds/v1.0/school-roll/create";

    /**
     * 修改部门
     * put
     * Content-Type: application/json
     * id
     * name:
     * pId
     */
    String UPDATE_DEPT="/eags/api/fsds/v1.0/school-roll/edit";

    /**
     *  删除部门
     * delete
     * Content-Type: application/json
     * ids:List<String></String>
     */
    String DEL_DEPT="/eags/api/fsds/v1.0/school-roll/delete";

    /**
     * 获取公钥
     */
    String GET_PUBLIC_KEY="/eags/security/getRandomPublicKey";

    /**
     * 获取mq配置
     */
    String GET_MQ_CONFIG="/eags/api/mq/v1.0";
}
