package com.yida.data.common.core.entity.constant;

/**
 * FEBS系统常量类
 *
 * @author MrBird
 */
public interface FebsConstant {

    /**
     * 排序规则：降序
     */
    String ORDER_DESC = "descending";
    /**
     * 排序规则：升序
     */
    String ORDER_ASC = "ascending";

    /**
     * Gateway请求头TOKEN名称（不要有空格）
     */
    String GATEWAY_TOKEN_HEADER = "GatewayToken";
    /**
     * Gateway请求头TOKEN值
     */
    String GATEWAY_TOKEN_VALUE = "febs:gateway:123456";

    /**
     * 允许下载的文件类型，根据需求自己添加（小写）
     */
    String[] VALID_FILE_TYPE = {"xlsx", "zip", "png", "jpg", "xls", "tmp"};

    /**
     * 允许导入的excel文件类型
     */
    String[] EXCEL_FILE_TYPE = {"xls", "xlsx"};

    /**
     * 验证码 key前缀
     */
    String CODE_PREFIX = "febs.captcha.";

    /**
     * 异步线程池名称
     */
    String ASYNC_POOL = "febsAsyncThreadPool";

    /**
     * OAUTH2 令牌类型 https://oauth.net/2/bearer-tokens/
     */
    String OAUTH2_TOKEN_TYPE = "bearer";
    /**
     * Java默认临时目录
     */
    String JAVA_TEMP_DIR = "java.io.tmpdir";
    /**
     * utf-8
     */
    String UTF8 = "utf-8";
    /**
     * 注册用户角色ID
     */
    Long REGISTER_ROLE_ID = 2L;

    String ACCCESS = "access:";

    String ACCESS_TO_REFRESH = "access_to_refresh:";

    String AUTH = "auth:";

    String LOCALHOST = "localhost";
    String LOCALHOST_IP = "127.0.0.1";

    /**
     * 企业微信 access_token key前缀
     */
    String QYWX_ACCESS_TOKEN = "qywx:access.token.";

    String TP_TOKEN = "tupu.token.";

    /**
     * 微信公众号 token key前缀 7200s
     */
    String WX_PUBLIC_ACCESS_TOKEN = "wx.public:access.token.";

    /**
     * 微信 JS-SDK jsapi_ticket key前缀 7200s
     */
    String WX_PUBLIC_JS_API_TICKET = "wx.public:jsapi.ticket.";

    /**
     * 企业微信 JS-SDK jsapi_ticket key前缀 7200s
     */
    String QYWX_WX_JS_API_TICKET = "qywx.wx:jsapi.ticket.";

    /**
     * 几米 access_token key前缀
     */
    String JM_ACCESS_TOKEN = "jimi:access.token";

    String JM_ACCESS_TOKEN_COPY = "jimi:access.token_copy";


    /**
     * 几米 refreshToken key前缀
     */
    String JM_REFRESH_TOKEN = "jimi:refresh.token";


    /**
     * 商品前缀
     */
    String EDU_PRODUCT = "edu.product";

    /**
     * 应用前缀
     */
    String EDU_APPLY = "edu.apply";

    /**
     * 功能前缀
     */
    String EDU_FUNCTION = "edu.function";
    /**
     * 功能前缀
     */
    String EDU_PRODUCT_MODEL = "edu.function.model";
    /**
     * 前台商品
     */
    String EDU_PRODUCT_APP = "edu.product.App";

    /**
     * 后台接口地址
     */
    String API_URL = "http://zbz.yd-data.com/edu/";

    /**
     * 考试前缀
     */
    String CORE_EXAM = "core.exam";



    /**
     * 考试科目前缀
     */
    String CORE_EXAM_TYPE = "core.exam.type";

    /**
     * 考试前缀
     */
    String CORE_EXAM_TEACHER = "core.exam.teacher";

    /**
     * 百度日历接口 https://sp1.baidu.com/8aQDcjqpAAV3otqbppnN2DJv/api .php?tn=wisetpl&format=json&resource_id=39043&query=2021年1月&t=1631089452696&cb=op_aladdin_callback1631089452696
     */
    String BAIDU_DAY_API = "https://sp1.baidu.com/8aQDcjqpAAV3otqbppnN2DJv/api" +
            ".php?tn=wisetpl&format=json&resource_id=39043&query=%s&t=1631089452696&cb=op_aladdin_callback1631089452696";

    /**
     * 法定假日的接口 http://timor.tech/api/holiday/year/2021
     */
    String LAW_HODIDAY_API = "http://timor.tech/api/holiday/year/";

    /**
     * spring security角色权限前缀
     */
    String SECURITY_ROLE_PREFIX = "ROLE_";

    /**
     * 银联云闪付 token key前缀
     */
    String UNION_PAY_ACCESS_TOKEN = "union.pay:access.token.";
}
