package com.yida.data.common.core.entity.constant;

/**
 * 收钱吧常量
 *
 * @author ZYJ
 * @date 2023/3/20
 */
public interface UPayConstant {

    /**
     * 订单时间 5分钟
     */
    long ORDER_TIME = 5 * 60L;

    /**
     * 收钱吧支付回调地址
     */
    String NOTIFY_URL = "device/in/consume/uPayNotify";

    /**
     * 收钱吧支付后返回页面地址
     */
    String RETURN_URL = "";

    /**
     * 接口状态码名称
     */
    String RESULT_CODE_NAME = "result_code";

    /**
     * 返回信息主题
     */
    String BIZ_RESPONSE = "biz_response";

    /**
     * bizResponse接口状态码名称
     */
    String BIZ_CODE_NAME = "result_code";

    /**
     * 错误状态码名称
     * 。当result_code不等于200的时候才会出现error_code和error_message
     */
    String ERROR_CODE_NAME = "error_code";

    /**
     * 错误信息名称
     * 。当result_code不等于200的时候才会出现error_code和error_message
     */
    String ERROR_MESSAGE_NAME = "error_message";

    /**
     * 接口成功状态码
     */
    String RESULT_SUCCESS_CODE = "200";

    /**
     * bizResponse接口成功状态码
     */
    String BIZ_SUCCESS_CODE = "SUCCESS";

    /**
     * 无法找到指定的订单 状态码
     * 此类型订单需要直接关闭订单
     */
    String NO_ORDER_CODE = "UPAY_ORDER_NOT_EXISTS";

    /**
     * 交易不存在
     * 此类型订单需要直接关闭订单
     */
    String TRADE_NOT_EXIST = "TRADE_NOT_EXIST";

    /**
     * 撤单bizResponse接口成功状态码
     */
    String CANCEL_SUCCESS_CODE = "CANCEL_SUCCESS";

    /**
     * 撤单操作试图终止进行中的支付流程并且成功状态码
     */
    String CANCEL_ABORT_SUCCESS_CODE = "CANCEL_ABORT_SUCCESS";

    /**
     * 已经撤单
     */
    String CANCEL_ORDER_NOOP_CODE = "UPAY_CANCEL_ORDER_NOOP";

    /**
     * 退款bizResponse接口成功状态码
     */
    String REFUND_SUCCESS_CODE = "REFUND_SUCCESS";

    /**
     * 接口地址
     */
    String URL = "https://vsi-api.shouqianba.com";

    /**
     * 激活
     * post application/json
     */
    String ACTIVATE = URL + "/terminal/activate";

    /**
     * 订单查询
     * post application/json
     */
    String QUERY_ORDER = URL + "/upay/v2/query";

    /**
     * 撤单
     * post application/json
     */
    String CLOSE_ORDER = URL + "/upay/v2/cancel";

    /**
     * 退款
     * post application/json
     * 三个月以内都可以进行退款
     */
    String REFUND_ORDER = URL + "/upay/v2/refund";

    /**
     * 跳转支付接口
     */
    String TO_PAY_URL = "https://qr.shouqianba.com/gateway";

    /**
     * 品牌名称+支付场景
     */
    String ACTIVE_DEVICE_NAME = "zbz-consume-pay";
}
