package com.yida.data.common.core.entity.constant;

/**
 * 银联云闪付常量
 *
 * @author ZYJ
 * @date 2022/6/14
 */
public interface UnionPayConstant {

    /**
     * 银联支付回调地址
     */
    String BILL_UNION_PAY_NOTIFY_URL = "mall/in/eduBillOrder/unionPayNotify";

    /**
     * 银联支付后返回页面地址
     */
    String BILL_UNION_PAY_RETURN_URL = "view/billApp/#/unionPayResult";

    /**
     * 接口状态码名称
     */
    String CODE_NAME = "errCode";

    /**
     * 接口信息名称
     */
    String MSG_NAME = "errMsg";

    /**
     * 接口成功状态码
     */
    String SUCCESS_CODE = "SUCCESS";

    /**
     * 无法找到指定的订单 状态码
     * 此类型订单需要直接关闭订单
     */
    String NO_ORDER_CODE = "NO_ORDER";

    /**
     * 支付宝交易不存在
     * 此类型订单需要直接关闭订单
     */
    String TARGET_FAIL_CODE = "TARGET_FAIL";

    /**
     * 接口地址
     */
    String URL = "https://api-mop.chinaums.com";

    /**
     * 支付宝H5下单
     */
    String ALI_H5_PAY = URL + "/v1/netpay/trade/h5-pay";

    /**
     * 微信H5下单
     */
    String WX_H5_PAY = URL + "/v1/netpay/wxpay/h5-pay";

    /**
     * 银联云闪付H5下单
     */
    String UNION_H5_PAY = URL + "/v1/netpay/uac/order";

    /**
     * 微信H5转小程序下单
     */
    String WX_TO_MINI_H5_PAY = URL + "/v1/netpay/wxpay/h5-to-minipay";

    /**
     * 获取AccessToken
     */
    String GET_ACCESS_TOKEN = URL + "/v1/token/access";

    /**
     * 订单查询
     */
    String QUERY_ORDER = URL + "/v1/netpay/query";

    /**
     * 关闭订单
     */
    String CLOSE_ORDER = URL + "/v1/netpay/close";

    /**
     * 退款
     */
    String REFUND_ORDER = URL + "/v1/netpay/refund";

    /**
     * 退款查询
     */
    String REFUND_QUERY = URL + "/v1/netpay/refund-query";
}
