package com.yida.data.common.core.entity.constant;

public interface YidaAppConstant {
    /**
     * 新增修改订阅号  post
     * id:5bfc0f6f0fa24944b6902323fee14f1f  可传(不传为新增)
     * accountName:           订阅号名称  可传
     * imgUrl:                logo地址    可传
     * remarks:               备注信息    可传
     * createById:            创建人Id      可传
     * updateById:  		更新人Id      可传
     * areaId:                系统区域id  可传
     * isTest：               是否测试数据(0否  1是)  可传
     * showInMsg:2            是否在聚聚聊天记录中出现(0 否 1 是)  可传
     */
    String SUBSCRIBE_SAVE = "/admin/appMsgAccount/save";

    /**
     * 关注订阅号
     */
    String SUBSCRIBE_FOLLOW = "/a/appMsg/followAccount";
    /**
     * 取消关注订阅号
     */
    String SUBSCRIBE_UN_FOLLOW = "/a/appMsg/cancelFollow";

    /**
     * 分页查询订阅号
     * pageNo(当前页,默认值1,可传),
     * pageSize(每页条数,默认10,可传),
     * accountName(订阅号名称,可传)，
     * areaId(系统区域id,可传)
     */
    String SUBSCRIBE_PAGE = "/admin/appMsgAccount/findPage";

    /**
     * 订阅号删除  get
     * id:    必传（多个id以逗号分隔）
     */
    String SUBSCRIBE_DELETE = "/admin/appMsgAccount/del";

    /**
     * 根据用户id查询订阅号和消息接口 get
     * userId:   用户id 必传
     */
    String SUBSCRIBE_MSG = "/admin/appMsgAccount/findByUserId";

    /**
     * 订阅号保存菜单   post
     * {
     * "accountId": "demoData",//企业号id
     * "buttons": [
     * {
     * "type": "html", //按钮类型 html 网页跳转   column  跳转栏目    program跳转微信小程序
     * "name": "btn1",  //按钮名称
     * "key": "demoData",  //按钮key  保留字段
     * "url": "demoData",  //type为html类型时使用的html地址
     * "param1": "demoData",  //参数1  type为column时代表栏目id  type为program时为小程序id
     * "param2": "demoData"   //参数2  type为column时代表栏目mannerId  type为program时为小程序路径(非必须)
     * }
     * ],
     * "operatorId": "123"
     * }
     */
    String SUBSCRIBE_SAVE_MENU = "/a/appMsgAccountMenu/saveButton";

    /**
     * 订阅号发消息  get
     * accountId=订阅号id
     * imgUrl图片地址
     * htmlUrl html页面地址
     * content 文字内容
     * msgType 消息类型     纯文字text    链接 html   图片 image   文章（图文） article     视频video   语音  audio
     * userIds  接受消息的用户id数组
     */
    String SUBSCRIBE_SEND_MSG = "/a/appMsg/saveMsgList";

    /**
     * 极光推送消息
     */
    String JIGUANG_SEND_MSG = "/push/sendMulti";

    /**
     * 新增稿件
     */
    String MANUSCRIPT_SAVE = "/admin/content/save";

    /**
     * 删除稿件
     */
    String MANUSCRIPT_DEL = "/admin/content/delete";

    /**
     * 栏目下稿件置顶
     */
    String MANUSCRIPT_TOP = "/admin/content/setTop";

    /**
     * 新增、编辑栏目
     */
    String COL_SAVE = "/admin/Comuln/add";

    /**
     * 区域位
     */
    String REGION_SAVE = "/admin/regionPosition/add";

    /**
     * 区域位添加单个元素
     */
    String REGION_SAVE_CONTENT = "/admin/regionPosition/addOne";

    /**
     * function
     */
    String FUNCTION_SAVE = "/a/appMsgAccountFunction/save";

    /**
     * banner图
     */
    String BANNER_UPDATE = "/admin/Comuln/addBanner";

    /**
     * 新增用户
     */
    String USER_SAVE = "/api/user/registInnet";
    /**
     * 查询用户
     */
    String USER_LIST = "/admin/userList/findList";

    /**
     * 小程序保存接口
     */
    String SMALL_PROGRAM_SAVE = "/admin/smallProgram/add";

    /**
     * 栏目小程序配置保存接口
     */
    String COLUMN_SMALL_PROGRAM_SAVE = "/admin/smallProgram/saveColumnOpSmall";

    /**
     * 查询小程序类型接口
     */
    String SMALL_PROGRAM_TYPE_LIST = "/admin/coreSmallProgramType/findList";

    /**
     * 小程序跳转配置保存接口
     */
    String SMALL_PROGRAM_LOCATION_SAVE = "/admin/smallProgram/updateLocation";

    /**
     * 小程序删除接口
     */
    String SMALL_PROGRAM_DELETE = "/admin/smallProgram/delete";
}
