package com.yida.data.common.core.entity.constant.hq;

/**
 * 海清方法与回调方法常量类
 *
 * @author ZYJ
 * @date 2023-9-27
 */
public interface HaiqingConstant {

    /**
     * 增改人员消息回调返回类型
     */
    String EDIT_PERSON_CALL = "EditPerson-Ack";

    /**
     * 批量增加人员
     */
    String ADD_PERSONS_BATCH = "AddPersons";

    /**
     * 批量增加人员返回
     */
    String ADD_PERSON_BATCH_CALL = "AddPersons-Ack";

    /**
     * 批量修改人员
     */
    String EDIT_PERSONS_BATCH = "EditPersons";

    /**
     * 批量修改人员返回
     */
    String UPDATE_PERSON_BATCH_CALL = "EditPersons-Ack";

    /**
     * 批量删除人员
     */
    String DELETE_PERSONS_BATCH = "DeletePersons";

    /**
     * 删除人员回调信息
     */
    String DELETE_PERSON_CALL = "DelPerson-Ack";

    /**
     * 批量删除人员信息回调
     */
    String DELETE_PERSON_BATCH_CALL = "DeletePersons-Ack";

    /**
     * 接收认证人员信息
     */
    String REC_PERSON = "RecPush";

    /**
     * 心跳消息
     */
    String HEARTBEAT = "HeartBeat";
    /**
     * 远程开门返回信息
     */
    String UNLOCK_ACK = "Unlock-Ack";
    /**
     * 设置系统时间
     */
    String SET_SYS_TIME_ACK = "SetSysTime-Ack";

    /**
     * 设备上线通知
     */
    String ONLINE = "Online";

    /**
     * 添加/修改通行策略
     */
    String ADD_ACCESS_STRATEGY = "AddAccessStrategy";

    /**
     * 添加/修改通行策略返回
     */
    String ADD_ACCESS_STRATEGY_CALL = "AddAccessStrategy-Ack";

    /**
     * 删除通行策略
     */
    String DEL_ACCESS_STRATEGY = "DelAccessStrategy";

    /**
     * 删除通行策略返回
     */
    String DEL_ACCESS_STRATEGY_CALL = "DelAccessStrategy-Ack";

    /**
     * 人员绑定通行策略
     */
    String PERSONS_BIND_STRATEGY = "PersonsBindStrategyID";

    /**
     * 人员绑定通行策略返回
     */
    String PERSONS_BIND_STRATEGY_CALL = "PersonsBindStrategyID-Ack";

    /**
     * 人员解绑通行策略
     */
    String PERSONS_UNBIND_STRATEGY = "PersonsUnbindStrategyID";

    /**
     * 人员解绑通行策略返回
     */
    String PERSONS_UNBIND_STRATEGY_CALL = "PersonsUnbindStrategyID-Ack";

    /**
     * 设置开门条件
     */
    String UP_DOOR_CONFIG = "UpDoorconfig";

    /**
     * 接收认证消息推送方法
     */
    String PUSH_MESSAGE = "PushAck";

    /**
     * 接收认证消息推送方法返回
     */
    String PUSH_MESSAGE_ACK = "PushAck-Ack";
}
