package com.yida.data.common.core.entity.consume;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 消费订单(充值)学生详细信息Entity
 *
 * @author ZYJ
 * @date 2023/3/23
 */
@Data
@TableName("edu_consume_order_student")
public class EduConsumeOrderStudent implements Serializable {

    private static final long serialVersionUID = -2027376385019025656L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 账单订单主键ID
     */
    @ApiModelProperty(value = "账单订单主键ID")
    @TableField("order_id")
    private Long orderId;

    /**
     * 支付学生主键ID
     */
    @ApiModelProperty(value = "支付学生主键ID")
    @TableField("student_id")
    private Long studentId;

    /**
     * 支付学生姓名
     */
    @ApiModelProperty(value = "支付学生姓名")
    @TableField("student_name")
    private String studentName;

    /**
     * 支付学生学号
     */
    @ApiModelProperty(value = "支付学生学号")
    @TableField("student_number")
    private String studentNumber;

    /**
     * 支付学生校园卡号
     */
    @ApiModelProperty(value = "支付学生校园卡号")
    @TableField("stu_card_number")
    private String stuCardNumber;

    /**
     * 支付学生家庭类型	关联字典表t_dict的value值，
     */
    @ApiModelProperty(value = "支付学生家庭类型.关联字典表t_dict的value值")
    @TableField("student_family_type")
    private String studentFamilyType;

    /**
     * 支付学生与家长关系
     */
    @ApiModelProperty(value = "支付学生与家长关系")
    @TableField("student_parent_type")
    private String studentParentType;

    /**
     * 省ID
     */
    @ApiModelProperty(value = "省ID")
    @TableField("province_id")
    private Long provinceId;

    /**
     * 市ID
     */
    @ApiModelProperty(value = "市ID")
    @TableField("city_id")
    private Long cityId;

    /**
     * 县ID
     */
    @ApiModelProperty(value = "县ID")
    @TableField("county_id")
    private Long countyId;

    /**
     * 乡镇ID
     */
    @ApiModelProperty(value = "乡镇ID")
    @TableField("town_id")
    private Long townId;

    /**
     * 学校主键ID
     */
    @ApiModelProperty(value = "学校主键ID")
    @TableField("school_id")
    private Long schoolId;

    /**
     * 学校名称
     */
    @ApiModelProperty(value = "学校名称")
    @TableField("school_name")
    private String schoolName;

    /**
     * 学区主键ID
     */
    @ApiModelProperty(value = "学区主键ID")
    @TableField("campus_id")
    private Long campusId;

    /**
     * 学区名称
     */
    @ApiModelProperty(value = "学区名称")
    @TableField("campus_name")
    private String campusName;

    /**
     * 学段主键ID
     */
    @ApiModelProperty(value = "学段主键ID")
    @TableField("section_id")
    private Long sectionId;

    /**
     * 学段名称
     */
    @ApiModelProperty(value = "学段名称")
    @TableField("section_name")
    private String sectionName;

    /**
     * 年级主键ID
     */
    @ApiModelProperty(value = "年级主键ID")
    @TableField("grade_id")
    private Long gradeId;

    /**
     * 年级名称
     */
    @ApiModelProperty(value = "年级名称")
    @TableField("grade_name")
    private String gradeName;

    /**
     * 班级主键ID
     */
    @ApiModelProperty(value = "班级主键ID")
    @TableField("class_id")
    private Long classId;

    /**
     * 班级名称
     */
    @ApiModelProperty(value = "班级名称")
    @TableField("class_name")
    private String className;
}