package com.yida.data.common.core.entity.customform;

import lombok.Data;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModelProperty;

/**
 * 自定义表单模板 Entity
 *
 * @author ccl
 * @date 2021-08-30 15:22:15
 */
@Data
@TableName("core_custom_form_model")
public class CoreCustomFormModel {

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 表单标题
     */
    @ApiModelProperty(value = "表单标题")
    @TableField("form_title")
    private String formTitle;

    /**
     * 表单类型
     */
    @ApiModelProperty(value = "表单类型")
    @TableField("form_type_id")
    private Long formTypeId;

    /**
     * 表单描述说明
     */
    @ApiModelProperty(value = "表单描述说明")
    @TableField("form_remark")
    private String formRemark;

    /**
     * 表单背景图
     */
    @ApiModelProperty(value = "表单背景图")
    @TableField("background_img_url")
    private String backgroundImgUrl;

    /**
     * 表单头图
     */
    @ApiModelProperty(value = "表单头图")
    @TableField("header_img_url")
    private String headerImgUrl;

    /**
     * 是否显示排序：1=是，0=否
     */
    @ApiModelProperty(value = "是否显示排序：1=是，0=否")
    @TableField("sorted")
    private String sorted;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "update_date", fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "create_id", fill = FieldFill.INSERT)
    private Long createId;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "update_id", fill = FieldFill.UPDATE)
    private Long updateId;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField("del_flag")
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;

}
