package com.yida.data.common.core.entity.dashboard;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.yida.data.common.core.entity.classschedule.EduClassScheduleTime;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 校园仪表盘基础数据 实体
 */
@Data
@TableName("edu_school_dashboard_data")
public class EduSchoolDashboardData {

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;


    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    @TableField(value = "update_date", fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    /**
     * 创建者
     */
    @ApiModelProperty(value = "创建者")
    @TableField(value = "create_id", fill = FieldFill.INSERT)
    private Long createId;

    /**
     * 修改者
     */
    @ApiModelProperty(value = "修改者")
    @TableField(value = "update_id", fill = FieldFill.UPDATE)
    private Long updateId;

    /**
     * 删除标识
     */
    @ApiModelProperty(value = "删除标识")
    @TableField("del_flag")
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;

    @ApiModelProperty(value = "所属学校主键ID")
    @TableField("school_id")
    private Long schoolId;

    @ApiModelProperty(value = "仪表盘标题")
    @TableField("title")
    private String title;

    @ApiModelProperty(value = "头部logo地址")
    @TableField("header_url")
    private String headerUrl;

    @ApiModelProperty(value = "模板类型1:单页，2双页，3.。。")
    @TableField("mode_type")
    private Integer modeType;

    @ApiModelProperty(value = "地址")
    @TableField("address")
    private String address;

    @ApiModelProperty(value = "学校创建时间")
    @TableField(value = "school_create_date")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private LocalDate schoolCreateDate;

    @ApiModelProperty(value = "学校占地面积")
    @TableField("school_area")
    private Integer schoolArea;

    @ApiModelProperty(value = "办学类型")
    @TableField("edu_type")
    private String eduType;

    @ApiModelProperty(value = "院校特色")
    @TableField("edu_feature")
    private String eduFeature;

    @ApiModelProperty(value = "院校类型")
    @TableField("institution_type")
    private String institutionType;

    @ApiModelProperty(value = "硕士点")
    @TableField("master_num")
    private Integer masterNum;

    @ApiModelProperty(value = "博士点")
    @TableField("doctor_num")
    private Integer doctorNum;

    @ApiModelProperty(value = "博士点")
    @TableField("key_disciplines_num")
    private Integer keyDisciplinesNum;
}
