package com.yida.data.common.core.entity.epidemic;

import java.time.LocalDateTime;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;

/**
 * 进出实时流量(EpidemicAccessFlow)表实体类
 *
 * @author makejava
 * @since 2022-05-06 11:45:20
 */
@Data
public class EpidemicAccessFlow  {

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("部门id")
    private Long deptId;

    @ApiModelProperty("0教师，1学生，2访客")
    private String type;

    @ApiModelProperty("进出数量")
    private Integer num;

    @ApiModelProperty("进出时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime time;

}

