package com.yida.data.common.core.entity.epidemic;

import java.time.LocalDateTime;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;

/**
 * 疫情大数据基础表(EpidemicBaseData)表实体类
 *
 * @author makejava
 * @since 2022-05-06 11:45:22
 */
@Data
public class EpidemicBaseData  {
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("部门id")
    private Long deptId;

    private Integer type;

    @ApiModelProperty("绿码")
    private Integer greenCode;

    @ApiModelProperty("黄码")
    private Integer yellowCode;

    @ApiModelProperty("红码")
    private Integer redCode;

    @ApiModelProperty("未接种")
    private Integer unVaccinated;

    @ApiModelProperty("接种1次")
    private Integer vaccinatedOne;

    @ApiModelProperty("接种2次")
    private Integer vaccinatedTwo;

    @ApiModelProperty("接种3次")
    private Integer vaccinatedThree;

    @ApiModelProperty("未检测")
    private Integer undetected;

    @ApiModelProperty("阳性")
    private Integer detectedYes;

    @ApiModelProperty("阴性")
    private Integer detectedNo;

    @ApiModelProperty("教师体温异常")
    private Integer tempHighTeacher;

    @ApiModelProperty("教师体温正常")
    private Integer tempNormalTeacher;

    @ApiModelProperty("学生体温异常")
    private Integer tempHighStudent;

    @ApiModelProperty("学生体温正常")
    private Integer tempNormalStudent;

    @ApiModelProperty("访客体温异常")
    private Integer tempHighVisitor;

    @ApiModelProperty("访客体温正常")
    private Integer tempNormalVisitor;

    @ApiModelProperty("创建时间")
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    @ApiModelProperty("默认：0，0：未删除，1已删除")
    private Integer delFlag;


}

