package com.yida.data.common.core.entity.exam;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;

import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import lombok.Data;

/**
 * 本次考试发布成绩信息表 Entity
 *
 * @author zhanghaijun
 * @date 2021-06-22 10:21:01
 */
@Data
@TableName("core_examination_publish_record")
public class CoreExaminationPublishRecord {

    /**
     *
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     *
     */
    @TableField(value = "create_id", fill = FieldFill.INSERT)
    private Long createId;

    /**
     *
     */
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     *
     */
    @TableField(value = "update_id", fill = FieldFill.UPDATE)
    private Long updateId;

    /**
     *
     */
    @TableField(value = "update_date", fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    /**
     *
     */
    @TableField("del_flag")
    @TableLogic(value = "0", delval = "1")
    private String delFlag;

    /**
     * 本次考试主键ID
     */
    @TableField("core_examination_id")
    private Long coreExaminationId;

    /**
     * 本次考试发布信息主键id
     */
    @TableField("core_examination_publish_id")
    private Long coreExaminationPublishId;

    /**
     * 学生id
     */
    @TableField("core_student_id")
    private Long coreStudentId;

    /**
     * 本次考试考生信息id
     */
    @TableField("core_examination_student_id")
    private Long coreExaminationStudentId;

    /**
     * 当前科目考试科目ID
     */
    @TableField("core_examination_course_id")
    private Long coreExaminationCourseId;

    /**
     * 当前考试科目名称
     */
    @TableField("core_examination_course_name")
    private String coreExaminationCourseName;

    /**
     * 学生所属学校
     */
    @TableField("school_id")
    private Long schoolId;

    /**
     * 学校名称
     */
    @TableField("school_name")
    private String schoolName;

    /**
     * 学生所属年级
     */
    @TableField("grade_id")
    private Long gradeId;

    /**
     * 年级名称
     */
    @TableField("grade_name")
    private String gradeName;

    /**
     * 学生所属班级
     */
    @TableField("class_id")
    private Long classId;

    /**
     * 班级名称
     */
    @TableField("class_name")
    private String className;

    /**
     * 考场
     */
    @TableField("examination_room")
    private String examinationRoom;

    /**
     * 考号
     */
    @TableField("examination_number")
    private String examinationNumber;

    /**
     * 座位号
     */
    @TableField("seat_number")
    private Integer seatNumber;

    /**
     * 考生单科分值
     */
    @TableField("score")
    private Double score;

    /**
     * 科目设置分值
     */
    @TableField("course_score")
    private Double courseScore;

    /**
     * 是否缺考（1=是，0=否）
     */
    @TableField("miss")
    private String miss;

    /**
     * 是否补录（1=是，0=否）
     */
    @TableField("back")
    private String back;

    /**
     * 成绩等级
     */
    @TableField("grade_level")
    private String gradeLevel;

    /**
     * 学科班级排名
     */
    @TableField("class_rank")
    private Integer classRank;

    /**
     * 学科年级排名
     */
    @TableField("grade_rank")
    private Integer gradeRank;

    /**
     * 学校排名
     */
    @TableField("school_rank")
    private Integer schoolRank;

}