package com.yida.data.common.core.entity.exam;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;

import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

import lombok.Data;

/**
 * 学生与本次考试科目对应关系实体类
 *
 * @author zyj
 * @date 2020/6/15
 */
@Data
@TableName(value = "core_examination_student_course")
public class CoreExaminationStudentCourse implements Serializable {

    private static final long serialVersionUID = -3599629428620024705L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @TableField(fill = FieldFill.INSERT)
    private Long createId;

    @TableField(fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    @TableField(fill = FieldFill.UPDATE)
    private Long updateId;

    @TableField(fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    @TableLogic(value = "0", delval = "1")
    private String delFlag;

    /**
     * 本次考试主键ID
     */
    private Long coreExaminationId;

    /**
     * 本次考试考生信息id
     */
    private Long coreExaminationStudentId;

    /**
     * 学生手机APPID
     */
    private String coreExaminationStudentAppId;

    /**
     * 当前科目考试科目ID
     */
    private Long coreExaminationCourseId;

    /**
     * 当前考试科目名称
     */
    private String coreExaminationCourseName;

    /**
     * 学生所属学校id
     */
    private Long schoolId;

    /**
     * 学生所属学校名称
     */
    private String schoolName;

    /**
     * 学生所属年级id
     */
    private Long gradeId;

    /**
     * 学生所属年级名称
     */
    private String gradeName;

    /**
     * 学生所属班级id
     */
    private Long classId;

    /**
     * 学生所属班级名称
     */
    private String className;

    /**
     * 考场
     */
    private String examinationRoom;

    /**
     * 考号
     */
    private String examinationNumber;

    /**
     * 座位号
     */
    private Integer seatNumber;

    /**
     * 科目分值
     */
    private Double score;

    /**
     * 是否缺考
     * 1=是，0=否
     */
    private String miss;

    /**
     * 班级排名
     */
    private Integer classRank;

    /**
     * 年级排名
     */
    private Integer gradeRank;

    /**
     * 学校排名
     */
    private Integer schoolRank;

    /**
     * 是否补录
     * 1=是，0=否
     */
    private String back;

    /**
     * 考试学生名称
     */
    @TableField(exist = false)
    private String studentName;
}