package com.yida.data.common.core.entity.exam;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;

import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.util.List;

import lombok.Data;

/**
 * 考试监考老师表 Entity
 *
 * @author zhanghaijun
 * @date 2021-06-22 10:21:03
 */
@Data
@TableName("core_examination_teacher")
public class CoreExaminationTeacher {

    /**
     *
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     *
     */
    @TableField(value = "create_id", fill = FieldFill.INSERT)
    private Long createId;

    /**
     *
     */
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     *
     */
    @TableField(value = "update_id", fill = FieldFill.UPDATE)
    private Long updateId;

    /**
     *
     */
    @TableField(value = "update_date", fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    /**
     *
     */
    @TableField("del_flag")
    @TableLogic(value = "0", delval = "1")
    private String delFlag;

    /**
     * 本次考试主键ID
     */
    @TableField("core_examination_id")
    private Long coreExaminationId;

    /**
     * 考试监考老师后台系统ID，对应core_teacher的主键（可能不存在，因为可能是其他学校的老师）
     */
    @TableField("core_teacher_id")
    private Long coreTeacherId;

    /**
     * 考试监考老师APPID（可能不存在，因为可能是其他学校的老师）
     */
    @TableField("teacher_app_id")
    private String teacherAppId;

    /**
     * 考试监考老师名字
     */
    @TableField("teacher_name")
    private String teacherName;

    /**
     * 考试监考老师联系电话
     */
    @TableField("teacher_tel")
    private String teacherTel;

    /**
     * 考试监考老师来源学校
     */
    @TableField("teacher_school")
    private String teacherSchool;

    /**
     * 监考老师详情数据
     */
    
    @TableField(exist = false)
    private List<CoreExaminationTeacherDetail> teacherDetailList;

    /**
     * 监考老师角色字符串
     */

    @TableField(exist = false)
    private String teacherType;

    /**
     * 监考老师对应监考科目字符串
     */

    @TableField(exist = false)
    private String teacherCourseName;

    /**
     * 监考老师对应考场字符串
     */

    @TableField(exist = false)
    private String teacherExaminationRoom;
}