package com.yida.data.common.core.entity.exam;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;

import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import lombok.Data;

/**
 * 考试监考老师表 Entity
 *
 * @author zhanghaijun
 * @date 2021-06-22 10:21:04
 */
@Data
@TableName("core_examination_teacher_detail")
public class CoreExaminationTeacherDetail {

    /**
     *
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     *
     */
    @TableField(value = "create_id", fill = FieldFill.INSERT)
    private Long createId;

    /**
     *
     */
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     *
     */
    @TableField(value = "update_id", fill = FieldFill.UPDATE)
    private Long updateId;

    /**
     *
     */
    @TableField(value = "update_date", fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    /**
     *
     */
    @TableField("del_flag")
    @TableLogic(value = "0", delval = "1")
    private String delFlag;

    /**
     * 本次考试主键ID
     */
    @TableField("core_examination_id")
    private Long coreExaminationId;

    /**
     * 本次考试监考老师主键id
     */
    @TableField("core_examination_teacher_id")
    private Long coreExaminationTeacherId;

    /**
     * 老师监考角色（0:考试管理员、1:主考官。。。）
     */
    @TableField("teacher_type")
    private String teacherType;

    /**
     * 老师监考科目主键ID
     */
    @TableField("teacher_course_id")
    private Long teacherCourseId;

    /**
     * 老师监考科目
     */
    @TableField("teacher_course_name")
    private String teacherCourseName;

    /**
     * 老师监考考场
     */
    @TableField("teacher_examination_room")
    private String teacherExaminationRoom;

}