package com.yida.data.common.core.entity.health;

import java.util.Date;

import lombok.Data;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.time.LocalDate;
import java.time.LocalTime;

import io.swagger.annotations.ApiModelProperty;

/**
 * 年级和项目权重关联中间表 Entity
 *
 * @author wjm
 * @date 2021-09-14 17:16:21
 */
@Data
@TableName("edu_health_grade_releate_project")
public class EduGradeReleateProject {

    /**
     * 主键
     */
    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     * 创建人ID
     */
    @ApiModelProperty(value = "创建人ID")
    @TableField(value = "create_id", fill = FieldFill.INSERT)
    private String createId;

    /**
     * 创建人名字
     */
    @ApiModelProperty(value = "创建人名字")
    @TableField(value = "create_name", fill = FieldFill.INSERT)
    private String createName;

    /**
     * 最后修改时间
     */
    @ApiModelProperty(value = "最后修改时间")
    @TableField(value = "update_date", fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    /**
     * 最后修改人ID
     */
    @ApiModelProperty(value = "最后修改人ID")
    @TableField(value = "update_id", fill = FieldFill.UPDATE)
    private String updateId;

    /**
     * 最后修改人姓名
     */
    @ApiModelProperty(value = "最后修改人姓名")
    @TableField(value = "update_name", fill = FieldFill.UPDATE)
    private String updateName;

    /**
     * 是否删除，1删除0未删除	默认0
     */
    @ApiModelProperty(value = "是否删除，1删除0未删除	默认0")
    @TableField("del_flag")
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;

    /**
     * 年级名称
     */
    @ApiModelProperty(value = "年级名称")
    @TableField("record_grade_id")
    private Long recordGradeId;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField("project_id")
    private Long projectId;

}
