package com.yida.data.common.core.entity.health;

import java.math.BigDecimal;

import lombok.Data;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import io.swagger.annotations.ApiModelProperty;

/**
 * 项目打分表 Entity
 *
 * @author wjm
 * @date 2021-09-14 17:16:19
 */
@Data
@TableName("edu_health_national_standard_project_score")
public class EduNationalStandardProjectScore {

    /**
     * 主键
     */
    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     * 创建人ID
     */
    @ApiModelProperty(value = "创建人ID")
    @TableField(value = "create_id", fill = FieldFill.INSERT)
    private Long createId;

    /**
     * 创建人名字
     */
    @ApiModelProperty(value = "创建人名字")
    @TableField(value = "create_name", fill = FieldFill.INSERT)
    private String createName;

    /**
     * 最后修改时间
     */
    @ApiModelProperty(value = "最后修改时间")
    @TableField(value = "update_date", fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    /**
     * 最后修改人ID
     */
    @ApiModelProperty(value = "最后修改人ID")
    @TableField(value = "update_id", fill = FieldFill.UPDATE)
    private Long updateId;

    /**
     * 最后修改人姓名
     */
    @ApiModelProperty(value = "最后修改人姓名")
    @TableField(value = "update_name", fill = FieldFill.UPDATE)
    private String updateName;

    /**
     * 是否删除，1删除0未删除	默认0
     */
    @ApiModelProperty(value = "是否删除，1删除0未删除	默认0")
    @TableField("del_flag")
    @TableLogic(value = "0", delval = "1")
    private String delFlag;

    /**
     * 组织机构id
     */
    @ApiModelProperty(value = "组织机构id")
    @TableField("school_id")
    private Long schoolId;

    /**
     * 关联项目id(project_weight的主键id)
     */
    @ApiModelProperty(value = "关联项目id(project_weight的主键id)")
    @TableField("project_id")
    private Long projectId;

    /**
     * 单项得分
     */
    @ApiModelProperty(value = "单项得分")
    @TableField("score")
    private Integer score;

    /**
     * 等级名称
     */
    @ApiModelProperty(value = "等级名称")
    @TableField("rank")
    private String rank;

    /**
     * 适用的性别(0男，1女）
     */
    @ApiModelProperty(value = "适用的性别(0男，1女）")
    @TableField("apply_sex")
    private Integer applySex;

    /**
     * 数据的最小值
     */
    @ApiModelProperty(value = "数据的最小值")
    @TableField("data_min")
    private BigDecimal dataMin;
    /**
     * 数据的最大值
     */
    @ApiModelProperty(value = "数据的最大值")
    @TableField("data_max")
    private BigDecimal dataMax;
    /**
     * 记录年级名称
     */
    @ApiModelProperty(value = "记录年级名称")
    @TableField("record_grade_name")
    private String recordGradeName;

    /**
     * 记录年级主键id(core_grade表主键id）
     */
    @ApiModelProperty(value = "记录年级主键id(core_grade表主键id）")
    @TableField("record_grade_id")
    private Long recordGradeId;

    /**
     * 关联项目名称(project_weight的项目名称)
     */
    @ApiModelProperty(value = "关联项目名称(project_weight的项目名称)")
    @TableField("project_name")
    private String projectName;

    /**
     * 接收成绩的字段
     */
    @ApiModelProperty(value = "接收成绩的字段")
    @TableField(exist = false)
    private BigDecimal result;

}
