package com.yida.data.common.core.entity.health;

import java.util.Date;
import java.math.BigDecimal;

import lombok.Data;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.time.LocalDate;
import java.time.LocalTime;

import io.swagger.annotations.ApiModelProperty;

/**
 * 单项权重表 Entity
 *
 * @author wjm
 * @date 2021-09-14 17:16:28
 */
@Data
@TableName("edu_health_national_standard_project_weight")
public class EduNationalStandardProjectWeight {

    /**
     * 主键
     */
    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     * 创建人ID
     */
    @ApiModelProperty(value = "创建人ID")
    @TableField(value = "create_id", fill = FieldFill.INSERT)
    private Long createId;

    /**
     * 创建人名字
     */
    @ApiModelProperty(value = "创建人名字")
    @TableField(value = "create_name", fill = FieldFill.INSERT)
    private String createName;

    /**
     * 最后修改时间
     */
    @ApiModelProperty(value = "最后修改时间")
    @TableField(value = "update_date", fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    /**
     * 最后修改人ID
     */
    @ApiModelProperty(value = "最后修改人ID")
    @TableField(value = "update_id", fill = FieldFill.UPDATE)
    private Long updateId;

    /**
     * 最后修改人姓名
     */
    @ApiModelProperty(value = "最后修改人姓名")
    @TableField(value = "update_name", fill = FieldFill.UPDATE)
    private String updateName;

    /**
     * 是否删除，1删除0未删除	默认0
     */
    @ApiModelProperty(value = "是否删除，1删除0未删除	默认0")
    @TableField("del_flag")
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;

    /**
     * 项目名称(指标名称）
     */
    @ApiModelProperty(value = "项目名称(指标名称）")
    @TableField("project_name")
    private String projectName;

    /**
     * 项目比重（15%为0.15）
     */
    @ApiModelProperty(value = "项目比重（15%为0.15）")
    @TableField("project_proportion")
    private BigDecimal projectProportion;
    /**
     * 组织机构id（适用年级的id)(如果为空则适用所有年级)
     */
    @ApiModelProperty(value = "组织机构id（适用年级的id)(如果为空则适用所有年级)")
    @TableField("school_id")
    private Long schoolId;

    @ApiModelProperty("2为都有，0为男生专属，1为女生专属")
    @TableField("sex_type")
    private Integer sexType;

    /**
     * 记录年级名称
     */
    @ApiModelProperty(value = "记录年级名称")
    @TableField("grade_name")
    private String gradeName;

    /**
     * 记录年级主键id(core_grade表主键id）
     */
    @ApiModelProperty(value = "记录年级主键id(core_grade表主键id）")
    @TableField("grade_id")
    private Long gradeId;

    /**
     * 项目名称(指标名称）
     */
    @ApiModelProperty(value = "项目名称(指标名称）")
    @TableField("project2_name")
    private String project2Name;

    /**
     * 输入示例
     */
    @ApiModelProperty(value = "输入示例")
    @TableField("example")
    private String example;

    /**
     * 单位
     */
    @ApiModelProperty(value = "单位")
    @TableField("unit")
    private String unit;

}
