package com.yida.data.common.core.entity.health;

import java.util.Date;

import lombok.Data;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.time.LocalDate;
import java.time.LocalTime;

import io.swagger.annotations.ApiModelProperty;

/**
 * 体育测试 Entity
 *
 * @author wjm
 * @date 2021-09-14 17:16:23
 */
@Data
@TableName("edu_health_physical_examination")
public class EduPhysicalExamination {

    /**
     * 主键
     */
    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     * 创建人ID
     */
    @ApiModelProperty(value = "创建人ID")
    @TableField(value = "create_id", fill = FieldFill.INSERT)
    private Long createId;

    /**
     * 创建人名字
     */
    @ApiModelProperty(value = "创建人名字")
    @TableField(value = "create_name", fill = FieldFill.INSERT)
    private String createName;

    /**
     * 最后修改时间
     */
    @ApiModelProperty(value = "最后修改时间")
    @TableField(value = "update_date", fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    /**
     * 最后修改人ID
     */
    @ApiModelProperty(value = "最后修改人ID")
    @TableField(value = "update_id", fill = FieldFill.UPDATE)
    private Long updateId;

    /**
     * 最后修改人姓名
     */
    @ApiModelProperty(value = "最后修改人姓名")
    @TableField(value = "update_name", fill = FieldFill.UPDATE)
    private String updateName;

    /**
     * 是否删除，1删除0未删除	默认0
     */
    @ApiModelProperty(value = "是否删除，1删除0未删除	默认0")
    @TableField("del_flag")
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;

    /**
     * 记录年级名称
     */
    @ApiModelProperty(value = "记录年级名称")
    @TableField("record_grade_name")
    private String recordGradeName;

    /**
     * 记录年级主键id(core_grade表主键id）
     */
    @ApiModelProperty(value = "记录年级主键id(core_grade表主键id）")
    @TableField("record_grade_id")
    private Long recordGradeId;

    /**
     * 所在学校ID
     */
    @ApiModelProperty(value = "所在学校ID")
    @TableField("school_id")
    private Long schoolId;

    /**
     * 学校名称
     */
    @ApiModelProperty(value = "学校名称")
    @TableField("school_name")
    private String schoolName;

    /**
     * 所在年级ID
     */
    @ApiModelProperty(value = "所在年级ID")
    @TableField("grade_id")
    private Long gradeId;

    /**
     * 年级名称
     */
    @ApiModelProperty(value = "年级名称")
    @TableField("grade_name")
    private String gradeName;

    /**
     * 体测考试名称
     */
    @ApiModelProperty(value = "体测考试名称")
    @TableField("name")
    private String name;

}
