package com.yida.data.common.core.entity.health;

import java.util.Date;
import java.math.BigDecimal;

import lombok.Data;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.time.LocalDate;
import java.time.LocalTime;

import io.swagger.annotations.ApiModelProperty;

/**
 * 学生学年成绩记录表 Entity
 *
 * @author wjm
 * @date 2021-09-14 17:16:20
 */
@Data
@TableName("edu_health_student_physical_examination_grade_results")
public class EduStudentPhysicalExaminationGradeResults {

    /**
     * 主键
     */
    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 主键
     */
    @ApiModelProperty(value = "组别id")
    @TableField("group_id")
    private Long groupId;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     * 创建人ID
     */
    @ApiModelProperty(value = "创建人ID")
    @TableField(value = "create_id", fill = FieldFill.INSERT)
    private Long createId;

    /**
     * 创建人名字
     */
    @ApiModelProperty(value = "创建人名字")
    @TableField(value = "create_name", fill = FieldFill.INSERT)
    private String createName;

    /**
     * 最后修改时间
     */
    @ApiModelProperty(value = "最后修改时间")
    @TableField(value = "update_date", fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    /**
     * 最后修改人ID
     */
    @ApiModelProperty(value = "最后修改人ID")
    @TableField(value = "update_id", fill = FieldFill.UPDATE)
    private Long updateId;

    /**
     * 最后修改人姓名
     */
    @ApiModelProperty(value = "最后修改人姓名")
    @TableField(value = "update_name", fill = FieldFill.UPDATE)
    private String updateName;

    /**
     * 是否删除，1删除0未删除	默认0
     */
    @ApiModelProperty(value = "是否删除，1删除0未删除	默认0")
    @TableField("del_flag")
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;

    /**
     * 记录年级名称
     */
    @ApiModelProperty(value = "记录年级名称")
    @TableField("record_grade_name")
    private String recordGradeName;

    /**
     * 记录年级主键id(core_grade表主键id）
     */
    @ApiModelProperty(value = "记录年级主键id(core_grade表主键id）")
    @TableField("record_grade_id")
    private Long recordGradeId;

    /**
     * 学生主键id
     */
    @ApiModelProperty(value = "学生主键id")
    @TableField("student_id")
    private Long studentId;

    /**
     * 学生学号
     */
    @ApiModelProperty(value = "学生学号")
    @TableField("student_number")
    private String studentNumber;

    /**
     * 总得分(汇总所有项目的成绩计算总得分）
     */
    @ApiModelProperty(value = "总得分(汇总所有项目的成绩计算总得分）")
    @TableField("total_score")
    private BigDecimal totalScore;
    /**
     * 总等级（通过汇总得到的总等级）
     */
    @ApiModelProperty(value = "总等级（通过汇总得到的总等级）")
    @TableField("total_rank")
    private String totalRank;

    /**
     * 学生名称
     */
    @ApiModelProperty(value = "学生名称")
    @TableField("student_name")
    private String studentName;

    /**
     * 学生性别(sex为0为男，为1为女）
     */
    @ApiModelProperty(value = "学生性别(sex为0为男，为1为女）")
    @TableField("student_sex")
    private Integer studentSex;

    /**
     * 所在学校ID
     */
    @ApiModelProperty(value = "所在学校ID")
    @TableField("school_id")
    private Long schoolId;

    /**
     * 学校名称
     */
    @ApiModelProperty(value = "学校名称")
    @TableField("school_name")
    private String schoolName;

    /**
     * 所在年级ID
     */
    @ApiModelProperty(value = "所在年级ID")
    @TableField("grade_id")
    private Long gradeId;

    /**
     * 年级名称
     */
    @ApiModelProperty(value = "年级名称")
    @TableField("grade_name")
    private String gradeName;

    /**
     * 班级ID
     */
    @ApiModelProperty(value = "班级ID")
    @TableField("class_id")
    private Long classId;

    /**
     * 班级名称
     */
    @ApiModelProperty(value = "班级名称")
    @TableField("class_name")
    private String className;

    /**
     * 标准分(暂时不清楚怎么计算标准分数）
     */
    @ApiModelProperty(value = "标准分(暂时不清楚怎么计算标准分数）")
    @TableField("standard_score")
    private BigDecimal standardScore;
    /**
     * 来源类型0为学校录入的信息，1为家长自测录入的信息
     */
    @ApiModelProperty(value = "来源类型0为学校录入的信息，1为家长自测录入的信息")
    @TableField("source_type")
    private Integer sourceType;

}
