package com.yida.data.common.core.entity.instructions;

import lombok.Data;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import java.util.List;

import io.swagger.annotations.ApiModelProperty;

/**
 * Entity
 *
 * @author wjm
 * @date 2021-08-30 15:54:24
 */
@Data
@TableName("edu_instructions_type")
public class EduInstructionsType {

    /**
     * 主键ID
     */
    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 类型名称：此处为系统菜单
     */
    @ApiModelProperty(value = "类型名称：此处为系统菜单")
    @TableField("type_name")
    private String typeName;

    /**
     * 类型编码：此处为系统菜单编码
     */
    @ApiModelProperty(value = "类型编码：此处为系统菜单编码")
    @TableField("type_code")
    private String typeCode;

    /**
     * 父级code
     */
    @ApiModelProperty(value = "父级code")
    @TableField("parent_type_code")
    private String parentTypeCode;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "update_date", fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "create_id", fill = FieldFill.INSERT)
    private Long createId;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "update_id", fill = FieldFill.UPDATE)
    private Long updateId;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField("del_flag")
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;

    @TableField(exist = false)
    @TableLogic(value = "0", delval = "1")
    private List<EduInstructionsType> instructionsTypes;

}
