package com.yida.data.common.core.entity.letter;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * @author ccl
 */
@Data
@TableName("edu_letter_box_config")
public class EduLetterBoxConfig {

    @ApiModelProperty("")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("'学校id'")
    @TableField("school_id")
    private Long schoolId;

    @ApiModelProperty("'图片地址'")
    @TableField("pic_url")
    private String picUrl;

    @ApiModelProperty("'跳转地址'")
    @TableField("jump_url")
    private String jumpUrl;

    @ApiModelProperty("'创建时间'")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value ="create_date", fill = FieldFill.INSERT)
    private LocalDateTime createDate;

    @ApiModelProperty("'创建人id'")
    @TableField(value ="create_id", fill = FieldFill.INSERT)
    private Long createId;

    @ApiModelProperty("'修改人时间'")
    @TableField(value ="update_date", fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    @ApiModelProperty("'修改人id'")
    @TableField(value ="update_id", fill = FieldFill.UPDATE)
    private Long updateId;

    @ApiModelProperty("'写信须知'")
    @TableField("tip")
    private String tip;

    @ApiModelProperty("'排序'")
    @TableField("sort")
    private Integer sort;

}
