package com.yida.data.common.core.entity.letter;

import lombok.Data;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
* 信箱回复 Entity
*
* @author zhanghaijun
* @date 2021-07-20 10:55:52
*/
@Data
@TableName("edu_letter_box_reply")
public class EduLetterBoxReply {

        /**
        * 
        */
        @TableId(value = "id", type = IdType.AUTO)
        private Long id;

        /**
        * 
        */
        @TableField(value ="create_id", fill = FieldFill.INSERT)
        private String createId;

        /**
        * 
        */
        @TableField(value ="create_date", fill = FieldFill.INSERT)
        @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime createDate;

        /**
        * 
        */
                @TableField(value ="update_id", fill = FieldFill.UPDATE)
            private String updateId;

        /**
        * 
        */
                @TableField(value ="update_date", fill = FieldFill.UPDATE)
            @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
            @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
            private LocalDateTime updateDate;

        /**
        * 
        */
                @TableField("del_flag")
            @TableLogic(value = "0", delval = "1")
            private Integer delFlag;

        /**
        * 
        */
                @TableField("core_letter_box_id")
            private Integer coreLetterBoxId;

        /**
        * 回复内容
        */
                @TableField("content")
            private String content;

        /**
        * 手机用户名称
        */
                @TableField(value ="create_name", fill = FieldFill.INSERT)
            private String createName;

        /**
        * 手机用户头像
        */
                @TableField("header")
            private String header;

        /**
        * 追问问题
        */
                @TableField("question_content")
            private String questionContent;

        /**
        * 是否回复：0:未回复，1：已回复
        */
                @TableField("reply")
            private String reply;

        /**
        * 回复人
        */
                @TableField("reply_name")
            private String replyName;

        /**
        * 回复时间
        */
                @TableField("reply_date")
            @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
            @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
            private LocalDateTime replyDate;

        /**
        * 回复人员id
        */
                @TableField("reply_id")
            private String replyId;

}