package com.yida.data.common.core.entity.menu;

import java.util.Date;

import lombok.Data;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.time.LocalDate;
import java.time.LocalTime;

import io.swagger.annotations.ApiModelProperty;

/**
 * 菜谱表 Entity
 *
 * @author ccl
 * @date 2021-09-27 14:22:47
 */
@Data
@TableName("edu_menu")
public class EduMenu {

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "create_id", fill = FieldFill.INSERT)
    private Long createId;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "create_name", fill = FieldFill.INSERT)
    private String createName;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "update_id", fill = FieldFill.UPDATE)
    private Long updateId;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "update_date", fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField("del_flag")
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;

    /**
     * 菜谱名称
     */
    @ApiModelProperty(value = "菜谱名称")
    @TableField("menu")
    private String menu;

    /**
     * 阅读量
     */
    @ApiModelProperty(value = "阅读量")
    @TableField("read_num")
    private Long readNum;

    /**
     * 来源类型（0=手动新增，1=excel导入）
     */
    @ApiModelProperty(value = "来源类型（0=手动新增，1=excel导入）")
    @TableField("source_type")
    private Integer sourceType;

    /**
     * 是否定时发送,''''0''=''不定时发送,,''''1''=:定时发送,
     */
    @ApiModelProperty(value = "是否定时发送,''''0''=''不定时发送,,''''1''=:定时发送,")
    @TableField("timed_type")
    private Integer timedType;

    /**
     * 定时发送的时间
     */
    @ApiModelProperty(value = "定时发送的时间")
    @TableField("timed_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime timedTime;

    /**
     * 发布时间
     */
    @ApiModelProperty(value = "发布时间")
    @TableField("publish_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime publishTime;

    /**
     * 发布状态（0: 未发布, 1: 已发布, 2:撤销）
     */
    @ApiModelProperty(value = "发布状态（0: 未发布, 1: 已发布, 2:撤销）")
    @TableField("status")
    private Integer status;

    /**
     * 学校id
     */
    @ApiModelProperty(value = "学校id")
    @TableField("school_id")
    private Long schoolId;

}
