package com.yida.data.common.core.entity.menu;

import java.util.Date;

import lombok.Data;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.time.LocalDate;
import java.time.LocalTime;

import io.swagger.annotations.ApiModelProperty;

/**
 * 菜谱内容 Entity
 *
 * @author ccl
 * @date 2021-09-27 14:22:50
 */
@Data
@TableName("edu_menu_content")
public class EduMenuContent {

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "create_id", fill = FieldFill.INSERT)
    private Long createId;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "update_id", fill = FieldFill.UPDATE)
    private Long updateId;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "update_date", fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField("del_flag")
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;

    /**
     * 菜谱主键
     */
    @ApiModelProperty(value = "菜谱主键")
    @TableField("menu_id")
    private Long menuId;

    /**
     * 菜谱时间
     */
    @ApiModelProperty(value = "菜谱时间")
    @TableField("menu_date")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private LocalDate menuDate;

    /**
     * 周几
     */
    @ApiModelProperty(value = "周几")
    @TableField("menu_week")
    private String menuWeek;

    /**
     * 早餐（预留）
     */
    @ApiModelProperty(value = "早餐（预留）")
    @TableField("breakfast")
    private String breakfast;

    /**
     * 课间餐（预留）
     */
    @ApiModelProperty(value = "课间餐（预留）")
    @TableField("snacks")
    private String snacks;

    /**
     * 午餐（预留）
     */
    @ApiModelProperty(value = "午餐（预留）")
    @TableField("lunch")
    private String lunch;

    /**
     * 晚餐（预留）
     */
    @ApiModelProperty(value = "晚餐（预留）")
    @TableField("supper")
    private String supper;

}
