package com.yida.data.common.core.entity.menu;

import java.util.Date;

import lombok.Data;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.time.LocalDate;
import java.time.LocalTime;

import io.swagger.annotations.ApiModelProperty;

/**
 * 菜谱菜单表(包含早、中、课间、晚餐) Entity
 *
 * @author ccl
 * @date 2021-09-27 14:22:41
 */
@Data
@TableName("edu_menu_content_recipe")
public class EduMenuContentRecipe {

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "create_id", fill = FieldFill.INSERT)
    private Long createId;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "update_id", fill = FieldFill.UPDATE)
    private Long updateId;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "update_date", fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField("del_flag")
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;

    /**
     * 菜谱主键
     */
    @ApiModelProperty(value = "菜谱主键")
    @TableField("core_menu_content_id")
    private Integer coreMenuContentId;

    /**
     * 食物名称
     */
    @ApiModelProperty(value = "食物名称")
    @TableField("name")
    private String name;

    /**
     * 食物图片
     */
    @ApiModelProperty(value = "食物图片")
    @TableField("img_url")
    private String imgUrl;

    /**
     * 0:早餐, 1:课间餐, 2:午餐, 3:晚餐
     */
    @ApiModelProperty(value = "0:早餐, 1:课间餐, 2:午餐, 3:晚餐")
    @TableField("type")
    private Integer type;

}
