package com.yida.data.common.core.entity.notice;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * 通知-接收人
 */
@ApiModel(value = "com-yida-data-common-core-entity-notice-EduNoticeBuyReceiver")
@Data
@TableName(value = "edu_notice_buy_receiver")
public class EduNoticeBuyReceiver {
    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty(value = "")
    private Long id;

    @ApiModelProperty(value = "")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createDate;

    @TableField(value = "create_id")
    @ApiModelProperty(value = "")
    private Long createId;

    @ApiModelProperty(value = "")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(fill = FieldFill.UPDATE)
    private LocalDateTime updateDate;

    @TableField(value = "update_id")
    @ApiModelProperty(value = "")
    private Long updateId;

    /**
     * 通知id
     */
    @TableField(value = "notice_id")
    @ApiModelProperty(value = "通知id")
    private Long noticeId;

    /**
     * 部门id
     */
    @TableField(value = "dept_id")
    @ApiModelProperty(value = "部门id")
    private Long deptId;

    /**
     * 部门名称
     */
    @TableField(value = "dept_name")
    @ApiModelProperty(value = "部门名称")
    private String deptName;

    /**
     * 部门微信id
     */
    @TableField(value = "dept_wx_id")
    @ApiModelProperty(value = "部门微信id")
    private Long deptWxId;

    /**
     * 家长id
     */
    @TableField(value = "parent_id")
    @ApiModelProperty(value = "家长id")
    private Long parentId;

    /**
     * 家长微信id
     */
    @TableField(value = "parent_wx_id")
    @ApiModelProperty(value = "家长微信id")
    private String parentWxId;

    @TableField(value = "parent_name")
    @ApiModelProperty(value = "家长微信id")
    private String parentName;

    @TableField(value = "student_id")
    @ApiModelProperty(value = "学生id")
    private Long studentId;

    @TableField(value = "student_name")
    @ApiModelProperty(value = "学生姓名")
    private String studentName;

    @TableField(exist = false)
    @ApiModelProperty(value = "班级名字")
    private String className;

    @TableField(exist = false)
    @ApiModelProperty(value = "年级名字")
    private String gradeName;

    @TableField(exist = false)
    @ApiModelProperty(value = "学校名字")
    private String schoolName;

    @TableField(exist = false)
    @ApiModelProperty(value = "校区名字")
    private String campusName;

    @TableField(exist = false)
    @ApiModelProperty(value = "学段名字")
    private String sectionName;

}