package com.yida.data.common.core.entity.notice;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 学校通知-家长阅读记录表
 *
 * @TableName edu_notice_school_read
 */
@TableName(value = "edu_notice_school_read")
@Data
public class EduNoticeSchoolRead implements Serializable {

    /**
     * 通知id
     */
    private Long noticeId;

    /**
     * 家长id
     */
    private Long parentId;

    /**
     * 点击时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createDate;
}