package com.yida.data.common.core.entity.notice;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 学校通知接收人
 */
@ApiModel(value = "com-yida-data-common-core-entity-notice-EduNoticeSchoolReceiver")
@Data
@TableName(value = "edu_notice_school_receiver")
public class EduNoticeSchoolReceiver {
    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty(value = "")
    private Long id;

    /**
     * 通知id
     */
    @TableField(value = "notice_id")
    @ApiModelProperty(value = "通知id")
    private Long noticeId;

    /**
     * 部门id
     */
    @TableField(value = "dept_id")
    @ApiModelProperty(value = "部门id")
    private Long deptId;

    @ApiModelProperty("部门名称")
    private String deptName;

    @ApiModelProperty("部门类型")
    private Integer deptType;

    /**
     * 部门微信id
     */
    @TableField(value = "dept_wx_id")
    @ApiModelProperty(value = "部门微信id")
    private Long deptWxId;

    @ApiModelProperty("学生id")
    private Long studentId;

    private String studentName;

    /**
     * 家长id
     */
    @TableField(value = "parent_id")
    @ApiModelProperty(value = "家长id")
    private Long parentId;

    /**
     * 家长微信id
     */
    @TableField(value = "parent_wx_id")
    @ApiModelProperty(value = "家长微信id")
    private String parentWxId;

    @ApiModelProperty("家长易达appId")
    private String parentYidaAppId;

    /**
     * 家长名称
     */
    private String parentName;
}