package com.yida.data.common.core.entity.notice;
import lombok.Data;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
* 通知关联用户中间表 Entity
*
* @author zhanghaijun
* @date 2021-06-21 15:29:18
*/
@Data
@TableName("edu_notice_system_user")
public class EduNoticeSystemUser {

        /**
        * 
        */
        @TableId(value = "id", type = IdType.AUTO)
        private Long id;

        /**
        * 用户id关联t_user表id
        */
        @TableField("user_id")
        private Long userId;
        /**
         * 系统通知id，关联edu_notice_system表id
         */
        @TableField("notice_id")
        private Long noticeId;

        /**
        * 0未阅读，1已阅读是否阅读，默认0
        */
        @TableField("read_flag")
        private int readFlag;

        /**
         * 阅读回执信息
         */
        @TableField("receipt")
        private int receipt;

        /**
        * 创建时间
        */
        @TableField("creat_time")
        @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime creatTime;

        /**
        * 创建人id
        */
        @TableField("creat_id")
        private Long creatId;

        /**
        * 修改时间
        */
        @TableField("update_time")
        @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime updateTime;

        /**
        * 修改人id
        */
        @TableField(value ="update_id", fill = FieldFill.UPDATE)
        private Long updateId;

}