package com.yida.data.common.core.entity.notice.app.inside;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * app推送消息  消息体
 */
@Data
@NoArgsConstructor
public class PushMessage {


    @ApiModelProperty("订阅号  订阅号id")
    private String accountId;

    @ApiModelProperty("订阅号  封面图地址")
    private String imgUrl;

    @ApiModelProperty("订阅号  媒资资源地址(video类型的视频地址等)")
    private String srcUrl;

    @ApiModelProperty("订阅号  h5地址")
    private String htmlUrl;

    @ApiModelProperty("极光/订阅号 内容")
    private String content;

    @ApiModelProperty("极光/订阅号 标题")
    private String title;

    @ApiModelProperty("极光")
    private String remarks;

    @ApiModelProperty("极光 消息通知封面图")
    private String pic;
    @ApiModelProperty("极光  点击跳转地址")
    private String url;

    @ApiModelProperty("订阅号 类型 纯文字text    链接 html   图片 image   文章（图文） article     视频video   语音  audio" +
            "极光一级类型   NORMAL")
    private String msgType;

    @ApiModelProperty("极光 子类型 MSG_ACCOUNT_MSG")
    private String msgSubType;

    @ApiModelProperty("极光 订阅号id")
    private String serviceId;

    public PushMessage(String title, String serviceId) {
        this.title = title;
        this.serviceId = serviceId;
        this.msgType = "NORMAL";
        this.msgSubType = "MSG_ACCOUNT_MSG";
    }

    public static final String TEXT = "text";
    public static final String HTML = "html";
    public static final String IMAGE = "image";
    public static final String ARTICLE = "article";
    public static final String VIDEO = "video";
    public static final String AUDIO = "audio";
    public static final String NORMAL = "NORMAL";
    public static final String ACCOUNT = "MSG_ACCOUNT_MSG";
}
