package com.yida.data.common.core.entity.notice.qywx;

import java.util.List;

import lombok.Data;

@Data
public class BaseSchoolNotice {
    /**
     * 已关注「学校通知」的家长列表，即将废弃（最多支持1000个）
     */
    private List<String> to_external_user;

    /**
     * 家校通讯录家长列表（最多支持1000个）
     */
    private List<String> to_parent_userid;

    /**
     * 家校通讯录学生列表，表示发给学生的所有家长（最多支持1000个）
     */
    private List<String> to_student_userid;

    /**
     * 家校通讯录部门列表，表示发给班级的所有家长（最多支持100个）
     */
    private List<String> to_party;

    /**
     * 1表示发送给学校的所有家长，默认为0
     */
    private Integer toall;

    /**
     * 必须 企业应用的id，整型。可在应用的设置页面查看
     */
    private String agentid;

    /**
     * 表示是否开启id转译，0表示否，1表示是，默认0
     */
    private Integer enable_id_trans;

    /**
     * 表示是否开启重复消息检查，0表示否，1表示是，默认0
     */
    private Integer enable_duplicate_check;

    /**
     * 表示是否重复消息检查的时间间隔，默认1800s，最大不超过4小时
     */
    private Integer duplicate_check_interval;
}
