package com.yida.data.common.core.entity.notice.qywx.inside;

import lombok.Data;

@Data
public class Article {
    // news/mpnews/public 必须 标题，不超过128个字节，超过会自动截断（支持id转译）
    private String title;
    // mpnews/public 图文消息缩略图的media_id, 可以通过素材管理接口获得。此处thumb_media_id即上传接口返回的media_id
    private String thumb_media_id;
    // mpnews/public 图文消息的作者，不超过64个字节
    private String author;
    //mpnews/public 图文消息点击“阅读原文”之后的页面链接
    private String content_source_url;
    // mpnews/public 图文消息的内容，支持html标签，不超过666 K个字节 （支持id转译）
    private String content;
    // mpnews/public 图文消息的描述，不超过512个字节，超过会自动截断 （支持id转译）
    private String digest;
    //news 描述，不超过512个字节，超过会自动截断（支持id转译）
    private String description;
    //news 必须 点击后跳转的链接。
    private String url;
    //news 图文消息的图片链接，支持JPG、PNG格式，较好的效果为大图 1068*455，小图150*150。
    private String picurl;
    //public 是否显示封面，1为显示，0为不显示
    private Integer show_cover_pic;
    // public Uint32 是否打开评论，0不打开，1打开
    private Integer need_open_comment;
    // public Uint32 是否粉丝才可评论，0所有人可评论，1粉丝才可评论
    private Integer only_fans_can_comment;
}
