package com.yida.data.common.core.entity.pay;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 建行支付订单类
 *
 * @author ZYJ
 * @date 2023/6/20
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ConstructionPayOrder implements Serializable {

    private static final long serialVersionUID = -7383648143242078954L;

    @ApiModelProperty("订单号. 由商户提供，最长 30 位。建议按以下规则生成订单号：商户代码后9位, 自定义字符串（不超 21位）")
    private String orderNo;

    @ApiModelProperty("实际支付金额. 单位元")
    private BigDecimal payMoney;

    @ApiModelProperty("下单时间")
    private Date orderTime;
}
