package com.yida.data.common.core.entity.pay;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 收钱吧支付订单类
 *
 * @author ZYJ
 * @date 2023/3/21
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class UPayOrder implements Serializable {

    private static final long serialVersionUID = -5046106957542699001L;

    @ApiModelProperty("商户系统订单号. 唯一, 且长度不超过32字节")
    private String clientSn;

    @ApiModelProperty("实际支付金额. 单位元")
    private BigDecimal totalAmount;

    @ApiModelProperty("本次交易的概述")
    private String subject;

    @ApiModelProperty("支付方式. 不传默认选择当前环境支持的支付方式")
    private String payWay;

    @ApiModelProperty("发起本次交易的操作员")
    private String operator;

    @ApiModelProperty("扩展参数集合")
    private String extended;

    @ApiModelProperty("支付结果通知地址. 如果支付成功通知时间间隔为1s,5s,30s,600s")
    private String notifyUrl;

    @ApiModelProperty("网页跳转地址")
    private String returnUrl;
}
