package com.yida.data.common.core.entity.pay;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 收钱吧退款类
 *
 * @author ZYJ
 * @date 2023/3/21
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class URefund implements Serializable {

    private static final long serialVersionUID = 110140312726486743L;

    @ApiModelProperty("商户系统订单号. 唯一, 且长度不超过32字节")
    private String clientSn;

    @ApiModelProperty("退款序列号")
    private String refundRequestNo;

    @ApiModelProperty("执行本次退款的操作员")
    private String operator;

    @ApiModelProperty("退款金额. 单位元")
    private BigDecimal refundAmount;
}
