package com.yida.data.common.core.entity.pay;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 银联云闪付退款类
 *
 * @author ZYJ
 * @date 2022/6/17
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class UnionRefund implements Serializable {

    private static final long serialVersionUID = 1973298678071517955L;

    @ApiModelProperty("订单号. 原交易订单号")
    private String orderNo;

    @ApiModelProperty("退款订单号")
    private String refundOrderNo;

    /**
     * 流水号生成规则：
     * 第一位：一位数前缀
     * 第2-10位：学校ID，缺少的以0在前补位
     * 第11-20位：商品编码code，缺少的以0在前补位，
     * 第21-28位：购买日期（年月日），
     * 第29-36位：8位随机数
     */
    @ApiModelProperty("流水号生成规则： 第一位：Z 第2-10位：学校ID，缺少的以0在前补位 第11-20位：商品编码code，缺少的以0在前补位， 第21-28位：购买日期（年月日）， 第29-36位：8位随机数")
    private String transactionNumber;

    @ApiModelProperty("退款金额. 单位元")
    private BigDecimal refundAmount;

    @ApiModelProperty("退款说明")
    private String refundDesc;
}
