package com.yida.data.common.core.entity.program;

import lombok.Data;

/**
 * @author ccl
 */
@Data
public class YiDaSmallProgramVO {
    /**
     * 小程序id(传值为修改，不传为新增)
     */
    private String id;
    /**
     * 小程序类型id
     */
    private String smallProgramTypeId;
    /**
     *  小程序名称
     */
    private String title;
    /**
     * 小程序图标
     */
    private String iconUrl;
    /**
     * 小程序大图
     */
    private String imageUrl;
    /**
     *   h5链接地址
     */
    private String h5Url;
    /**
     * 关键词组（多个标签用分号隔开）
     */
    private String keyWords;
    /**
     * 小程序显示位置  1栏目顶部排列；2浮动图标右上侧；3浮动图标右中侧；4浮动图标右下侧；5栏目所属文章底部
     */
    private Integer position;
    /**
     * 操作权限  （1可见；2可操作）
     */
    private Integer authorityType;

    private String createById;

    private String updateById;
    /**
     * 小程序位置 上 中 下
     */
    private Integer isPosition;
    /**
     *  是否显示小程序名称 0，1
     */
    private Integer isShowName;
    /**
     *  类型名
     */
    private String typeName;
    /**
     * 分享URL地址
     */
    private String shareUrl;
    /**
     *  分享标题
     */
    private String shareTitle;
    /**
     * 是否显示分享图片(1:显示,0:关闭)
     */
    private Integer shareCoverImg;
    /**
     * 是否关闭分享(1:显示,0:关闭)
     */
    private Integer isShareClose;
    /**
     * 是否定时关闭小程序(单位秒)
     */
    private Integer timingSmallProgramClose;
    /**
     * 是否显示小程序关闭按钮(1:显示,0:关闭)
     */
    private Integer isClose;
    /**
     * 是否定时显示关闭按钮 (单位秒)
     */
    private Integer timingShowCloseBtn;
    /**
     * 来源显示(0:都显示,1:只在安卓上显示,2:只在IOS上显示)
     */
    private Integer sourceShow;
    /**
     * 要跳转的栏目id
     */
    private String jumpColumnId;
    /**
     * ios最低版本
     */
    private Integer iosVersion;
    /**
     * android最低版本
     */
    private Integer androidVersion;
    /**
     * ios最高版本
     */
    private Integer iosTopVersion;
    /**
     * android最高版本
     */
    private Integer androidTopVersion;
    /**
     * 区域id
     */
    public String areaId;

}
