package com.yida.data.common.core.entity.school;

    import java.util.Date;
import lombok.Data;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.time.LocalDate;
import java.time.LocalTime;
    import java.util.List;

/**
* 学校信息表 Entity
*
* @author zhanghaijun
* @date 2021-06-28 10:58:27
*/
@Data
@TableName("core_school_information")
public class CoreSchoolInformation {

        /**
        * 主键
        */
        @TableId(value = "id", type = IdType.AUTO)
        private Integer id;

        /**
        * 创建时间
        */
        @TableField(value ="create_date", fill = FieldFill.INSERT)
        @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime createDate;

        /**
        * 创建人ID
        */
        @TableField(value ="create_id", fill = FieldFill.INSERT)
        private String createId;

        /**
        * 最后修改时间
        */
        @TableField(value ="update_date", fill = FieldFill.UPDATE)
        @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime updateDate;

        /**
        * 最后修改人ID
        */
        @TableField(value ="update_id", fill = FieldFill.UPDATE)
        private String updateId;

        /**
        * 是否删除，1删除0未删除	默认0
        */
        @TableField("del_flag")
        @TableLogic(value = "0", delval = "1")
        private String delFlag;

        /**
        * 学校id
        */
        @TableField("school_id")
        private Integer schoolId;

        /**
        * 学校名称
        */
        @TableField("school_name")
        private String schoolName;

        /**
        * 学校简介
        */
        @TableField("school_introduction")
        private String schoolIntroduction;

        /**
        * 学校简介
        */
        @TableField("school_address")
        private String schoolAddress;

        /**
        * 办公室电话, 多个用","隔开
        */
        @TableField("office_phone")
        private String officePhone;

        /**
        * 招生电话, 多个用","隔开
        */
        @TableField("enrollment_phone")
        private String enrollmentPhone;

        /**
        * 学校主页banner图片地址
        */
        @TableField("school_picture")
        private String schoolPicture;

        /**
        * 邮箱
        */
        @TableField("mailbox")
        private String mailbox;

        /**
        * 邮编
        */
        @TableField("postcode")
        private String postcode;

        /**
         * 学校标签信息
         */
        @TableField(exist = false)
        private List<CoreSchoolLabel> labelList;

}