package com.yida.data.common.core.entity.school;

    import java.util.Date;
import lombok.Data;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.time.LocalDate;
import java.time.LocalTime;

/**
* 学校标签表 Entity
*
* @author zhanghaijun
* @date 2021-06-28 10:59:44
*/
@Data
@TableName("core_school_label")
public class CoreSchoolLabel {

        /**
        * 主键
        */
        @TableId(value = "id", type = IdType.AUTO)
        private Integer id;

        /**
        * 创建时间
        */
        @TableField(value ="create_date", fill = FieldFill.INSERT)
        @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime createDate;

        /**
        * 创建人ID
        */
        @TableField(value ="create_id", fill = FieldFill.INSERT)
        private String createId;

        /**
        * 最后修改时间
        */
        @TableField(value ="update_date", fill = FieldFill.UPDATE)
        @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime updateDate;

        /**
        * 最后修改人ID
        */
        @TableField(value ="update_id", fill = FieldFill.UPDATE)
        private String updateId;

        /**
        * 是否删除，1删除0未删除	默认0
        */
        @TableField("del_flag")
        @TableLogic(value = "0", delval = "1")
        private String delFlag;

        /**
        * 学校id
        */
        @TableField("school_id")
        private Integer schoolId;

        /**
        * 标签名称
        */
        @TableField("label_name")
        private String labelName;

        /**
        * 标签简介
        */
        @TableField("label_introduction")
        private String labelIntroduction;

}