package com.yida.data.common.core.entity.school;

    import java.util.Date;
import lombok.Data;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.time.LocalDate;
import java.time.LocalTime;

/**
* 学校标签信息表 Entity
*
* @author zhanghaijun
* @date 2021-06-28 11:00:13
*/
@Data
@TableName("core_school_label_information")
public class CoreSchoolLabelInformation {

        /**
        * 主键
        */
        @TableId(value = "id", type = IdType.AUTO)
        private Integer id;

        /**
        * 创建时间
        */
        @TableField(value ="create_date", fill = FieldFill.INSERT)
        @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime createDate;

        /**
        * 创建人ID
        */
        @TableField(value ="create_id", fill = FieldFill.INSERT)
        private String createId;

        /**
        * 最后修改时间
        */
        @TableField(value ="update_date", fill = FieldFill.UPDATE)
        @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime updateDate;

        /**
        * 最后修改人ID
        */
        @TableField(value ="update_id", fill = FieldFill.UPDATE)
        private String updateId;

        /**
        * 是否删除，1删除0未删除	默认0
        */
        @TableField("del_flag")
        @TableLogic(value = "0", delval = "1")
        private String delFlag;

        /**
        * 学校id
        */
        @TableField("school_id")
        private Integer schoolId;

        /**
        * 学校信息id
        */
        @TableField("school_information_id")
        private Integer schoolInformationId;

        /**
        * 学校标签id
        */
        @TableField("school_label_id")
        private Integer schoolLabelId;

        /**
        * 图片或视频地址
        */
        @TableField("resource_path")
        private String resourcePath;

        /**
        * 资源类型(0:图片, 1:视频)
        */
        @TableField("type")
        private String type;

        /**
        * 视频封面图片(当资源为视频时有)
        */
        @TableField("video_cover_url")
        private String videoCoverUrl;

        /**
        * 资源描述
        */
        @TableField("describe")
        private String describe;

        /**
        * 文字标题，相册名称
        */
        @TableField("title")
        private String title;

        /**
        * 视频链接
        */
        @TableField("video_link")
        private String videoLink;

        /**
        * 浏览量
        */
        @TableField("pageviews")
        private Integer pageviews;

}