package com.yida.data.common.core.entity.school;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;

import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 宿舍楼-寝室房间 Entity
 *
 * @author wjm
 * @date 2021-09-14 17:42:13
 */
@Data
@TableName("edu_dormitory_room")
public class EduDormitoryRoom {

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "create_id", fill = FieldFill.INSERT)
    private Long createId;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "update_date", fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "update_id", fill = FieldFill.UPDATE)
    private Long updateId;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField("del_flag")
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;

    /**
     * 宿舍名称
     */
    @ApiModelProperty(value = "宿舍名称")
    @TableField("name")
    private String name;

    /**
     * 楼层
     */
    @ApiModelProperty(value = "楼层")
    @TableField("floor")
    private Integer floor;

    /**
     * 宿舍楼id
     */
    @ApiModelProperty(value = "宿舍楼id")
    @TableField("dorm_id")
    private Long dormId;

    @ApiModelProperty("床位数量")
    private Integer bedNum;

    @ApiModelProperty("入住数量")
    private Integer checkInNum;

    @ApiModelProperty("宿舍楼名称")
    private transient String dormName;
}
