package com.yida.data.common.core.entity.school;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.yida.data.common.core.entity.user.EduStaff;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;
import java.util.List;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 学校功能关键点配置
 *
 * @author wjm
 * @date 2021-09-14 17:42:11
 */
@Data
@TableName("edu_school_function_config")
public class EduSchoolFunctionConfig {

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "学校主键")
    @TableField(value = "school_id")
    private Long schoolId;

    @ApiModelProperty(value = "关键功能点code")
    @TableField(value = "function_code")
    private String functionCode;

    @ApiModelProperty(value = "是否启用1启用，其他未启用")
    @TableField(value = "state")
    private Integer state;

}
