package com.yida.data.common.core.entity.school.secondClass;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.Getter;
import org.springframework.format.annotation.DateTimeFormat;

@Data
public class EduSecondClassConfig {

    @ApiModelProperty(value = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "")
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "create_id", fill = FieldFill.INSERT)
    private Long createId;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "update_date", fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "update_id", fill = FieldFill.UPDATE)
    private Long updateId;

    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;

    private Long deptId;


    /**
     * 主页标题
     */
    private String homeTitle;

    /**
     * 主页是否展示，0-是，1-否
     */
    private Integer homeShow;

    /**
     * 场馆标题
     */
    private String venueTitle;

    /**
     * 场馆是否展示，0-是，1-否
     */
    private Integer venueShow;

    /**
     * 平台标题
     */
    private String platformTitle;

    /**
     * 平台是否展示，0-是，1-否
     */
    private Integer platformShow;

    /**
     * 名师在线标题
     */
    private String courseTitle;
    /**
     * 名师在线是否展示，0-是，1-否
     */
    private Integer courseShow;

    @Getter
    @AllArgsConstructor
    public enum Type {
        /**
         * 首页类型
         */
        HOME(0),
        /**
         * 场馆类型
         */
        VENUE(1),
        /**
         * 智慧平台
         */
        PLATFORM(2),
        /**
         * 课程类型
         */
        COURSE(3);
        /**
         * 类型值
         */
        private final Integer value;
    }
}
