package com.yida.data.common.core.entity.school.secondClass;

import java.util.Date;
import lombok.Data;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.time.LocalDate;
import java.time.LocalTime;

/**
 * Entity
 *
 * @author zhanghaijun
 * @date 2022-04-11 11:09:15
 */
@Data
@TableName("edu_second_class_course")
public class EduSecondClassCourse {

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "create_id", fill = FieldFill.INSERT)
    private Long createId;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "update_date", fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "update_id", fill = FieldFill.UPDATE)
    private Long updateId;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField("del_flag")
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;

    /**
     * 封面图
     */
    @ApiModelProperty(value = "封面图")
    @TableField("cover_url")
    private String coverUrl;

    /**
     * 课程名称
     */
    @ApiModelProperty(value = "课程名称")
    @TableField("name")
    private String name;

    /**
     * 授课方式，0-录播
     */
    @ApiModelProperty(value = "授课方式，0-录播")
    @TableField("type")
    private Integer type;

    /**
     * 课程大纲
     */
    @ApiModelProperty(value = "课程大纲")
    @TableField("remark")
    private String remark;

    /**
     * 课程状态，0-未发布，1-已发布
     */
    @ApiModelProperty(value = "课程状态，0-未发布，1-已发布")
    private Integer status;

    /**
     * 首页推荐，0-否，1-是
     */
    @ApiModelProperty(value = "首页推荐，0-否，1-是")
    @TableField("home_recommend")
    private Integer homeRecommend;

    private Long deptId;

    @ApiModelProperty("发布主题id")
    private Long subjectId;

    @ApiModelProperty("访问量")
    private Long visitNum;

}