package com.yida.data.common.core.entity.school.secondClass;

import java.util.Date;
import lombok.Data;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.time.LocalDate;
import java.time.LocalTime;

/**
 * Entity
 *
 * @author zhanghaijun
 * @date 2022-04-11 11:09:15
 */
@Data
@TableName("edu_second_class_course_content")
public class EduSecondClassCourseContent {

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "create_id", fill = FieldFill.INSERT)
    private Long createId;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "update_date", fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "update_id", fill = FieldFill.UPDATE)
    private Long updateId;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField("del_flag")
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;

    /**
     * 文件标题
     */
    @ApiModelProperty(value = "文件标题")
    @TableField("name")
    private String name;

    /**
     * 讲师
     */
    @ApiModelProperty(value = "讲师")
    @TableField("lecturer_id")
    private Long lecturerId;

    /**
     * 视频时长
     */
    @ApiModelProperty(value = "视频时长")
    @TableField("duration")
    private Integer duration;

    /**
     * 文件格式（后缀名）
     */
    @ApiModelProperty(value = "文件格式（后缀名）")
    @TableField("file_type")
    private String fileType;

    /**
     * 文件大小（kb）
     */
    @ApiModelProperty(value = "文件大小（kb）")
    @TableField("file_size")
    private Long fileSize;

    private String fileUrl;

    private String fileCoverUrl;

    /**
     * 课程id
     */
    @ApiModelProperty(value = "课程id")
    @TableField("course_id")
    private Long courseId;

    private Long deptId;

    private Integer sort;

}