package com.yida.data.common.core.entity.school.secondClass;

import java.util.Date;
import lombok.Data;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.time.LocalDate;
import java.time.LocalTime;

/**
 * Entity
 *
 * @author zhanghaijun
 * @date 2022-04-18 09:39:53
 */
@Data
@TableName("edu_second_class_venue")
public class EduSecondClassVenue {

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "create_id", fill = FieldFill.INSERT)
    private Long createId;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "update_date", fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "update_id", fill = FieldFill.UPDATE)
    private Long updateId;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField("del_flag")
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;

    /**
     * 场馆名称
     */
    @ApiModelProperty(value = "场馆名称")
    @TableField("name")
    private String name;

    /**
     * 省
     */
    @ApiModelProperty(value = "省")
    @TableField("province_id")
    private Long provinceId;

    /**
     * 市
     */
    @ApiModelProperty(value = "市")
    @TableField("city_id")
    private Long cityId;

    /**
     * 县
     */
    @ApiModelProperty(value = "县")
    @TableField("county_id")
    private Long countyId;

    /**
     * 乡
     */
    @ApiModelProperty(value = "乡")
    @TableField("village_id")
    private Long villageId;

    /**
     * 详细地址
     */
    @ApiModelProperty(value = "详细地址")
    @TableField("address")
    private String address;

    /**
     * 联系电话，多个用逗号隔开
     */
    @ApiModelProperty(value = "联系电话，多个用逗号隔开")
    @TableField("mobile")
    private String mobile;

    /**
     * 开放日期，1-周一..7-周天，逗号隔开
     */
    @ApiModelProperty(value = "开放日期，1-周一..7-周天，逗号隔开")
    @TableField("open_date")
    private String openDate;

    /**
     * 开放时间，00:00-12:00,多个用逗号隔开
     */
    @ApiModelProperty(value = "开放时间，00:00-12:00,多个用逗号隔开")
    @TableField("open_time")
    private String openTime;

    /**
     * 场馆介绍
     */
    @ApiModelProperty(value = "场馆介绍")
    @TableField("remark")
    private String remark;

    /**
     * 场馆介绍图片视频，多个逗号隔开
     */
    @ApiModelProperty(value = "场馆介绍图片视频，多个逗号隔开")
    @TableField("remark_file")
    private String remarkFile;

    private String remarkFileCover;

    /**
     * 门票说明
     */
    @ApiModelProperty(value = "门票说明")
    @TableField("ticket_remark")
    private String ticketRemark;

    /**
     * 部门id
     */
    @ApiModelProperty(value = "部门id")
    @TableField("dept_id")
    private Long deptId;

    private Long subjectId;

    private Integer visitNum;

    @ApiModelProperty("场馆状态，0-未发布，1-已发布")
    private Integer status;

    @ApiModelProperty("首页推荐，0-否，1-是")
    private Integer homeRecommend;

}