package com.yida.data.common.core.entity.school.secondClass;

import java.util.Date;
import lombok.Data;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.time.LocalDate;
import java.time.LocalTime;

/**
 * Entity
 *
 * @author zhanghaijun
 * @date 2022-04-18 09:39:53
 */
@Data
@TableName("edu_second_class_venue_exhibit")
public class EduSecondClassVenueExhibit {

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "create_id", fill = FieldFill.INSERT)
    private Long createId;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "update_date", fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "update_id", fill = FieldFill.UPDATE)
    private Long updateId;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField("del_flag")
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;

    /**
     * 展品名称
     */
    @ApiModelProperty(value = "展品名称")
    @TableField("name")
    private String name;

    /**
     * 展品介绍
     */
    @ApiModelProperty(value = "展品介绍")
    @TableField("remark")
    private String remark;

    /**
     * 展品介绍，音频
     */
    @ApiModelProperty(value = "展品介绍，音频")
    @TableField("remark_audio")
    private String remarkAudio;

    /**
     * 展品介绍，图片视频，多个逗号隔开
     */
    @ApiModelProperty(value = "展品介绍，图片视频，多个逗号隔开")
    @TableField("remark_file")
    private String remarkFile;

    @ApiModelProperty("展品介绍文件类型，0-图片，1-视频，逗号隔开，数量与file字段对应")
    private String remarkFileType;

    @ApiModelProperty("展品介绍，视频封面，图片为空，数量与file对应，逗号隔开")
    private String remarkFileCover;

    /**
     * 展品分组
     */
    @ApiModelProperty(value = "展品分组")
    @TableField("group_id")
    private Long groupId;

    /**
     * 场馆id
     */
    @ApiModelProperty(value = "场馆id")
    @TableField("venue_id")
    private Long venueId;

    /**
     * 部门id
     */
    @ApiModelProperty(value = "部门id")
    @TableField("dept_id")
    private Long deptId;

    private Integer sort;

}