package com.yida.data.common.core.entity.smart;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 建行支付通知结果回调接收类
 *
 * @author ZYJ
 * @date 2023/6/22 1:06
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ConstructionPayNotifyDTO implements Serializable {

    private static final long serialVersionUID = 2742657904325141306L;

    /**
     * 商户柜台代码
     */
    private String POSID;

    /**
     * 分行代码
     */
    private String BRANCHID;

    /**
     * 订单号
     */
    private String ORDERID;

    /**
     * 付款金额
     */
    private String PAYMENT;

    /**
     * 币种
     */
    private String CURCODE;

    /**
     * 备注1
     */
    private String REMARK1;

    /**
     * 备注2
     */
    private String REMARK2;

    /**
     * 账户类型
     */
    private String ACC_TYPE;

    /**
     * 成功标志. 成功－Y，失败－N
     */
    private String SUCCESS;

    /**
     * 接口类型
     */
    private String TYPE;

    /**
     * Referer 信息
     */
    private String REFERER;

    /**
     * 客户端ip
     */
    private String CLIENTIP;

    /**
     * 签名
     */
    private String SIGN;
}
