package com.yida.data.common.core.entity.smart;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import lombok.Data;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.time.LocalDate;
import java.time.LocalTime;

/**
 * 智慧迎新指南表Entity
 *
 * @author ZYJ
 * @date 2023-05-15 15:33:18
 */
@Data
@TableName("edu_smart_welcome_guide")
public class EduSmartWelcomeGuide implements Serializable {

    private static final long serialVersionUID = -2989601716189955125L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除，1删除0未删除，默认0
     */
    @ApiModelProperty(value = "是否删除，1删除0未删除，默认0")
    @TableField("del_flag")
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     * 创建人id
     */
    @ApiModelProperty(value = "创建人id")
    @TableField(value = "create_id", fill = FieldFill.INSERT)
    private Long createId;

    /**
     * 最后修改时间
     */
    @ApiModelProperty(value = "最后修改时间")
    @TableField(value = "update_date", fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    /**
     * 最后修改人id
     */
    @ApiModelProperty(value = "最后修改人id")
    @TableField(value = "update_id", fill = FieldFill.UPDATE)
    private Long updateId;

    /**
     * 部门id
     */
    @ApiModelProperty(value = "部门id")
    @TableField("dept_id")
    private Long deptId;


    /**
     * 学区id
     */
    @ApiModelProperty(value = "学区id")
    @TableField("campus_id")
    private Long campusId;

    /**
     * 指南标题
     */
    @ApiModelProperty(value = "指南标题")
    @TableField("guide_title")
    private String guideTitle;

    /**
     * 指南前言
     */
    @ApiModelProperty(value = "指南前言")
    @TableField("guide_foreword")
    private String guideForeword;

    @ApiModelProperty(value = "资料上报字段，多个以英文逗号分隔")
    @TableField("form_field")
    private String formField;


    @ApiModelProperty(value = "缴费金额")
    @TableField("money")
    private BigDecimal money;

    @ApiModelProperty(value = "是否启用二维码缴费. 0未启用，1启用")
    @TableField("money_status")
    private Integer moneyStatus;

    /**
     * 启用状态(一个学校只能有一个启用的指南). 0:未启用,1:已启用 启用后无法删除和编辑
     */
    @ApiModelProperty(value = "启用状态(一个学校只能有一个启用的指南). 0:未启用,1:已启用")
    @TableField("enable_status")
    private Integer enableStatus;

    /**
     * 最后一次启用时间
     */
    @ApiModelProperty(value = "最后一次启用时间")
    @TableField("last_enable_date")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime lastEnableDate;

    @ApiModelProperty(value = "是否启用自动生成二维码状态. 0:未启用,1:已启用")
    @TableField("qr_code_enable_status")
    private Integer qrCodeEnableStatus;

    @ApiModelProperty(value = "没有二维码时的提示")
    @TableField("qr_code_notice_message")
    private String qrCodeNoticeMessage;
}