package com.yida.data.common.core.entity.smart;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 智慧迎新班级记录Entity
 */
@Data
@TableName("edu_smart_welcome_guide_class_record")
public class EduSmartWelcomeGuideClassRecord implements Serializable {

    private static final long serialVersionUID = -5793682408605743520L;
    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除，1删除0未删除，默认0
     */
    @ApiModelProperty(value = "是否删除，1删除0未删除，默认0")
    @TableField("del_flag")
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     * 创建人id
     */
    @ApiModelProperty(value = "创建人id")
    @TableField(value = "create_id", fill = FieldFill.INSERT)
    private Long createId;

    /**
     * 最后修改时间
     */
    @ApiModelProperty(value = "最后修改时间")
    @TableField(value = "update_date", fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    /**
     * 最后修改人id
     */
    @ApiModelProperty(value = "最后修改人id")
    @TableField(value = "update_id", fill = FieldFill.UPDATE)
    private Long updateId;

    /**
     * 部门id
     */
    @ApiModelProperty(value = "部门id")
    @TableField("dept_id")
    private Long deptId;


    /**
     * 指南id
     */
    @ApiModelProperty(value = "指南id")
    @TableField("guide_id")
    private Long guideId;


    /**
     * 迎新花名册人员Id
     */
    @ApiModelProperty(value = "迎新花名册人员Id")
    @TableField("roster_id")
    private Long rosterId;

    /**
     * 学校id
     */
    @ApiModelProperty(value = "学校id")
    @TableField("school_id")
    private Long schoolId;
    /**
     * 学区id
     */
    @ApiModelProperty(value = "学区id")
    @TableField("campus_id")
    private Long campusId;


    /**
     * 学区
     */
    @ApiModelProperty(value = "学区")
    @TableField("campus_name")
    private String campusName;

    /**
     * 学段id
     */
    @ApiModelProperty(value = "学段id")
    @TableField("section_id")
    private Long sectionId;


    /**
     * 年级id
     */
    @ApiModelProperty(value = "年级id")
    @TableField("grade_id")
    private Long gradeId;


    /**
     * 年级
     */
    @ApiModelProperty(value = "年级")
    @TableField("grade_name")
    private String gradeName;


    /**
     * 班级id
     */
    @ApiModelProperty(value = "班级id")
    @TableField("class_id")
    private Long classId;


    /**
     * 班级
     */
    @ApiModelProperty(value = "班级")
    @TableField("class_name")
    private String className;


}