package com.yida.data.common.core.entity.smart;

import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.bcel.generic.LineNumberGen;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.time.LocalDate;
import java.time.LocalTime;

/**
 * 智慧迎新指南花名册-微信用户绑定关系-执行步骤表 Entity
 *
 * @author ZYJ
 * @date 2023-05-19 14:37:43
 */
@Data
@TableName("edu_smart_welcome_guide_roster_relation_step")
public class EduSmartWelcomeGuideRosterRelationStep implements Serializable {

    private static final long serialVersionUID = 107937172597095304L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除，1删除0未删除，默认0
     */
    @ApiModelProperty(value = "是否删除，1删除0未删除，默认0")
    @TableField("del_flag")
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     * 创建人id
     */
    @ApiModelProperty(value = "创建人id")
    @TableField(value = "create_id", fill = FieldFill.INSERT)
    private Long createId;

    /**
     * 最后修改时间
     */
    @ApiModelProperty(value = "最后修改时间")
    @TableField(value = "update_date", fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    /**
     * 最后修改人id
     */
    @ApiModelProperty(value = "最后修改人id")
    @TableField(value = "update_id", fill = FieldFill.UPDATE)
    private Long updateId;

    /**
     * 部门id
     */
    @ApiModelProperty(value = "部门id")
    @TableField("dept_id")
    private Long deptId;

    /**
     * 指南id
     */
    @ApiModelProperty(value = "指南id")
    @TableField("guide_id")
    private Long guideId;

    /**
     * 花名册id
     */
    @ApiModelProperty(value = "花名册id")
    @TableField("roster_id")
    private Long rosterId;

    /**
     * 关系id
     */
    @ApiModelProperty(value = "关系id")
    @TableField("relation_id")
    private Long relationId;

    /**
     * 执行步骤id
     */
    @ApiModelProperty(value = "执行步骤id")
    @TableField("step_id")
    private Long stepId;

    /**
     * 执行状态.0: 通过, 1: 未执行, 2: 未通过
     */
    @ApiModelProperty(value = "执行状态.0: 通过, 1: 未执行, 2: 未通过")
    @TableField("status")
    private Integer status;

    /**
     * 审核评语
     */
    @ApiModelProperty(value = "审核评语")
    @TableField("comment_content")
    private String commentContent;

    /**
     * 操作时间
     */
    @ApiModelProperty(value = "操作时间")
    @TableField("operate_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime operateTime;

    /**
     * 审核人员id
     */
    @ApiModelProperty(value = "审核人员id")
    @TableField("staff_id")
    private Long staffId;

    /**
     * 上传附件地址：多个以英文逗号分隔
     */
    @ApiModelProperty(value = "上传附件地址：多个以英文逗号分隔")
    @TableField("upload_file_url")
    private String uploadFileUrl;

    /**
     * 上缴费状态：0=未缴，1=已交
     */
    @ApiModelProperty(value = "缴费状态：0=未缴，1=已交")
    @TableField("pay_status")
    private String payStatus;
}