package com.yida.data.common.core.entity.smart;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 智慧迎新指南步骤表Entity
 *
 * @author ZYJ
 * @date 2023-05-15 15:33:18
 */
@Data
@TableName("edu_smart_welcome_guide_step")
public class EduSmartWelcomeGuideStep implements Serializable {

    private static final long serialVersionUID = 8292306932801252867L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除，1删除0未删除，默认0
     */
    @ApiModelProperty(value = "是否删除，1删除0未删除，默认0")
    @TableField("del_flag")
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     * 创建人id
     */
    @ApiModelProperty(value = "创建人id")
    @TableField(value = "create_id", fill = FieldFill.INSERT)
    private Long createId;

    /**
     * 最后修改时间
     */
    @ApiModelProperty(value = "最后修改时间")
    @TableField(value = "update_date", fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    /**
     * 最后修改人id
     */
    @ApiModelProperty(value = "最后修改人id")
    @TableField(value = "update_id", fill = FieldFill.UPDATE)
    private Long updateId;

    /**
     * 部门id
     */
    @ApiModelProperty(value = "部门id")
    @TableField("dept_id")
    private Long deptId;

    /**
     * 指南id
     */
    @ApiModelProperty(value = "指南id")
    @TableField("guide_id")
    private Long guideId;

    /**
     * 步骤类型
     */
    @ApiModelProperty(value = "步骤类型")
    @TableField("step_type")
    private Integer stepType;

    /**
     * 步骤名称
     */
    @ApiModelProperty(value = "步骤名称")
    @TableField("step_name")
    private String stepName;


    @ApiModelProperty(value = "缴费金额")
    @TableField("money")
    private BigDecimal money;

    /**
     * 唯一id
     */
    @ApiModelProperty(value = "唯一id")
    @TableField("unique_id")
    private String uniqueId;

    /**
     * 前提步骤id
     */
    @ApiModelProperty(value = "前提步骤id")
    @TableField("premise_step_id")
    private Long premiseStepId;

    /**
     * 前提步骤唯一id
     */
    @ApiModelProperty(value = "前提步骤唯一id")
    @TableField("premise_step_unique_id")
    private String premiseStepUniqueId;

    /**
     * 步骤说明
     */
    @ApiModelProperty(value = "步骤说明")
    @TableField("step_description")
    private String stepDescription;

    @ApiModelProperty(value = "审核是否需要评语,0否，1是")
    @TableField("is_comment")
    private Integer isComment;


    @ApiModelProperty("步骤审核人员职工id列表信息")
    private transient List<Long> staffIdList;

    @ApiModelProperty("导入预选班级数据")
    private transient List<EduSmartWelcomeGuideStepClass> classList;

    @ApiModelProperty("导入固定班级数据")
    private transient List<EduSmartWelcomeGuideStepClassFix> classFixList;

    @ApiModelProperty("导入预选宿舍数据")
    private transient List<EduSmartWelcomeGuideStepDorm> dormList;

    @ApiModelProperty("导入预选宿舍数据")
    private transient List<EduSmartWelcomeGuideStepDormFix> dormFixList;

    @ApiModelProperty("步骤审核人员职工姓名字符串")
    private transient String staffNameStr;

    @ApiModelProperty(value = "执行状态. -1:未执行, 0:通过")
    private transient Integer status;


    @ApiModelProperty(value = "操作时间. 执行状态为通过时存在")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private transient LocalDateTime operateTime;

    @ApiModelProperty("审核人员名称. 执行状态为通过时存在")
    private transient String staffName;

    @ApiModelProperty("按钮状态. 0-代表显示通过按钮，1-代表不显示通过按钮")
    private transient Integer buttonStatus;

    @ApiModelProperty("上传附件地址")
    private transient String uploadFileUrl;

    @ApiModelProperty("评语内容")
    private transient String commentContent;

    @ApiModelProperty("花名册人员信息")
    private transient EduSmartWelcomeGuideRoster roster;
}