package com.yida.data.common.core.entity.smart;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 智慧迎新宿舍预分表Entity
 */
@Data
@TableName("edu_smart_welcome_guide_step_dorm")
public class EduSmartWelcomeGuideStepDorm implements Serializable {

    private static final long serialVersionUID = 2811817125778676867L;
    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除，1删除0未删除，默认0
     */
    @ApiModelProperty(value = "是否删除，1删除0未删除，默认0")
    @TableField("del_flag")
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     * 创建人id
     */
    @ApiModelProperty(value = "创建人id")
    @TableField(value = "create_id", fill = FieldFill.INSERT)
    private Long createId;

    /**
     * 最后修改时间
     */
    @ApiModelProperty(value = "最后修改时间")
    @TableField(value = "update_date", fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    /**
     * 最后修改人id
     */
    @ApiModelProperty(value = "最后修改人id")
    @TableField(value = "update_id", fill = FieldFill.UPDATE)
    private Long updateId;

    /**
     * 部门id
     */
    @ApiModelProperty(value = "部门id")
    @TableField("dept_id")
    private Long deptId;


    /**
     * 指南id
     */
    @ApiModelProperty(value = "指南id")
    @TableField("guide_id")
    private Long guideId;

    /**
     * 步骤id
     */
    @ApiModelProperty(value = "步骤id")
    @TableField("step_id")
    private Long stepId;

    /**
     * 学校id
     */
    @ApiModelProperty(value = "学校id")
    @TableField("school_id")
    private Long schoolId;
    /**
     * 宿舍id
     */
    @ApiModelProperty(value = "宿舍id")
    @TableField("dorm_id")
    private Long dormId;


    /**
     * 宿舍id
     */
    @ApiModelProperty(value = "宿舍")
    @TableField("dorm_name")
    private String dormName;


    /**
     * 宿舍房间id
     */
    @ApiModelProperty(value = "宿舍房间id")
    @TableField("dorm_room_id")
    private Long dormRoomId;


    /**
     * 宿舍房间id
     */
    @ApiModelProperty(value = "宿舍房间")
    @TableField("dorm_room_name")
    private String dormRoomName;


    /**
     * 宿舍类型：0=女性宿舍，1=男生宿舍
     */
    @ApiModelProperty(value = "宿舍类型：0=男性宿舍，1=女生宿舍")
    @TableField("gender")
    private Integer gender;

    @ApiModelProperty(value = "宿舍人数")
    @TableField("number")
    private Integer number;

    @ApiModelProperty(value = "实际人数")
    @TableField("real_number")
    private Integer realNumber;

    /**
     * 校区ID
     */
    @ApiModelProperty(value = "校区ID")
    @TableField("campus_id")
    private Long campusId;
    /**
     * 系部ID
     */
    @ApiModelProperty(value = "系部ID")
    @TableField("department_id")
    private Long departmentId;

    /**
     * 系部ID
     */
    @ApiModelProperty(value = "系部")
    @TableField("department_name")
    private String departmentName;
    /**
     * 专业ID
     */
    @ApiModelProperty(value = "专业ID")
    @TableField("major_id")
    private Long majorId;

    /**
     * 专业ID
     */
    @ApiModelProperty(value = "专业")
    @TableField("major_name")
    private String majorName;
}