package com.yida.data.common.core.entity.system;

import lombok.Data;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.time.LocalDate;
import java.time.LocalTime;

/**
 * 百度api配置信息 Entity
 *
 * @author ZYJ
 * @date 2023-06-20 20:42:47
 */
@Data
@TableName("baidu_api_config")
public class BaiduApiConfig implements Serializable {

    private static final long serialVersionUID = -6393970562092146041L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 学校id
     */
    @ApiModelProperty(value = "学校id")
    @TableField("school_id")
    private Long schoolId;

    /**
     * 模块名称
     */
    @ApiModelProperty(value = "模块名称")
    @TableField("module_name")
    private String moduleName;

    /**
     * 应用appId
     */
    @ApiModelProperty(value = "应用appId")
    @TableField("app_id")
    private String appId;

    /**
     * 应用API Key
     */
    @ApiModelProperty(value = "应用API Key")
    @TableField("api_key")
    private String apiKey;

    /**
     * 应用Secret Key
     */
    @ApiModelProperty(value = "应用Secret Key")
    @TableField("secret_key")
    private String secretKey;
}