package com.yida.data.common.core.entity.system;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 建行学校信息配置 Entity
 *
 * @author ZYJ
 * @date 2023-06-19 16:30:18
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("construction_pay_config")
public class ConstructionPayConfig implements Serializable {

    private static final long serialVersionUID = 8107846780600318858L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 对应部门id
     */
    @ApiModelProperty(value = "对应部门id")
    @TableField("dept_id")
    private Long deptId;

    /**
     * 商户代码
     */
    @ApiModelProperty(value = "商户代码")
    @TableField("merchant_id")
    private String merchantId;

    /**
     * 商户柜台代码
     */
    @ApiModelProperty(value = "商户柜台代码")
    @TableField("pos_id")
    private String posId;

    /**
     * 分行代码
     */
    @ApiModelProperty(value = "分行代码")
    @TableField("branch_id")
    private String branchId;

    /**
     * 商户公钥串
     */
    @ApiModelProperty(value = "商户公钥串")
    @TableField("public_key")
    private String publicKey;

    @ApiModelProperty(value = "密码")
    @TableField("private_code")
    private String privateCode;
}