package com.yida.data.common.core.entity.system;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 部门对应学校部门信息管理表(TDeptSchoolInformation)实体类
 *
 * @author makejava
 * @since 2022-04-01 19:04:46
 */
@TableName("t_dept_school_information")
@Data
public class DeptSchoolInformation implements Serializable {

    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 学校关联部门表主键id
     */
    private Long schoolId;
    /**
     * 学校类型：1学历学校，2培训学校，3特殊学校，
     */
    private Integer schoolType;

    /**
     * 当学校类型为2时的培训类型，必填有学校性质：1营利性，2非营利性
     */
    private Integer schoolOwnership;

    @ApiModelProperty("'当school_type = 2时：1=盈利性，2=非营利性；当school_type = 3时：1=全部'")
    private Integer schoolProfitNature;

    /**
     * 当学校类型为2时的培训类型，必填有学校性质：1营利性，2非营利性
     */
    private String schoolName;
    /**
     * 学校经度
     */
    private BigDecimal lng;
    /**
     * 学校维度
     */
    private BigDecimal lat;
    /**
     * 学校联系电话
     */
    private String phone;
    /**
     * 学校介绍
     */
    private String introduction;
    /**
     * 学校介绍
     */
    private String studentRange;
    /**
     * 分流情况
     */
    private String shuntSituation;
    /**
     * 省
     */
    private Long provinceId;
    /**
     * 市
     */
    private Long cityId;
    /**
     * 县
     */
    private Long countyId;
    /**
     * 乡
     */
    private Long villageId;
    /**
     * 具体门牌号
     */
    private String address;
    /**
     * 校徽logo
     */
    private String logoUrl;

    /**
     * 校徽logo
     */
    private String email;

    /**
     * 校徽logo
     */
    private String zipCode;

}

