package com.yida.data.common.core.entity.system;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yida.data.common.core.enums.UserTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 基础应用信息(本地配置) Entity
 *
 * @author ZYJ
 * @date 2023-06-28 14:57:58
 */
@Data
@TableName("edu_base_app")
public class EduBaseApp {

    /**
     * 主键
     */
    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 应用名称
     */
    @ApiModelProperty(value = "应用名称")
    @TableField("name")
    private String name;

    /**
     * 应用代码
     */
    @ApiModelProperty(value = "应用代码")
    @TableField("code")
    private String code;

    /**
     * 应用logo
     */
    @ApiModelProperty(value = "应用logo")
    @TableField("logo")
    private String logo;

    /**
     * 应用地址
     */
    @ApiModelProperty(value = "应用地址")
    @TableField("app_src")
    private String appSrc;

    /**
     * 类型. 0:教职工, 1:家长
     * {@link UserTypeEnum}
     */
    @ApiModelProperty(value = "类型. 0:教职工, 1:家长")
    @TableField("user_type")
    private Integer userType;
}