package com.yida.data.common.core.entity.system;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 部门对应的第三方系统功能Entity
 *
 * @author ZYJ
 * @date 2023-02-20 15:29:05
 */
@Data
@TableName("edu_dept_function")
public class EduDeptFunction implements Serializable {

    private static final long serialVersionUID = 1818514125422193304L;

    @ApiModelProperty(value = "主键ID(唯一)")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty(value = "是否删除，1删除0未删除默认0")
    @TableField("del_flag")
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;


    @ApiModelProperty(value = "部门id")
    @TableField("dept_id")
    private Long deptId;


    @ApiModelProperty(value = "功能名称(自定义的功能, 具体的支持功能对应枚举类SysFunctionEnum)")
    @TableField("function_name")
    private String functionName;
}