package com.yida.data.common.core.entity.system;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yida.data.common.core.enums.PayWay;
import com.yida.data.common.core.enums.UnionPayTypeEnum;
import com.yida.data.common.core.enums.WxPayTypeEnum;
import lombok.Data;

import java.io.Serializable;

/**
 * 部门对应支付方式表
 * 当前每个部门暂只支持一种支付类型
 *
 * @author ZYJ
 * @date 2022/6/22
 */
@Data
@TableName("edu_dept_pay_type")
public class EduDeptPayType implements Serializable {

    private static final long serialVersionUID = 10659831741151307L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 部门id
     */
    private Long deptId;

    /**
     * 支付方式
     * {@link PayWay}
     */
    private String payWay;

    /**
     * 支持的具体类型, 多个用英文逗号隔开
     * 具体的支持类型参考对应支付类型的枚举类
     * 银联云闪付: {@link UnionPayTypeEnum}
     * 微信类型: {@link WxPayTypeEnum}
     */
    private String supportType;
}
