package com.yida.data.common.core.entity.system;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.util.Date;
import java.io.Serializable;

/**
 * 知不知标签库表(EduLabel)实体类
 *
 * @author makejava
 * @since 2022-04-01 19:05:38
 */
@Data
public class EduLabel {

    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 标签名称
     */
    private String label;
    /**
     * 排序
     */
    private Integer sort;

    /**
     * 教育局id或代理商id
     */
    private Long deptId;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createDate;
    
    private Long createId;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(fill = FieldFill.UPDATE)
    private LocalDateTime updateDate;
    
    private Long updateId;
    /**
     * 0未删除，1以删除
     */
    private Integer delFlag;

    /**
     * 1为教育局对应下属学校标签，2为学校对应招生政策标签
     */
    private Integer type;



}

