package com.yida.data.common.core.entity.system;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 微信支付    配置信息
 */
@ApiModel(value = "com-yida-data-system-EduPayWxConfig")
@Data
@TableName(value = "edu_pay_wx_config")
public class EduPayWxConfig {
    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty(value = "")
    private Long id;

    @TableField(value = "school_id")
    @ApiModelProperty(value = "")
    private Long schoolId;

    /**
     * 微信公众平台id
     */
    @TableField(value = "wx_public_id")
    @ApiModelProperty(value = "微信公众平台id")
    private String wxPublicId;

    /**
     * 微信支付api v3 key
     */
    @TableField(value = "api_v3_key")
    @ApiModelProperty(value = "微信支付api v3 key")
    private String apiV3Key;

    /**
     * 商户号
     */
    @TableField(value = "mch_id")
    @ApiModelProperty(value = "商户号")
    private String mchId;

    /**
     * api证书序列号
     */
    @TableField(value = "api_credit_serial")
    @ApiModelProperty(value = "api证书序列号")
    private String apiCreditSerial;

    /**
     * api证书私钥
     */
    @TableField(value = "api_credit_private_key")
    @ApiModelProperty(value = "api证书私钥")
    private String apiCreditPrivateKey;

    /**
     * api证书私钥  无头尾
     */
    @TableField(value = "api_credit_private_key_no_head")
    @ApiModelProperty(value = "api证书私钥  无头尾")
    private String apiCreditPrivateKeyNoHead;
}