package com.yida.data.common.core.entity.system;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 企业微信服务商-学校密文corpId对照表
 * 同一服务商的所有应用获取的corpId一致；不同服务商获取的corpId不同。
 *
 * @author ZYJ
 * @date 2022/11/9
 */
@Data
public class EduQywxServiceProviderSchool implements Serializable {

    private static final long serialVersionUID = -1501554930464457126L;

    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "是否删除，1删除0未删除，默认0")
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;

    @ApiModelProperty("服务商corpId")
    private String providerCorpId;

    @ApiModelProperty("部门原始corpId")
    private String deptOriginalCorpId;

    @ApiModelProperty("部门加密corpId")
    private String deptEncryptionCorpId;
}
