package com.yida.data.common.core.entity.system;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 银联云闪付配置类
 *
 * @author ZYJ
 * @date 2022/6/15
 */
@Data
@TableName("union_pay_config")
public class UnionPayConfig implements Serializable {

    private static final long serialVersionUID = 7508592669348904408L;

    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty("主键id")
    private Long id;

    @TableField("dept_id")
    @ApiModelProperty("部门id")
    private Long deptId;

    @TableField("app_id")
    @ApiModelProperty("开发者ID")
    private String appId;

    @TableField("app_key")
    @ApiModelProperty("开发者key")
    private String appKey;

    @TableField("mch_id")
    @ApiModelProperty("商户号")
    private String mchId;

    @TableField("terminal_id")
    @ApiModelProperty("终端号")
    private String terminalId;

    @TableField("source_number")
    @ApiModelProperty("来源编号")
    private String sourceNumber;

    @TableField("private_key")
    @ApiModelProperty("通讯密钥(用于验签)")
    private String privateKey;

    @TableField("parent_id")
    @ApiModelProperty("父级id.有值代表子商户，没有则代表主商户")
    private Long parentId;

    @ApiModelProperty("父级商户配置信息")
    private transient UnionPayConfig parentConfig;
}