package com.yida.data.common.core.entity.system;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 白名单Entity
 *
 * @author ZYJ
 * @date 2023-02-20 14:15:49
 */
@Data
@TableName("t_white_list")
public class WhiteList implements Serializable {

    private static final long serialVersionUID = -1590863122390062997L;

    @ApiModelProperty(value = "主键ID(唯一)")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "是否删除，1删除0未删除默认0")
    @TableField("del_flag")
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;

    @ApiModelProperty(value = "功能名称(自定义的功能, 具体的支持功能对应枚举类SysFunctionEnum)")
    @TableField("function_name")
    private String functionName;

    @ApiModelProperty(value = "ip地址(多个地址用英文逗号隔开)")
    @TableField("request_ip")
    private String requestIp;

    @ApiModelProperty(value = "接口调用频率(空或者0代表无限制)")
    @TableField("frequency")
    private Integer frequency;

}