package com.yida.data.common.core.entity.telephone;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;

import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 亲情电话-话机管理 Entity
 *
 * @author ccl
 * @date 2021-08-10 16:27:43
 */
@Data
@TableName("edu_telephone")
public class EduTelephone {


    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     *
     */
    @TableField(value = "create_id", fill = FieldFill.INSERT)
    private Long createId;

    /**
     *
     */
    @TableField(value = "update_date", fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    /**
     *
     */
    @TableField(value = "update_id", fill = FieldFill.UPDATE)
    private Long updateId;

    /**
     *
     */
    @TableField("del_flag")
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;

    /**
     * iccid
     */
    @TableField("iccid")
    @ApiModelProperty("iccid")
    private String iccid;

    /**
     * imei
     */
    @TableField("imei")
    @ApiModelProperty("imei")
    private String imei;

    /**
     * 运营状态，0-正常，1-停运
     */
    @TableField("run_status")
    @ApiModelProperty("运营状态，0-正常，1-停运")
    private Integer runStatus;

    /**
     * 在线状态，0-在线，1-离线
     */
    @TableField("online_status")
    @ApiModelProperty("在线状态，0-在线，1-离线")
    private Integer onlineStatus;

    /**
     * 学校id
     */
    @TableField("school_id")
    @ApiModelProperty("学校id")
    private Long schoolId;

    /**
     * 学校名称
     */
    @TableField("school_name")
    @ApiModelProperty("学校名称")
    private String schoolName;

    /**
     * 每月最大分钟数
     */
    @TableField("month_max_len")
    @ApiModelProperty("每月最大分钟数")
    private Integer monthMaxLen;

    /**
     * 话机名称
     */
    @TableField("name")
    @ApiModelProperty("话机名称")
    private String name;

    /**
     * 每次最大分钟数
     */
    @TableField("time_max_len")
    @ApiModelProperty("每次最大分钟数")
    private Integer timeMaxLen;

    /**
     * 通话总时长
     */
    @TableField("total_call_time")
    @ApiModelProperty("通话总时长")
    private Integer totalCallTime;


    @TableField(exist = false)
    private List<EduTelephoneRecord> durationList;
}