package com.yida.data.common.core.entity.telephone;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;

import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 亲情电话-留言 Entity
 *
 * @author zhanghaijun
 * @date 2021-08-10 17:31:56
 */
@Data
@TableName("edu_telephone_msg")
public class EduTelephoneMsg {

    /**
     *
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     *
     */
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     *
     */
    @TableField(value = "create_id", fill = FieldFill.INSERT)
    private Long createId;

    /**
     *
     */
    @TableField(value = "update_date", fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    /**
     *
     */
    @TableField(value = "update_id", fill = FieldFill.UPDATE)
    private Long updateId;

    /**
     * 留言信息
     */
    @TableField("message")
    private String message;

    /**
     * ic卡id
     */
    @TableField("card_id")
    private Long cardId;

    /**
     * ic卡号
     */
    @TableField("card_no")
    private String cardNo;

    /**
     * 家长手机号
     */
    @TableField("parent_mobile")
    private String parentMobile;

    /**
     * 家长关系
     */
    @TableField("parent_relation")
    private String parentRelation;

    @ApiModelProperty("是否已读，0-未读，1-已读")
    private Integer isRead;

}