package com.yida.data.common.core.entity.telephone;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;

import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 亲情电话-通话时间段 Entity
 *
 * @author zhanghaijun
 * @date 2021-08-10 17:01:10
 */
@Data
@TableName("edu_telephone_period")
public class EduTelephonePeriod {

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @TableField("telephone_id")
    private Long telephoneId;

    @ApiModelProperty("话机有效区间开始")
    @TableField("start_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime startTime;

    @ApiModelProperty("话机有效区间结束")
    @TableField("end_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime endTime;
}