package com.yida.data.common.core.entity.user;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * 人脸组-策略-通行计划Entity
 *
 * @author ZYJ
 * @date 2022-12-12 11:36:19
 */
@Data
@TableName("edu_face_group_strategy_plan")
public class EduFaceGroupStrategyPlan {

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "创建人id")
    @TableField(value = "create_id", fill = FieldFill.INSERT)
    private Long createId;

    @ApiModelProperty(value = "最后修改时间")
    @TableField(value = "update_date", fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    @ApiModelProperty(value = "最后修改人id")
    @TableField(value = "update_id", fill = FieldFill.UPDATE)
    private Long updateId;

    /**
     * 删除标识，0-未删除，1-已删除
     */
    @ApiModelProperty(value = "删除标识，0-未删除，1-已删除")
    @TableField("del_flag")
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;

    /**
     * 人脸组id
     */
    @ApiModelProperty(value = "人脸组id")
    @TableField("face_group_id")
    private Long faceGroupId;

    /**
     * 人脸组-策略id
     */
    @ApiModelProperty(value = "人脸组-策略id")
    @TableField("face_group_strategy_id")
    private Long faceGroupStrategyId;

    @ApiModelProperty("通行计划唯一编码")
    private String uniqueCode;
}