package com.yida.data.common.core.entity.user;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.time.LocalTime;

/**
 * 人脸组-策略-特殊日期-时间Entity
 *
 * @author ZYJ
 * @date 2022-12-26 13:57:32
 */
@Data
@TableName("edu_face_group_strategy_special_time")
public class EduFaceGroupStrategySpecialTime implements Serializable {

    private static final long serialVersionUID = 7774597210860207565L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    @TableField(value = "create_id", fill = FieldFill.INSERT)
    private Long createId;

    @TableField(value = "update_date", fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    @TableField(value = "update_id", fill = FieldFill.UPDATE)
    private Long updateId;

    /**
     * 删除标识，0-未删除，1-已删除
     */
    @ApiModelProperty(value = "删除标识，0-未删除，1-已删除")
    @TableField("del_flag")
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;

    /**
     * 人脸组id
     */
    @ApiModelProperty(value = "人脸组id")
    @TableField("face_group_id")
    private Long faceGroupId;

    /**
     * 人脸组-策略id
     */
    @ApiModelProperty(value = "人脸组-策略id")
    @TableField("face_group_strategy_id")
    private Long faceGroupStrategyId;

    /**
     * 人脸组-策略-特殊日期id
     */
    @ApiModelProperty(value = "人脸组-策略-特殊日期id")
    @TableField("face_group_strategy_special_date_id")
    private Long faceGroupStrategySpecialDateId;

    /**
     * 开始时间
     */
    @ApiModelProperty(value = "开始时间")
    @TableField("special_start_time")
    @DateTimeFormat(pattern = "HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "HH:mm:ss")
    private LocalTime specialStartTime;

    /**
     * 结束时间
     */
    @ApiModelProperty(value = "结束时间")
    @TableField("special_end_time")
    @DateTimeFormat(pattern = "HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "HH:mm:ss")
    private LocalTime specialEndTime;

}