package com.yida.data.common.core.entity.user;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 人脸、人脸组关联信息 Entity
 *
 * @author zhanghaijun
 * @date 2021-06-16 14:13:31
 */
@Data
public class EduFaceGroupUser {

    /**
     *
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 人脸组id
     */
    @TableField("face_group_id")
    private Long faceGroupId;

    /**
     * 用户id
     */
    @TableField("user_id")
    private Long userId;

    /**
     * 用户类型，0-学生，1-职工
     */
    private Integer userType;

    /**
     * 下发状态，0-未下发，1-已下发，2-下发中，3-下发失败
     */
    @ApiModelProperty("下发状态，0-未下发，1-已下发，2-下发中，3-下发失败")
    private Integer status;

    public static final Integer NOT_ISSUE = 0;
    public static final Integer ISSUED = 1;
    public static final Integer ISSUING = 2;
    public static final Integer ISSUE_FAIL = 3;
}