package com.yida.data.common.core.entity.user;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.yida.data.common.core.enums.DataStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;
import java.util.Map;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("家长实体")
public class EduParent {

    @TableId(type = IdType.AUTO)
    private Long id;

    private String mobile;

    @ApiModelProperty("企业微信用户id")
    private String wxId;

    private Long schoolId;

    @ApiModelProperty("易达app用户id")
    private String yidaAppUserId;

    @ApiModelProperty("微信公众号openId")
    private String wxPublicOpenId;

    @ApiModelProperty("家长类型id")
    private transient Long parentTypeId;

    @ApiModelProperty("家长类型名称")
    private transient String parentType;

    private transient List<Map<String, Object>> children;

    /**
     * 用于智慧迎新的字段, 是否是新增的学生数据 0代表新增, 1代表更新 {@link DataStatusEnum}
     */
    private transient String isCreate;

    private transient List<EduStudent> studentList;

}
