package com.yida.data.common.core.entity.user;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 职工与部门关联信息表
 */
@ApiModel(value = "职工与部门关联信息表")
@Data
public class EduStaffDept {

    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "")
    private Long id;

    @ApiModelProperty(value = "")
    @TableField(fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "")
    private Long createId;

    @ApiModelProperty(value = "")
    @TableField(fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    @ApiModelProperty(value = "")
    private Long updateId;

    /**
     * 职工用户id
     */
    @ApiModelProperty(value = "职工用户id")
    private Long staffId;

    @ApiModelProperty(value = "")
    private String staffName;

    @ApiModelProperty(value = "z职工用户头像")
    private String avatar;

    /**
     * 部门id
     */
    @ApiModelProperty(value = "部门id")
    private Long deptId;

    /**
     * 部门名称
     */
    @ApiModelProperty(value = "部门名称")
    private String deptName;

    @ApiModelProperty("部门微信id")
    private Long deptWxId;

    /**
     * 是否是该部门上级，0-不是，1-是
     */
    @ApiModelProperty(value = "是否是该部门上级，0-不是，1-是")
    private Integer isLeader;

    /**
     * 是否是主部门，0-是，1-不是
     */
    @ApiModelProperty(value = "是否是主部门，0-是，1-不是")
    private Integer isMain;

    @ApiModelProperty("手机号")
    private transient String mobile;
}