package com.yida.data.common.core.entity.user;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

@Data
public class EduStudentApplyFor {

    @TableId(type = IdType.AUTO)
    private Long id;

    @TableField("del_flag")
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;
    /**
     * 创建时间
     */
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    @TableField(value = "update_date", fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    private Long studentId;

    private String studentName;

    private String studentNumber;

    private String studentMobile;

    @ApiModelProperty("应用编码")
    private String applyCode;

    @ApiModelProperty("应用名称")
    private String applyName;

    @ApiModelProperty("处理人ID")
    private Long dealStaffId;

    @ApiModelProperty("处理人姓名")
    private String dealStaffName;

    @ApiModelProperty("状态：0待处理，1已处理")
    private Integer status;

    @ApiModelProperty("学校ID")
    private Long schoolId;
    @ApiModelProperty("学校名称")
    private String schoolName;
    @ApiModelProperty("学区ID")
    private Long campusId;
    @ApiModelProperty("学区名称")
    private String campusName;
    @ApiModelProperty("学段ID")
    private Long sectionId;
    @ApiModelProperty("学段名称")
    private String sectionName;
    @ApiModelProperty("年级ID")
    private Long gradeId;
    @ApiModelProperty("年级名称")
    private String gradeName;
    @ApiModelProperty("班级ID")
    private Long classId;
    @ApiModelProperty("班级名称")
    private String className;
}
