package com.yida.data.common.core.entity.user;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 教师对应班级管理
 */
@ApiModel("教师班级对应关系")
@Data
public class EduTeacherDept {

    @TableId(type = IdType.AUTO)
    private Long id;

    @TableField(fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    private Long createId;

    @TableField(fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    private Long updateId;

    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;

    private Long teacherId;

    @ApiModelProperty("科目id")
    private Long courseId;

    @ApiModelProperty("教师类型 1表示校区负责人，2表示年级负责人，3表示班主任，4表示任课老师，5表示学段负责人")
    private Integer type;

    private Long schoolId;

    private Long campusId;

    private Long sectionId;

    @ApiModelProperty("年级id")
    private Long gradeId;

    @ApiModelProperty("班级id")
    private Long classId;

    @ApiModelProperty("教师微信id")
    private transient String teacherWxId;

    @ApiModelProperty("部门微信id")
    private transient Long deptWxId;

    @ApiModelProperty("课程名称")
    private transient String courseName;
    
    @ApiModelProperty("教师名称")
    private transient String teacherName;
}
