package com.yida.data.common.core.entity.user;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yida.data.common.core.entity.user.enums.SectionTypeEnum;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 企业微信标准年级对照表
 *
 * @author ZYJ
 * @date 2021-11-17
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("edu_user_dept_standard_grade")
public class EduUserDeptStandardGrade implements Serializable {

    private static final long serialVersionUID = -7450487621314784656L;

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 标准年级名称
     */
    private String standardGradeName;

    /**
     * 标准年级对应值
     */
    private Integer standardGradeValue;

    /**
     * 对应学段类型 {@link SectionTypeEnum}
     */
    private String type;

    /**
     * 标准年级简称
     */
    private String standardGradeAbbreviation;

    /**
     * 排序
     */
    private Integer orderNumber;
}