package com.yida.data.common.core.entity.userLeave;

import java.util.Date;
import lombok.Data;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.time.LocalDate;
import java.time.LocalTime;

/**
 * Entity
 *
 * @author wjm
 * @date 2022-12-01 10:45:56
 */
@Data
@TableName("edu_leave_request_process_config")
public class EduLeaveRequestProcessConfig {

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 学生id
     */
    @ApiModelProperty(value = "学生id")
    @TableField("process_name")
    private String processName;

    /**
     * 流程类型：0=教师，1=学生
     */
    @ApiModelProperty(value = "流程类型：0=教师，1=学生")
    @TableField("process_type")
    private Integer processType;

    /**
     * 最小天数
     */
    @ApiModelProperty(value = "最小天数")
    @TableField("min_days")
    private Integer minDays;

    /**
     * 最大天数
     */
    @ApiModelProperty(value = "最大天数")
    @TableField("max_days")
    private Integer maxDays;


    /**
     * 是否小于半天
     */
    @ApiModelProperty(value = "是否小于半天1=是，0=否")
    private Integer lessHalfDay;


    /**
     * 基于less_half_day   定义半天是几小时
     */
    @ApiModelProperty(value = "基于less_half_day   定义半天是几小时")
    private Integer hours;

    /**
     * 学校id
     */
    @ApiModelProperty(value = "学校id")
    @TableField("school_id")
    private Long schoolId;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "create_id", fill = FieldFill.INSERT)
    private Long createId;

    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    @TableField(value = "update_date", fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    /**
     * 修改人
     */
    @ApiModelProperty(value = "修改人")
    @TableField(value = "update_id", fill = FieldFill.UPDATE)
    private Long updateId;

    /**
     * 0为未删除，1为已删除
     */
    @ApiModelProperty(value = "0为未删除，1为已删除")
    @TableField("del_flag")
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;

}