package com.yida.data.common.core.entity.userLeave;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;
import java.util.List;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * Entity
 *
 * @author wjm
 * @date 2022-12-01 10:45:56
 */
@Data
@TableName("edu_leave_request_user_view")
public class EduLeaveRequestUserView {

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    @TableField("process_id")
    private Long processId;

    /**
     * 请假主体ID
     */
    @ApiModelProperty(value = "请假主体ID")
    @TableField("request_id")
    private Long requestId;


    /**
     * 排序
     */
    @ApiModelProperty(value = "排序")
    @TableField("sort")
    private Integer sort;

    /**
     * 审批人员类型：0指定角色，1指定人员
     */
    @ApiModelProperty(value = "审批人员类型：0指定角色，1指定人员")
    @TableField("approval_user_type")
    private Integer approvalUserType;

    /**
     * 审批方式：0会审，1或审
     */
    @ApiModelProperty(value = "审批方式：0会审，1或审")
    @TableField("approval_type")
    private Integer approvalType;


    /**
     * 创建时间
     */
    @ApiModelProperty(value = "审核时间")
    @TableField(value = "audit_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime auditTime;

    /**
     * 审核状态：0待审核，1已通过，2已拒绝
     */
    @ApiModelProperty(value = "审核状态：0待审核，1已通过，2已拒绝")
    @TableField("status")
    private Integer status;

    @ApiModelProperty(value = "审核记录")
    private transient List<EduLeaveRequestProcessRecord> eduLeaveRequestProcessRecordList;
}