package com.yida.data.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 启用状态枚举
 *
 * @author ZYJ
 * @date 2021/9/2
 */
@Getter
@AllArgsConstructor
public enum EnableStatusEnum {

    /**
     * 启用状态枚举
     */
    NOT_ENABLE_STATUS(0, "未启用"),
    ENABLE_STATUS(1, "已启用");

    /**
     * 启用状态
     */
    private final Integer status;

    /**
     * 数据状态描述
     */
    private final String message;
}
