package com.yida.data.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 银联云闪付签名类型枚举
 *
 * @author ZYJ
 * @date 2022/6/27
 */
@Getter
@AllArgsConstructor
public enum UnionSignTypeEnum {

    /**
     * 银联云闪付签名类型枚举
     * 名签支持MD5方式与SHA256方式（不上送signType字段时，默认md5方式）
     */
    MD5_TYPE("MD5", "MD5签名"),
    SHA256_TYPE("SHA256", "SHA256签名");

    /**
     * 类型
     */
    private final String type;

    /**
     * 描述
     */
    private final String message;
}
