package com.yida.data.common.core.file.common;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 分片下载请求类
 *
 * @author ZYJ
 * @date 2023-06-12
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DownloadFileChunk implements Serializable {

    private static final long serialVersionUID = -7770973043532024287L;

    @ApiModelProperty("本次操作标识")
    private String key;

    @ApiModelProperty("分片下标(下载的第几块)")
    private Integer index;

    @ApiModelProperty("总分片数")
    private Integer chunkTotal;

    @ApiModelProperty("分片大小")
    private Integer chunkSize;
}
