package com.yida.data.common.core.file.common.export;

import com.yida.data.common.core.enums.FileDealStatusEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 导出excel进度信息实体类
 * 普通下载（小文件下载）
 *
 * @author ZYJ
 * @date 2023-06-12
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ExportExcelData implements Serializable {

    private static final long serialVersionUID = 3576934413070680889L;

    @ApiModelProperty("本次操作标识")
    private String key;

    /**
     * {@link FileDealStatusEnum}
     */
    @ApiModelProperty("导出状态")
    private Integer exportStatus;

    @ApiModelProperty("文件名称")
    private String fileName;

    @ApiModelProperty("处理的总数量")
    private Integer total;

    @ApiModelProperty("完成的数量")
    private Integer finish;

    @ApiModelProperty("excel文件路径")
    private String filePath;
}
