package com.yida.data.common.core.utils;

import com.yida.data.common.core.entity.constant.CachePrefixConstant;
import lombok.AccessLevel;
import lombok.NoArgsConstructor;

/**
 * redis操作工具类
 *
 * @author ZYJ
 * @date 2021/8/23
 */
@NoArgsConstructor(access = AccessLevel.PRIVATE)
public class RedisUtil {

    /**
     * 减号
     */
    public static final String MINUS_SIGN_MARK = "-";

    /**
     * 拼接智慧迎新相关部门缓存数据的key值
     *
     * @param deptName 部门名称
     * @param deptType 部门类型
     * @param schoolId 学校id
     * @param parentId 父级部门id
     * @return java.lang.String
     * @author ZYJ
     * @date 2021/8/23 19:31
     */
    public static String getDeptRedisKey(String deptName, Integer deptType, Long schoolId, Long parentId) {
        return deptName +
                MINUS_SIGN_MARK +
                deptType +
                MINUS_SIGN_MARK +
                schoolId +
                MINUS_SIGN_MARK +
                parentId;
    }

    /**
     * 生成某次导入数据缓存key值
     *
     * @param str 某次导入的唯一标识
     * @return java.lang.String
     * @author ZYJ
     * @date 2021/8/23 20:05
     */
    public static String getDeptKey(String str) {
        return CachePrefixConstant.IMPORT_DEPT_DATA + str;
    }
}
