package com.yida.data.common.core.utils.construction;

import java.security.Provider;

/**
 * ABAProvider类
 *
 * @author ZYJ
 * @date 2023/6/22 2:24
 */
public class ABAProvider extends Provider {

    private static String info = "ABA Security Provider v1.1, SHA, MD5 message Digests, and Crypto algorithms.";

    public ABAProvider() {
        super("ABA", 1.1, info);
        this.put("MessageDigest.MD5", "netpay.merchant.crypto.MD5");
        this.put("MessageDigest.SHA-1", "netpay.merchant.crypto.SHA1");
        this.put("Alg.Alias.MessageDigest.SHA1", "SHA-1");
        this.put("Alg.Alias.MessageDigest.SHA", "SHA-1");
        this.put("MessageDigest.SHA-0", "netpay.merchant.crypto.SHA0");
        this.put("MessageDigest.CRC16", "netpay.merchant.crypto.CRC16");
        this.put("Cipher.RSA", "netpay.merchant.crypto.RSA");
        this.put("Alg.Alias.Cipher.OID.1.2.840.113549.1.1.1", "RSA");
        this.put("Cipher.RC4", "netpay.merchant.crypto.RC4");
        this.put("Cipher.DES", "netpay.merchant.crypto.DES");
        this.put("Cipher.DESede", "netpay.merchant.crypto.DESede");
        this.put("Cipher.IDEA", "netpay.merchant.crypto.IDEA");
        this.put("Cipher.Blowfish", "netpay.merchant.crypto.Blowfish");
        this.put("Cipher.Twofish", "netpay.merchant.crypto.Twofish");
        this.put("Cipher.PBEWithMD5AndDES", "netpay.merchant.crypto.PBEWithMD5AndDES");
        this.put("Cipher.PBEWithSHA1And128BitRC4", "netpay.merchant.crypto.PBEWithSHA1And128BitRC4");
        this.put("Mac.DESMac", "netpay.merchant.crypto.DESMac");
        this.put("Alg.Alias.Mac.DES-MAC", "DESMac");
        this.put("KeyPairGenerator.RSA", "netpay.merchant.crypto.RSAKeyPairGenerator");
        this.put("Alg.Alias.KeyPairGenerator.OID.1.2.840.113549.1.1.1", "RSA");
        this.put("Alg.Alias.KeyPairGenerator.1.2.840.113549.1.1.1", "RSA");
        this.put("KeyGenerator.RC4", "netpay.merchant.crypto.RC4KeyGenerator");
        this.put("KeyGenerator.DES", "netpay.merchant.crypto.DESKeyGenerator");
        this.put("KeyGenerator.DESede", "netpay.merchant.crypto.DESedeKeyGenerator");
        this.put("KeyGenerator.IDEA", "netpay.merchant.crypto.IDEAKeyGenerator");
        this.put("KeyGenerator.Blowfish", "netpay.merchant.crypto.BlowfishKeyGenerator");
        this.put("KeyGenerator.Twofish", "netpay.merchant.crypto.TwofishKeyGenerator");
        this.put("KeyFactory.RSA", "netpay.merchant.crypto.RSAKeyFactory");
        this.put("Alg.Alias.KeyFactory.1.2.840.113549.1.1.1", "RSA");
        this.put("SecretKeyFactory.DES", "netpay.merchant.crypto.DESKeyFactory");
        this.put("SecretKeyFactory.DESede", "netpay.merchant.crypto.DESedeKeyFactory");
        this.put("SecretKeyFactory.RC4", "netpay.merchant.crypto.RC4KeyFactory");
        this.put("SecretKeyFactory.IDEA", "netpay.merchant.crypto.IDEAKeyFactory");
        this.put("SecretKeyFactory.Blowfish", "netpay.merchant.crypto.BlowfishKeyFactory");
        this.put("SecretKeyFactory.Twofish", "netpay.merchant.crypto.TwofishKeyFactory");
        this.put("SecretKeyFactory.PBEWithMD5AndDES", "netpay.merchant.crypto.PBEKeyFactory");
        this.put("SecretKeyFactory.PBEWithSHA1And128BitRC4", "netpay.merchant.crypto.PBEKeyFactory");
        this.put("KeyStore.ABA", "netpay.merchant.crypto.KeyStore");
        this.put("Signature.MD5withRSA", "netpay.merchant.crypto.MD5withRSA");
        this.put("Alg.Alias.Signature.MD5/RSA", "MD5withRSA");
        this.put("Alg.Alias.Signature.OID.1.2.840.113549.1.1.4", "MD5withRSA");
        this.put("Alg.Alias.Signature.1.2.840.113549.1.1.4", "MD5withRSA");
        this.put("Alg.Alias.Signature.1.3.14.3.2.25", "MD5withRSA");
        this.put("CertificateFactory.X509", "au.net.aba.cert.ABAX509CertFactory");
        this.put("Alg.Alias.CertificateFactory.X.509", "X509");
    }

}
