package com.yida.data.log.annotation;

import com.yida.data.common.core.common.ModuleName;
import com.yida.data.common.core.entity.system.enums.OperationLogTypeEnum;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;


/**
 * 后台操作日志注解
 *
 * @author ZYJ
 * @date 2021/1/7
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface OperationLog {

    /**
     * 查询模块
     */
    ModuleName module();

    /**
     * 方法名称
     */
    String methods() default "";

    /**
     * 日志操作类型
     *
     * @see OperationLogTypeEnum
     */
    OperationLogTypeEnum type() default OperationLogTypeEnum.SELECT;
}
