package com.yida.data.attendance.dto;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.yida.data.common.core.enums.MsgChannel;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;
import java.time.LocalTime;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * @date 2023-08-09 11:37:25
 */
@Data
@TableName("attendance_record")
public class AddAttendanceRecordDTO {

    @ApiModelProperty(value = "考勤规则ID")
    private Long ruleId;

    @ApiModelProperty(value = "考勤时段ID")
    private Long ruleTimeId;
    /**
     *
     */
    @ApiModelProperty(value = "0教师，1学生")
    private Integer userType;

    /**
     *
     */
    @ApiModelProperty(value = "")
    private Long userId;

    /**
     * 学校id
     */
    @ApiModelProperty(value = "学校id")
    private Long schoolId;

    /**
     * 考勤设备id
     */
    @ApiModelProperty(value = "考勤设备id")
    private Long deviceId;

    /**
     * 考勤设备编号
     */
    @ApiModelProperty(value = "考勤设备编号")
    private String deviceSn;

    /**
     * 考勤wifiid
     */
    @ApiModelProperty(value = "考勤wifiid")
    private Long wifiId;


    /**
     * 考勤范围ID
     */
    @ApiModelProperty(value = "考勤范围ID")
    private Long addressId;


    /**
     * 闸机识别图片地址
     */
    @ApiModelProperty(value = "闸机识别图片地址或者人脸识别比对图片地址")
    private String picUrl;

    @ApiModelProperty(value = "wifi名称")
    private String wifiName;

    @ApiModelProperty(value = "wifi BSSID")
    private String wifiBssid;

    @ApiModelProperty(value = "打卡时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    private MsgChannel msgChannel;

    /**
     * 名称
     */
    private String name;

    /**
     * es记录id
     */
    private String esRecordId;

    /**
     * 设备侧元数据ID
     */
    private String originalRecordId;
}