package com.yida.data.attendance.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDate;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 考勤-特殊日期 Entity
 *
 * @date 2023-08-09 11:37:25
 */
@Builder
@Data
@AllArgsConstructor
@NoArgsConstructor
public class AddAttendanceRuleSpecialDateDTO {

    /**
     *
     */
    @ApiModelProperty(value = "")
    private Long id;

    /**
     * 规则id
     */
    @ApiModelProperty(value = "规则id")
    private Long ruleId;

    /**
     * 0-不用打卡，1-必须打卡
     */
    @ApiModelProperty(value = "0-不用打卡，1-必须打卡")
    private Long type;

    /**
     * 开始日期
     */
    @ApiModelProperty(value = "开始日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private LocalDate startDate;

    /**
     * 结束日期
     */
    @ApiModelProperty(value = "结束日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private LocalDate endDate;

    /**
     * 事由
     */
    @ApiModelProperty(value = "事由")
    private String reason;

}