package com.yida.data.attendance.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 添加请假类型短策略请求类
 *
 * @author ZYJ
 * @date 2023/2/2
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AddLeaveRequestStrategyDTO implements Serializable {

    private static final long serialVersionUID = -1438414521101194453L;

    @ApiModelProperty("请假ID")
    private Long requestId;

    @ApiModelProperty("请假人ID")
    private Long userId;
    
    @ApiModelProperty("策略id")
    private Long strategyId;

    @ApiModelProperty("0教师请假，1学生请假")
    private Integer requestType;

    @ApiModelProperty("学校id")
    private Long schoolId;

    @ApiModelProperty("开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime startTime;

    @ApiModelProperty("结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime endTime;
}
