package com.yida.data.attendance.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 考勤人脸对比请求类
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "RosterFaceMatchDTO", description = "考勤人脸对比请求类")
public class AttendanceFaceMatchDTO implements Serializable {

    private static final long serialVersionUID = 1474013091202762132L;

    @ApiModelProperty("学校ID")
    private Long schoolId;

    @ApiModelProperty("用户ID")
    @NotNull
    private Long userId;

    @ApiModelProperty("人员类型 0教职工，1学生")
    @NotNull
    private Integer userType;

    @ApiModelProperty("base64图片信息")
    @NotBlank
    private String base64;
}