package com.yida.data.attendance.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;
import javax.validation.constraints.NotNull;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

@Builder
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "AttendanceUserCheckInDTO", description = "wifi打卡请求类")
public class AttendanceUserCheckInDTO {

    @ApiModelProperty(value = "学校ID")
    private Long schoolId;

    @ApiModelProperty(value = "打卡用户ID")
    private Long userId;

    @ApiModelProperty(value = "打卡用户类型：0教职工，1学生")
    private Integer userType;

    @ApiModelProperty(value = "打卡规则ID")
    private Long ruleId;

    @ApiModelProperty(value = "打卡时段ID")
    private Long ruleTimeId;

    @ApiModelProperty(value = "wifi的BSSID")
    private String wifiBssid;

    @ApiModelProperty(value = "当前打卡时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @NotNull
    private LocalDateTime currentDateTime;

    @ApiModelProperty(value = "人脸认证图片地址")
    private String avatar;
}
