package com.yida.data.attendance.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

@Builder
@Data
@AllArgsConstructor
@NoArgsConstructor
public class H5AttendanceRuleWifiDTO {


    @ApiModelProperty(value = "学校ID")
    @NotNull
    private Long schoolId;

    @ApiModelProperty(value = "用户主键id")
    @NotNull
    private Long userId;


    @ApiModelProperty(value = "0-教职工，1学生")
    @NotNull
    private Integer userType;

    /**
     * BSSID
     */
    @ApiModelProperty(value = "BSSID")
    @NotNull
    private String wifiBssid;


    /**
     * ip
     */
    @ApiModelProperty(value = "ip")
    private String ip;


    @ApiModelProperty(value = "当前打卡时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @NotNull
    private LocalDateTime currentDateTime;

}
