package com.yida.data.attendance.dto;

import com.yida.data.common.core.entity.user.EduFaceGroupStrategy;
import com.yida.data.common.core.entity.user.EduUserFace;
import com.yida.data.common.core.enums.IssuedTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import java.util.List;
import lombok.Data;

@Data
public class IssuedFaceDTO {

    /**
     * 人脸列表
     */
    private List<EduUserFace> userFaceList;

    /**
     * 设备id列表
     */
    private List<Long> deviceList;

    @ApiModelProperty("下发类型，0-添加，1-修改")
    private Integer type;

    /**
     * 人脸组id
     */
    private Long groupId;

    /**
     * 策略信息
     */
    private EduFaceGroupStrategy groupStrategy;

    /**
     * 下发类型
     */
    private IssuedTypeEnum issuedTypeEnum;
}
