package com.yida.data.attendance.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yida.data.common.core.common.BaseDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDate;
import java.util.List;
import javax.validation.constraints.NotNull;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

@Data
@ApiModel("教师端管理员查询学生/教师考勤统计请求类")
public class ManageListUserDTO extends BaseDTO {


    @ApiModelProperty(value = "当前用户ID--职工ID")
    private Long userId;

    @ApiModelProperty(value = "查询用户类型：0教师，1学生")
    private Integer searchUserType;

    @ApiModelProperty("考勤开始日期")
    @NotNull
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private LocalDate attendanceStartDate;

    @ApiModelProperty("考勤结束日期")
    @NotNull
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private LocalDate attendanceEndDate;

    @ApiModelProperty("考勤状态：-1全部，0正常，1，迟到，2早退，3缺卡,7晚归，8异常晚归")
    private Integer attendanceStatus;

    @ApiModelProperty("考勤规则ID")
    private Long ruleId;

    @ApiModelProperty("家校部门ID")
    private Long deptId;

    @ApiModelProperty("部门类型")
    private Integer deptType;

    private List<Long> userIdList;

}
