package com.yida.data.attendance.feign;

import com.yida.data.attendance.fallback.RemoteAttendanceResultServiceFallback;
import com.yida.data.common.core.common.ResultBean;
import com.yida.data.common.core.entity.constant.FebsServerConstant;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

@FeignClient(value = FebsServerConstant.EDU_ATTENDANCE, contextId = "attendanceResultClient",
    fallbackFactory = RemoteAttendanceResultServiceFallback.class)
public interface RemoteAttendanceResultService {


    @GetMapping("/in/attendanceResult/initAttendanceResult")
    ResultBean initAttendanceResult();

    @GetMapping("/in/attendanceResult/attendanceNotice")
    ResultBean attendanceNotice();
}
