package com.yida.data.attendance.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDate;
import java.time.LocalTime;
import java.util.List;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

@Data
public class AttdanceResultDetailVO {

    @ApiModelProperty("主键ID")
    private Long id;
    @ApiModelProperty("用户主键ID")
    private Long userId;
    @ApiModelProperty("姓名")
    private String name;
    @ApiModelProperty("学号/手机号")
    private String number;
    @ApiModelProperty("部门名称")
    private String deptName;
    @ApiModelProperty("打卡规则")
    private String ruleName;
    @ApiModelProperty("打卡规则ID")
    private Long ruleId;
    @ApiModelProperty("打卡规则时段ID")
    private Long ruleTimeId;
    @ApiModelProperty("打卡规则时段名称")
    private String ruleTimeName;
    //    @ApiModelProperty("打卡明细")
//    List<DetailVO> detailVOList;
    @ApiModelProperty("日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private LocalDate attendanceDate;

    @ApiModelProperty("星期")
    private Integer week;

    @ApiModelProperty("上班打卡状态；0正常，1异常")
    private Integer startStatus;

    @ApiModelProperty("上班打卡时间")
    private LocalTime startRealTime;

    @ApiModelProperty("下班打卡状态:0正常，1异常")
    private Integer endStatus;

    @ApiModelProperty("下班打卡时间")
    private LocalTime endRealTime;

    @ApiModelProperty("是否需要打卡考勤，0是，1否")
    private Integer needAttendance;

    @ApiModelProperty("打卡类型：0=需要上下班打卡，1=只需要打卡一次（取上班打卡时间与状态）")
    private Integer modelType;
}
