package com.yida.data.attendance.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yida.data.attendance.dto.AddAttendanceRuleAddressDTO;
import com.yida.data.attendance.dto.AddAttendanceRuleAdminDTO;
import com.yida.data.attendance.dto.AddAttendanceRuleDeviceDTO;
import com.yida.data.attendance.dto.AddAttendanceRuleObjDTO;
import com.yida.data.attendance.dto.AddAttendanceRuleRemindDTO;
import com.yida.data.attendance.dto.AddAttendanceRuleSpecialDateDTO;
import com.yida.data.attendance.dto.AddAttendanceRuleTimeDTO;
import com.yida.data.attendance.dto.AddAttendanceRuleWhiteListDTO;
import com.yida.data.attendance.dto.AddAttendanceRuleWifiDTO;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

@Builder
@Data
@AllArgsConstructor
@NoArgsConstructor
public class AttendanceRuleUserVO {

    @ApiModelProperty(value = "主键id")
    private Long id;

    /**
     * 0-教职工打卡，1学生上学考勤，2学生宿舍考勤
     */
    @ApiModelProperty(value = "0-教职工打卡，1学生上学考勤")
    private Integer userType;

    /**
     * 学校id
     */
    @ApiModelProperty(value = "学校id")
    private String deptName;

    /**
     * 考勤规则名称
     */
    @ApiModelProperty(value = "考勤人员Id")
    private Long userId;

    /**
     * 考勤规则名称
     */
    @ApiModelProperty(value = "考勤人员名称")
    private String userName;

}
