package com.yida.data.attendance.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDate;
import javax.validation.constraints.NotNull;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("查询当前月份考勤状态返回结果类")
public class AttendanceStatusByMonthVO {

    @ApiModelProperty("打卡规则ID")
    private Long ruleId;

    @ApiModelProperty("打卡时间段ID")
    private Long ruleTimeId;

    @ApiModelProperty("日期")
    private LocalDate date;

    @ApiModelProperty("上班考勤状态：0正常，1异常")
    private Integer startStatus;

    @ApiModelProperty("下班考勤状态：0正常，1异常")
    private Integer endStatus;

    @ApiModelProperty("总考勤状态：0正常，1异常，2请假，3休假，4无")
    private Integer Status;

    @ApiModelProperty("考勤类型：0-固定上下班时间模式，1自由打卡模式")
    private Integer attType;
}
