package com.yida.data.attendance.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;
import java.time.LocalTime;
import javax.validation.constraints.NotNull;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

@Builder
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "AttendanceUserCheckInVO", description = "wifi打卡返回类")
public class AttendanceUserCheckInVO {

    @ApiModelProperty(value = "打卡状态：0正常，2迟到，3早退,7晚归，8异常晚归")
    private Integer status;

    @ApiModelProperty(value = "当前打卡时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime checkInDateTime;

    @ApiModelProperty(value = "人脸认证图片地址")
    private String avatar;
}
