package com.yida.data.attendance.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@ApiModel("学生宿舍考勤日报/周报/月报导出实体对象")
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class StudentDormAttendanceDayReportExcelVO {

    @ApiModelProperty("考勤日期")
    @ExcelProperty(order = 1, value = "考勤日期")
    private String attendanceTime;

    @ApiModelProperty("校区")
    @ExcelProperty(order = 2, value = "校区")
    private String campusName;

    @ApiModelProperty("学段")
    @ExcelProperty(order = 3, value = "学段")
    private String sectionName;

    @ApiModelProperty("年级")
    @ExcelProperty(order = 4, value = "年级")
    private String gradeName;

    @ApiModelProperty("班级")
    @ExcelProperty(order = 5, value = "班级")
    private String className;

    @ApiModelProperty("应打卡人数")
    @ExcelProperty(order = 6, value = "应打卡人数")
    private String needNum;

    @ApiModelProperty("实际打卡人数")
    @ExcelProperty(order = 7, value = "实际打卡人数")
    private String realNum;

    @ApiModelProperty("请假人数")
    @ExcelProperty(order = 8, value = "请假人数")
    private String requestNum;

    @ApiModelProperty("正常打卡人数")
    @ExcelProperty(order = 9, value = "正常打卡人数")
    private String normalNum;

    @ApiModelProperty("旷宿人数")
    @ExcelProperty(order = 10, value = "旷宿人数")
    private String missNum;

    @ApiModelProperty("晚归打卡人数")
    @ExcelProperty(order = 11, value = "晚归打卡人数")
    private String lateNum;

    @ApiModelProperty("异常晚归打卡人数")
    @ExcelProperty(order = 12, value = "异常晚归打卡人数")
    private String abLateNum;


    @ApiModelProperty("出勤率")
    @ExcelProperty(order = 13, value = "出勤率")
    private String attendanceRate;

//    @ApiModelProperty("应打卡次数")
//    @ExcelProperty(order = 13, value = "应打卡次数")
//    private String needDay;
//
//    @ApiModelProperty("实际打卡次数")
//    @ExcelProperty(order = 14, value = "实际打卡次数")
//    private String realDay;
//
//    @ApiModelProperty("正常打卡次数")
//    @ExcelProperty(order = 15, value = "正常打卡次数")
//    private String normalDay;
//
//    @ApiModelProperty("旷宿次数")
//    @ExcelProperty(order = 16, value = "旷宿次数")
//    private String missDay;
//
//    @ApiModelProperty("晚归打卡次数")
//    @ExcelProperty(order = 17, value = "晚归打卡次数")
//    private String lateDay;
//
//    @ApiModelProperty("异常晚归打卡次数")
//    @ExcelProperty(order = 18, value = "异常晚归打卡次数")
//    private String abLateDay;
//
//    @ApiModelProperty("打卡率")
//    @ExcelProperty(order = 19, value = "打卡率")
//    private String checkRate;
}
