package com.yida.data.attendance.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.yida.data.common.core.converter.LocalDateConverter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDate;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@ApiModel("学生宿舍考勤结果导出实体对象")
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class StudentDormAttendanceResultExcelVO {

    @ApiModelProperty("姓名")
    @ExcelProperty(order = 0, value = "姓名")
    private String studentName;

    @ApiModelProperty("学号")
    @ExcelProperty(order = 1, value = "学号")
    private String studentNumber;

    @ApiModelProperty("校区")
    @ExcelProperty(order = 2, value = "校区")
    private String campusName;

    @ApiModelProperty("学段")
    @ExcelProperty(order = 3, value = "学段")
    private String sectionName;

    @ApiModelProperty("年级")
    @ExcelProperty(order = 4, value = "年级")
    private String gradeName;

    @ApiModelProperty("班级")
    @ExcelProperty(order = 5, value = "班级")
    private String className;

    @ApiModelProperty("考勤规则")
    @ExcelProperty(order = 6, value = "考勤规则")
    private String ruleName;

    @ApiModelProperty("考勤日期")
    @ExcelProperty(order = 7, value = "考勤日期")
    private String attendanceDate;

    @ApiModelProperty("星期")
    @ExcelProperty(order = 8, value = "星期")
    private String attendanceWeek;

    @ApiModelProperty("考勤时段")
    @ExcelProperty(order = 9, value = "考勤时段")
    private String attendanceTime;

    @ApiModelProperty("考勤结果")
    @ExcelProperty(order = 10, value = "考勤结果")
    private String status;

    @ApiModelProperty("打卡时间")
    @ExcelProperty(order = 11, value = "打卡时间")
    private String attendanceRealTime;

}
