package com.yida.data.attendance.vo;

import com.yida.data.common.core.entity.attendance.attendance.AttendanceResult;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.List;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@ApiModel("获取某时间段内用户考勤结果返回类")
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class UserAttendanceResultByTimeSlotVO {

    @ApiModelProperty("正常打卡天数")
    private Integer normalDays;

    @ApiModelProperty("异常打卡天数")
    private Integer abNormalDays;

    @ApiModelProperty("总打卡天数")
    private Integer totalDays;

    @ApiModelProperty("迟到次数")
    private Integer lateTimes;

    @ApiModelProperty("早退次数")
    private Integer leaveTimes;

    @ApiModelProperty("缺卡次数")
    private Integer missTimes;

//    @ApiModelProperty("旷课次数")
//    private Integer outTimes;

    @ApiModelProperty("请假次数")
    private Integer requestTimes;

    @ApiModelProperty("打卡结果-迟到")
    private List<UserAttendanceResultDayAndNumVO> lateList;

    @ApiModelProperty("打卡结果-早退")
    private List<UserAttendanceResultDayAndNumVO> leaveList;

    @ApiModelProperty("打卡结果-缺卡")
    private List<UserAttendanceResultDayAndNumVO> missList;

//    @ApiModelProperty("打卡结果-旷课")
//    private List<UserAttendanceResultDayAndNumVO> outList;

}
