package com.yida.data.attendance.controller.in;

import com.yida.data.attendance.service.AttendanceResultService;
import com.yida.data.attendance.service.EduUserStrategyService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 人员策略信息 controller (不鉴权)
 *
 * @author ZYJ
 * @date 2023/11/7 19:38
 */
@Slf4j
@RestController
@RequiredArgsConstructor
@RequestMapping("in/eduUserStrategy")
public class InEduUserStrategyController {

    private final EduUserStrategyService eduUserStrategyService;

    /**
     * 处理超时用户策略
     */
    @GetMapping("/checkOverTimeUserStrategy")
    public void checkOverTimeUserStrategy() {
        eduUserStrategyService.checkOverTimeUserStrategy();
    }
}
