package com.yida.data.attendance.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.attendance.dto.PageAttendanceRecordDTO;
import com.yida.data.attendance.vo.AttendanceRuleVO;
import com.yida.data.common.core.entity.attendance.EduAttendanceRecord;
import com.yida.data.common.core.entity.attendance.EduAttendanceStaffRecord;
import com.yida.data.common.core.entity.attendance.attendance.AttendanceRecord;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * 进出记录 Mapper
 *
 * @date 2023-08-09 11:37:25
 */
public interface AttendanceRecordMapper extends BaseMapper<AttendanceRecord> {

    IPage<EduAttendanceRecord> listOldDataPage(@Param("page") Page page, @Param("schoolId") Long schoolId, @Param("startDateTime")
        LocalDateTime startDateTime);

    IPage<EduAttendanceStaffRecord> listStaffOldDataPage(@Param("page") Page page, @Param("schoolId") Long schoolId,
        @Param("startDateTime") LocalDateTime startDateTime);


    IPage<AttendanceRecord> listRecordPage(Page page, @Param("dto") PageAttendanceRecordDTO dto);

}
