package com.yida.data.attendance.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.attendance.dto.AttendanceCountPageDTO;
import com.yida.data.attendance.dto.ManageListUserDTO;
import com.yida.data.attendance.vo.AttdanceResultDetailVO;
import com.yida.data.attendance.vo.AttdanceResultTotalVO;
import com.yida.data.attendance.vo.AttdanceResultVO;
import com.yida.data.attendance.vo.AttendanceStatusByMonthVO;
import com.yida.data.attendance.vo.ManageListUserAttendanceDetailVO;
import com.yida.data.common.core.entity.attendance.attendance.AttendanceResult;
import java.time.LocalDate;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * 考勤-考勤结果 Mapper
 *
 * @date 2023-08-09 11:37:25
 */
public interface AttendanceResultMapper extends BaseMapper<AttendanceResult> {

    IPage<AttdanceResultVO> listResultPage(@Param("page") Page page, @Param("dto") AttendanceCountPageDTO dto);

    List<AttdanceResultDetailVO> findAttandanceTotal(@Param("dto") AttendanceCountPageDTO dto);

    List<AttdanceResultDetailVO> listResultDetailPage(@Param("dto") AttendanceCountPageDTO dto);

    IPage<AttdanceResultDetailVO> listUserPage(@Param("page") Page page, @Param("dto") AttendanceCountPageDTO dto);

    List<AttendanceStatusByMonthVO> findAttendanceStatus(@Param("userType") Integer userType,
        @Param("userIdList") List<Long> userIdList,
        @Param("startDate") LocalDate startDate,
        @Param("endDate") LocalDate endDate);

    IPage<ManageListUserAttendanceDetailVO> findManageListUserDetailVO(@Param("page") Page page,
        @Param("dto") ManageListUserDTO dto);

    Integer findManageListUserDetailVOErrorNum(@Param("dto") ManageListUserDTO dto);


}
