package com.yida.data.attendance.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.attendance.vo.DeviceOrDeviceGroupVO;
import com.yida.data.common.core.entity.attendance.EduAttendanceDevice;
import com.yida.data.common.core.entity.attendance.EduAttendanceDeviceGroup;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * 设备分组表 Mapper
 *
 * @author zhanghaijun
 * @date 2021-06-16 15:27:11
 */
public interface EduAttendanceDeviceGroupMapper extends BaseMapper<EduAttendanceDeviceGroup> {

    List<DeviceOrDeviceGroupVO> listDeviceAndGroup(@Param("keyword") String keyword,
        @Param("schoolId") Long schoolId);

    List<EduAttendanceDevice> listDeviceByGroup(@Param("groupIds") List<Long> groupIds);

    IPage<EduAttendanceDeviceGroup> selectGroup(Page<EduAttendanceDeviceGroup> page,
        @Param("name") String name,
        @Param("schoolIds") List<Long> schoolId);
}
