package com.yida.data.attendance.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.attendance.vo.DeviceOrDeviceGroupVO;
import com.yida.data.common.core.entity.attendance.EduAttendanceDevice;
import com.yida.data.common.core.entity.attendance.EduAttendanceDeviceGroup;
import java.util.List;


/**
 * 设备分组表 Service接口
 *
 * @author zhanghaijun
 * @date 2021-06-16 15:27:11
 */
public interface EduAttendanceDeviceGroupService extends IService<EduAttendanceDeviceGroup> {

    /**
     * 分页模糊查询分组
     *
     * @param current
     * @param size
     * @return
     */
    IPage<EduAttendanceDeviceGroup> selectGroup(String name, Long current, Long size, Long schoolId) throws NoSuchMethodException;

    /**
     * 查询全部
     *
     * @param
     * @return
     */
    List<EduAttendanceDeviceGroup> selectGroupAll();

    /**
     * 新增
     *
     * @param eduAttendanceDeviceGroup
     */
    void insertGroup(EduAttendanceDeviceGroup eduAttendanceDeviceGroup);

    /**
     * 修改
     *
     * @param eduAttendanceDeviceGroup
     */
    void updateGroup(EduAttendanceDeviceGroup eduAttendanceDeviceGroup);

    /**
     * 删除
     */
    void delGroup(Long id);

    List<DeviceOrDeviceGroupVO> listDeviceAndDevice(String keyword, Long schoolId);

    /**
     * 根据设备组id查询设备
     */
    List<EduAttendanceDevice> listDeviceByGroup(List<Long> groupIds);
}
