package com.yida.data.attendance.service;

import com.yida.data.attendance.dto.ListErrorRecordDTO;
import com.yida.data.common.core.entity.ErrorRecordMsg;
import org.springframework.data.domain.Page;
import org.springframework.scheduling.annotation.Async;

/**
 * 通行记录错误信息es处理service
 *
 * @author ZYJ
 * @date 2023/11/1 16:07
 */
public interface ErrorRecordMsgService {

    /**
     * 添加数据到es
     *
     * @param errorRecordMsg 通行记录错误信息
     * @author ZYJ
     * @date 2023/11/1 16:12
     */
    @Async
    void saveMsg(ErrorRecordMsg errorRecordMsg);

    /**
     * 分页查询通行记录错误记录
     *
     * @param dto 分页查询通行记录错误记录请求类
     * @return org.springframework.data.domain.Page<com.yida.data.common.core.entity.ErrorRecordMsg>
     * @author ZYJ
     * @date 2023/11/1 17:48
     */
    Page<ErrorRecordMsg> listErrorRecord(ListErrorRecordDTO dto);

    /**
     * 批量删除通行记录错误记录
     *
     * @param recordIds 记录ids
     * @author ZYJ
     * @date 2023/11/1 19:41
     */
    void batchDeleteErrorRecord(String[] recordIds);
}
