package com.yida.data.attendance.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.attendance.mapper.EduDeviceGroupMapper;
import com.yida.data.attendance.service.EduDeviceGroupService;
import com.yida.data.common.core.entity.attendance.EduDeviceGroup;
import java.util.List;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

/**
 * 设备对应分组关系表 Service实现
 *
 * @author zhanghaijun
 * @date 2021-06-16 15:29:10
 */
@Service
@RequiredArgsConstructor
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class EduDeviceGroupServiceImpl extends ServiceImpl
    <EduDeviceGroupMapper, EduDeviceGroup> implements EduDeviceGroupService {

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void insertGroup(List<EduDeviceGroup> list) {
        saveBatch(list);
    }


}
