package com.yida.data.server.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

@ApiModel("设备脱落")
@Data
public class _810ADeviceStaticDTO extends _810ABaseMsg {

    @ApiModelProperty("当前电量")
    @JsonProperty("BAT")
    private Integer BAT;

    @ApiModelProperty("设备号")
    @JsonProperty("DEVICENUM")
    private String DEVICENUM;

    @ApiModelProperty("当前参与定位的卫星数量")
    @JsonProperty("GPS")
    private Integer GPS;

    @ApiModelProperty("当前网络信号值")
    @JsonProperty("GSM")
    private Integer GSM;


    @ApiModelProperty("设备在离线状态；1：在线；0：离线")
    @JsonProperty("ISONLINE")
    private Integer ISONLINE;

    @ApiModelProperty("纬度")
    @JsonProperty("LA")
    private Double LA;

    @ApiModelProperty("经度")
    @JsonProperty("LO")
    private Double LO;

    @ApiModelProperty("定位时间")
    @JsonProperty("LOCTIME")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime LOCTIME;

    @ApiModelProperty("位置描述")
    @JsonProperty("POSDESC")
    private String POSDESC;

    @ApiModelProperty("定位类型；取值说明：0GPS 定位；1 基站定位；2 修正定位")
    @JsonProperty("TYPE")
    private Integer TYPE;

}
