package com.yida.data.server.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

@Data
@Builder
@Document
@NoArgsConstructor
@AllArgsConstructor
public class BtsLocation {

    @Id
    private String id;

    private Double lat;

    private Double lng;

    @ApiModelProperty("移动设备国家代码，中国-460")
    private String mcc;

    @ApiModelProperty("移动设备网络代码,移动-00，联通-01，电信-11")
    private String mnc;

    @ApiModelProperty("位置区域码   GSM/UMTS 取 LAC,LTE/5G 取 TAC")
    private String lac;

    @ApiModelProperty("基站小区编号")
    private String cid;

    @ApiModelProperty("信号强度（转换后）")
    private Integer signal;

    @ApiModelProperty("城市代码")
    private String adcode;

    public BtsLocation(Double lng, Double lat, String mcc, String mnc, String lac, String cid, Integer signal) {
        this.lng = lng;
        this.lat = lat;
        this.mcc = mcc;
        this.mnc = mnc;
        this.lac = lac;
        this.cid = cid;
        this.signal = signal;
    }
}
