package com.yida.data.customForm.dto.apply;

import com.baomidou.mybatisplus.annotation.TableField;
import com.yida.data.common.core.common.BaseDTO;
import com.yida.data.common.core.entity.applyForm.CoreApplyForm;
import com.yida.data.common.core.entity.applyForm.CoreApplyFormFillUser;
import com.yida.data.common.core.enums.EnableStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * 表单填报数据后台列表请求类
 *
 * @author ZYJ
 * @date 2023/12/7
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "ApplyFormFillSelectPageDTO", description = "表单填报数据后台列表请求类")
public class ApplyFormFillSelectPageDTO extends BaseDTO<CoreApplyFormFillUser> implements Serializable {

    private static final long serialVersionUID = 4108055176121429655L;

    @ApiModelProperty(value = "表单名称")
    private String formTitle;

    @ApiModelProperty(value = "部门id")
    private Long deptId;

    @ApiModelProperty("审核状态:默认0未审核，1已通过，2已拒绝，3审核中")
    private Integer examineStatus;

    @ApiModelProperty(value = "填报用户名称")
    private String userName;
}