package com.yida.data.customForm.dto.apply;

import com.yida.data.common.core.common.BaseDTO;
import com.yida.data.common.core.entity.applyForm.CoreApplyForm;
import com.yida.data.common.core.enums.EnableStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * 申请表单后台列表请求类
 *
 * @author ZYJ
 * @date 2023/11/14
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "ApplyFormSelectPageDTO", description = "申请表单后台列表请求类")
public class ApplyFormSelectPageDTO extends BaseDTO<CoreApplyForm> implements Serializable {

    private static final long serialVersionUID = 5386525553625287056L;

    @ApiModelProperty(value = "表单名称")
    private String formTitle;

    @ApiModelProperty(value = "部门id")
    private Long deptId;

    /**
     * {@link EnableStatusEnum}
     */
    @ApiModelProperty("启用状态. 0:停用,1:启用")
    private Integer status;
}