package com.yida.data.customForm.dto.apply;

import com.yida.data.common.core.common.BaseDTO;
import com.yida.data.common.core.entity.applyForm.CoreApprovalProcess;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * 审核流程节点后台列表请求类
 *
 * @author ZYJ
 * @date 2023/11/21
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "ApprovalProcessSelectPageDTO", description = "审核流程节点后台列表请求类")
public class ApprovalProcessSelectPageDTO extends BaseDTO<CoreApprovalProcess> implements Serializable {

    private static final long serialVersionUID = 9222217114308071592L;

    @ApiModelProperty(value = "审核节点名称")
    private String approvalProcessName;

    @ApiModelProperty(value = "部门id", hidden = true)
    private Long deptId;

    @ApiModelProperty(value = "审批方式：0-会审，1-或审")
    private Integer approvalType;
}