package com.yida.data.customForm.dto.apply;

import com.yida.data.common.core.enums.EnableStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 保存审核提醒策略请求类
 *
 * @author ZYJ
 * @date 2023/12/21
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "ApprovalRemindDTO", description = "保存审核提醒策略请求类")
public class ApprovalRemindDTO implements Serializable {

    private static final long serialVersionUID = -2552169814490729278L;

    /**
     * 审核提醒状态. 0为停用，1为启用 {@link EnableStatusEnum}
     */
    @ApiModelProperty(value = "审核提醒状态. 0为停用，1为启用")
    private Integer approvalRemindStatus;

    /**
     * 审核结果状态. 0为停用，1为启用 {@link EnableStatusEnum}
     */
    @ApiModelProperty(value = "审核结果状态. 0为停用，1为启用")
    private Integer approvalResultStatus;
}