package com.yida.data.customForm.dto.apply;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * 审核表单提交对象
 *
 * @author ZYJ
 * @date 2023/11/29
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "AuditFormDTO", description = "审核表单提交对象")
public class AuditFormDTO implements Serializable {

    private static final long serialVersionUID = -8111141594138282797L;

    @ApiModelProperty(value = "用户填报信息id")
    private Long fillUserId;

    @ApiModelProperty(value = "表单id")
    private Long applyFormId;

    @ApiModelProperty(value = "流程ID")
    private Long processId;

    @ApiModelProperty(value = "审核人ID")
    private Long approvalId;

    @ApiModelProperty(value = "审核结果：1=通过，0=不通过")
    private Integer approvalResult;

    @ApiModelProperty(value = "审核不通过的原因")
    private String approvalReason;

    @ApiModelProperty(value = "审核顺序")
    private Integer sort;

    @ApiModelProperty(value = "审核第几流程ID")
    private Long userProcessId;

    @ApiModelProperty(value = "审核不通过原因")
    private String refuseReason;

    @ApiModelProperty("签名图片")
    private String signPic;
}
