package com.yida.data.customForm.dto.apply;

import com.yida.data.common.core.common.BaseDTO;
import com.yida.data.common.core.entity.applyForm.CoreApplyForm;
import com.yida.data.common.core.entity.applyForm.CoreOfficialSeal;
import com.yida.data.common.core.enums.EnableStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * 学校公章后台列表请求类
 *
 * @author ZYJ
 * @date 2023/11/17
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "OfficialSealSelectPageDTO", description = "学校公章后台列表请求类")
public class OfficialSealSelectPageDTO extends BaseDTO<CoreOfficialSeal> implements Serializable {

    private static final long serialVersionUID = 4118969684345957010L;

    @ApiModelProperty("公章名称")
    private String officialSealTitle;

    @ApiModelProperty("部门id")
    private Long deptId;

    /**
     * {@link EnableStatusEnum}
     */
    @ApiModelProperty("启用状态. 0:停用,1:启用")
    private Integer status;
}