package com.yida.data.customForm.dto.apply;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yida.data.common.core.entity.system.Dept;
import com.yida.data.common.core.entity.user.EduStudent;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 发送家长表单审核模板消息 数据封装类
 *
 * @author ZYJ
 * @date 2023/11/30
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SendParentNoticeDTO implements Serializable {

    private static final long serialVersionUID = -6522443814615298394L;

    /**
     * 学校信息
     */
    private Dept school;

    /**
     * 学生信息
     */
    private EduStudent student;

    /**
     * 审批结果 1已通过，0未通过
     */
    private Integer examineStatus;

    /**
     * 申请时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    /**
     * 申请表单id
     */
    private Long formId;

    /**
     * 用户填报信息id
     */
    private Long fillUserId;
}
