package com.yida.data.customForm.dto.apply;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 发送职工表单审核模板消息 数据封装类
 *
 * @author ZYJ
 * @date 2023/11/28
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SendStaffNoticeDTO implements Serializable {

    private static final long serialVersionUID = 624201172110126750L;

    /**
     * 学校ID
     */
    private Long schoolId;

    /**
     * 本次审核职工
     */
    private String staffWxId;

    /**
     * 本次审核职工
     */
    private String staffName;

    /**
     * 学校类型
     */
    private String schoolType;

    /**
     * 上一位审核职工
     */
    private String preStaffName;

    /**
     * 上一位审核职工角色
     */
    private String preStaffRoleName;

    /**
     * 学生姓名 / 职工姓名
     */
    private String userName;

    /**
     * 学生所属班级名称  / 职工所属部门
     */
    private String userDeptName;

    /**
     * 申请时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    /**
     * 审批结果 1已通过，0未通过
     */
    private Integer status;

    /**
     * 申请表单id
     */
    private Long formId;

    /**
     * 用户填报信息id
     */
    private Long fillUserId;

    /**
     * 用户id(学生id)
     */
    private Long userId;
}
