package com.yida.data.customForm.feign;

import com.yida.data.common.core.common.ResultBean;
import com.yida.data.common.core.entity.constant.FebsServerConstant;
import com.yida.data.customForm.fallback.RemoteFormServiceFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @author ccl
 */
@FeignClient(value = FebsServerConstant.EDU_CUSTOM_FORM, contextId = "formServiceClient",
        fallbackFactory = RemoteFormServiceFallback.class)
public interface RemoteFormService {

    /**
     * 修改为发布
     *
     * @param id
     * @return
     */
    @GetMapping("in/coreCustomForm/updateById")
    ResultBean updateById(@RequestParam("id") Long id);

    /**
     * 提醒填报
     *
     * @param id
     * @return
     */
    @GetMapping("in/coreCustomForm/remindLast")
    ResultBean remindLast(@RequestParam("id") Long id);
}
