package com.yida.data.customForm.vo.apply;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.yida.data.common.core.enums.EnableStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 表单填报数据后台列表返回数据
 *
 * @author ZYJ
 * @date 2023/12/7
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "ApplyFormFillSelectPageVO", description = "表单填报数据后台列表返回数据")
public class ApplyFormFillSelectPageVO implements Serializable {

    private static final long serialVersionUID = 206000991050950577L;

    @ApiModelProperty("表单标题")
    private String formTitle;

    @ApiModelProperty("学校id")
    private Long schoolId;

    /**
     * 表单id
     */
    @ApiModelProperty(value = "表单id")
    @TableField("apply_form_id")
    private Long applyFormId;

    @ApiModelProperty(value = "表单对应填报数据id")
    @TableField("apply_form_dta_id")
    private Long applyFormDataId;

    @ApiModelProperty(value = "填报用户id")
    @TableField("user_id")
    private Long userId;

    @ApiModelProperty(value = "填报用户名称")
    @TableField("user_name")
    private String userName;

    @ApiModelProperty("审核状态:默认0未审核，1已通过，2已拒绝，3审核中")
    private Integer examineStatus;

    @ApiModelProperty(value = "审核时间")
    @TableField(value = "audit_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime auditTime;

    @ApiModelProperty(value = "审核不通过原因")
    @TableField("refuse_reason")
    private String refuseReason;

    @ApiModelProperty("部门名称")
    private String deptName;
}