package com.yida.data.customForm.vo.apply;

import com.yida.data.common.core.entity.applyForm.CoreApplyFormFillUserApprovalProcess;
import com.yida.data.common.core.entity.applyForm.CoreApplyFormFillUserApprovalProcessRecord;
import com.yida.data.common.core.entity.applyForm.CoreApplyFormItem;
import com.yida.data.common.core.entity.user.EduStudent;
import com.yida.data.common.core.enums.EnableStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * 表单填报数据返回信息
 *
 * @author ZYJ
 * @date 2023/11/29
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "ApplyFormFillUserDataVO", description = "表单填报数据返回信息")
public class ApplyFormFillUserDataVO implements Serializable {

    private static final long serialVersionUID = 7915931324819292444L;

    @ApiModelProperty("申请表单id")
    private Long id;

    @ApiModelProperty("表单标题")
    private String formTitle;

    @ApiModelProperty("背景图")
    private String backgroundImgUrl;

    @ApiModelProperty("头图")
    private String headerImgUrl;

    @ApiModelProperty("填报信息id")
    private Long applyFormDataId;

    @ApiModelProperty("用户填报信息id")
    private Long fillUserId;

    @ApiModelProperty("学生信息")
    private EduStudent student;

    @ApiModelProperty("用户填报的具体信息")
    private Map fillUserData;

    @ApiModelProperty("表单组件集合")
    private List<CoreApplyFormItem> itemList;

    @ApiModelProperty("审核流程信息")
    private List<CoreApplyFormFillUserApprovalProcess> userApprovalProcessList;
}