package com.yida.data.customForm.vo.apply;

import com.yida.data.common.core.entity.applyForm.CoreApplyFormItem;
import com.yida.data.common.core.enums.EnableStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * 申请表单详情返回数据
 *
 * @author ZYJ
 * @date 2023/11/14
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "ApplyFormInfoVO", description = "申请表单详情返回数据")
public class ApplyFormInfoVO implements Serializable {

    private static final long serialVersionUID = 4199278871825693151L;

    @ApiModelProperty("申请表单id")
    private Long id;

    /**
     * {@link EnableStatusEnum}
     */
    @ApiModelProperty("启用状态. 0:停用, 1:启用")
    private Integer status;

    @ApiModelProperty("表单标题")
    private String formTitle;

    @ApiModelProperty("表单类型")
    private Long formTypeId;

    @ApiModelProperty("表单描述说明")
    private String formRemark;

    @ApiModelProperty("是否显示排序：1=是，0=否")
    private String sorted;

    @ApiModelProperty("0为不开启一页一题，1为开启一页一题")
    private Integer pageOneQuestion;

    @ApiModelProperty("0为开启进度条，1为关闭进度条")
    private Integer progressBar;

    @ApiModelProperty("分页最大停留时间（单位秒）")
    private Integer stopMaxTime;

    @ApiModelProperty("分页最小停留时间（单位秒）")
    private Integer stopMinTime;

    @ApiModelProperty("背景图")
    private String backgroundImgUrl;

    @ApiModelProperty("头图")
    private String headerImgUrl;

    @ApiModelProperty("导出模板文件地址")
    private String templateFileUrl;

    @ApiModelProperty("数据表名称")
    private String tableName;

    @ApiModelProperty("表单组件集合")
    private List<CoreApplyFormItem> itemList;
}