package com.yida.data.customForm.vo.apply;

import com.yida.data.common.core.enums.EnableStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 申请表单后台列表返回数据
 *
 * @author ZYJ
 * @date 2023/11/14
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "ApplyFormSelectPageVO", description = "申请表单后台列表返回数据")
public class ApplyFormSelectPageVO implements Serializable {

    private static final long serialVersionUID = 8529913736282242373L;

    @ApiModelProperty("申请表单id")
    private Long id;

    @ApiModelProperty("表单标题")
    private String formTitle;

    @ApiModelProperty("背景图")
    private String backgroundImgUrl;

    @ApiModelProperty("头图")
    private String headerImgUrl;

    @ApiModelProperty(value = "对应数据表名称", hidden = true)
    private String tableName;

    @ApiModelProperty(value = "提交数量")
    private Long submitNum;

    /**
     * {@link EnableStatusEnum}
     */
    @ApiModelProperty("启用状态. 0:停用, 1:启用")
    private Integer status;
}