package com.yida.data.customForm.vo.apply;

import com.baomidou.mybatisplus.annotation.TableField;
import com.yida.data.common.core.entity.applyForm.CoreApprovalProcessUser;
import com.yida.data.common.core.enums.EnableStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * 审核流程节点详情返回数据
 *
 * @author ZYJ
 * @date 2023/11/21
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "ApprovalProcessInfoVO", description = "审核流程节点详情返回数据")
public class ApprovalProcessInfoVO implements Serializable {

    private static final long serialVersionUID = -4441915066856278590L;

    @ApiModelProperty("审核流程节点id")
    private Long id;

    @ApiModelProperty("审核流程名称")
    private String approvalProcessName;

    @ApiModelProperty("审批人员类型：0-指定角色，1-指定人员")
    private Integer approvalUserType;

    @ApiModelProperty("审批方式：0-会审，1-或审")
    private Integer approvalType;

    @ApiModelProperty("审核人员信息")
    private List<CoreApprovalProcessUser> userList;
}