package com.yida.data.customForm.vo.apply;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 审核流程后台列表返回数据
 *
 * @author ZYJ
 * @date 2023/11/21
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "ApprovalProcessSelectPageVO", description = "审核流程后台列表返回数据")
public class ApprovalProcessSelectPageVO implements Serializable {

    private static final long serialVersionUID = -3815063304958884659L;

    @ApiModelProperty("审核流程id")
    private Long id;

    @ApiModelProperty("审核流程名称")
    private String approvalProcessName;

    @ApiModelProperty("审核人员字符串")
    private String approvalUserName;

    @ApiModelProperty("审批人员类型：0-指定角色，1-指定人员")
    private Integer approvalUserType;

    @ApiModelProperty("审批方式：0-会审，1-或审")
    private Integer approvalType;

    @ApiModelProperty("创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;
}