package com.yida.data.customForm.vo.apply;

import com.baomidou.mybatisplus.annotation.TableField;
import com.yida.data.common.core.entity.applyForm.CoreApprovalProcessUser;
import com.yida.data.common.core.enums.EnableStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * 审核提醒策略详情
 *
 * @author ZYJ
 * @date 2023/12/21
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "ApprovalRemindInfoVO", description = "审核提醒策略详情")
public class ApprovalRemindInfoVO implements Serializable {

    private static final long serialVersionUID = -8312618288590569425L;

    /**
     * 审核提醒状态. 0为停用，1为启用 {@link EnableStatusEnum}
     */
    @ApiModelProperty(value = "审核提醒状态. 0为停用，1为启用")
    private Integer approvalRemindStatus;

    /**
     * 审核结果状态. 0为停用，1为启用 {@link EnableStatusEnum}
     */
    @ApiModelProperty(value = "审核结果状态. 0为停用，1为启用")
    private Integer approvalResultStatus;
}