package com.yida.data.customForm.vo.apply;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yida.data.common.core.enums.EnableStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 家长端查询已经填报的申请列表数据
 *
 * @author ZYJ
 * @date 2023/11/23
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "MyApplyFormPageVO", description = "家长端查询已经填报的申请列表数据")
public class MyApplyFormPageVO implements Serializable {

    private static final long serialVersionUID = 3100369332357552698L;

    @ApiModelProperty("申请表单id")
    private Long id;

    @ApiModelProperty("表单标题")
    private String formTitle;

    @ApiModelProperty("背景图")
    private String backgroundImgUrl;

    @ApiModelProperty("头图")
    private String headerImgUrl;

    @ApiModelProperty("审核状态:默认0未审核，1已通过，2已拒绝，3审核中")
    private Integer examineStatus;

    @ApiModelProperty("填报时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    @ApiModelProperty("填报的学生id")
    private Long userId;

    @ApiModelProperty("学生姓名")
    private String userName;

    @ApiModelProperty("学生头像")
    private String userPicUrl;

    @ApiModelProperty("填报信息id")
    private Long applyFormDataId;

    @ApiModelProperty("用户填报信息id")
    private Long fillUserId;
}