package com.yida.data.customForm.vo.apply;

import com.baomidou.mybatisplus.annotation.TableField;
import com.yida.data.common.core.entity.applyForm.CoreApplyFormItem;
import com.yida.data.common.core.enums.EnableStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * 申请表单详情返回数据
 *
 * @author ZYJ
 * @date 2023/11/14
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "OfficialSealInfoVO", description = "申请表单详情返回数据")
public class OfficialSealInfoVO implements Serializable {

    private static final long serialVersionUID = 5097919143166649586L;

    @ApiModelProperty("申请表单id")
    private Long id;

    @ApiModelProperty("公章名称")
    private String officialSealTitle;

    /**
     * {@link EnableStatusEnum}
     */
    @ApiModelProperty("启用状态. 0:停用, 1:启用")
    private Integer status;

    @ApiModelProperty("公章图片地址")
    private String picUrl;
}