package com.yida.data.customForm.vo.apply;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.yida.data.common.core.enums.EnableStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 学校公章后台列表返回数据
 *
 * @author ZYJ
 * @date 2023/11/17
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "OfficialSealSelectPageVO", description = "学校公章后台列表返回数据")
public class OfficialSealSelectPageVO implements Serializable {

    private static final long serialVersionUID = 7233799022727223532L;

    @ApiModelProperty("公章id")
    private Long id;

    @ApiModelProperty("公章名称")
    private String officialSealTitle;

    /**
     * {@link EnableStatusEnum}
     */
    @ApiModelProperty("启用状态. 0:停用, 1:启用")
    private Integer status;

    @ApiModelProperty("公章图片地址")
    private String picUrl;

    @ApiModelProperty("创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;
}