package com.yida.data.form.apply.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yida.data.common.core.common.ResultBean;
import com.yida.data.customForm.dto.apply.ApplyFormFillSelectPageDTO;
import com.yida.data.customForm.vo.apply.ApplyFormFillSelectPageVO;
import com.yida.data.customForm.vo.apply.ApplyFormSelectPageVO;
import com.yida.data.form.apply.service.CoreApplyFormFillUserService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * 表单填报管理 Controller
 *
 * @author ZYJ
 * @date 2023/12/7
 */
@RestController
@RequiredArgsConstructor
@RequestMapping("/fill")
@Api(tags = "后台--表单填报管理")
public class CoreApplyFormFillController {

    private final CoreApplyFormFillUserService coreApplyFormFillUserService;

    @ApiOperation("查询申请表单填报列表数据")
    @PostMapping("/listApplyFormFillPage")
    public ResultBean<IPage<ApplyFormFillSelectPageVO>> listApplyFormFillPage(ApplyFormFillSelectPageDTO dto) {
        IPage<ApplyFormFillSelectPageVO> page = coreApplyFormFillUserService.listApplyFormFillPage(dto);
        return ResultBean.buildSuccess(page);
    }
}
