package com.yida.data.form.apply.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.common.core.entity.applyForm.CoreApplyForm;
import com.yida.data.common.core.entity.applyForm.CoreApplyFormApprovalProcess;
import com.yida.data.common.core.entity.applyForm.CoreApprovalProcess;
import com.yida.data.customForm.dto.apply.ApplyFormSelectPageDTO;
import com.yida.data.customForm.vo.apply.ApplyFormProcessSelectVO;
import com.yida.data.customForm.vo.apply.ApplyFormSelectPageVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 申请表单对应的审核流程 mapper
 *
 * @author ZYJ
 * @date 2023/11/21
 */
public interface CoreApplyFormApprovalProcessMapper extends BaseMapper<CoreApplyFormApprovalProcess> {

    /**
     * 查询表单对应的审核流程
     *
     * @param applyFormId 表单id
     * @return java.util.List<com.yida.data.common.core.entity.applyForm.CoreApprovalProcess>
     * @author ZYJ
     * @date 2023/11/24 14:04
     */
    List<CoreApprovalProcess> selectApplyFormApprovalProcess(@Param("applyFormId") Long applyFormId);

    /**
     * 查询表单对应的审核流程页面数据
     *
     * @param formId 表单id
     * @return java.util.List<com.yida.data.customForm.vo.apply.ApplyFormProcessSelectVO>
     * @author ZYJ
     * @date 2023/12/18 16:51
     */
    List<ApplyFormProcessSelectVO> listFormApprovalProcess(@Param("formId") Long formId);
}
