package com.yida.data.form.apply.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.common.core.entity.applyForm.CoreApprovalProcess;
import com.yida.data.customForm.dto.apply.ApprovalProcessSelectPageDTO;
import com.yida.data.customForm.vo.apply.ApprovalProcessSelectPageVO;
import org.apache.ibatis.annotations.Param;

/**
 * 审核流程表 mapper
 *
 * @author ZYJ
 * @date 2023/11/21
 */
public interface CoreApprovalProcessMapper extends BaseMapper<CoreApprovalProcess> {

    /**
     * 查询审核流程节点列表数据
     *
     * @param page 分页信息
     * @param dto  查询参数
     * @return com.baomidou.mybatisplus.core.metadata.IPage<com.yida.data.customForm.vo.apply.ApprovalProcessSelectPageVO>
     * @author ZYJ
     * @date 2023/11/21 15:31
     */
    IPage<ApprovalProcessSelectPageVO> listApprovalProcessPage(Page<CoreApprovalProcess> page,
                                                               @Param("dto") ApprovalProcessSelectPageDTO dto);
}
