package com.yida.data.form.apply.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.common.core.entity.applyForm.CoreApplyForm;
import com.yida.data.common.core.entity.applyForm.CoreOfficialSeal;
import com.yida.data.customForm.dto.apply.ApplyFormSelectPageDTO;
import com.yida.data.customForm.dto.apply.OfficialSealSelectPageDTO;
import com.yida.data.customForm.vo.apply.ApplyFormSelectPageVO;
import com.yida.data.customForm.vo.apply.OfficialSealSelectPageVO;
import org.apache.ibatis.annotations.Param;

/**
 * 学校公章 mapper
 *
 * @author ZYJ
 * @date 2023/11/17
 */
public interface CoreOfficialSealMapper extends BaseMapper<CoreOfficialSeal> {

    /**
     * 查询学校公章列表数据
     *
     * @param page 分页信息
     * @param dto  查询条件
     * @return com.baomidou.mybatisplus.core.metadata.IPage<com.yida.data.customForm.vo.apply.OfficialSealSelectPageVO>
     * @author ZYJ
     * @date 2023/11/17 15:45
     */
    IPage<OfficialSealSelectPageVO> listOfficialSealPage(Page<CoreOfficialSeal> page,
                                                         @Param("dto") OfficialSealSelectPageDTO dto);
}
