package com.yida.data.form.apply.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.applyForm.CoreApplyForm;
import com.yida.data.common.core.entity.applyForm.CoreApplyFormApprovalProcess;
import com.yida.data.common.core.entity.applyForm.CoreApprovalProcess;
import com.yida.data.customForm.dto.apply.ApplyFormSelectPageDTO;
import com.yida.data.customForm.vo.apply.ApplyFormInfoVO;
import com.yida.data.customForm.vo.apply.ApplyFormProcessSelectVO;
import com.yida.data.customForm.vo.apply.ApplyFormSelectPageVO;

import java.util.List;

/**
 * 申请表单对应的审核流程 Service
 *
 * @author ZYJ
 * @date 2023/11/21
 */
public interface CoreApplyFormApprovalProcessService extends IService<CoreApplyFormApprovalProcess> {

    /**
     * 保存申请表单对应审核流程
     *
     * @param applyFormId 申请表单id
     * @param processList 表单对应审核流程节点集合
     * @author ZYJ
     * @date 2023/11/22 14:01
     */
    void saveApplyFormApprovalProcess(Long applyFormId, List<CoreApplyFormApprovalProcess> processList);

    /**
     * 查询表单对应的审核流程数据
     *
     * @param formId 表单id
     * @return java.util.List<com.yida.data.customForm.vo.apply.ApplyFormProcessSelectVO>
     * @author ZYJ
     * @date 2023/12/18 16:50
     */
    List<ApplyFormProcessSelectVO> listFormApprovalProcess(Long formId);
}
