package com.yida.data.form.apply.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.applyForm.CoreApplyFormFillUser;
import com.yida.data.customForm.dto.apply.ApplyFormFillSelectPageDTO;
import com.yida.data.customForm.dto.apply.H5ApplyFormSelectPageDTO;
import com.yida.data.customForm.vo.apply.ApplyFormFillSelectPageVO;
import com.yida.data.customForm.vo.apply.MyApplyFormPageVO;

import java.util.List;

/**
 * 申请表单填报用户信息表 Service
 *
 * @author ZYJ
 * @date 2023/11/22
 */
public interface CoreApplyFormFillUserService extends IService<CoreApplyFormFillUser> {

    /**
     * 查询用户已经填报的数据
     *
     * @param dto     查询条件
     * @param userIds 填报用户id集合
     * @return com.baomidou.mybatisplus.core.metadata.IPage<com.yida.data.customForm.vo.apply.MyApplyFormPageVO>
     * @author ZYJ
     * @date 2023/11/23 15:05
     */
    IPage<MyApplyFormPageVO> selectUserFillForm(H5ApplyFormSelectPageDTO dto, List<Long> userIds);

    /**
     * 查询申请表单填报列表数据
     *
     * @param dto 表单填报数据后台列表请求类
     * @return com.baomidou.mybatisplus.core.metadata.IPage<com.yida.data.customForm.vo.apply.ApplyFormFillSelectPageVO>
     * @author ZYJ
     * @date 2023/12/7 15:05
     */
    IPage<ApplyFormFillSelectPageVO> listApplyFormFillPage(ApplyFormFillSelectPageDTO dto);
}
