package com.yida.data.form.apply.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.applyForm.CoreApprovalRemind;
import com.yida.data.customForm.dto.apply.ApprovalRemindDTO;
import com.yida.data.customForm.vo.apply.ApprovalRemindInfoVO;

/**
 * 审核提醒策略表 Service
 *
 * @author ZYJ
 * @date 2023/11/23
 */
public interface CoreApprovalRemindService extends IService<CoreApprovalRemind> {

    /**
     * 查询审核提醒策略详情
     *
     * @return com.yida.data.customForm.vo.apply.ApprovalRemindInfoVO
     * @author ZYJ
     * @date 2023/12/21 15:19
     */
    ApprovalRemindInfoVO getApprovalRemindInfo();

    /**
     * 保存审核提醒策略
     *
     * @param dto 保存审核提醒策略请求类
     * @author ZYJ
     * @date 2023/12/21 15:26
     */
    void saveApprovalRemind(ApprovalRemindDTO dto);
}
