package com.yida.data.form.apply.service;

import com.yida.data.common.core.entity.system.Dept;
import com.yida.data.common.core.entity.user.EduStudent;
import com.yida.data.customForm.dto.apply.SendParentNoticeDTO;
import com.yida.data.customForm.dto.apply.SendStaffNoticeDTO;
import org.springframework.scheduling.annotation.Async;

import java.time.LocalDateTime;

/**
 * 发送消息 Service
 *
 * @author ZYJ
 * @date 2023/11/30
 */
public interface SendNoticeService {

    /**
     * 发送申请表单职工企业微信端模板消息
     *
     * @param dto     发送职工表单审核模板消息 数据封装类
     * @param isFirst 是否为初次审核 0否，1是
     * @author ZYJ
     * @date 2023/11/28 14:09
     */
    @Async
    void sendStaffNotice(SendStaffNoticeDTO dto, Integer isFirst);

    /**
     * 发送申请表单家长企业微信端模板消息
     *
     * @param dto   消息信息
     * @author ZYJ
     * @date 2023/11/30 17:07
     */
    @Async
    void sendParentNotice(SendParentNoticeDTO dto);
}
