package com.yida.data.device.dto.camera;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ccl
 */
@Data
@ApiModel(value = "CameraDTO", description = "设备保存请求类")
public class CameraDTO implements Serializable {

    private static final long serialVersionUID = 9104056853871131972L;

    @ApiModelProperty("设备id")
    private Long id;

    @ApiModelProperty("设备编码")
    private String code;

    @ApiModelProperty("转码地址")
    private String transUrl;

    @ApiModelProperty("备注")
    private String remarks;

    @ApiModelProperty("区域分组id")
    private Long areaGroupId;

    @ApiModelProperty("开放状态")
    private Integer openStatus;

    @ApiModelProperty("运行状态")
    private Integer runStatus;

    @ApiModelProperty("设备名称")
    private String cameraName;

    @ApiModelProperty("设备类型.0:非公共摄像头,1:公共摄像头")
    private Integer commonType;

    @ApiModelProperty("非公共摄像头对应的部门id(目前为班级id)")
    private Long deptId;

    @ApiModelProperty("当前部门的链状部门字符串, 用于数据回显")
    private String parentDept;
}
