package com.yida.data.device.dto.camera;

import com.yida.data.common.core.common.BaseDTO;
import com.yida.data.common.core.entity.camera.EduCamera;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 设备列表请求类
 *
 * @author ZYJ
 * @date 2022/4/28
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "ListCameraDTO", description = "设备列表请求类")
public class ListCameraDTO extends BaseDTO<EduCamera> implements Serializable {

    private static final long serialVersionUID = -7583870156434892929L;

    @ApiModelProperty("设备名称")
    private String cameraName;

    @ApiModelProperty("设备编码")
    private String code;

    @ApiModelProperty("设备类型.0:非公共摄像头,1:公共摄像头")
    private Integer commonType;

    @ApiModelProperty("区域id")
    private Long areaGroupId;

    @ApiModelProperty("开放状态.0是，1否")
    private Integer openStatus;

    @ApiModelProperty("运行状态.0在线，1离线")
    private Integer runStatus;

    @ApiModelProperty(value = "学校id", hidden = true)
    private Long schoolId;
}
