package com.yida.data.device.dto.camera;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 主题开放时间保存请求类
 *
 * @author ZYJ
 * @date 2022/4/29
 */
@Data
@ApiModel(value = "ThemeOpenTimeDTO", description = "主题开放时间保存请求类")
public class ThemeOpenTimeDTO implements Serializable {

    private static final long serialVersionUID = 922818271908797324L;

    @ApiModelProperty(value = "开放日期周几的数字", example = "1")
    private Integer week;

    @ApiModelProperty(value = "开放日期标签", example = "周一")
    private String label;

    @ApiModelProperty("开始时间")
    @DateTimeFormat(pattern = "HH:mm")
    @JsonFormat(timezone = "GMT+8", pattern = "HH:mm")
    private Date start;

    @ApiModelProperty("结束时间")
    @DateTimeFormat(pattern = "HH:mm")
    @JsonFormat(timezone = "GMT+8", pattern = "HH:mm")
    private Date end;
}