package com.yida.data.device.dto.camera;

import com.yida.data.common.core.entity.camera.enums.ThemeTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 主题保存请求类
 *
 * @author ZYJ
 * @date 2022/4/29
 */
@Data
@ApiModel(value = "ThemeSaveDTO", description = "主题保存请求类")
public class ThemeSaveDTO implements Serializable {

    private static final long serialVersionUID = 4815089614436140031L;

    @ApiModelProperty("主题id")
    private Long id;

    @ApiModelProperty("主题名称")
    private String theme;

    @ApiModelProperty("主题简介")
    private String themeDescribe;

    @ApiModelProperty("开放状态：0未开放，1开放")
    private Integer openStatus;

    /**
     * {@link ThemeTypeEnum}
     */
    @ApiModelProperty("主题类型.0:固定,不可删除(此类型只有一条数据, 并且不能选择设备);1:不固定,可删除")
    private Integer themeType;

    @ApiModelProperty("设备信息集合")
    private List<ThemeCameraDTO> cameraList;

    @ApiModelProperty("可见范围, 班级信息集合")
    private List<ThemeDeptDTO> deptList;

    @ApiModelProperty("开放时间集合")
    private List<ThemeOpenTimeDTO> openTimeList;
}
