package com.yida.data.device.dto.consume;

import com.yida.data.common.core.common.BaseDTO;
import com.yida.data.common.core.entity.consume.EduConsumeOrder;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * 消费订单后台列表请求类
 *
 * @author ZYJ
 * @date 2023/4/14
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "ConsumeOrderPageDTO", description = "消费订单后台列表请求类")
public class ConsumeOrderPageDTO extends BaseDTO<EduConsumeOrder> implements Serializable {

    private static final long serialVersionUID = 5188209169253382906L;

    @ApiModelProperty("订单状态")
    private String orderStatus;

    @ApiModelProperty("订单号")
    private String orderCode;

    @ApiModelProperty("学生姓名或校园卡号")
    private String searchData;

    @ApiModelProperty("学校id")
    private Long schoolId;
}