package com.yida.data.device.dto.consume;

import com.yida.data.common.core.enums.PayWay;
import com.yida.data.common.core.enums.UnionPayTypeEnum;
import com.yida.data.common.core.enums.WxPayTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 生成消费订单请求类
 *
 * @author ZYJ
 * @date 2023/3/23
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "CreateConsumeOrderDTO", description = "生成消费订单请求类")
public class CreateConsumeOrderDTO implements Serializable {

    private static final long serialVersionUID = 230831080990848937L;

    @ApiModelProperty("学生id")
    private Long studentId;

    @ApiModelProperty("学校id")
    private Long schoolId;

    @ApiModelProperty("充值金额. 单位: 元")
    private BigDecimal money;

    /**
     * 支付方式
     * {@link PayWay}
     */
    @ApiModelProperty("支付方式")
    private String payWay;

    /**
     * 支付类型
     * 银联云闪付: {@link UnionPayTypeEnum}
     * 微信类型: {@link WxPayTypeEnum}
     */
    @ApiModelProperty("支付类型")
    private Integer payType;
}