package com.yida.data.device.dto.studentCard;

import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

@Data
public class CardMsgDTO implements Serializable {

    private static final long serialVersionUID = 8024097842583669587L;
    // 定位信息
    public final static Integer LOCATION = 0;
    // 危险区域
    public final static Integer RISK_AREA = 1;
    // 步数
    public final static Integer STEP = 2;
    // 低电量
    public final static Integer LOW_BAT = 3;
    // 设备脱落
    public final static Integer DEVICE_STATIC = 4;

    @ApiModelProperty("消息类型")
    private Integer msgType;

    @ApiModelProperty("设备imei")
    private String imei;

    @ApiModelProperty("经度")
    private Double lng;

    @ApiModelProperty("纬度")
    private Double lat;

    @ApiModelProperty("地址")
    private String address;

    @ApiModelProperty("附加信息")
    private String remark;

    @ApiModelProperty("电量")
    private Integer bat;

    @ApiModelProperty("步数")
    private Integer step;

    @ApiModelProperty("设备上报时间")
    private LocalDateTime deviceTime;

    private Integer type;
}
