package com.yida.data.device.dto.studentCard;

import com.yida.data.common.core.common.BaseDTO;
import com.yida.data.device.vo.studentCard.CardPageVO;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;
import java.util.List;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

@Data
public class CardPageDTO extends BaseDTO {

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("手机号")
    private String mobile;

    @ApiModelProperty("导入开始时间 yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String importStartTime;

    @ApiModelProperty("导入结束时间 yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String importEndTime;

    @ApiModelProperty("激活开始时间 yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime activateStartTime;

    @ApiModelProperty("激活结束时间 yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime activateEndTime;

    @ApiModelProperty("使用状态：0：禁用，1：正常")
    private Integer useStatus;

    @ApiModelProperty("设备型号")
    private String mcType;

    @ApiModelProperty("imei")
    private String imei;

    @ApiModelProperty("rfid")
    private String rfid;

    private Long schoolId;

    private Long campusId;

    private Long sectionId;

    private Long gradeId;

    private Long classId;

    @ApiModelProperty("导出数据")
    private List<CardPageVO> dataList;

}
