package com.yida.data.device.dto.telephone;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yida.data.common.core.common.BaseDTO;
import com.yida.data.device.vo.telephone.RecordInfoVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.util.List;

@Data
public class RecordPageDTO extends BaseDTO {

    private Long schoolId;

    private Long campusId;

    private Long sectionId;

    private Long gradeId;

    private Long classId;

    @ApiModelProperty("话机imei")
    private String imei;

    @ApiModelProperty("话机iccid")
    private String iccid;

    @ApiModelProperty("学生ic卡号")
    private String cardNo;

    @ApiModelProperty("学生姓名")
    private String studentName;

    @ApiModelProperty("被呼号码")
    private String callPhone;

    @ApiModelProperty("开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime startTime;

    @ApiModelProperty("结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime endTime;

    @ApiModelProperty("需要导出得数据列表")
    private List<RecordInfoVO> recordList;

}
