package com.yida.data.device.feign.consume;

import com.yida.data.common.core.common.ResultBean;
import com.yida.data.common.core.entity.constant.FebsServerConstant;
import com.yida.data.common.core.entity.consume.EduStudentConsumeCard;
import com.yida.data.device.fallback.RemoteStudentCardServiceFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(value = FebsServerConstant.EDU_DEVICE, contextId = "consumeCardClient",
        fallbackFactory = RemoteStudentCardServiceFallback.class)
public interface RemoteConsumeCardService {

    /**
     * 保存学生消费机信息
     */
    @PostMapping("/consumeCard/saveConsumeCard")
    ResultBean<String> saveConsumeCard(@RequestBody EduStudentConsumeCard eduStudentConsumeCard);
}
