package com.yida.data.device.feign.consume;

import com.yida.data.common.core.common.ResultBean;
import com.yida.data.common.core.entity.constant.FebsServerConstant;
import com.yida.data.device.fallback.RemoteConsumeOrderServiceFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

/**
 * 消费订单模块feign
 *
 * @author ZYJ
 * @date 2023/4/3
 */
@FeignClient(value = FebsServerConstant.EDU_DEVICE, contextId = "consumeOrderServiceClient",
        fallbackFactory = RemoteConsumeOrderServiceFallback.class)
public interface RemoteConsumeOrderService {

    /**
     * 更新超时订单状态
     *
     * @return com.yida.data.common.core.common.ResultBean<java.lang.String>
     * @author ZYJ
     * @date 2023/4/3 13:26
     */
    @GetMapping("/in/consume/updateOrderStatus")
    ResultBean<String> updateOrderStatus();

    /**
     * 更新退款订单状态
     *
     * @return com.yida.data.common.core.common.ResultBean<java.lang.String>
     * @author ZYJ
     * @date 2023/4/3 13:26
     */
    @GetMapping("/in/consume/updateRefundStatus")
    ResultBean<String> updateRefundStatus();
}
