package com.yida.data.device.feign.studentCard;

import com.yida.data.common.core.common.ResultBean;
import com.yida.data.common.core.entity.constant.FebsServerConstant;

import com.yida.data.device.fallback.RemoteStudentCardServiceFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

@FeignClient(value = FebsServerConstant.EDU_DEVICE, contextId = "Client",
        fallbackFactory = RemoteStudentCardServiceFallback.class)
public interface RemoteStudentCardService {

    /**
     * 更新设备定位
     *
     * @return
     */
    @GetMapping("/in/studentCard/card/updateCardPos")
    ResultBean updateCardPos();

    /**
     * 更新设备在线状态
     */
    @GetMapping("/in/studentCard/card/updateCardStatus")
    ResultBean updateCardStatus();
}
