package com.yida.data.device.vo.consume;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 消费机列表返回接口
 *
 * @author ZYJ
 * @date 2023-03-15 10:02:27
 */
@Data
@ApiModel("设备信息")
public class ConsumeDeviceVO implements Serializable {

    private static final long serialVersionUID = 1192859620255962398L;

    private Long id;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    @ApiModelProperty("设备名称")
    private String name;

    @ApiModelProperty("设备编号")
    private String sn;

    @ApiModelProperty("设备mac地址")
    private String macAddress;

    @ApiModelProperty("设备厂商")
    private String deviceType;

    @ApiModelProperty("ip")
    private String ip;

    @ApiModelProperty("学校id")
    private Long schoolId;

    @ApiModelProperty("学校名称")
    private String schoolName;

    @ApiModelProperty("设备在线状态，0-在线，1-未在线")
    private Integer state;
}
