package com.yida.data.device.vo.consume;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 学生消费订单缓存类
 *
 * @author ZYJ
 * @date 2023/3/22
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "ConsumeOrderStudentCacheVO", description = "学生消费订单缓存类")
public class ConsumeOrderStudentCacheVO implements Serializable {

    private static final long serialVersionUID = 8649760066609681494L;

    @ApiModelProperty("学生id")
    private Long studentId;

    @ApiModelProperty("学生姓名")
    private String studentName;

    @ApiModelProperty("下单家长id")
    private Long parentId;

    @ApiModelProperty("家长类型")
    private String parentType;

    @ApiModelProperty("家长手机号码")
    private String mobile;

    @ApiModelProperty("订单号")
    private String orderNo;
}