package com.yida.data.device.vo.consume;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 学生消费机会员返回类
 *
 * @author ZYJ
 * @date 2023/3/16
 */
@Data
@ApiModel(value = "ConsumeVipVO", description = "学生消费机会员返回类")
public class ConsumeVipVO implements Serializable {

    private static final long serialVersionUID = 6368984207326579608L;

    @ApiModelProperty("true代表是会员, false代表非会员")
    private Boolean vipFlag;

    @ApiModelProperty("有效期开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime startTime;

    @ApiModelProperty("有效期结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime endTime;

    @ApiModelProperty("余额")
    private BigDecimal balance;

    @ApiModelProperty("卡片状态(1:正常卡 2：挂失卡)")
    private Integer cardStatus;

    @ApiModelProperty("卡号")
    private String stuCardNum;

    @ApiModelProperty("支付方式")
    private String payWay;

    @ApiModelProperty("支付类型")
    private String payType;
}
