package com.yida.data.device.vo.studentCard;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.time.LocalDateTime;
import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class CardInfoVO {

    @ApiModelProperty("设备id")
    private Long cardId;

    @ApiModelProperty("学生id")
    private Long studentId;

    @ApiModelProperty("学生姓名")
    private String studentName;

    @ApiModelProperty("学生电话号码")
    private String studentPhone;

    @ApiModelProperty("设备IMEI")
    private String imei;

    @ApiModelProperty("设备型号")
    private String mcType;

    @ApiModelProperty("设备识别id")
    private String rfid;

    @ApiModelProperty("激活状态：0：已激活，1：已激活")
    private Integer activateStatus;

    @ApiModelProperty("在线状态：0：离线，1：在线")
    private Integer onlineStatus;

    @ApiModelProperty("学校")
    private String schoolName;

    @ApiModelProperty("激活时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime activateDate;

    @ApiModelProperty("绑定信息")
    private List<CardBindInfoVO> bindInfoList;
}
