package com.yida.data.device.vo.studentCard;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.yida.data.common.core.converter.LocalDateTimeConverter;
import com.yida.data.device.convertor.studentCard.OnlineConverter;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;
import lombok.Data;

@Data
public class CardPageVO {

    @ApiModelProperty("校园卡id")
    @ExcelIgnore
    private Long cardId;

    @ExcelProperty("机型")
    @ApiModelProperty("机型")
    private String mcType;

    @ExcelProperty("IMEI")
    @ApiModelProperty("imei")
    private String imei;

    @ExcelProperty("RFID")
    @ApiModelProperty("rfid")
    private String rfid;

    @ExcelIgnore
    private Long studentId;
    
    @ExcelProperty("学生姓名")
    @ApiModelProperty("学生姓名")
    private String name;

    @ExcelProperty("学生手机号")
    @ApiModelProperty("学生手机号")
    private String mobile;

    @ExcelIgnore
    @ApiModelProperty("绑定状态：0：未绑定，1：已绑定")
    private Integer bindStatus;

    @ExcelIgnore
    @ApiModelProperty("激活状态：0：已激活，1：已激活")
    private Integer activateStatus;

    @ExcelIgnore
//    @ExcelProperty(value = "使用状态", converter = UseConverter.class)
    @ApiModelProperty("使用状态：0：禁用，1：正常")
    private Integer useStatus;

    @ExcelProperty(value = "在线状态", converter = OnlineConverter.class)
    @ApiModelProperty("在线状态：0：离线，1：在线")
    private Integer onlineStatus;

    @ExcelProperty(value = "导入时间", converter = LocalDateTimeConverter.class)
    @ApiModelProperty("导入时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime importTime;

    @ExcelIgnore
    @ApiModelProperty("激活时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime activateDate;
}
