package com.yida.data.device.vo.studentCard;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.time.LocalDateTime;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class FenceListVO {

    private Long id;

    private String name;

    private String description;

    @ApiModelProperty("经度")
    private Double lng;

    @ApiModelProperty("纬度")
    private Double lat;

    @ApiModelProperty("半径")
    private Double radius;

    @ApiModelProperty("围栏告警类型，0-进出都有，1-进围栏，2-出围栏")
    private Integer alarmType;

    @ApiModelProperty("围栏中心地址")
    private String address;

    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;
}
