package com.yida.data.device.vo.studentCard;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * @author ccl
 */
@Data
public class LocationVO implements Serializable {

    private static final long serialVersionUID = 6152546177503615224L;

    private String imei;

    @ApiModelProperty("经度")
    private Double lng;

    @ApiModelProperty("纬度")
    private Double lat;

    @ApiModelProperty("卫星定位-0, 基站定位-1, WIFI定位-2, 蓝牙定位-3")
    private Integer type;

    @ApiModelProperty("定位时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime deviceTime;

    @ApiModelProperty("电量")
    private Integer bat;

    @ApiModelProperty("0-在线，1-不在线")
    private Integer online;
}
