package com.yida.data.device.vo.telephone;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

@ApiModel("设备信息")
@Data
public class DeviceVO {

    private Long id;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    @ApiModelProperty("设备名称")
    private String name;

    @ApiModelProperty("设备编号")
    private String sn;

    @ApiModelProperty("设备mac地址")
    private String macAddress;

    @ApiModelProperty("设备厂商")
    private String deviceType;

    @ApiModelProperty("ip")
    private String ip;

    @ApiModelProperty("学校id")
    private Long schoolId;

    @ApiModelProperty("学校名称")
    private String schoolName;

    @ApiModelProperty("区域类型，0-进门，1-出门")
    private Integer zoneScope;

    @ApiModelProperty("0-校门，1-宿舍")
    private Integer type;

    @ApiModelProperty("设备在线状态，0-在线，1-未在线")
    private Integer state;

    @ApiModelProperty("分组名称")
    private String groupName;
}
