package com.yida.data.device.vo.telephone;

import com.fasterxml.jackson.annotation.JsonFormat;

import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author ccl
 */
@Data
public class IcCardVO {
    @ApiModelProperty("ic卡id")
    private Long id;
    @ApiModelProperty("ic卡号")
    private String cardNo;
    @ApiModelProperty("学生名字")
    private String studentName;
    @ApiModelProperty("余额")
    private String balance;
    @ApiModelProperty("余额")
    private Double balanceValue;
    @ApiModelProperty("使用状态，0-正常使用，1-冻结")
    private Integer status;
    @ApiModelProperty("费率")
    private BigDecimal price;
    @ApiModelProperty("本月通话时长")
    private String callDuration;
    @ApiModelProperty("创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private String createDate;
}
