package com.yida.data.device.vo.telephone;

import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.yida.data.device.convertor.telephone.MoneyConvertor;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

@Data
public class OrderInfoVO {

    @ExcelProperty(value = "ID", index = 0)
    private Long id;

    @ApiModelProperty("学生姓名")
    private String studentName;

    @ApiModelProperty("学生ic卡号")
    private String cardNo;

    @ApiModelProperty("学校名称")
    private String schoolName;

    @ApiModelProperty("年级班级")
    private String gradeClass;

    @ApiModelProperty("充值金额")
    @ExcelProperty(value = "充值金额", index = 3, converter = MoneyConvertor.class)
    private Double money;

    @ApiModelProperty("支付手机号")
    private String payPhone;

    @ApiModelProperty("支付人名称")
    private String payRelation;

    @ApiModelProperty("充后余额")
    private Double afterBalance;

    @ApiModelProperty("订单状态 ：0：待付款\\r\\n1：付款中\\r\\n2：交易完成（正常支付成功）\\r\\n3：待退款\\r\\n4：交易关闭（a:超时未支付,b:退款成功")
    private Integer orderStatus;

    @ApiModelProperty("创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    @ApiModelProperty("支付时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime payDate;
}
