package com.yida.data.device.vo.telephone;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yida.data.common.core.entity.telephone.EduTelephoneCard;
import com.yida.data.common.core.entity.telephone.EduTelephoneFamily;

import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author ccl
 */
@Data
public class TelephoneCardVO {

    @ApiModelProperty("通话时长")
    private Integer callDuration;
    @ApiModelProperty("手机")
    private String phone;
    @ApiModelProperty("关系")
    private String relation;
    @ApiModelProperty("费率")
    private Double price;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("开始时间")
    private LocalDateTime startDate;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("结束时间")
    private LocalDateTime endDate;
    private EduTelephoneCard eduTelephoneCard;
    private List<EduTelephoneFamily> familyList;
}
