package com.yida.data.device.vo.telephone;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yida.data.common.core.entity.telephone.EduTelephoneBlack;
import com.yida.data.common.core.entity.telephone.EduTelephonePeriod;

import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author ccl
 */
@Data
public class TelephoneVO {
    @ApiModelProperty("话机id")
    private Long id;
    @ApiModelProperty("话机名称")
    private String name;
    @ApiModelProperty("在线状态，0在线1不在线")
    private Integer onlineStatus;
    @ApiModelProperty("运营状态，0在运营，1禁用")
    private Integer runStatus;
    @ApiModelProperty("iccid")
    private String iccid;
    @ApiModelProperty("imei")
    private String imei;
    @ApiModelProperty("通话时长")
    private Integer callDuration;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("创建时间")
    private LocalDateTime createDate;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("最近一次通话时间")
    private LocalDateTime maxDate;
    @ApiModelProperty("黑名单列表")
    private List<EduTelephoneBlack> blackList;
    @ApiModelProperty("每月最大通话时长")
    private Integer monthMaxLen;
    @ApiModelProperty("每次最大通话时长")
    private Integer timeMaxLen;
    @ApiModelProperty
    private Long schoolId;
    @ApiModelProperty("学校名字")
    private String schoolName;
    @ApiModelProperty("地区名字")
    private String areaName;
    @ApiModelProperty("通话时间段列表")
    private List<EduTelephonePeriod> periodList;
}
