package com.yida.data.device.camera.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.common.core.entity.camera.EduCamera;
import com.yida.data.common.core.entity.camera.EduCameraAreaGroup;
import com.yida.data.device.vo.camera.EduCameraAreaGroupVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author ccl
 */

public interface EduCameraAreaGroupMapper extends BaseMapper<EduCameraAreaGroup> {


    /**
     * 查询监控对应
     * @param page
     * @param groupId
     * @param cameraCode
     * @return
     */
    Page<EduCamera> listCamera(@Param("page") Page<EduCamera> page, @Param("groupId") Long groupId, @Param("cameraCode") String cameraCode,
                               @Param("userId") Long userId, @Param("deptId") List<Long>deptId);

    /**
     * 查询区域树状列表
     * @param schoolId 学校id
     * @param parentId 父节点id
     * @return
     */
    List<EduCameraAreaGroup> findAreaGroupList(@Param("schoolId") Long schoolId, @Param("parentId") Long parentId);

    List<EduCameraAreaGroup> findGroup(@Param("parentId") Long parentId);

    List<EduCameraAreaGroupVO> findTreeGroup(@Param("schoolId") Long schoolId, @Param("parentId") Long parentId);
}
