package com.yida.data.device.camera.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.common.core.entity.camera.EduCamera;
import com.yida.data.device.dto.camera.ListCameraDTO;
import com.yida.data.device.vo.camera.ListCameraVO;
import org.apache.ibatis.annotations.Param;

/**
 * @author ccl
 */
public interface EduCameraMapper extends BaseMapper<EduCamera> {


    ListCameraVO findCamera(Long id);

    /**
     * 分页查询设备列表
     *
     * @param page 分页数据
     * @param dto  设备列表请求类
     * @return com.baomidou.mybatisplus.extension.plugins.pagination.Page<com.yida.data.device.vo.camera.ListCameraVO>
     * @author ZYJ
     * @date 2022/4/28 15:48
     */
    Page<ListCameraVO> listCamera(Page<EduCamera> page,
                                  @Param("dto") ListCameraDTO dto);
}
