package com.yida.data.device.consume.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.common.core.entity.consume.EduConsumeRecord;
import com.yida.data.device.dto.consume.H5ConsumeRecordPageDTO;
import com.yida.data.device.vo.consume.H5ConsumeRecordPageVO;
import org.apache.ibatis.annotations.Param;

/**
 * 消费机学生消费记录Mapper
 *
 * @author ZYJ
 * @date 2023-03-24 16:16:49
 */
public interface EduConsumeRecordMapper extends BaseMapper<EduConsumeRecord> {

    /**
     * 前端查询学生消费记录列表
     *
     * @param page 分页信息
     * @param dto  消费机学生消费记录列表请求类
     * @return com.baomidou.mybatisplus.core.metadata.IPage<com.yida.data.device.vo.consume.H5ConsumeRecordPageVO>
     * @author ZYJ
     * @date 2023/3/24 17:18
     */
    IPage<H5ConsumeRecordPageVO> listH5ConsumeRecordPage(Page<EduConsumeRecord> page,
                                                         @Param("dto") H5ConsumeRecordPageDTO dto);
}
