package com.yida.data.device.consume.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.consume.EduConsumeDevice;
import com.yida.data.device.vo.consume.ConsumeDeviceVO;

/**
 * 消费机设备Service接口
 *
 * @author ZYJ
 * @date 2023-03-14 18:02:27
 */
public interface EduConsumeDeviceService extends IService<EduConsumeDevice> {

    /**
     * 消费机设备列表分页查询
     *
     * @param pageNum  页码
     * @param pageSize 每页数量
     * @param number   设备编号或名称
     * @param state    设备状态，0-在线，1-离线
     * @param schoolId 学校id
     * @return com.baomidou.mybatisplus.extension.plugins.pagination.Page<com.yida.data.device.vo.consume.ConsumeDeviceVO>
     * @author ZYJ
     * @date 2023/3/15 10:14
     */
    Page<ConsumeDeviceVO> listDevicePage(Integer pageNum, Integer pageSize, String number, Integer state, Long schoolId);

    /**
     * 保存消费机设备
     *
     * @param device 消费机设备信息
     * @author ZYJ
     * @date 2023/3/15 10:43
     */
    void saveDevice(EduConsumeDevice device);
}
