package com.yida.data.device.telephone.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.common.core.entity.telephone.EduTelephoneOrder;
import com.yida.data.device.dto.telephone.OrderPageDTO;
import com.yida.data.device.vo.telephone.OrderInfoVO;
import com.yida.data.device.vo.telephone.OrderPageVO;

import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

/**
 * 亲情电话-充值订单 Mapper
 *
 * @author zhanghaijun
 * @date 2021-08-10 17:00:48
 */
public interface EduTelephoneOrderMapper extends BaseMapper<EduTelephoneOrder> {

    IPage<OrderPageVO> listOrderPage(Page page, @Param("dto") OrderPageDTO dto);

    List<OrderPageVO> listOrder(@Param("dto") OrderPageDTO dto);

    OrderInfoVO getOrder(@Param("id") Long id);

    BigDecimal getTotalMoney(@Param("type") Integer type, @Param("schoolId") Long schoolId);
}
