package com.yida.data.device.telephone.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.telephone.EduTelephoneRecord;
import com.yida.data.device.dto.telephone.RecordPageDTO;
import com.yida.data.device.vo.telephone.FamilyRecordVO;
import com.yida.data.device.vo.telephone.RecordInfoVO;
import com.yida.data.device.vo.telephone.TelephoneSummaryVO;
import com.yida.data.school.vo.news.TelephoneCountVO;

import java.util.List;

import javax.servlet.http.HttpServletResponse;

/**
 * 亲情电话-通话记录 Service接口
 *
 * @author zhanghaijun
 * @date 2021-08-10 17:01:40
 */
public interface EduTelephoneRecordService extends IService<EduTelephoneRecord> {

    IPage<RecordInfoVO> listRecordPage(RecordPageDTO dto);

    void exportRecord(RecordPageDTO dto, HttpServletResponse response);

    /**
     * 查询统计总数
     *
     * @param schoolId
     */
    TelephoneCountVO getTotalNum(Long schoolId, Integer type);

    /**
     * 统计
     *
     * @param type
     * @param schoolId
     * @return
     */
    List<TelephoneSummaryVO> callSummary(Integer type, Long schoolId);

    List<FamilyRecordVO> listFamilyRecord(Long cardId);
}
