package com.yida.data.mall.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 保存缴费单对应缴费项目请求类
 *
 * @author ZYJ
 * @date 2021/12/29
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "BillItemSaveDTO", description = "保存缴费单对应缴费项目请求类")
public class BillItemSaveDTO implements Serializable {

    private static final long serialVersionUID = -4534547568081768645L;

    @ApiModelProperty(value = "缴费项目id")
    private Long id;

    @NotBlank
    @ApiModelProperty(value = "缴费项目名称")
    private String itemName;

    @NotNull
    @ApiModelProperty(value = "缴费项目金额")
    private BigDecimal itemPrice;

    @NotNull
    @ApiModelProperty(value = "是否必缴. 0: 选缴, 1: 必缴")
    private Integer mustPay;

    @NotNull
    @ApiModelProperty(value = "是否减免费用. 0: 不减免, 1: 减免")
    private Integer reductionStatus;

    @ApiModelProperty(value = "家庭类型,英文逗号分割,对应字典family_type")
    private String[] familyType;

    @ApiModelProperty(value = "减免金额")
    private BigDecimal reductionPrice;

    @ApiModelProperty("类型.0: 单选, 1:多项选一项, 2:多项选多项")
    private Integer itemOption;

    @ApiModelProperty("是否是不定费用. 0:否, 1:是")
    private Integer indefiniteStatus;

    @ApiModelProperty("选项列表")
    private List<BillSubItemSaveDTO> subItemList;
}