package com.yida.data.mall.dto;

import com.yida.data.common.core.common.BaseDTO;
import com.yida.data.common.core.entity.mall.EduBillOrder;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * 账单订单后台列表请求类
 *
 * @author ZYJ
 * @date 2022/6/29
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "BillStudentSelectPageDTO", description = "账单订单后台列表请求类")
public class BillOrderSelectPageDTO extends BaseDTO<EduBillOrder> implements Serializable {

    private static final long serialVersionUID = -4979309660846203996L;

    /**
     * {@link com.yida.data.common.core.enums.OrderStatusEnum}
     */
    @ApiModelProperty("订单状态")
    private String orderStatus;

    @ApiModelProperty("订单号")
    private String orderCode;

    @ApiModelProperty("账单标题")
    private String billTitle;

    @ApiModelProperty("学校id")
    private Long schoolId;

    @ApiModelProperty("校区id")
    private Long campusId;

    @ApiModelProperty("学段id")
    private Long sectionId;

    @ApiModelProperty("年级id")
    private Long gradeId;

    @ApiModelProperty("班级id")
    private Long classId;

    @ApiModelProperty("学生姓名或学号")
    private String searchData;
}