package com.yida.data.mall.dto;

import com.yida.data.common.core.common.BaseDTO;
import com.yida.data.common.core.entity.mall.EduBill;
import com.yida.data.common.core.enums.BillStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * 账单后台列表请求类
 *
 * @author ZYJ
 * @date 2021/12/24
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "BillSelectPageDTO", description = "账单后台列表请求类")
public class BillSelectPageDTO extends BaseDTO<EduBill> implements Serializable {

    private static final long serialVersionUID = -1705341632286873266L;

    @ApiModelProperty(value = "缴费单标题")
    private String billTitle;

    @ApiModelProperty(value = "部门id", hidden = true)
    private Long deptId;

    /**
     * {@link BillStatusEnum}
     */
    @ApiModelProperty("启用状态. -1:未开始,0:停用,1:启用")
    private Integer enableStatus;
}