package com.yida.data.mall.dto;

import com.yida.data.common.core.common.BaseDTO;
import com.yida.data.common.core.entity.mall.EduBillStudent;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * 账单人员后台列表请求类
 *
 * @author ZYJ
 * @date 2022/3/29
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "BillStudentSelectPageDTO", description = "账单人员后台列表请求类")
public class BillStudentSelectPageDTO extends BaseDTO<EduBillStudent> implements Serializable {

    private static final long serialVersionUID = -7847192102381703600L;

    @ApiModelProperty("账单id")
    private Long billId;

    @ApiModelProperty("学生姓名")
    private String stuName;

    @ApiModelProperty("学号")
    private String stuNumber;

    @ApiModelProperty("学校id")
    private Long schoolId;

    @ApiModelProperty("校区id")
    private Long campusId;

    @ApiModelProperty("学段id")
    private Long sectionId;

    @ApiModelProperty("年级id")
    private Long gradeId;

    @ApiModelProperty("班级id")
    private Long classId;

    @ApiModelProperty("家庭类型")
    private String familyType;

    @ApiModelProperty("学生类别，0-走读，1-住宿")
    private Integer type;
}