package com.yida.data.mall.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 缴费项目对应选项请求类
 *
 * @author ZYJ
 * @date 2022/3/22
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "BillSubItemSaveDTO", description = "缴费项目对应选项请求类")
public class BillSubItemSaveDTO implements Serializable {

    private static final long serialVersionUID = -9139656140429592899L;

    @ApiModelProperty(value = "选项id")
    private Long id;

    @NotBlank
    @ApiModelProperty(value = "选项名称")
    private String subItemName;

    @NotNull
    @ApiModelProperty(value = "选项金额")
    private BigDecimal subItemPrice;
}