package com.yida.data.mall.dto;

import com.yida.data.common.core.common.BaseDTO;
import com.yida.data.common.core.entity.mall.EduBillStudent;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * 账单人员后台列表请求类
 *
 * @author ZYJ
 * @date 2022/3/17
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "BillUserSelectPageDTO", description = "账单人员后台列表请求类")
public class BillUserSelectPageDTO extends BaseDTO<EduBillStudent> implements Serializable {

    private static final long serialVersionUID = 1428172217033159051L;

    @ApiModelProperty("账单id")
    private Long billId;

    @ApiModelProperty("学校id")
    private Long schoolId;

    @ApiModelProperty("学区id")
    private Long campusId;

    @ApiModelProperty("学段id")
    private Long sectionId;

    @ApiModelProperty("年级id")
    private Long gradeId;

    @ApiModelProperty("班级id")
    private Long classId;

    @ApiModelProperty("学生姓名或学号")
    private String searchData;

    @ApiModelProperty("学生类型")
    private Integer studentType;

    @ApiModelProperty("家庭类型")
    private String familyType;
}