package com.yida.data.mall.feign;

import com.yida.data.common.core.common.ResultBean;
import com.yida.data.common.core.entity.constant.FebsServerConstant;
import com.yida.data.mall.fallback.RemoteBillOrderServiceFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

/**
 * 账单模块feign
 *
 * @author ZYJ
 * @date 2022/4/14
 */
@FeignClient(value = FebsServerConstant.EDU_MALL, contextId = "billOrderServiceClient",
        fallbackFactory = RemoteBillOrderServiceFallback.class)
public interface RemoteBillOrderService {

    /**
     * 更新超时账单订单状态
     *
     * @return com.yida.data.common.core.common.ResultBean<java.lang.String>
     * @author ZYJ
     * @date 2022/4/14 10:27
     */
    @GetMapping("/in/eduBillOrder/updateBillOrderStatus")
    ResultBean<String> updateBillOrderStatus();

    /**
     * 更新退款订单状态
     *
     * @return com.yida.data.common.core.common.ResultBean<java.lang.String>
     * @author ZYJ
     * @date 2022/4/14 10:29
     */
    @GetMapping("/in/eduBillOrder/updateRefundStatus")
    ResultBean<String> updateRefundStatus();
}
