package com.yida.data.mall.feign;

import com.yida.data.common.core.common.ResultBean;
import com.yida.data.common.core.entity.constant.FebsServerConstant;
import com.yida.data.mall.fallback.RemoteBillStatisticsServiceFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

/**
 * 账单统计模块feign
 *
 * @author ZYJ
 * @date 2022/7/28
 */
@FeignClient(value = FebsServerConstant.EDU_MALL, contextId = "billOrderStatisticsClient",
        fallbackFactory = RemoteBillStatisticsServiceFallback.class)
public interface RemoteBillStatisticsService {

    /**
     * 更新缴费统计数据
     *
     * @return com.yida.data.common.core.common.ResultBean<java.lang.String>
     * @author ZYJ
     * @date 2022/7/28 17:07
     */
    @GetMapping("/in/bill/billStatistics/updateBillStatistics")
    ResultBean<String> updateBillStatistics();

    /**
     * 更新缴费账单明细数据
     *
     * @return com.yida.data.common.core.common.ResultBean<java.lang.String>
     * @author ZYJ
     * @date 2022/10/11 14:23
     */
    @GetMapping("/in/bill/billStatistics/updateBillPayDetail")
    ResultBean<String> updateBillPayDetail();
}
