package com.yida.data.mall.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yida.data.common.core.enums.BillStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 账单后台列表返回数据
 *
 * @author ZYJ
 * @date 2021/12/24
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "BillSelectPageVO", description = "账单后台列表返回数据")
public class BillSelectPageVO implements Serializable {

    private static final long serialVersionUID = -5323687361510294379L;
    
    @ApiModelProperty("账单id")
    private Long id;
    
    @ApiModelProperty("缴费单标题")
    private String billTitle;
    
    @ApiModelProperty("缴费单开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime billStartDate;
    
    @ApiModelProperty("缴费单结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime billEndDate;
    
    @ApiModelProperty("缴费单总金额")
    private BigDecimal totalMoney;
    
    @ApiModelProperty("缴费单必缴金额")
    private BigDecimal mustPayMoney;
    
    @ApiModelProperty("缴费单选缴金额")
    private BigDecimal choosePayMoney;

    @ApiModelProperty("对应部门id")
    private Long deptId;
    
    @ApiModelProperty("对应部门名称")
    private String deptName;
    
    @ApiModelProperty("创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    @ApiModelProperty("总人数")
    private Long totalNumber;

    @ApiModelProperty("缴费人数")
    private Long payNumber;

    /**
     * {@link BillStatusEnum}
     */
    @ApiModelProperty("启用状态. -1:未开始,0:停用,1:启用")
    private Integer enableStatus;

    @ApiModelProperty("创建人id")
    private Long createId;

    @ApiModelProperty("创建人名称")
    private String createName;
}