package com.yida.data.mall.vo;

import com.yida.data.mall.vo.h5.H5BillItemSubVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 账单项目统计返回类
 *
 * @author ZYJ
 * @date 2022/7/8
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "BillStatisticsItemVO", description = "账单项目统计返回类")
public class BillStatisticsItemVO implements Serializable {

    private static final long serialVersionUID = -8767218057956330999L;

    @ApiModelProperty("主键id")
    private Long id;

    @ApiModelProperty("项目id")
    private Long itemId;

    @ApiModelProperty("项目名称")
    private String itemName;

    @ApiModelProperty("项目金额")
    private BigDecimal itemPrice;

    @ApiModelProperty(value = "减免金额")
    private BigDecimal reductionPrice;

    @ApiModelProperty("购买人数")
    private Integer payNum;

    @ApiModelProperty("对应部门id")
    private Long deptId;

    @ApiModelProperty("对应部门名称")
    private String deptName;

    @ApiModelProperty("所有子选项")
    private List<H5BillItemSubVO> subItemList;
}