package com.yida.data.mall.vo;

import com.yida.data.mall.dto.BillChooseStudentDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 账单选择的学生返回数据
 *
 * @author ZYJ
 * @date 2021/12/30
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "BillStudentInfoVO", description = "账单选择的学生返回数据")
public class BillStudentInfoVO extends BillChooseStudentDTO implements Serializable {

    private static final long serialVersionUID = 3279005487307701278L;

    @ApiModelProperty("账单学生id")
    private Long billStudentId;

    @ApiModelProperty("学生id")
    private Long studentId;

    @ApiModelProperty("学生姓名")
    private String stuName;

    @ApiModelProperty("学号")
    private String stuNumber;

    @ApiModelProperty("身份证号")
    private String idNumber;

    @ApiModelProperty("学校id")
    private Long schoolId;

    @ApiModelProperty("校区id")
    private Long campusId;

    @ApiModelProperty("学段id")
    private Long sectionId;

    @ApiModelProperty("年级id")
    private Long gradeId;

    @ApiModelProperty("班级id")
    private Long classId;

    @ApiModelProperty("学校名称")
    private String schoolName;

    @ApiModelProperty("校区名称")
    private String campusName;

    @ApiModelProperty("学段名称")
    private String sectionName;

    @ApiModelProperty("年级名称")
    private String gradeName;

    @ApiModelProperty("班级名称")
    private String className;

    @ApiModelProperty("学生类别，0-走读，1-住宿")
    private Integer type;

    @ApiModelProperty("家庭类型")
    private String familyType;

    @ApiModelProperty("缴费状态")
    private Integer payStatus;

    @ApiModelProperty("缴费金额")
    private BigDecimal payMoney;

    @ApiModelProperty("是否禁用")
    private Boolean disabled;
}