package com.yida.data.mall.vo.h5;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 学生账单订单缓存类
 *
 * @author ZYJ
 * @date 2022/4/13
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "BillOrderStudentCacheVO", description = "学生账单订单缓存类")
public class BillOrderStudentCacheVO implements Serializable {

    private static final long serialVersionUID = 6634735133765872720L;

    @ApiModelProperty("账单id")
    private Long billId;

    @ApiModelProperty("学生id")
    private Long studentId;

    @ApiModelProperty("学生姓名")
    private String studentName;

    @ApiModelProperty("下单家长id")
    private Long parentId;

    @ApiModelProperty("家长类型")
    private String parentType;

    @ApiModelProperty("家长手机号码")
    private String mobile;

    @ApiModelProperty("订单号")
    private String orderNo;
}