package com.yida.data.mall.vo.h5;

import com.yida.data.common.core.entity.mall.enums.BillItemPayStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 前端账单项目子选项返回类
 *
 * @author ZYJ
 * @date 2022/3/30
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "H5BillItemSubVO", description = "前端账单项目子选项返回类")
public class H5BillItemSubVO implements Serializable {

    private static final long serialVersionUID = -1806304011333269120L;

    @ApiModelProperty("选项id")
    private Long subItemId;

    @ApiModelProperty("选项名称")
    private String subItemName;

    @ApiModelProperty("选项金额")
    private BigDecimal subItemPrice;

    /**
     * {@link BillItemPayStatusEnum}
     */
    @ApiModelProperty("选项支付状态.0:未支付,1:已支付")
    private Integer subItemPayStatus;

    @ApiModelProperty("项目选中状态")
    private Boolean checked;

    @ApiModelProperty("购买人数")
    private Integer payNum;
}