package com.yida.data.mall.vo.h5;

import com.yida.data.common.core.entity.mall.enums.BillItemPayStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 前端账单项目返回类
 *
 * @author ZYJ
 * @date 2022/3/30
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "H5BillItemVO", description = "前端账单项目返回类")
public class H5BillItemVO implements Serializable {

    private static final long serialVersionUID = 163685475554318296L;

    @ApiModelProperty("主键id")
    private Long id;

    @ApiModelProperty("项目id")
    private Long itemId;

    @ApiModelProperty("项目名称")
    private String itemName;

    @ApiModelProperty("项目金额")
    private BigDecimal itemPrice;

    @ApiModelProperty(value = "是否必缴. 0: 选缴, 1: 必缴")
    private Integer mustPay;

    @ApiModelProperty(value = "是否减免费用. 0: 不减免, 1: 减免")
    private Integer reductionStatus;

    @ApiModelProperty(value = "家庭类型,英文逗号分割,对应字典family_type")
    private String familyType;

    @ApiModelProperty(value = "减免金额")
    private BigDecimal reductionPrice;

    @ApiModelProperty("类型.0: 单选, 1:多项选一项, 2:多项选多项")
    private Integer itemOption;

    @ApiModelProperty("是否是不定费用. 0:否, 1:是")
    private Integer indefiniteStatus;

    /**
     * {@link BillItemPayStatusEnum}
     */
    @ApiModelProperty("项目支付状态.0:未支付,1:已支付")
    private Integer itemPayStatus;

    @ApiModelProperty("项目选中状态")
    private Boolean checked;

    @ApiModelProperty("所有子选项")
    private List<H5BillItemSubVO> subItemList;
}