package com.yida.data.mall.vo.h5;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yida.data.common.core.entity.system.EduDeptPayType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 账单前端列表返回类
 *
 * @author ZYJ
 * @date 2022/3/30
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "H5BillSelectVO", description = "账单前端列表返回类")
public class H5BillSelectVO implements Serializable {

    private static final long serialVersionUID = 1070429636735229898L;

    @ApiModelProperty(value = "账单主键id")
    private Long billId;

    @ApiModelProperty(value = "缴费单标题")
    private String billTitle;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime billStartDate;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime billEndDate;

    @ApiModelProperty(value = "缴费说明")
    private String billInstruction;

    @ApiModelProperty("最后修改启用状态时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime lastEnableDate;

    @ApiModelProperty("已支付金额")
    private BigDecimal payMoney;

    @ApiModelProperty("项目集合")
    private List<H5BillItemVO> itemList;

    @ApiModelProperty("学生家庭信息")
    private String studentFamilyType;

    @ApiModelProperty("是否显示支付按钮")
    private Boolean showPay;

    @ApiModelProperty("对应支付类型")
    private EduDeptPayType payType;
}