package com.yida.data.mall.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yida.data.common.core.entity.mall.EduBillItem;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;

/**
 * 缴费账单项目表 Mapper
 *
 * @author ZYJ
 * @date 2021-12-24 09:47:16
 */
public interface EduBillItemMapper extends BaseMapper<EduBillItem> {

    /**
     * 根据是否缴费类型查询金额
     *
     * @param billId 缴费单id
     * @param status 类型
     * @return java.math.BigDecimal
     * @author ZYJ
     * @date 2021/12/24 16:36
     */
    BigDecimal selectMoneyByStatus(@Param("billId") Long billId,
                                   @Param("status") Integer status);
}
