package com.yida.data.mall.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yida.data.common.core.entity.mall.EduBillOrderItem;
import com.yida.data.mall.vo.BillPayVO;
import com.yida.data.mall.vo.h5.H5BillItemVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 账单订单关联项目表 Mapper
 *
 * @author ZYJ
 * @date 2022-03-31 14:50:18
 */
public interface EduBillOrderItemMapper extends BaseMapper<EduBillOrderItem> {

    /**
     * 查询学生对应账单项目的缴费信息
     *
     * @param billId    账单id
     * @param studentId 学生id
     * @param itemId    项目id
     * @return com.yida.data.mall.vo.h5.H5BillItemVO
     * @author ZYJ
     * @date 2022/3/31 16:01
     */
    H5BillItemVO getItemPayInfo(@Param("billId") Long billId,
                                @Param("studentId") Long studentId,
                                @Param("itemId") Long itemId);

    /**
     * 查询学生账单缴费信息
     *
     * @param billId    账单id
     * @param studentId 学生id
     * @return java.util.List<com.yida.data.mall.vo.h5.H5BillItemVO>
     * @author ZYJ
     * @date 2022/4/2 15:58
     */
    List<H5BillItemVO> getPayInfo(@Param("billId") Long billId,
                                  @Param("studentId") Long studentId);

    /**
     * 查询学生具体缴费金额
     *
     * @param billId    账单id
     * @param studentId 学生id
     * @return java.util.List<com.yida.data.mall.vo.BillPayVO>
     * @author ZYJ
     * @date 2022/4/19 17:06
     */
    List<BillPayVO> listItemPayInfo(@Param("billId") Long billId,
                                    @Param("studentId") Long studentId);
}
