package com.yida.data.mall.mapper;

import com.yida.data.mall.vo.BillPayVO;
import com.yida.data.mall.vo.BillStatisticsItemVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 缴费账单统计 Mapper
 *
 * @author ZYJ
 * @date 2022/7/7
 */
public interface EduBillStatisticsMapper {

    /**
     * 查询账单总缴费信息
     *
     * @param billId 账单id
     * @return java.util.List<com.yida.data.mall.vo.BillStatisticsItemVO>
     * @author ZYJ
     * @date 2022/7/8 14:15
     */
    List<BillStatisticsItemVO> getPayInfo(Long billId);

    /**
     * 账单部门缴费信息统计
     *
     * @param billId 账单id
     * @param deptId 家校部门id
     * @param type   家校部门类型
     * @return java.util.List<com.yida.data.mall.vo.BillStatisticsItemVO>
     * @author ZYJ
     * @date 2022/7/8 16:55
     */
    List<BillStatisticsItemVO> getDeptPayInfo(@Param("billId") Long billId,
                                              @Param("deptId") Long deptId,
                                              @Param("type") Integer type);

    /**
     * 查询账单总缴费信息
     *
     * @param billId 账单id
     * @return java.util.List<com.yida.data.mall.vo.BillPayVO>
     * @author ZYJ
     * @date 2022/7/12 14:20
     */
    List<BillPayVO> listTotalItemPayInfo(@Param("billId") Long billId);

    /**
     * 账单部门缴费信息统计
     *
     * @param billId 账单id
     * @param deptId 家校部门id
     * @param type   家校部门类型
     * @return java.util.List<com.yida.data.mall.vo.BillPayVO>
     * @author ZYJ
     * @date 2022/7/12 16:12
     */
    List<BillPayVO> listDeptItemPayInfo(@Param("billId") Long billId,
                                        @Param("deptId") Long deptId,
                                        @Param("type") Integer type);
}
