package com.yida.data.mall.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.common.core.entity.mall.EduBillStudent;
import com.yida.data.common.core.entity.user.EduStudent;
import com.yida.data.mall.dto.BillStudentSelectPageDTO;
import com.yida.data.mall.vo.BillStudentInfoVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 缴费单缴费学生 Mapper
 *
 * @author ZYJ
 * @date 2021-12-30
 */
public interface EduBillStudentMapper extends BaseMapper<EduBillStudent> {

    /**
     * 查询账单人员列表
     *
     * @param page        分页信息
     * @param dto         账单人员后台列表请求类
     * @param studentList 学生列表
     * @return java.util.List<com.yida.data.mall.vo.BillStudentInfoVO>
     * @author ZYJ
     * @date 2022/3/30 14:47
     */
    List<BillStudentInfoVO> listBillUserPage(Page page,
                                             @Param("dto") BillStudentSelectPageDTO dto,
                                             @Param("studentList") List<EduStudent> studentList);
}
