package com.yida.data.mall.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.mall.EduBillOrderItem;
import com.yida.data.mall.vo.BillPayVO;
import com.yida.data.mall.vo.h5.H5BillItemVO;

import java.util.List;

/**
 * 账单订单关联项目表 Service接口
 *
 * @author ZYJ
 * @date 2022-03-31 14:50:18
 */
public interface EduBillOrderItemService extends IService<EduBillOrderItem> {

    /**
     * 查询学生对应账单项目的缴费信息
     *
     * @param billId    账单id
     * @param studentId 学生id
     * @param itemId    项目id
     * @return java.util.List<com.yida.data.mall.vo.h5.H5BillItemVO>
     * @author ZYJ
     * @date 2022/3/31 15:59
     */
    H5BillItemVO getItemPayInfo(Long billId, Long studentId, Long itemId);

    /**
     * 查询学生账单缴费信息
     *
     * @param billId    账单id
     * @param studentId 学生id
     * @return java.util.List<com.yida.data.mall.vo.h5.H5BillItemVO>
     * @author ZYJ
     * @date 2022/4/2 15:58
     */
    List<H5BillItemVO> getPayInfo(Long billId, Long studentId);

    /**
     * 查询学生具体缴费金额
     *
     * @param billId    账单id
     * @param studentId 学生id
     * @return java.util.List<com.yida.data.mall.vo.BillPayVO>
     * @author ZYJ
     * @date 2022/4/19 17:04
     */
    List<BillPayVO> listItemPayInfo(Long billId, Long studentId);
}
