package com.yida.data.mall.service;

import com.yida.data.mall.dto.ExportBillStatisticsDTO;

import java.util.List;
import java.util.Map;

/**
 * 缴费账单统计
 *
 * @author ZYJ
 * @date 2022/7/7
 */
public interface EduBillStatisticsService {

    /**
     * 查询账单缴费统计数据
     *
     * @param billId 账单id
     * @return java.util.List<java.util.Map < java.lang.String, java.lang.Object>>
     * @author ZYJ
     * @date 2022/7/11 10:00
     */
    List<Map<String, Object>> billStatistics(Long billId);

    /**
     * 导出账单缴费统计数据
     *
     * @param dto 导出账单缴费统计数据请求类
     * @return java.lang.String
     * @author ZYJ
     * @date 2022/7/28 17:54
     */
    String exportBillStatistics(ExportBillStatisticsDTO dto);

    /**
     * 更新缴费统计数据
     *
     * @author ZYJ
     * @date 2022/7/28 17:12
     */
    void updateBillStatistics();

    /**
     * 更新缴费账单明细数据
     *
     * @param billId 账单id
     * @author ZYJ
     * @date 2022/10/11 14:39
     */
    void updateBillPayDetail(Long billId);
}
