package com.yida.data.mall.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.mall.EduBillOrderItem;
import com.yida.data.mall.mapper.EduBillOrderItemMapper;
import com.yida.data.mall.service.EduBillOrderItemService;
import com.yida.data.mall.vo.BillPayVO;
import com.yida.data.mall.vo.h5.H5BillItemVO;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 账单订单关联项目表 Service实现
 *
 * @author ZYJ
 * @date 2022-03-31 14:50:18
 */
@Service
@RequiredArgsConstructor
@Transactional(rollbackFor = Exception.class)
public class EduBillOrderItemServiceImpl extends ServiceImpl
        <EduBillOrderItemMapper, EduBillOrderItem> implements EduBillOrderItemService {

    @Override
    public H5BillItemVO getItemPayInfo(Long billId, Long studentId, Long itemId) {
        return baseMapper.getItemPayInfo(billId, studentId, itemId);
    }

    @Override
    public List<H5BillItemVO> getPayInfo(Long billId, Long studentId) {
        return baseMapper.getPayInfo(billId, studentId);
    }

    @Override
    public List<BillPayVO> listItemPayInfo(Long billId, Long studentId) {
        return baseMapper.listItemPayInfo(billId, studentId);
    }
}
