package com.yida.data.school.dto.atlas;

import com.yida.data.common.core.common.BaseDTO;
import com.yida.data.common.core.entity.atlas.CoreAtlasManagementDetailsCommentReply;

import java.io.Serializable;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 评论回复列表请求类
 *
 * @author ZYJ
 * @date 2021/10/13
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "AtlasDetailsCommentReplySelectPageDTO", description = "评论回复列表请求类")
public class AtlasDetailsCommentReplySelectPageDTO extends BaseDTO<CoreAtlasManagementDetailsCommentReply> implements Serializable {

    private static final long serialVersionUID = -2791959580400825582L;

    /**
     * 评论id
     */
    @NotNull
    @ApiModelProperty(value = "评论id", required = true)
    private Long commentId;

    /**
     * 评论内容
     */
    @ApiModelProperty(value = "评论内容")
    private String content;

    /**
     * 审核状态
     */
    @ApiModelProperty(value = "审核状态. 0待审核,1审核通过,2审核未通过,不传或传空代表全部")
    private String checkStatus;
}