package com.yida.data.school.dto.atlas;

import com.yida.data.common.core.common.BaseDTO;
import com.yida.data.common.core.entity.atlas.CoreAtlasManagementDetailsComment;

import java.io.Serializable;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 图集作品评论列表请求类
 *
 * @author ZYJ
 * @date 2021/10/13
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "AtlasDetailsCommentSelectPageDTO", description = "图集作品评论列表请求类")
public class AtlasDetailsCommentSelectPageDTO extends BaseDTO<CoreAtlasManagementDetailsComment> implements Serializable {

    private static final long serialVersionUID = -4365470013849223113L;

    /**
     * 图集作品id
     */
    @NotNull
    @ApiModelProperty(value = "图集作品id", required = true)
    private Long atlasDetailsId;

    /**
     * 评论内容
     */
    @ApiModelProperty(value = "评论内容")
    private String content;

    /**
     * 审核状态
     */
    @ApiModelProperty(value = "审核状态. 0待审核,1审核通过,2审核未通过,不传或传空代表全部")
    private String checkStatus;
}