package com.yida.data.school.dto.atlas;

import java.io.Serializable;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 保存图集作品请求类
 *
 * @author ZYJ
 * @date 2021/9/2
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "AtlasDetailsSaveDTO", description = "保存图集作品请求类")
public class AtlasDetailsSaveDTO implements Serializable {

    private static final long serialVersionUID = 5779807608209722792L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    private Long id;

    /**
     * 学校id
     */
    @NotNull
    @ApiModelProperty(value = "学校id", required = true)
    private Long schoolId;

    /**
     * 对应的图集id
     */
    @NotNull
    @ApiModelProperty(value = "对应的图集id", required = true)
    private Long coreAtlasManagementId;

    /**
     * 图集类型: 0图片, 1视频
     */
    @NotBlank
    @ApiModelProperty(value = "图集类型: 0图片, 1视频", required = true)
    private String type;

    /**
     * 图片或视频路径
     */
    @NotBlank
    @ApiModelProperty(value = "图片或视频路径", required = true)
    private String filePathUrl;

    /**
     * 视频封面图路径
     */
    @ApiModelProperty(value = "视频封面图路径")
    private String videoImgUrl;

    /**
     * 视频时长
     */
    @ApiModelProperty(value = "视频时长")
    private String videoTime;

    /**
     * 视频或图片描述
     */
    @NotBlank
    @ApiModelProperty(value = "视频或图片描述", required = true)
    private String description;
}