package com.yida.data.school.dto.atlas;

import java.io.Serializable;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 保存图集请求类
 *
 * @author ZYJ
 * @date 2021/9/2
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "AtlasSaveDTO", description = "保存图集请求类")
public class AtlasSaveDTO implements Serializable {

    private static final long serialVersionUID = 7759845711056070627L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    private Long id;

    /**
     * 学校id
     */
    @NotNull
    @ApiModelProperty(value = "学校id", required = true)
    private Long schoolId;

    /**
     * 图集名称
     */
    @NotBlank
    @ApiModelProperty(value = "图集名称", required = true)
    private String atlasName;

    /**
     * 图集封面图片地址
     */
    @NotBlank
    @ApiModelProperty(value = "图集封面图片地址", required = true)
    private String atlasCoverImgUrl;

    /**
     * 图集背景图片
     */
    @NotBlank
    @ApiModelProperty(value = "图集背景图片", required = true)
    private String atlasBackgroundImgUrl;

    /**
     * 图集简介
     */
    @NotBlank
    @ApiModelProperty(value = "图集简介", required = true)
    private String atlasIntroduction;
}