package com.yida.data.school.dto.atlas;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yida.data.common.core.common.BaseDTO;
import com.yida.data.common.core.entity.atlas.CoreAtlasManagement;

import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 图集后台列表请求类
 *
 * @author ZYJ
 * @date 2021/9/2
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "AtlasSelectPageDTO", description = "图集后台列表请求类")
public class AtlasSelectPageDTO extends BaseDTO<CoreAtlasManagement> implements Serializable {

    private static final long serialVersionUID = 1785355810382375282L;

    /**
     * 学校id
     */
    @NotNull
    @ApiModelProperty(value = "学校id", required = true)
    private Long schoolId;

    /**
     * 图集名称
     */
    @ApiModelProperty(value = "图集名称")
    private String atlasName;

    /**
     * 查询条件: 创建开始时间
     */
    @ApiModelProperty(value = "创建开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime startCreateDate;

    /**
     * 查询条件: 创建结束时间
     */
    @ApiModelProperty(value = "创建结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime endCreateDate;

    /**
     * 是否启用. 0:未启用, 1:已启用
     */
    @ApiModelProperty(value = "是否启用. 0:未启用, 1:已启用")
    private Integer enableStatus;
}