package com.yida.data.school.dto.atlas.app;

import com.yida.data.common.core.common.AppRequestBaseDTO;

import java.io.Serializable;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * app保存评论回复接口请求类
 *
 * @author ZYJ
 * @date 2021/9/7
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "AppAtlasWorkCommentReplySaveDTO", description = "app保存评论回复接口请求类")
public class AppAtlasWorkCommentReplySaveDTO extends AppRequestBaseDTO implements Serializable {

    private static final long serialVersionUID = 7034033652452378819L;

    /**
     * 评论主键id
     */
    @NotNull
    @ApiModelProperty(value = "评论主键id", required = true)
    private Long coreAtlasManagementDetailsCommentId;

    /**
     * 评论回复内容
     */
    @NotBlank
    @ApiModelProperty(value = "评论回复内容", required = true)
    private String content;

    /**
     * 学校id
     */
    @NotNull
    @ApiModelProperty(value = "学校id", required = true)
    private Long schoolId;
}
