package com.yida.data.school.dto.atlas.app;

import com.yida.data.common.core.common.AppRequestBaseDTO;

import java.io.Serializable;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * app保存图集作品评论接口请求类
 *
 * @author ZYJ
 * @date 2021/9/7
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "AppAtlasWorkCommentSaveDTO", description = "app保存图集作品评论接口请求类")
public class AppAtlasWorkCommentSaveDTO extends AppRequestBaseDTO implements Serializable {

    private static final long serialVersionUID = -8818786433774592086L;

    /**
     * 图集id
     */
    @ApiModelProperty(value = "图集id", required = true)
    private Long atlasId;

    /**
     * 图集作品主键id
     */
    @NotNull
    @ApiModelProperty(value = "图集作品主键id", required = true)
    private Long coreAtlasManagementDetailsId;

    /**
     * 评论内容
     */
    @NotBlank
    @ApiModelProperty(value = "评论内容", required = true)
    private String content;

    /**
     * 学校id
     */
    @NotNull
    @ApiModelProperty(value = "学校id", required = true)
    private Long schoolId;
}
