package com.yida.data.school.dto.atlas.app;

import com.yida.data.common.core.common.AppPageRequestBaseDTO;
import com.yida.data.common.core.entity.atlas.CoreAtlasManagementDetailsComment;

import java.io.Serializable;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * app分页查询图集作品评论列表接口请求类
 *
 * @author ZYJ
 * @date 2021/9/7
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "AppAtlasWorkCommentSelectDTO", description = "app分页查询图集作品评论列表接口请求类")
public class AppAtlasWorkCommentSelectDTO extends AppPageRequestBaseDTO<CoreAtlasManagementDetailsComment> implements Serializable {

    private static final long serialVersionUID = -1554520962612886364L;

    /**
     * 图集作品主键id
     */
    @NotNull
    @ApiModelProperty(value = "图集作品主键id", required = true)
    private Long atlasDetailsId;
}
