package com.yida.data.school.dto.atlas.app;

import com.yida.data.common.core.common.AppRequestBaseDTO;

import java.io.Serializable;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * app获取图集作品详情接口请求类
 *
 * @author ZYJ
 * @date 2021/9/6
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "AppAtlasWorkInfoDTO", description = "app获取图集作品详情接口请求类")
public class AppAtlasWorkInfoDTO extends AppRequestBaseDTO implements Serializable {

    private static final long serialVersionUID = -6988091402439532402L;

    /**
     * 图集作品主键id
     */
    @NotNull
    @ApiModelProperty(value = "图集作品主键id", required = true)
    private Long atlasDetailsId;
}
