package com.yida.data.school.dto.atlas.app;

import com.yida.data.common.core.common.AppRequestBaseDTO;

import java.io.Serializable;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * app图集作品点赞/取消点赞请求类
 *
 * @author ZYJ
 * @date 2021/9/7
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "AppAtlasWorkLikeDTO", description = "app图集作品点赞/取消点赞请求类")
public class AppAtlasWorkLikeDTO extends AppRequestBaseDTO implements Serializable {

    private static final long serialVersionUID = 2905506255666312125L;

    /**
     * 图集主键id
     */
    @NotNull
    @ApiModelProperty(value = "图集主键id", required = true)
    private Long atlasId;

    /**
     * 图集作品主键id
     */
    @NotNull
    @ApiModelProperty(value = "图集作品主键id", required = true)
    private Long atlasDetailsId;
}
