package com.yida.data.school.dto.atlas.app;

import com.yida.data.common.core.common.AppPageRequestBaseDTO;
import com.yida.data.common.core.entity.atlas.CoreAtlasManagementDetails;
import com.yida.data.common.core.enums.WorkTypeEnum;

import java.io.Serializable;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * app根据类型查询图集作品分页数据请求类
 *
 * @author ZYJ
 * @date 2021/9/6
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "AppAtlasWorkListDTO", description = "app根据类型查询图集作品分页数据请求类")
public class AppAtlasWorkListDTO extends AppPageRequestBaseDTO<CoreAtlasManagementDetails> implements Serializable {

    private static final long serialVersionUID = 6418635261338138410L;

    /**
     * 图集主键id
     */
    @NotNull
    @ApiModelProperty(value = "图集主键id", required = true)
    private Long atlasId;

    /**
     * 图集作品类型 {@link WorkTypeEnum}
     */
    @NotBlank
    @ApiModelProperty(value = "图集作品类型. 0:图片,1:视频", required = true)
    private String type;
}
