package com.yida.data.school.dto.classCall;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.List;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import lombok.Data;

@ApiModel("添加点名记录对象")
@Data
public class ClassCallAddDTO {

    /**
     * 班级ID
     */
    @ApiModelProperty(required = true, value = "班级ID")
    @NotNull(message = "不能为空")
    private Long classId;

    /**
     * 课程名称
     */
    @ApiModelProperty(required = true, value = "课程名称")
    @NotBlank(message = "不能为空")
    private String subjectName;

    /**
     * 点名教师id
     */
    @ApiModelProperty(required = true, value = "点名教师id")
    @NotNull(message = "不能为空")
    private Long teacherId;


    /**
     * 点名学生集合
     */
    @ApiModelProperty(required = true, value = "点名学生集合")
    @NotEmpty(message = "不能为空")
    List<StudentDTO> studentList;
}
