package com.yida.data.school.dto.classCall;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yida.data.common.core.common.BaseDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDate;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

@ApiModel("分页查询点名记录条件")
@Data
public class ClassCallPageDTO extends BaseDTO {

    /**
     * 学校ID
     */
    @ApiModelProperty(required = false, value = "学校ID")
    private Long schoolId;

    /**
     * 职工ID
     */
    @ApiModelProperty(required = false, value = "职工ID")
    private Long staffId;

    /**
     * 班级ID
     */
    @ApiModelProperty(required = false, value = "班级ID")
    private Long classId;


    @ApiModelProperty(required = false, value = "点名日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private LocalDate date;

}
