package com.yida.data.school.dto.news;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

@ApiModel("系统通知保存实体")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SysNoticeSaveDTO implements Serializable {

    private static final long serialVersionUID = 3153155441647207183L;
    @ApiModelProperty("用户id")
    private List<Long> userId;

    @ApiModelProperty("内容")
    private String content;

    @ApiModelProperty("推送时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;
}
