package com.yida.data.school.dto.program;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 保存小程序请求类
 *
 * @author ZYJ
 * @date 2021/12/10
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "SmallProgramSaveDTO", description = "保存小程序请求类")
public class SmallProgramSaveDTO implements Serializable {

    private static final long serialVersionUID = -3582668978281452290L;

    /**
     * 小程序主键id
     */
    @ApiModelProperty(value = "小程序主键id")
    private Long id;

    /**
     * 小程序名称
     */
    @NotBlank
    @ApiModelProperty(value = "小程序名称")
    private String smallProgramName;

    /**
     * 小程序类型id
     */
    @ApiModelProperty(value = "小程序类型id")
    private String typeId;

    /**
     * 小程序类型名称
     */
    @ApiModelProperty(value = "小程序类型名称")
    private String typeName;

    /**
     * 链接地址
     */
    @ApiModelProperty(value = "链接地址")
    private String linkUrl;

    /**
     * 小程序logo图片
     */
    @ApiModelProperty(value = "小程序logo图片")
    private String coverLogoImg;

    /**
     * 小程序大图
     */
    @ApiModelProperty(value = "小程序大图")
    private String imageUrl;

    /**
     * 关键词组, 多个用英文逗号隔开
     */
    @ApiModelProperty(value = "关键词组, 多个用英文逗号隔开")
    private String keyWords;

    /**
     * 操作权限（0为可见，1为可操作）
     */
    @ApiModelProperty(value = "操作权限（0为可见，1为可操作）")
    private Integer authorityType;

    /**
     * 是否显示分享（0为不显示，1为显示）
     */
    @ApiModelProperty(value = "是否显示分享（0为不显示，1为显示）")
    private Integer isShare;

    /**
     * 分享标题
     */
    @ApiModelProperty(value = "分享标题")
    private String shareTitle;

    /**
     * 分享地址
     */
    @ApiModelProperty(value = "分享地址")
    private String shareUrl;

    /**
     * 分享图片
     */
    @ApiModelProperty(value = "分享图片")
    private String shareImg;

    /**
     * 图标下方展示名称
     */
    @ApiModelProperty(value = "图标下方展示名称")
    private Integer logoType;
}