package com.yida.data.school.dto.program;

import com.yida.data.common.core.common.BaseDTO;
import com.yida.data.common.core.entity.program.EduSmallProgram;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * 小程序后台列表请求类
 *
 * @author ZYJ
 * @date 2021/12/10
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "SmallProgramSelectPageDTO", description = "小程序后台列表请求类")
public class SmallProgramSelectPageDTO extends BaseDTO<EduSmallProgram> implements Serializable {

    private static final long serialVersionUID = 1834359730736520273L;

    @ApiModelProperty(value = "小程序名称")
    private String smallProgramName;

    @ApiModelProperty(value = "展示位置")
    private Integer showPosition;

    @ApiModelProperty(value = "学校或教育局id", hidden = true)
    private Long deptId;
}