package com.yida.data.school.dto.smart;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.List;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 步骤文件上传类
 *
 * @author ZYJ
 * @date 2023/6/5
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "AddUploadFileStepDTO", description = "步骤文件上传类")
public class AddUploadFileStepDTO implements Serializable {

    private static final long serialVersionUID = -209072639419583186L;

    @ApiModelProperty(value = "关联关系id", required = true)
    private Long relationId;

    @ApiModelProperty(value = "指南id", required = true)
    private Long guideId;

    @ApiModelProperty(value = "花名册id", required = true)
    private Long rosterId;

    @ApiModelProperty(value = "步骤id", required = true)
    private Long stepId;

    @ApiModelProperty(value = "附件地址", required = true)
    private List<String> upLoadFileUrlList;
}