package com.yida.data.school.dto.smart;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * Excel职工信息导入类
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "ClassFixImportDTO", description = "Excel固定班级学生导入类")
public class ClassFixImportDTO implements Serializable {

    private static final long serialVersionUID = -3772088981386664273L;
    /**
     * 校区
     */
    @ExcelProperty(index = 0, value = "校区")
    @ApiModelProperty(value = "校区")
    private String campusName;

    /**
     * 学段
     */
    @ExcelProperty(index = 1, value = "学段")
    @ApiModelProperty(value = "学段")
    private String sectionName;

    /**
     * 年级
     */
    @ExcelProperty(index = 2, value = "年级")
    @ApiModelProperty(value = "年级")
    private String gradeName;

    /**
     * 班级
     */
    @ExcelProperty(index = 3, value = "班级")
    @ApiModelProperty(value = "班级")
    private String className;

    /**
     * 姓名
     */
    @ExcelProperty(index = 4, value = "姓名")
    @ApiModelProperty(value = "姓名")
    private String rosterName;

    /**
     * 身份证号
     */
    @ExcelProperty(index = 5, value = "身份证号")
    @ApiModelProperty(value = "身份证号")
    private String idNumber;

}