package com.yida.data.school.dto.smart;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * Excel职工信息导入类
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "ClassImportDTO", description = "Excel预选班级导入类")
public class ClassImportDTO implements Serializable {

    private static final long serialVersionUID = -8812791024900293183L;
    /**
     * 校区
     */
    @ExcelProperty(index = 0, value = "校区")
    @ApiModelProperty(value = "校区")
    private String campusName;

    /**
     * 学段
     */
    @ExcelProperty(index = 1, value = "学段")
    @ApiModelProperty(value = "学段")
    private String sectionName;

    /**
     * 年级
     */
    @ExcelProperty(index = 2, value = "年级")
    @ApiModelProperty(value = "年级")
    private String gradeName;

    /**
     * 班级
     */
    @ExcelProperty(index = 3, value = "班级")
    @ApiModelProperty(value = "班级")
    private String className;


    /**
     * 系部
     */
    @ExcelProperty(index = 4, value = "系部")
    @ApiModelProperty(value = "系部")
    private String departmentName;


    /**
     * 专业
     */
    @ExcelProperty(index = 5, value = "专业")
    @ApiModelProperty(value = "专业")
    private String majorName;

    /**
     * 预设人数
     */
    @ExcelProperty(index = 6, value = "预设人数")
    @ApiModelProperty(value = "预设人数")
    private Integer number;


    /**
     * 男生占比
     */
    @ExcelProperty(index = 7, value = "男生占比")
    @ApiModelProperty(value = "男生占比")
    private Integer male;

    /**
     * 女生占比
     */
    @ExcelProperty(index = 8, value = "女生占比")
    @ApiModelProperty(value = "女生占比")
    private Integer female;

}