package com.yida.data.school.dto.smart;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * Excel职工信息导入类
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "CustomDormImportDTO", description = "Excel自定义预选宿舍导入类")
public class CustomDormImportDTO implements Serializable {


    private static final long serialVersionUID = 4258485996992370675L;
    /**
     * 系部
     */
    @ExcelProperty(index = 0, value = "系部")
    @ApiModelProperty(value = "系部")
    private String departmentName;


    /**
     * 专业
     */
    @ExcelProperty(index = 1, value = "专业")
    @ApiModelProperty(value = "专业")
    private String majorName;

    /**
     * 宿舍楼
     */
    @ExcelProperty(index = 2, value = "宿舍楼")
    @ApiModelProperty(value = "宿舍楼")
    private String dormName;

    /**
     * 寝室号
     */
    @ExcelProperty(index = 3, value = "宿舍号")
    @ApiModelProperty(value = "宿舍号")
    private String dormRoomName;

    /**
     * 性别
     */
    @ExcelProperty(index = 4, value = "性别,男/女")
    @ApiModelProperty(value = "性别")
    private String gender;

    /**
     * 人数
     */
    @ExcelProperty(index = 5, value = "人数")
    @ApiModelProperty(value = "人数")
    private Integer number;

    /**
     * 校区ID
     */
    @ExcelProperty(index = 6, value = "校区id")
    @ApiModelProperty(value = "校区ID")
    private Long campusId;

    /**
     * 部门id
     */
    @ExcelProperty(index = 7, value = "部门id")
    @ApiModelProperty(value = "部门id")
    private Long deptId;


    /**
     * 指南id
     */
    @ExcelProperty(index = 8, value = "指南id")
    @ApiModelProperty(value = "指南id")
    private Long guideId;

    /**
     * 步骤id
     */
    @ExcelProperty(index = 9, value = "步骤id")
    @ApiModelProperty(value = "步骤id")
    private Long stepId;

    /**
     * 学校id
     */
    @ExcelProperty(index = 10, value = "学校id")
    @ApiModelProperty(value = "学校id")
    private Long schoolId;

}