package com.yida.data.school.dto.smart;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * Excel职工信息导入类
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "DormImportDTO", description = "Excel预选宿舍导入类")
public class DormImportDTO implements Serializable {

    private static final long serialVersionUID = -4260457409043932228L;


    /**
     * 系部
     */
    @ExcelProperty(index = 0, value = "系部")
    @ApiModelProperty(value = "系部")
    private String departmentName;


    /**
     * 专业
     */
    @ExcelProperty(index = 1, value = "专业")
    @ApiModelProperty(value = "专业")
    private String majorName;

    /**
     * 宿舍楼
     */
    @ExcelProperty(index = 2, value = "宿舍楼")
    @ApiModelProperty(value = "宿舍楼")
    private String dormName;

    /**
     * 寝室号
     */
    @ExcelProperty(index = 3, value = "宿舍号")
    @ApiModelProperty(value = "宿舍号")
    private String dormRoomName;

    /**
     * 性别
     */
    @ExcelProperty(index = 4, value = "性别,男/女")
    @ApiModelProperty(value = "性别")
    private String gender;

    /**
     * 人数
     */
    @ExcelProperty(index = 5, value = "人数")
    @ApiModelProperty(value = "人数")
    private String realNumber;


}