package com.yida.data.school.dto.smart;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * 保存迎新填报信息请求类
 *
 * @author ZYJ
 * @date 2023/5/17
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "GuideFillInfoSaveDTO", description = "保存迎新填报信息请求类")
public class GuideFillInfoSaveDTO implements Serializable {

    private static final long serialVersionUID = -5379563542815778231L;

    @ApiModelProperty(value = "微信openId")
    private String openId;

    @ApiModelProperty(value = "部门id")
    private Long deptId;

    @ApiModelProperty(value = "指南id")
    private Long guideId;

    @ApiModelProperty(value = "头像")
    private String avatar;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "性别. 0-男，1-女")
    private Integer sex;

    @ApiModelProperty(value = "身份证号码")
    private String idNumber;

    @ApiModelProperty(value = "录取专业")
    private String admittedMajor;

    @ApiModelProperty(value = "录取专业ID")
    private Long admittedMajorId;

    @ApiModelProperty(value = "录取系部")
    private String admittedDepartment;

    @ApiModelProperty(value = "录取系部ID")
    private Long admittedDepartmentId;

    @ApiModelProperty(value = "身份证正面照片")
    private String idCardRight;

    @ApiModelProperty(value = "身份证反面照片")
    private String idCardReverse;

    @ApiModelProperty(value = "录取通知书照片")
    private String admissionLetter;

    @ApiModelProperty("校区id")
    private Long campusId;
}