package com.yida.data.school.dto.smart;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * Excel指南花名册信息导入类
 *
 * @author ZYJ
 * @date 2021/8/24
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "GuideRosterImportDTO", description = "Excel指南花名册信息导入类")
public class GuideRosterImportDTO implements Serializable {

    private static final long serialVersionUID = 3782716915186380684L;

    /**
     * 姓名
     */
    @ExcelProperty(index = 0)
    private String fullName;

    /**
     * 毕业院校
     */
    @ExcelProperty(index = 1)
    private String graduateSchool;

    /**
     * 身份证号码
     */
    @ExcelProperty(index = 2)
    private String idNumber;


    /**
     * 录取系部
     */
    @ExcelProperty(index = 3)
    private String admittedDepartment;

    /**
     * 录取专业
     */
    @ExcelProperty(index = 4)
    private String admittedMajor;


    /**
     * 录取年级
     */
    @ExcelProperty(index = 5)
    private String admittedGrade;

    /**
     * 录取班级
     */
    @ExcelProperty(index = 6)
    private String admittedClass;

    /**
     * 手机号码
     */
    @ExcelProperty(index = 7)
    private String mobile;
}