package com.yida.data.school.dto.smart;

import com.yida.data.common.core.common.BaseDTO;
import com.yida.data.common.core.entity.smart.EduSmartWelcomeGuideRoster;
import com.yida.data.common.core.enums.RegistrationStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.List;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * 迎新指南花名册后台列表请求类
 *
 * @author ZYJ
 * @date 2023/5/22
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "GuideRosterSelectPageDTO", description = "迎新指南花名册后台列表请求类")
public class GuideRosterSelectPageDTO extends BaseDTO<EduSmartWelcomeGuideRoster> implements Serializable {

    private static final long serialVersionUID = 2382158515196055662L;

    @ApiModelProperty(value = "指南id")
    private Long guideId;

    @ApiModelProperty(value = "毕业院校")
    private String graduateSchool;

    @ApiModelProperty(value = "姓名")
    private String fullName;

    @ApiModelProperty(value = "身份证号码")
    private String idNumber;

    @ApiModelProperty(value = "录取专业")
    private String admittedMajor;

    @ApiModelProperty(value = "未通过的步骤")
    private Long notPassStepId;

    @ApiModelProperty(value = "通过的步骤")
    private Long passStepId;

    @ApiModelProperty(value = "是否缴费0=否，1=是")
    private Integer payStatus;

    /**
     * {@link RegistrationStatusEnum}
     */
    @ApiModelProperty(value = "报到状态. 0-未报到,1-报到成功(全部步骤通过)")
    private Integer registrationStatus;


    private List<Long> passRosterIdList;

}