package com.yida.data.school.dto.smart;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * 保存迎新指南请求类
 *
 * @author ZYJ
 * @date 2023/5/15
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "GuideSaveDTO", description = "保存迎新指南请求类")
public class GuideSaveDTO implements Serializable {

    private static final long serialVersionUID = 8167376276179823069L;

    @ApiModelProperty(value = "指南id")
    private Long id;

    @ApiModelProperty(value = "指南标题")
    private String guideTitle;

    @ApiModelProperty(value = "指南前言")
    private String guideForeword;

    @ApiModelProperty(value = "资料上报字段，多个以英文逗号分隔")
    private String formField;

    @ApiModelProperty(value = "缴费金额")
    private BigDecimal money;

    @ApiModelProperty(value = "是否启用二维码缴费,0未启用，1启用")
    private Integer moneyStatus;

    @ApiModelProperty(value = "学区id")
    private Long campusId;

    @ApiModelProperty(value = "指南步骤列表")
    private List<GuideStepSaveDTO> stepList;
}