package com.yida.data.school.dto.smart;

import com.yida.data.common.core.common.BaseDTO;
import com.yida.data.common.core.entity.smart.EduSmartWelcomeGuide;
import com.yida.data.common.core.enums.EnableStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * 迎新指南后台列表请求类
 *
 * @author ZYJ
 * @date 2023/5/15
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "GuideSelectPageDTO", description = "迎新指南后台列表请求类")
public class GuideSelectPageDTO extends BaseDTO<EduSmartWelcomeGuide> implements Serializable {

    private static final long serialVersionUID = -3256496082335396363L;

    @ApiModelProperty(value = "指南标题")
    private String guideTitle;

    @ApiModelProperty(value = "部门id", hidden = true)
    private Long deptId;

    /**
     * {@link EnableStatusEnum}
     */
    @ApiModelProperty("启用状态.0:未启用,1:已启用")
    private Integer enableStatus;
}