package com.yida.data.school.dto.smart;

import com.baomidou.mybatisplus.annotation.TableField;
import com.yida.data.common.core.entity.smart.EduSmartWelcomeGuideStepClass;
import com.yida.data.common.core.entity.smart.EduSmartWelcomeGuideStepClassFix;
import com.yida.data.common.core.entity.smart.EduSmartWelcomeGuideStepDorm;
import com.yida.data.common.core.entity.smart.EduSmartWelcomeGuideStepDormFix;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 保存迎新指南步骤请求类
 *
 * @author ZYJ
 * @date 2023/5/15
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "GuideStepSaveDTO", description = "保存迎新指南步骤请求类")
public class GuideStepSaveDTO implements Serializable {

    private static final long serialVersionUID = -2496615484964480529L;

    @ApiModelProperty(value = "步骤类型")
    private Integer stepType;

    @ApiModelProperty(value = "步骤名称")
    private String stepName;

    @ApiModelProperty(value = "唯一id")
    private String uniqueId;

    @ApiModelProperty(value = "前提步骤唯一id")
    private String premiseStepUniqueId;

    @ApiModelProperty(value = "步骤说明")
    private String stepDescription;

    @ApiModelProperty(value = "缴费金额")
    private BigDecimal money;

    @ApiModelProperty(value = "审核是否需要评语,0否，1是")
    private Integer isComment;

    @ApiModelProperty(value = "审核人员id列表")
    private List<Long> staffIdList;
    @ApiModelProperty(value = "预分班级列表")
    private List<EduSmartWelcomeGuideStepClass> classList;
    @ApiModelProperty(value = "预分班级列表")
    private List<EduSmartWelcomeGuideStepDorm> dormList;
    @ApiModelProperty(value = "固定班级列表")
    private List<EduSmartWelcomeGuideStepClassFix> classFixList;
    @ApiModelProperty(value = "固定宿舍列表")
    private List<EduSmartWelcomeGuideStepDormFix> dormFixList;
}