package com.yida.data.school.dto.smart;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 职工通过步骤请求类
 *
 * @author ZYJ
 * @date 2023/6/5
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "StaffPassStepDTO", description = "职工通过步骤请求类")
public class StaffPassStepDTO implements Serializable {

    private static final long serialVersionUID = 4784257912777425471L;

    @ApiModelProperty(value = "关联关系id", required = true)
    private Long relationId;

    @ApiModelProperty(value = "花名册id", required = true)
    private Long rosterId;

    @ApiModelProperty(value = "职工id", required = true)
    private Long staffId;

    @ApiModelProperty(value = "步骤id", required = true)
    private Long stepId;

    @ApiModelProperty(value = "评语内容", required = false)
    private String commentContent;
}