package com.yida.data.school.dto.smart.h5;

import com.yida.data.common.core.enums.PayWay;
import com.yida.data.common.core.enums.UnionPayTypeEnum;
import com.yida.data.common.core.enums.WxPayTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 生成花名册步骤订单请求类
 *
 * @author ZYJ
 * @date 2023/6/19
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "CreateGuideStepOrderDTO", description = "生成花名册步骤订单请求类")
public class CreateGuideStepOrderDTO implements Serializable {

    private static final long serialVersionUID = 5371030556983911931L;

    @ApiModelProperty("指南id")
    private Long guideId;

//    @ApiModelProperty("步骤id")
//    private Long stepId;

    @ApiModelProperty("关联关系id")
    private Long relationId;

    @ApiModelProperty("微信授权码")
    private String code;

    @ApiModelProperty("部门id")
    private Long deptId;

    /**
     * 支付方式
     * {@link PayWay}
     */
    @ApiModelProperty("支付方式. 写死为5")
    private String payWay;

    /**
     * 支付类型
     * 银联云闪付: {@link UnionPayTypeEnum}
     * 微信类型: {@link WxPayTypeEnum}
     */
    @ApiModelProperty("支付类型. 当前可以不填写")
    private Integer payType;
}