package com.yida.data.school.dto.smart.h5;

import com.yida.data.common.core.common.BaseDTO;
import com.yida.data.common.core.entity.smart.EduSmartWelcomeGuide;
import com.yida.data.common.core.entity.smart.EduSmartWelcomeGuideRoster;
import com.yida.data.common.core.entity.smart.EduSmartWelcomeGuideRosterRelation;
import com.yida.data.common.core.enums.EnableStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * 花名册列表h5查询请求类
 *
 * @author ZYJ
 * @date 2023/7/7
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "RosterPageDTO", description = "花名册列表h5查询请求类")
public class RosterPageDTO extends BaseDTO<EduSmartWelcomeGuideRosterRelation> implements Serializable {

    private static final long serialVersionUID = 5839750378167181943L;

    @ApiModelProperty(value = "名称")
    private String rosterName;

    @ApiModelProperty(value = "部门id")
    private Long deptId;
}