package com.yida.data.school.dto.transaction;

import com.fasterxml.jackson.annotation.JsonFormat;

import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author ccl
 */
@Data
public class EduApplyProductOrderDTO {
    @ApiModelProperty("省")
    private Long provinceId;

    @ApiModelProperty("市")
    private Long cityId;

    @ApiModelProperty("县")
    private Long countyId;

    @ApiModelProperty("乡")
    private Long townId;

    @ApiModelProperty(value = "区域id")
    private Long areaId;

    @ApiModelProperty("学校id")
    private Long schoolId;

    @ApiModelProperty("校区id")
    private Long campusId;

    @ApiModelProperty("学段id")
    private Long sectionId;

    @ApiModelProperty("年级id")
    private Long gradeId;

    @ApiModelProperty("班级id")
    private Long classId;

    @ApiModelProperty("订单状态，订单状态：0：待付款\\r\\n1：付款中\\r\\n2：交易完成（正常支付成功）\\r\\n3：待退款\\r\\n4：交易关闭")
    private Integer orderStatus;

    @ApiModelProperty("订单编号")
    private String orderCode;

    @ApiModelProperty("手机号")
    private String phone;

    @ApiModelProperty("商品名")
    private String productName;

    @ApiModelProperty("学生名")
    private String studentName;

    @ApiModelProperty("学号")
    private String studentNumber;

    @ApiModelProperty("开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime startTime;

    @ApiModelProperty("结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime endTime;

    /**
     * 当前页数
     */
    @ApiModelProperty(value = "当前页数")
    private Integer current = 1;
    /**
     * 当前页数量
     */
    @ApiModelProperty(value = "当前页数量")
    private Integer size = 10;
}
