package com.yida.data.school.dto.userLeave;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.yida.data.common.core.entity.userLeave.EduLeaveRequestProcessConfig;
import com.yida.data.common.core.entity.userLeave.EduLeaveRequestProcessConfigApplicableDepartments;
import com.yida.data.common.core.entity.userLeave.EduLeaveRequestProcessConfigApprovalUser;
import com.yida.data.common.core.entity.userLeave.EduLeaveRequestProcessConfigView;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;
import java.util.List;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * Entity
 *
 * @author wjm
 * @date 2022-12-01 10:45:56
 */
@Data
public class EduLeaveRequestProcessConfigDTO {

    /**
     *
     */
    @ApiModelProperty(value = "")
    private Long id;

    /**
     * 学生id
     */
    @ApiModelProperty(value = "学生id")
    private String processName;

    /**
     * 流程类型：0=教师，1=学生
     */
    @ApiModelProperty(value = "流程类型：0=教师，1=学生")
    private Integer processType;

    /**
     * 最小天数
     */
    @ApiModelProperty(value = "最小天数")
    private Integer minDays;

    /**
     * 最大天数
     */
    @ApiModelProperty(value = "最大天数")
    private Integer maxDays;


    /**
     * 是否小于半天
     */
    @ApiModelProperty(value = "是否小于半天1=是，0=否")
    private Integer lessHalfDay;


    /**
     * 基于less_half_day   定义半天是几小时
     */
    @ApiModelProperty(value = "基于less_half_day   定义半天是几小时")
    private Integer hours;

    /**
     * 学校id
     */
    @ApiModelProperty(value = "学校id")
    private Long schoolId;


    /**
     * 具体的审核流程
     */
    @ApiModelProperty(value = "具体的审核流程")
    private List<EduLeaveRequestProcessConfigView> eduLeaveRequestProcessConfigViewList;


    /**
     * 适用人员部门
     */
    @ApiModelProperty(value = "适用人员部门")
    private List<EduLeaveRequestProcessConfigApplicableDepartments> applicableDepartmentsList;

}