package com.yida.data.school.dto.userLeave;

import com.fasterxml.jackson.annotation.JsonFormat;
import java.time.LocalDateTime;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 发送职工模板消息 数据封装类
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SendStaffNoticeDTO {

    /**
     * 学校ID
     */
    private Long schoolId;
    /**
     * 本次审核职工
     */
    private String staffWxId;

    /**
     * 本次审核职工
     */
    private String staffName;

    /**
     * 学校类型
     */
    private String schoolType;

    /**
     * 上一位审核职工
     */
    private String preStaffName;
    /**
     * 上一位审核职工角色
     */
    private String preStaffRoleName;

    /**
     * 学生姓名 / 职工姓名
     */
    private String requestUserName;
    /**
     * 学生所属班级名称  / 职工所属部门
     */
    private String requestUserDeptName;
    /**
     * 请假时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime requestTime;
    /**
     * 请假原因
     */
    private String requestReason;

    /**
     * 请假去向
     */
    private String requestFor;

    /**
     * 请假开始时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH")
    private LocalDateTime requestStartTime;
    /**
     * 请假结束时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH")
    private LocalDateTime requestEndTime;


    /**
     * 审批结果 1已通过，0未通过
     */
    private Integer status;

    /**
     * 请假类型
     */
    private Integer Type;

}
