package com.yida.data.school.dto.visitor;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yida.data.common.core.common.BaseDTO;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

@Data
public class ListVisitorRecordDTO extends BaseDTO {

    @ApiModelProperty("学校id")
    private Long schoolId;

    @ApiModelProperty("结果类型，0-已处理，1-待处理")
    private Integer type;

    @ApiModelProperty(value = "结果详细类型，0-待处理，1-同意，2-拒绝，3-已取消")
    private Integer result;

    @ApiModelProperty(value = "0-待访问，1-访问中，2-访问结束，3-已取消")
    private Integer status;

    @ApiModelProperty("预约到访开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime startTime;


    @ApiModelProperty("预约到访结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime endTime;

    @ApiModelProperty("访客姓名、身份证号、联系电话")
    private String keyword;

    @ApiModelProperty("受访人")
    private Long staffId;
}
