package com.yida.data.school.feign.index;

import com.yida.data.common.core.common.ResultBean;
import com.yida.data.common.core.entity.constant.FebsServerConstant;
import com.yida.data.common.core.entity.school.EduDeptHomeApp;
import com.yida.data.school.dto.leave.ListStudentRequestDetailDTO;
import com.yida.data.school.dto.userLeave.ListUserRequestDTO;
import com.yida.data.school.fallback.index.RemoteDeptHomeInfoServiceFallback;
import com.yida.data.school.fallback.leave.RemoteLeaveRequestServiceFallback;
import com.yida.data.school.vo.userLeave.EduLeaveRequestUserVO;
import java.util.List;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(value = FebsServerConstant.EDU_SCHOOL, contextId = "deptHomeIndexServiceClient",
    fallbackFactory = RemoteDeptHomeInfoServiceFallback.class)
public interface RemoteDeptHomeIndexService {

    /**
     * 查询学校对应的小程序
     */
    @GetMapping("/in/index/home/getDeptAppList")
    ResultBean<List<EduDeptHomeApp>> getDeptAppList(@RequestParam Long schoolId);

}
