package com.yida.data.school.feign.news;

import com.yida.data.common.core.common.ResultBean;
import com.yida.data.common.core.entity.constant.FebsServerConstant;
import com.yida.data.school.dto.news.SysNoticeSaveDTO;
import com.yida.data.school.fallback.news.RemoteNoticeSystemServiceFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * 系统通知 feign
 *
 * @author ZYJ
 * @date 2022-7-6
 */
@FeignClient(value = FebsServerConstant.EDU_SCHOOL, contextId = "noticeSystemServiceClient",
        fallbackFactory = RemoteNoticeSystemServiceFallback.class)
public interface RemoteNoticeSystemService {

    /**
     * 发送系统通知
     */
    @PostMapping("/in/news/sys/sendNotice")
    ResultBean<String> sendNotice(@RequestBody SysNoticeSaveDTO dto);

}
