package com.yida.data.school.feign.news;

import com.yida.data.common.core.common.ResultBean;
import com.yida.data.common.core.entity.constant.FebsServerConstant;

import com.yida.data.school.fallback.news.RemoteNoticeUpdateServiceFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @author ccl
 */

@FeignClient(value = FebsServerConstant.EDU_SCHOOL, contextId = "noticeUpdateServiceClient",
        fallbackFactory = RemoteNoticeUpdateServiceFallback.class)
public interface RemoteNoticeUpdateService {

    /**
     * 定时发送购买通知
     *
     * @param noticeId
     * @return
     */
    @GetMapping("/in/news/buy/updateBuyNoticeById")
    ResultBean updateBuyNoticeById(@RequestParam("noticeId") Long noticeId);
}

