package com.yida.data.school.feign.schoolConfig;

import com.yida.data.common.core.common.ResultBean;
import com.yida.data.common.core.entity.constant.FebsServerConstant;
import com.yida.data.common.core.entity.school.EduSchoolFunctionConfig;
import com.yida.data.school.fallback.schoolConfig.RemoteEduSchoolFuncationConfigServiceFallback;
import java.util.List;
import org.apache.ibatis.annotations.Param;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(value = FebsServerConstant.EDU_SCHOOL, contextId = "RemoteEduSchoolFuncationConfigServiceClient",
    fallbackFactory = RemoteEduSchoolFuncationConfigServiceFallback.class)
public interface RemoteEduSchoolFuncationConfigService {


    /**
     * 查询学校关键功能点配置
     *
     * @param
     * @return
     */
    @GetMapping("/in/schoolFunctionConfig/getSchoolFunctionConfigListByCondition")
    ResultBean<List<EduSchoolFunctionConfig>> getSchoolFunctionConfigListByCondition();


    /**
     * 查询学校关键功能点配置
     *
     * @param
     * @return
     */
    @GetMapping("/in/schoolFunctionConfig/checkSchoolFuncationCode")
    ResultBean<Boolean> checkSchoolFunctionCode(@RequestParam("schoolId") Long schoolId, @RequestParam("code") String code);
}
