package com.yida.data.school.feign.transaction;

import com.yida.data.common.core.common.ResultBean;
import com.yida.data.common.core.entity.constant.FebsServerConstant;

import com.yida.data.school.fallback.transaction.RemoteProductOrderServiceFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

@FeignClient(value = FebsServerConstant.EDU_SCHOOL, contextId = "productOrderServiceClient",
        fallbackFactory = RemoteProductOrderServiceFallback.class)
public interface RemoteProductOrderService {

    /**
     * 更新订单状态
     *
     * @return
     */
    @GetMapping("/in/transaction/order/updateOrderStatus")
    ResultBean updateOrderStatus();

    /**
     * 更新退款订单状态
     *
     * @return
     */
    @GetMapping("/in/transaction/order/updateRefundStatus")
    ResultBean updateRefundStatus();
}
