package com.yida.data.school.feign.transaction;

import com.yida.data.common.core.common.ResultBean;
import com.yida.data.common.core.entity.constant.FebsServerConstant;
import com.yida.data.school.fallback.transaction.RemoteProductServiceFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @author ccl
 */
@FeignClient(value = FebsServerConstant.EDU_SCHOOL, contextId = "productServiceClient",
        fallbackFactory = RemoteProductServiceFallback.class)
public interface RemoteProductService {
    @GetMapping("/in/transaction/product/upDateProductById")
    ResultBean upDateProductById(@RequestParam("id") Long id);

    /**
     * 商品催缴任务
     *
     * @param id
     * @return
     */
    @GetMapping("/in/transaction/product/productSendNotice")
    ResultBean productSendNotice(@RequestParam("id") Long id);

    /**
     * 监视商品是否失效
     *
     * @return
     */
    @GetMapping("/in/transaction/product/productMonitor")
    ResultBean productMonitor();
}
