package com.yida.data.school.vo.atlas;

import com.fasterxml.jackson.annotation.JsonFormat;

import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 评论回复列表返回数据
 *
 * @author ZYJ
 * @date 2021/10/13
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "AtlasDetailsCommentReplySelectPageVO", description = "评论回复列表返回数据")
public class AtlasDetailsCommentReplySelectPageVO implements Serializable {

    private static final long serialVersionUID = 1362520052524909377L;

    @ApiModelProperty(value = "回复id")
    private Long id;

    @ApiModelProperty(value = "回复内容")
    private String content;

    @ApiModelProperty(value = "审核状态. 0待审核,1审核通过,2审核未通过")
    private String checkStatus;

    @ApiModelProperty(value = "不通过理由")
    private String reason;

    @ApiModelProperty(value = "回复时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private String createDate;

    @ApiModelProperty(value = "回复用户id")
    private Long userId;

    @ApiModelProperty(value = "回复用户名称")
    private String userName;

    @ApiModelProperty(value = "回复用户昵称")
    private String nickName;
}