package com.yida.data.school.vo.atlas;

import com.fasterxml.jackson.annotation.JsonFormat;

import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 图集作品评论后台列表返回数据
 *
 * @author ZYJ
 * @date 2021/10/13
 */
@Data
@ApiModel(value = "AtlasDetailsCommentSelectPageVO", description = "图集作品评论后台列表返回数据")
public class AtlasDetailsCommentSelectPageVO implements Serializable {

    private static final long serialVersionUID = -1967131702645359672L;

    @ApiModelProperty(value = "评论id")
    private Long id;

    @ApiModelProperty(value = "评论内容")
    private String content;

    @ApiModelProperty(value = "审核状态. 0待审核,1审核通过,2审核未通过")
    private String checkStatus;

    @ApiModelProperty(value = "不通过理由")
    private String reason;

    @ApiModelProperty(value = "评论时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private String createDate;

    @ApiModelProperty(value = "评论用户id")
    private Long userId;

    @ApiModelProperty(value = "评论用户名称")
    private String userName;

    @ApiModelProperty(value = "评论用户昵称")
    private String nickName;

    @ApiModelProperty(value = "评论回复数量")
    private Integer replyCount;

    @ApiModelProperty(value = "评论回复未审核数量")
    private Integer replyNotCheckCount;
}