package com.yida.data.school.vo.atlas;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 图集作品后台列表返回数据
 *
 * @author ZYJ
 * @date 2021/9/2
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "AtlasDetailsSelectPageVO", description = "图集作品后台列表返回数据")
public class AtlasDetailsSelectPageVO implements Serializable {

    private static final long serialVersionUID = 7258679081521079694L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    private Long id;

    /**
     * 学校id
     */
    @ApiModelProperty(value = "学校id")
    private Long schoolId;

    /**
     * 对应的图集id
     */
    @ApiModelProperty(value = "对应的图集id")
    private Long coreAtlasManagementId;

    /**
     * 图集类型: 0图片, 1视频
     */
    @ApiModelProperty(value = "图集类型: 0图片, 1视频")
    private String type;

    /**
     * 图片或视频路径
     */
    @ApiModelProperty(value = "图片或视频路径")
    private String filePathUrl;

    /**
     * 视频封面图路径
     */
    @ApiModelProperty(value = "视频封面图路径")
    private String videoImgUrl;

    /**
     * 视频时长
     */
    @ApiModelProperty(value = "视频时长")
    private String videoTime;

    /**
     * 视频或图片描述
     */
    @ApiModelProperty(value = "视频或图片描述")
    private String description;

    /**
     * 点赞数
     */
    @ApiModelProperty(value = "点赞数")
    private Integer likeNum;

    /**
     * 转发数
     */
    @ApiModelProperty(value = "转发数", hidden = true)
    private Integer forwardNum;

    /**
     * 评论数
     */
    @ApiModelProperty(value = "评论数")
    private Integer commentNum;
}