package com.yida.data.school.vo.atlas;

import com.fasterxml.jackson.annotation.JsonFormat;

import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 图集后台列表返回数据
 *
 * @author ZYJ
 * @date 2021/9/2
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "AtlasSelectPageVO", description = "图集后台列表返回数据")
public class AtlasSelectPageVO implements Serializable {

    private static final long serialVersionUID = -4570138464615514305L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    private Long id;

    /**
     * 学校id
     */
    @ApiModelProperty(value = "学校id")
    private Long schoolId;

    /**
     * 图集名称
     */
    @ApiModelProperty(value = "图集名称")
    private String atlasName;

    /**
     * 图集封面图片
     */
    @ApiModelProperty(value = "图集封面图片")
    private String atlasCoverImgUrl;

    /**
     * 图集背景图片
     */
    @ApiModelProperty(value = "图集背景图片")
    private String atlasBackgroundImgUrl;

    /**
     * 图集简介
     */
    @ApiModelProperty(value = "图集简介")
    private String atlasIntroduction;

    /**
     * 是否启用：0未启用，1已启用
     */
    @ApiModelProperty(value = "是否启用：0未启用，1已启用")
    private Integer enableStatus;

    /**
     * 访问数
     */
    @ApiModelProperty(value = "访问数")
    private Integer accessNum;

    /**
     * 点赞数
     */
    @ApiModelProperty(value = "点赞数")
    private Integer likeNum;

    /**
     * 转发数
     */
    @ApiModelProperty(value = "转发数", hidden = true)
    private Integer forwardNum;

    /**
     * 评论数
     */
    @ApiModelProperty(value = "评论数")
    private Integer commentNum;

    /**
     * 后台创建人id
     */
    @ApiModelProperty(value = "后台创建人id")
    private Long createId;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;
}