package com.yida.data.school.vo.atlas.app;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * app获取图集详情接口返回类
 *
 * @author ZYJ
 * @date 2021/9/6
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "AppAtlasInfoVO", description = "app获取图集详情接口返回类")
public class AppAtlasInfoVO implements Serializable {

    private static final long serialVersionUID = -2441898191962310552L;

    /**
     * 图集id
     */
    @ApiModelProperty("图集id")
    private Long id;

    /**
     * 图集名称
     */
    @ApiModelProperty("图集名称")
    private String atlasName;

    /**
     * 图集封面图片
     */
    @ApiModelProperty("图集封面图片")
    private String atlasCoverImgUrl;

    /**
     * 图集背景图片
     */
    @ApiModelProperty("图集背景图片")
    private String atlasBackgroundImgUrl;

    /**
     * 图集简介
     */
    @ApiModelProperty("图集简介")
    private String atlasIntroduction;

    /**
     * 访问数
     */
    @ApiModelProperty("访问数")
    private Integer accessNum;

    /**
     * 图集作品图片类型集合
     */
    @ApiModelProperty("图集作品图片类型集合")
    private List<AppAtlasWorkBaseVO> pictureList;

    /**
     * 图集作品视频类型集合
     */
    @ApiModelProperty("图集作品视频类型集合")
    private List<AppAtlasWorkBaseVO> videoList;
}
