package com.yida.data.school.vo.atlas.app;

import com.yida.data.common.core.enums.LikeMarkEnum;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 图集作品返回数据基类
 *
 * @author ZYJ
 * @date 2021/9/6
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "AppAtlasWorkBaseVO", description = "图集作品返回数据基类")
public class AppAtlasWorkBaseVO implements Serializable {

    private static final long serialVersionUID = -558968479510748959L;

    /**
     * 作品主键id
     */
    @ApiModelProperty("作品主键id")
    private Long id;

    /**
     * 对应的图集id
     */
    @ApiModelProperty("对应的图集id")
    private Long coreAtlasManagementId;

    /**
     * 作品路径
     */
    @ApiModelProperty("作品路径")
    private String filePathUrl;

    /**
     * 视频封面图路径
     */
    @ApiModelProperty("视频封面图路径")
    private String videoImgUrl;

    /**
     * 视频时长
     */
    @ApiModelProperty("视频时长")
    private String videoTime;

    /**
     * 作品描述
     */
    @ApiModelProperty("作品描述")
    private String description;

    /**
     * 点赞数
     */
    @ApiModelProperty("点赞数")
    private Integer likeNum;

    /**
     * 评论数
     */
    @ApiModelProperty("评论数")
    private Integer commentNum;

    /**
     * 是否点赞标记: 0未点赞, 1已点赞 {@link LikeMarkEnum}
     */
    @ApiModelProperty("是否点赞标记: 0未点赞, 1已点赞")
    private String likeMark;
}
