package com.yida.data.school.vo.atlas.app;

import com.fasterxml.jackson.annotation.JsonFormat;

import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * app分页查询图集作品评论列表接口返回类
 *
 * @author ZYJ
 * @date 2021/9/7
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "AppAtlasWorkCommentPageVO", description = "app分页查询图集作品评论列表接口返回类")
public class AppAtlasWorkCommentPageVO implements Serializable {

    private static final long serialVersionUID = -402588337421471072L;

    /**
     * 评论id
     */
    @ApiModelProperty("评论id")
    private Long id;

    /**
     * 评论内容
     */
    @ApiModelProperty("评论内容")
    private String content;

    /**
     * 评论时间
     */
    @ApiModelProperty("评论时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     * 访问的用户id
     */
    @ApiModelProperty("访问的用户id")
    private Long userId;

    /**
     * 用户名
     */
    @ApiModelProperty("用户名")
    private String userName;

    /**
     * 用户昵称
     */
    @ApiModelProperty("用户昵称")
    private String nickName;
}
