package com.yida.data.school.vo.exam;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel("班级对比表数据")
@Data
public class ExamScoreAnalysisVO {

    @ApiModelProperty("参考人数")
    private Integer studentNum;

    @ApiModelProperty("班级id，为空则数据为总数")
    private Long classId;

    @ApiModelProperty("班级名称，为空则数据为总数")
    private String className;

    @ApiModelProperty("平均分")
    private Double avgScore;

    @ApiModelProperty("平均得分率")
    private Double avgScoreRate;

    @ApiModelProperty("平均分排名")
    private Integer avgScoreRank;

    @ApiModelProperty("高分人数")
    private Integer highScoreNum;

    @ApiModelProperty("高分率")
    private Double highScoreRate;

    @ApiModelProperty("高分排名")
    private Integer highScoreRank;

    @ApiModelProperty("优秀人数")
    private Integer excellentScoreNum;

    @ApiModelProperty("优秀率")
    private Double excellentScoreRate;

    @ApiModelProperty("优秀排名")
    private Integer excellentScoreRank;

    @ApiModelProperty("良好人数")
    private Integer goodScoreNum;

    @ApiModelProperty("良好率")
    private Double goodScoreRate;

    @ApiModelProperty("良好排名")
    private Integer goodScoreRank;

    @ApiModelProperty("及格人数")
    private Integer passScoreNum;

    @ApiModelProperty("及格率")
    private Double passScoreRate;

    @ApiModelProperty("及格排名")
    private Integer passScoreRank;

    @ApiModelProperty("低分人数")
    private Integer lowScoreNum;

    @ApiModelProperty("低分率")
    private Double lowScoreRate;

    @ApiModelProperty("低分排名")
    private Integer lowScoreRank;

    @ApiModelProperty("综合率,计算公式：平均得分率*0.5+优秀率*0.25+及格率*0.25")
    private Double complexScoreRate;

    @ApiModelProperty("综合率排名")
    private Integer complexScoreRank;

    @ApiModelProperty("最高分")
    private Double maxScore;

    @ApiModelProperty("最低分")
    private Double minScore;

    @ApiModelProperty("排序")
    private Integer sort;
}
