package com.yida.data.school.vo.exam;

import com.fasterxml.jackson.annotation.JsonFormat;

import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class StudentExamListVO {

    @ApiModelProperty("考试id")
    private Long examId;

    @ApiModelProperty("考试名称")
    private String examName;

    @ApiModelProperty("考试总分")
    private Double totalScore;

    @ApiModelProperty("考试得分")
    private Double score;

    @ApiModelProperty("是否屏蔽分数,-是，1-否")
    private Integer scoreBlock;

    @ApiModelProperty("是否屏蔽总分,-是，1-否")
    private Integer totalScoreBlock;

    @ApiModelProperty("等级")
    private String gradeLevel;

    @ApiModelProperty("考试时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private LocalDate examDate;
}
