package com.yida.data.school.vo.health;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author chenbo
 */
@Data
public class EduNationalProjectVO {
    /**
     * 学年成绩的主键id
     */
    @ApiModelProperty(value = "学年成绩的主键id")
    private Long id;

    /**
     * 学生性别
     */
    @ApiModelProperty(value = "学生姓名")
    private String studentName;

    /**
     * 学生Id
     */
    @ApiModelProperty(value = "学生Id")
    private Long studentId;

    /**
     * 学生性别
     */
    @ApiModelProperty(value = "学校名")
    private String schoolName;

    /**
     * 学生性别
     */
    @ApiModelProperty(value = "年级名")
    private String gradeName;

    /**
     * 学生性别
     */
    @ApiModelProperty(value = "班级名")
    private String className;

    /**
     * 学生性别
     */
    @ApiModelProperty(value = "学生性别(1为女,0为男)")
    private Integer studentSex;


    /**
     * 体测最终得分
     */
    @ApiModelProperty(value = "体测最终得分")
    private BigDecimal totalScore;

    /**
     * 体测最终等级
     */
    @ApiModelProperty(value = "体测最终等级")
    private String totalRank;


    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createDate;


    /**
     * 不及格的数量
     */
    @ApiModelProperty(value = "不及格的数量")
    private Integer failNum;


    /**
     * 额外加分的数量
     */
    @ApiModelProperty(value = "额外加分的数量")
    private Integer addScoreNum;

    /**
     * 记录年级主键id
     */
    @ApiModelProperty("记录年级主键id")
    private Long recordGradeId;

    /**
     * 记录年级主键id
     */
    @ApiModelProperty("记录年级主键id")
    private String recordGradeName;

    /**
     * 体育项目的集合
     */
    @ApiModelProperty(value = "体育项目的集合")
    private List<EduSingleProjectVO> singleProjectVOList;

}
