package com.yida.data.school.vo.health;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author ccl
 */
@Data

public class EduSingleProjectVO {
    /**
     * 体育项目主键id
     */
    @ApiModelProperty(value = "体育项目主键id")
    private Long projectId;

    /**
     * 项目名称
     */
    @ApiModelProperty(value = "体育项目名称")
    private String projectName;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date createDate;


    /**
     * 项目成绩
     */
    @ApiModelProperty(value = "项目成绩")
    private String projectResult;


    /**
     * 项目的等级
     */
    @ApiModelProperty(value = "项目的等级")
    private String projectRank;

    /**
     * 项目的得分
     */
    @ApiModelProperty(value = "项目的得分")
    private BigDecimal projectScore;

    /**
     * 项目额外加分
     */
    @ApiModelProperty(value = "项目额外加分(判断大于0才显示加分)")
    private BigDecimal projectExtraScore;



    /**
     * 身高
     */
    @ApiModelProperty(value = "身高")
    private BigDecimal height;

    /**
     * 体重
     */
    @ApiModelProperty(value = "体重")
    private BigDecimal weight;

    /**
     * 字典表对应code
     */
    @ApiModelProperty(value = "字典表对应code")
    private Integer code;
}
