package com.yida.data.school.vo.health;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class EduStudentNationalVO {
    /**
     * 国标体测主键id
     */
    @ApiModelProperty(value = "国标体测主键id")
    private Integer id;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createDate;

    /**
     * 国标体测名称
     */
    @ApiModelProperty(value = "国标体测名称")
    private String activityName="国标体测";


    /**
     * 活动类型(1代表国标体测，2代表国标自测)
     */
    @ApiModelProperty(value = "活动类型")
    private String activityType="1";

    /**
     * 得分
     */
    @ApiModelProperty(value = "得分")
    private BigDecimal score;


    /**
     * 等级
     */
    @ApiModelProperty(value = "等级")
    private String rank;
}
