package com.yida.data.school.vo.health;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yida.data.common.core.entity.user.EduStudent;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author chenbo
 */
@Data
public class NationalHealthVO {
    @ApiModelProperty("总分")
    private BigDecimal totalScore;

    @ApiModelProperty("加分数量")
    private Integer addNum;

    @ApiModelProperty("不及格数量")
    private Integer failNum;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    @ApiModelProperty("更新时间")
    private LocalDateTime createDate;

    @ApiModelProperty
    private String projectRank;

    @ApiModelProperty("详细体测项目数据")
    private List<EduSingleProjectVO> eduSingleProjectVO;

    @ApiModelProperty("学生对象")
    private EduStudent eduStudent;
}
