package com.yida.data.school.vo.health;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @author chenbo
 */
@Data
public class SelfHealthVO {

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("项目code,50体重，100身高")
    private Integer code;

    @ApiModelProperty("最近一次的成绩")
    private String projectResult;

    @ApiModelProperty("最近一次的等级")
    private String projectRank;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    @ApiModelProperty("更新时间")
    private Date updateTime;

    @ApiModelProperty("与上次相比的差值")
    private String addNum;

    @ApiModelProperty("历史成绩列表")
    private List<HealthHistoryScore> historyScore;


}
