package com.yida.data.school.vo.index;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel("稿件分页信息")
@Data
public class ManuscriptPageInfoVO {
    private Long id;

    @ApiModelProperty("标题")
    private String title;

    @ApiModelProperty("作者")
    private String author;

    @ApiModelProperty("内容")
    private String content;

    @ApiModelProperty("封面图 多个用','分割")
    private String coverUrl;

    @ApiModelProperty("封面类型 0-左单图，1-右单图，2-三图，3-无")
    private Integer coverType;

    @ApiModelProperty("发布时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime publishDate;

    @ApiModelProperty("最近编辑时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    @ApiModelProperty("内容类型：1-文章，2-文件")
    private Integer contentType;

    @ApiModelProperty("标签：以逗号分隔")
    private String labels;
}
