package com.yida.data.school.vo.leave;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.yida.data.common.core.entity.user.EduStudent;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * @author ccl
 */
@Data
public class FindPageLeaveListVO {

    /**
     *
     */
    @ApiModelProperty("请假主键id")
    private Long id;

    /**
     * 学生id
     */
    @ApiModelProperty("学生id")
    private Long studentId;

    /**
     * 学生名字
     */
    @ApiModelProperty("学生名字")
    private String studentName;

    /**
     * 家长id
     */
    @ApiModelProperty("家长id")
    private Long parentId;

    /**
     * 家长名字
     */
    @ApiModelProperty("家长名称")
    private String parentName;

    /**
     * 教师id
     */
    @ApiModelProperty("教师id")
    private Long teacherId;

    /**
     * 教师名字
     */
    @ApiModelProperty("教师名字")
    private String teacherName;

    /**
     * 请假理由
     */
    @ApiModelProperty("请假理由")
    private String reason;


    @ApiModelProperty("请假图片")
    private String picUrl;

    /**
     * 开始时间
     */
    @ApiModelProperty("开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm")
    private LocalDateTime startTime;

    /**
     * 结束时间
     */
    @ApiModelProperty("结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm")
    private LocalDateTime endTime;

    /**
     * 审核时间
     */
    @ApiModelProperty("审核时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm")
    private LocalDateTime checkTime;

    /**
     * 状态
     */
    @ApiModelProperty("")
    private Integer status;

    /**
     * 学校
     */
    @ApiModelProperty("学校id")
    private Long schoolId;

    /**
     * 学区Id
     */
    @ApiModelProperty("学区id")
    private Long campsId;


    /**
     * 学段Id
     */
    @ApiModelProperty("学段id")
    private Long sectionId;

    /**
     * 年级Id
     */
    @ApiModelProperty("年级id")
    private Long gradeId;

    /**
     * 年级Id
     */
    @ApiModelProperty("年纪id")
    private String gradeName;

    /**
     * 班级Id
     */
    @ApiModelProperty("班级id")
    private Long classId;

    /**
     * 班级Id
     */
    @ApiModelProperty("班级名称")
    private String className;

    /**
     * 班级Id
     */
    @ApiModelProperty("班级名称")
    private String stuNumber;

}
