package com.yida.data.school.vo.news;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

@ApiModel("教师发布学校公告信息")
@Data
public class SchollNoticeTeacherPublishVO {

    @ApiModelProperty("公告id")
    private Long id;

    @ApiModelProperty("公告标题")
    private String title;

    @ApiModelProperty("公告发布时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime sendDate;

    @ApiModelProperty("接收人数")
    private Integer receiverNum;

    @ApiModelProperty("阅读次数")
    private Integer readNum;

    @ApiModelProperty("阅读人数")
    private Integer readParentNum;

    @ApiModelProperty("确认人数")
    private Integer confirmNum;

    @ApiModelProperty("公告是否需要确认，0-需要，1-不需要")
    private Integer isConfirm;

    private Integer status;
}
