package com.yida.data.school.vo.news;

import com.yida.data.common.core.entity.notice.EduNoticeSchoolReceiver;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;
import java.util.List;
import lombok.Data;

@Data
public class SchoolNoticeInfoVO {

    /**
     * 接收对象数量
     */
    @ApiModelProperty("接收对象数量")
    private Integer receiverNum;

    @ApiModelProperty("标题")
    private String title;

    @ApiModelProperty("封面图")
    private String coverUrl;

    @ApiModelProperty("内容")
    private String content;

    @ApiModelProperty("图片、视频url")
    private String contentUrl;

    /**
     * 发送时间
     */
    @ApiModelProperty("发送时间")
    private LocalDateTime sendDate;

    @ApiModelProperty("创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty("创建人")
    private String createName;

    /**
     * 接收对象
     */
    @ApiModelProperty("接收对象")
    private List<EduNoticeSchoolReceiver> receiverList;

    /**
     * 未确认家长
     */
    @ApiModelProperty("未确认家长")
    private List<EduNoticeSchoolReceiver> notConfirmList;

    @ApiModelProperty("公告类型,0-图文，1-文本，2-图片，3-视频")
    private Integer type;

}
