package com.yida.data.school.vo.news;

import com.fasterxml.jackson.annotation.JsonFormat;

import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("分页查询数据")
public class SchoolNoticePageVO {

    private Long id;

    @ApiModelProperty("发送时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime sendDate;

    @ApiModelProperty("标题")
    private String title;

    @ApiModelProperty("作者")
    private String author;

    @ApiModelProperty("描述")
    private String description;

    @ApiModelProperty("封面图")
    private String coverUrl;

    @ApiModelProperty("内容")
    private String content;

    @ApiModelProperty("图片url（‘,’隔开），视频url")
    private String contentUrl;

    @ApiModelProperty("发送状态，0-未发送，1-已发送")
    private Integer status;

    @ApiModelProperty("公告类型,0-图文，1-文本，2-图片，3-视频")
    private Integer type;

    @ApiModelProperty("确认者数量")
    private Integer confirmNum;

    @ApiModelProperty("是否需要确认,0-是，1-否")
    private Integer isConfirm;
}
