package com.yida.data.school.vo.news;

import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel("个人显示通知列表信息")
@Data
public class ShowNoticeInfo {

    private Long id;

    @ApiModelProperty("标题")
    private String title;

    @ApiModelProperty("封面图")
    private String coverUrl;

    @ApiModelProperty("内容")
    private String content;

    @ApiModelProperty("图片、视频url")
    private String contentUrl;

    /**
     * 发送时间
     */
    @ApiModelProperty("发送时间")
    private LocalDateTime sendDate;

    @ApiModelProperty("创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty("创建人")
    private String createName;

    @ApiModelProperty("公告类型,0-图文，1-文本，2-图片，3-视频")
    private Integer type;

    @ApiModelProperty("公告来源，0-学校通知，1-稿件管理")
    private Integer origin;
}
