package com.yida.data.school.vo.program;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 小程序后台列表返回数据
 *
 * @author ZYJ
 * @date 2021/12/10
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "SmallProgramSelectPageVO", description = "小程序后台列表返回数据")
public class SmallProgramSelectPageVO implements Serializable {

    private static final long serialVersionUID = -6118356340958506318L;

    /**
     * 小程序id
     */
    @ApiModelProperty(value = "小程序id")
    private Long id;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     * 创建人ID
     */
    @ApiModelProperty(value = "创建人ID")
    private Long createId;

    /**
     * 学校或教育局id
     */
    @ApiModelProperty(value = "学校或教育局id")
    private Long deptId;

    /**
     * 小程序名称
     */
    @ApiModelProperty(value = "小程序名称")
    private String smallProgramName;

    /**
     * 小程序类型id
     */
    @ApiModelProperty(value = "小程序类型id")
    private String typeId;

    /**
     * 小程序类型名称
     */
    @ApiModelProperty(value = "小程序类型名称")
    private String typeName;

    @ApiModelProperty(value = "小程序logo图片")
    private String coverLogoImg;

    /**
     * 链接地址
     */
    @ApiModelProperty(value = "链接地址")
    private String linkUrl;

    /**
     * 关键词组
     */
    @ApiModelProperty(value = "关键词组")
    private String keyWords;

    /**
     * 操作权限（0为可见，1为可操作）
     */
    @ApiModelProperty(value = "操作权限（0为可见，1为可操作）")
    private Integer authorityType;

    /**
     * 展示位置
     */
    @ApiModelProperty(value = "展示位置")
    private Integer showPosition;
}