package com.yida.data.school.vo.smart;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * Excel职工信息导入类
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "ClassFixImportDTO", description = "Excel固定班级学生导入类")
public class ClassFixImportVO implements Serializable {

    private static final long serialVersionUID = -3772088981386664273L;

    /**
     * 身份证号
     */
    @ApiModelProperty(value = "错误数据LIST－身份证号")
    private List<String> errorIdNumberList;


    private List<FixImportVO> fixImportVOList;


    @Data
    public class FixImportVO {

        /**
         * 校区
         */
        @ApiModelProperty(value = "校区")
        private Long campusId;

        /**
         * 校区
         */
        @ApiModelProperty(value = "校区")
        private String campusName;

        /**
         * 学段
         */
        @ApiModelProperty(value = "学段")
        private Long sectionId;

        /**
         * 学段
         */
        @ApiModelProperty(value = "学段")
        private String sectionName;

        /**
         * 年级
         */
        @ApiModelProperty(value = "年级")
        private Long gradeId;

        /**
         * 年级
         */
        @ApiModelProperty(value = "年级")
        private String gradeName;

        /**
         * 班级
         */
        @ApiModelProperty(value = "班级")
        private Long classId;

        /**
         * 班级
         */
        @ApiModelProperty(value = "班级")
        private String className;

        /**
         * 姓名
         */
        @ApiModelProperty(value = "姓名")
        private Long rosterId;

        /**
         * 姓名
         */
        @ApiModelProperty(value = "姓名")
        private String rosterName;


        /**
         * 身份证号
         */
        @ApiModelProperty(value = "身份证号")
        private String idNumber;
    }


}