package com.yida.data.school.vo.smart;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * Excel职工信息导入类
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "ClassImportDTO", description = "Excel预选班级导入类")
public class ClassImportVO implements Serializable {


    private static final long serialVersionUID = -5111122101235379190L;
    /**
     * 校区
     */
    @ApiModelProperty(value = "校区")
    private Long campusId;

    /**
     * 校区
     */
    @ApiModelProperty(value = "校区")
    private String campusName;

    /**
     * 学段
     */
    @ApiModelProperty(value = "学段")
    private Long sectionId;

    /**
     * 学段
     */
    @ApiModelProperty(value = "学段")
    private String sectionName;

    /**
     * 年级
     */
    @ApiModelProperty(value = "年级")
    private Long gradeId;

    /**
     * 年级
     */
    @ApiModelProperty(value = "年级")
    private String gradeName;

    /**
     * 班级
     */
    @ApiModelProperty(value = "班级")
    private Long classId;

    /**
     * 班级
     */
    @ApiModelProperty(value = "班级")
    private String className;


    /**
     * 系部
     */
    @ApiModelProperty(value = "系部")
    private Long departmentId;


    /**
     * 系部
     */
    @ApiModelProperty(value = "系部")
    private String departmentName;

    /**
     * 专业
     */
    @ApiModelProperty(value = "专业")
    private Long majorId;


    /**
     * 专业
     */
    @ApiModelProperty(value = "专业")
    private String majorName;

    /**
     * 预设人数
     */
    @ApiModelProperty(value = "预设人数")
    private Integer number;


    /**
     * 男生占比
     */
    @ApiModelProperty(value = "男生占比")
    private Integer male;

    /**
     * 女生占比
     */
    @ApiModelProperty(value = "女生占比")
    private Integer female;

}