package com.yida.data.school.vo.smart;

import com.yida.data.school.vo.smart.ClassFixImportVO.FixImportVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.List;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * Excel职工信息导入类
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "DormImportDTO", description = "Excel预选宿舍导入类")
public class DormImportFixVO implements Serializable {

    /**
     * 身份证号
     */
    @ApiModelProperty(value = "错误数据LIST－身份证号")
    private List<String> errorIdNumberList;


    private List<FixImportVO> fixImportVOList;


    @Data
    public class FixImportVO {

        /**
         * 花名册ID
         */
        @ApiModelProperty(value = "花名册ID")
        private Long rosterId;

        /**
         * 花名册ID
         */
        @ApiModelProperty(value = "花名册姓名")
        private String rosterName;

        /**
         * 身份证号
         */
        @ApiModelProperty(value = "身份证号")
        private String idNumber;

        /**
         * 宿舍楼
         */
        @ApiModelProperty(value = "宿舍楼")
        private String dormName;

        /**
         * 宿舍楼
         */
        @ApiModelProperty(value = "宿舍楼")
        private Long dormId;

        /**
         * 寝室号
         */
        @ApiModelProperty(value = "宿舍号")
        private String dormRoomName;
        /**
         * 寝室号
         */
        @ApiModelProperty(value = "宿舍号")
        private Long dormRoomId;

    }

}