package com.yida.data.school.vo.smart;

import com.yida.data.common.core.enums.FileDealStatusEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 下载花名册情况-实体
 *
 * @author ZYJ
 * @date 2023-06-12
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ExportRosterDataVO implements Serializable {

    private static final long serialVersionUID = 5078408929378786595L;

    @ApiModelProperty("本次操作标识")
    private String key;

    @ApiModelProperty("进度 0-100")
    private Integer percent;

    /**
     * {@link FileDealStatusEnum}
     */
    @ApiModelProperty("导出状态")
    private Integer exportStatus;

    @ApiModelProperty("下载总数")
    private Integer totalNum;

    @ApiModelProperty("当前下载到第几个")
    private Integer currentNum;

    @ApiModelProperty("文件路径")
    private String filePath;
}
