package com.yida.data.school.vo.smart;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.yida.data.common.core.entity.smart.EduSmartWelcomeGuideStep;
import com.yida.data.common.core.enums.BillStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 迎新指南详情返回数据
 *
 * @author ZYJ
 * @date 2023/5/15
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "GuideInfoVO", description = "迎新指南详情返回数据")
public class GuideInfoVO implements Serializable {

    private static final long serialVersionUID = 1323061977795150232L;

    @ApiModelProperty("指南id")
    private Long id;

    @ApiModelProperty("创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    @ApiModelProperty("指南标题")
    private String guideTitle;

    @ApiModelProperty(value = "指南前言")
    private String guideForeword;

    @ApiModelProperty("启用状态(一个学校只能有一个启用的指南). 0:未启用,1:已启用")
    private Integer enableStatus;

    @ApiModelProperty(value = "是否启用自动生成二维码状态. 0:未启用,1:已启用")
    private Integer qrCodeEnableStatus;

    @ApiModelProperty(value = "没有二维码时的提示")
    private String qrCodeNoticeMessage;

    @ApiModelProperty("步骤集合")
    private List<EduSmartWelcomeGuideStep> stepList;

    @ApiModelProperty(value = "资料上报字段，多个以英文逗号分隔")
    private String formField;

    @ApiModelProperty(value = "缴费金额")
    private BigDecimal money;

    @ApiModelProperty(value = "是否启用二维码缴费. 0未启用，1启用")
    private Integer moneyStatus;

    @ApiModelProperty(value = "学区id")
    private Long campusId;
}