package com.yida.data.school.vo.smart;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yida.data.common.core.entity.smart.EduSmartWelcomeGuideStep;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 指南花名册详情返回数据
 *
 * @author ZYJ
 * @date 2021/12/30
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "GuideRosterInfoVO", description = "指南花名册详情返回数据")
public class GuideRosterInfoVO implements Serializable {

    private static final long serialVersionUID = 8505121253286253299L;

    @ApiModelProperty("花名册id")
    private Long rosterId;

    @ApiModelProperty(value = "毕业院校")
    private String graduateSchool;

    @ApiModelProperty(value = "姓名")
    private String fullName;

    @ApiModelProperty(value = "身份证号码")
    private String idNumber;

    @ApiModelProperty(value = "录取专业")
    private String admittedMajor;

    @ApiModelProperty("报到时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime checkInTime;

    @ApiModelProperty("头像")
    private String avatar;

    @ApiModelProperty(value = "性别. 0-男，1-女")
    private Integer sex;

    @ApiModelProperty("步骤信息")
    private List<EduSmartWelcomeGuideStep> stepList;
}