package com.yida.data.school.vo.smart;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 迎新指南后台列表返回数据
 *
 * @author ZYJ
 * @date 2023/5/15
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "GuideSelectPageVO", description = "迎新指南后台列表返回数据")
public class GuideSelectPageVO implements Serializable {

    private static final long serialVersionUID = -4164845998590719742L;

    @ApiModelProperty("指南id")
    private Long id;

    @ApiModelProperty("创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    @ApiModelProperty("指南标题")
    private String guideTitle;

    @ApiModelProperty("启用状态(一个学校只能有一个启用的指南). 0:未启用,1:已启用")
    private Integer enableStatus;

    @ApiModelProperty(value = "最后一次启用时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime lastEnableDate;

    @ApiModelProperty("花名册总人数")
    private Long totalNumber;

    @ApiModelProperty("报名成功人数")
    private Long completeNumber;

    @ApiModelProperty(value = "是否启用自动生成二维码状态. 0:未启用,1:已启用")
    private Integer qrCodeEnableStatus;

    @ApiModelProperty(value = "没有二维码时的提示")
    private String qrCodeNoticeMessage;

    @ApiModelProperty("校区id")
    private Long campusId;

    @ApiModelProperty("校区名称")
    private String campusName;
}