package com.yida.data.school.vo.smart;

import com.yida.data.common.core.enums.FileDealStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.List;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * Excel职工信息导入类
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "WelcomImportProgress", description = "Excel预选班级导入进度类")
public class WelcomeImportProgress<T> implements Serializable {

    private static final long serialVersionUID = -8812791024900293183L;
    @ApiModelProperty(value = "本次导入KEY指")
    private String importKey;
    /**
     * {@link FileDealStatusEnum}
     */
    @ApiModelProperty("导出状态")
    private Integer importStatus = 0;
    @ApiModelProperty(value = "总数，默认100")
    private Integer total = 100;
    @ApiModelProperty(value = "当前处理数据，默认0")
    private Integer current = 0;
    @ApiModelProperty(value = "返回数据LIST")
    private List<T> dataList;
    @ApiModelProperty(value = "错误数据下载地址,若为null,表示无错误数据")
    private String errorPath;
}