package com.yida.data.school.vo.smart;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 微信js配置信息
 *
 * @author ZYJ
 * @date 2023/6/5 14:19
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "WxConfigVO", description = "微信js配置信息")
public class WxConfigVO implements Serializable {

    private static final long serialVersionUID = -4691293726173736995L;

    @ApiModelProperty("公众号的唯一标识")
    private String appId;

    @ApiModelProperty("生成签名的时间戳")
    private String timestamp;

    @ApiModelProperty("生成签名的随机串")
    private String nonceStr;

    @ApiModelProperty("签名")
    private String signature;
}
