package com.yida.data.school.vo.smart.h5;

import com.yida.data.common.core.enums.PayWay;
import com.yida.data.common.core.enums.UnionPayTypeEnum;
import com.yida.data.common.core.enums.WxPayTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 生成花名册步骤订单返回信息
 *
 * @author ZYJ
 * @date 2023/6/19
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "RosterStepPayInfoVO", description = "生成花名册步骤订单返回信息")
public class RosterStepPayInfoVO implements Serializable {

    private static final long serialVersionUID = 8825620519104393894L;

    @ApiModelProperty("订单号")
    private String orderCode;

    @ApiModelProperty("是否需要跳转支付")
    private Boolean needToPay;

    /**
     * 支付方式
     * {@link PayWay}
     */
    @ApiModelProperty("支付方式")
    private String payWay;

    /**
     * 支付类型
     * 银联云闪付: {@link UnionPayTypeEnum}
     * 微信类型: {@link WxPayTypeEnum}
     */
    @ApiModelProperty("具体支付子类型")
    private Integer payType;

    @ApiModelProperty("支付地址")
    private String payUrl;
}
