package com.yida.data.school.atlas.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.common.core.entity.atlas.CoreAtlasManagementDetailsComment;
import com.yida.data.school.dto.atlas.AtlasDetailsCommentSelectPageDTO;
import com.yida.data.school.dto.atlas.app.AppAtlasWorkCommentSelectDTO;
import com.yida.data.school.vo.atlas.AtlasDetailsCommentSelectPageVO;
import com.yida.data.school.vo.atlas.app.AppAtlasWorkCommentPageVO;

import org.apache.ibatis.annotations.Param;

/**
 * 图集详情评论dao层
 *
 * @author ZYJ
 * @date 2021/9/1
 */
public interface CoreAtlasManagementDetailsCommentMapper extends BaseMapper<CoreAtlasManagementDetailsComment> {

    /**
     * app分页查询图集作品评论列表接口
     *
     * @param toPage                       分页数据
     * @param appAtlasWorkCommentSelectDTO app分页查询图集作品评论列表接口请求类
     * @return com.baomidou.mybatisplus.core.metadata.IPage<com.yida.data.atlas.vo.app.AppAtlasWorkCommentPageVO>
     * @author ZYJ
     * @date 2021/9/7 16:49
     */
    IPage<AppAtlasWorkCommentPageVO> appListAtlasWorkCommentPage(Page<CoreAtlasManagementDetailsComment> toPage,
                                                                 @Param("dto") AppAtlasWorkCommentSelectDTO appAtlasWorkCommentSelectDTO);

    /**
     * 查询作品评论列表数据
     *
     * @param toPage                           分页数据
     * @param atlasDetailsCommentSelectPageDTO 图集作品评论列表请求类
     * @return com.baomidou.mybatisplus.core.metadata.IPage<com.yida.data.atlas.vo.AtlasDetailsCommentSelectPageVO>
     * @author ZYJ
     * @date 2021/10/13 11:08
     */
    IPage<AtlasDetailsCommentSelectPageVO> listAtlasDetailsCommentPage(Page<CoreAtlasManagementDetailsComment> toPage,
                                                                       @Param("dto") AtlasDetailsCommentSelectPageDTO atlasDetailsCommentSelectPageDTO);
}