package com.yida.data.school.atlas.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.common.core.entity.atlas.CoreAtlasManagementDetailsCommentReply;
import com.yida.data.school.dto.atlas.AtlasDetailsCommentReplySelectPageDTO;
import com.yida.data.school.dto.atlas.app.AppAtlasWorkCommentReplySelectDTO;
import com.yida.data.school.vo.atlas.AtlasDetailsCommentReplySelectPageVO;
import com.yida.data.school.vo.atlas.app.AppAtlasWorkCommentReplyPageVO;

import org.apache.ibatis.annotations.Param;

/**
 * 图集详情评论回复dao层
 *
 * @author ZYJ
 * @date 2021/9/1
 */
public interface CoreAtlasManagementDetailsCommentReplyMapper extends BaseMapper<CoreAtlasManagementDetailsCommentReply> {

    /**
     * app分页查询评论回复列表接口
     *
     * @param toPage                            分页数据
     * @param appAtlasWorkCommentReplySelectDTO app分页查询评论回复列表接口请求类
     * @return com.baomidou.mybatisplus.core.metadata.IPage<com.yida.data.atlas.vo.app.AppAtlasWorkCommentReplyPageVO>
     * @author ZYJ
     * @date 2021/9/7 17:33
     */
    IPage<AppAtlasWorkCommentReplyPageVO> listAtlasWorkCommentReplyPage(Page<CoreAtlasManagementDetailsCommentReply> toPage,
                                                                        @Param("dto") AppAtlasWorkCommentReplySelectDTO appAtlasWorkCommentReplySelectDTO);

    /**
     * 查询评论回复列表数据
     *
     * @param atlasDetailsCommentReplySelectPageDTO 评论回复列表返回数据
     * @return com.baomidou.mybatisplus.core.metadata.IPage<com.yida.data.atlas.vo.AtlasDetailsCommentReplySelectPageVO>
     * @author ZYJ
     * @date 2021/10/13 15:49
     */
    IPage<AtlasDetailsCommentReplySelectPageVO> listAtlasDetailsCommentReplyPage(Page<CoreAtlasManagementDetailsCommentReply> toPage,
                                                                                 @Param("dto") AtlasDetailsCommentReplySelectPageDTO atlasDetailsCommentReplySelectPageDTO);
}