package com.yida.data.school.atlas.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.common.ResultBean;
import com.yida.data.common.core.entity.atlas.CoreAtlasManagementDetailsCommentReply;
import com.yida.data.school.dto.atlas.AtlasDetailsCommentReplySelectPageDTO;
import com.yida.data.school.dto.atlas.CheckCommentReplyDTO;
import com.yida.data.school.vo.atlas.AtlasDetailsCommentReplyInfoVO;
import com.yida.data.school.vo.atlas.AtlasDetailsCommentReplySelectPageVO;

/**
 * 学校图集作品评论回复service层
 *
 * @author ZYJ
 * @date 2021/10/13
 */
public interface CoreAtlasManagementDetailsCommentReplyService extends IService<CoreAtlasManagementDetailsCommentReply> {

    /**
     * 查询评论回复列表数据
     *
     * @param atlasDetailsCommentReplySelectPageDTO 评论回复列表返回数据
     * @return com.yida.data.common.core.common.ResultBean<com.baomidou.mybatisplus.core.metadata.IPage < com.yida.data.atlas.vo.AtlasDetailsCommentReplySelectPageVO>>
     * @author ZYJ
     * @date 2021/10/13 15:48
     */
    ResultBean<IPage<AtlasDetailsCommentReplySelectPageVO>> listAtlasDetailsCommentReplyPage(AtlasDetailsCommentReplySelectPageDTO atlasDetailsCommentReplySelectPageDTO);

    /**
     * 获取评论回复详情
     *
     * @param commentReplyId 评论回复id
     * @return com.yida.data.common.core.common.ResultBean<com.yida.data.atlas.vo.AtlasDetailsCommentReplyInfoVO>
     * @author ZYJ
     * @date 2021/10/13 15:52
     */
    ResultBean<AtlasDetailsCommentReplyInfoVO> getCommentReplyInfo(Long commentReplyId);

    /**
     * 作品回复审核接口
     *
     * @param checkCommentReplyDTO 作品评论审核请求类
     * @return com.yida.data.common.core.common.ResultBean<java.lang.String>
     * @author ZYJ
     * @date 2021/10/13 15:55
     */
    ResultBean<String> checkCommentReply(CheckCommentReplyDTO checkCommentReplyDTO);

    /**
     * 批量删除评论回复数据
     *
     * @param ids 回复id集合
     * @return com.yida.data.common.core.common.ResultBean<java.lang.String>
     * @author ZYJ
     * @date 2021/10/13 15:58
     */
    ResultBean<String> deleteCommentReplyBatch(Long[] ids);
}
