package com.yida.data.school.atlas.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.common.ResultBean;
import com.yida.data.common.core.entity.atlas.CoreAtlasManagementDetailsComment;
import com.yida.data.school.dto.atlas.AtlasDetailsCommentSelectPageDTO;
import com.yida.data.school.dto.atlas.CheckCommentDTO;
import com.yida.data.school.vo.atlas.AtlasDetailsCommentInfoVO;
import com.yida.data.school.vo.atlas.AtlasDetailsCommentSelectPageVO;

/**
 * 学校图集作品评论管理service层
 *
 * @author ZYJ
 * @date 2021/10/13
 */
public interface CoreAtlasManagementDetailsCommentService extends IService<CoreAtlasManagementDetailsComment> {

    /**
     * 查询作品评论列表数据
     *
     * @param atlasDetailsCommentSelectPageDTO 图集作品评论列表请求类
     * @return com.yida.data.common.core.common.ResultBean<com.baomidou.mybatisplus.core.metadata.IPage < com.yida.data.atlas.vo.AtlasDetailsCommentSelectPageVO>>
     * @author ZYJ
     * @date 2021/10/13 14:34
     */
    ResultBean<IPage<AtlasDetailsCommentSelectPageVO>> listAtlasDetailsCommentPage(AtlasDetailsCommentSelectPageDTO atlasDetailsCommentSelectPageDTO);

    /**
     * 获取图集作品评论详情
     *
     * @param commentId 评论id
     * @return com.yida.data.common.core.common.ResultBean<com.yida.data.atlas.vo.AtlasDetailsCommentInfoVO>
     * @author ZYJ
     * @date 2021/10/13 14:43
     */
    ResultBean<AtlasDetailsCommentInfoVO> getAtlasDetailsCommentInfo(Long commentId);

    /**
     * 批量删除作品评论
     *
     * @param ids 评论id集合
     * @return com.yida.data.common.core.common.ResultBean<java.lang.String>
     * @author ZYJ
     * @date 2021/10/13 15:06
     */
    ResultBean<String> deleteCommentBatch(Long[] ids);

    /**
     * 作品评论审核接口
     *
     * @param checkCommentDTO 作品评论审核请求类
     * @return com.yida.data.common.core.common.ResultBean<java.lang.String>
     * @author ZYJ
     * @date 2021/10/13 15:17
     */
    ResultBean<String> checkComment(CheckCommentDTO checkCommentDTO);
}
