package com.yida.data.school.exam.service;


import com.yida.data.school.dto.exam.ClassCompareDTO;
import com.yida.data.school.dto.exam.ScoreSectionStasticDTO;
import com.yida.data.school.vo.exam.ExamScoreAnalysisVO;
import com.yida.data.school.vo.exam.ScoreAndAvgCompareVO;
import com.yida.data.school.vo.exam.ScoreDistributeVO;
import com.yida.data.school.vo.exam.ScoreSectionStasticVO;
import com.yida.data.school.vo.exam.ScoreTrendVO;

import java.util.List;

public interface CoreExaminationAnalysisService {

    /**
     * 班级对比
     */
    List<ExamScoreAnalysisVO> classCompare(ClassCompareDTO dto);

    /**
     * 分段统计
     */
    List<ScoreSectionStasticVO> scoreSectionStasticDTO(ScoreSectionStasticDTO dto);

    /**
     * 成绩分布
     */
    ScoreDistributeVO scoreDistribute(Long examId, Long studentId, Long courseId);

    /**
     * 成绩趋势
     */
    List<ScoreTrendVO> scoreTrend(Long examId, Long studentId, Long courseId);

    /**
     * 分数与平均分对比
     */
    List<ScoreAndAvgCompareVO> scoreAndAvgCompare(Long examId, Long studentId);
}
