package com.yida.data.school.exam.service;


import com.yida.data.common.core.entity.exam.CoreStudentReturnData;
import com.yida.data.school.vo.exam.StudentExamListVO;
import com.yida.data.school.vo.exam.StudentExamScoreVO;

import java.util.List;

public interface CorePerformanceService {
    /**
     * 根据学生id和考试id查询H5学生成绩信息
     */
    CoreStudentReturnData findStudentExamineGrade(Long studentId, Long examinationId);

    /**
     * 根据学生id查询考试列表数据
     */
    List<StudentExamListVO> findStudentExamineList(Long studentId, String examinationName);

    /**
     * 根据考试与考生查询成绩信息
     */
    StudentExamScoreVO getScore(Long examId, Long studentId, Long courseId);
}
