package com.yida.data.school.facility.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.CurrentUser;
import com.yida.data.common.core.entity.school.EduDormitoryRoom;
import com.yida.data.school.dto.facility.BatchGenerateDormRoomDTO;
import com.yida.data.school.dto.index.EditPersonNumDTO;
import com.yida.data.school.dto.index.ListDormRoomDTO;
import com.yida.data.school.dto.index.PageDormRoomDTO;
import com.yida.data.school.vo.index.DormRoomInfoVO;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 宿舍楼-寝室房间 Service接口
 *
 * @author wjm
 * @date 2021-09-14 17:42:13
 */
public interface EduDormitoryRoomService extends IService<EduDormitoryRoom> {

    /**
     * 分页查询寝室
     *
     * @param dto
     * @return
     */
    IPage<DormRoomInfoVO> listDormRoomPage(PageDormRoomDTO dto);

    /**
     * 批量生成寝室
     */
    void batchGenerateRoom(List<BatchGenerateDormRoomDTO> dto);

    /**
     * 删除寝室
     *
     * @param ids
     */
    void delDormRoomBatch(List<Long> ids);

    /**
     * 查询寝室列表
     *
     * @param dto
     * @return
     */
    List<EduDormitoryRoom> listDormRoom(ListDormRoomDTO dto);

    /**
     * 查询寝室
     *
     * @param id
     * @return
     */
    EduDormitoryRoom getDormRoom(Long id);

    /**
     * 寝室入住
     */
    void editPersonNum(List<EditPersonNumDTO> dtos);

    void importDormRoom(MultipartFile file, Long dormId, CurrentUser currentUser);
}
