package com.yida.data.school.facility.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.school.EduDormitory;
import com.yida.data.school.dto.index.PageDormDTO;
import com.yida.data.school.vo.index.DormInfoVO;

import java.util.List;

/**
 * 宿舍楼 Service接口
 *
 * @author wjm
 * @date 2021-09-14 17:42:11
 */
public interface EduDormitoryService extends IService<EduDormitory> {

    /**
     * 根据宿管查询宿舍楼
     *
     * @param masterId
     * @return
     */
    List<EduDormitory> listDormByMaster(Long masterId);

    /**
     * 分页查询宿舍楼
     *
     * @param dto
     * @return
     */
    IPage<DormInfoVO> listDormPage(PageDormDTO dto);

    /**
     * 保存宿舍楼
     *
     * @param dorm
     */
    void saveDorm(EduDormitory dorm);

    /**
     * 删除宿舍楼
     */
    void delDormBatch(List<Long> ids);

    /**
     * 获取宿舍楼
     *
     * @param id 宿舍楼id
     * @return com.yida.data.common.core.entity.school.EduDormitory
     * @author ZYJ
     * @date 2022/7/15 14:31
     */
    EduDormitory getDorm(Long id);


}
