package com.yida.data.school.health.controller;

import com.yida.data.common.core.common.ResultBean;
import com.yida.data.school.health.service.EduNationalStandardProjectScoreService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 项目打分表 Controller
 *
 * @author wjm
 * @date 2021-09-14 17:16:19
 */
@Api(tags = "体质健康-项目打分")
@Slf4j
@Validated
@RestController
@RequestMapping("/health/eduNationalStandardProjectScore")
@RequiredArgsConstructor
public class EduNationalStandardProjectScoreController {

    private final EduNationalStandardProjectScoreService eduNationalStandardProjectScoreService;

    @GetMapping("/findStuSelfTest")
    @ApiOperation("查询学生自测添加的项目列表数据")
    public ResultBean findStuSelfTestProjectList (){
        return ResultBean.buildSuccess();
    }

}
