package com.yida.data.school.health.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.common.core.entity.QueryRequest;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.health.EduHealthStudentPhysicalExaminationGroup;

import java.util.List;

/**
* 体质健康对应组别表 Service接口
*
* @author zhanghaijun
* @date 2021-11-10 17:16:54
*/
public interface EduHealthStudentPhysicalExaminationGroupService extends IService<EduHealthStudentPhysicalExaminationGroup> {
    /**
     * 新增或修改体质健康组
     * @param examinationGroup
     */
    void saveOrUpdateHealthGroup(EduHealthStudentPhysicalExaminationGroup examinationGroup);

    /**
     * 删除组和未发布的健康数据
     * @param groupId
     */
    void removeHealthGroup(Long groupId);

    /**
     * 发送对应组别体质健康通知
     * @param groupId
     */
    void sendHealthNotice(Long groupId,Long schoolId);

    /**
     * 分页查分组
     * @param page
     * @param schoolId
     * @param groupName
     * @param status
     * @return
     */
    Page<EduHealthStudentPhysicalExaminationGroup> findHealthGroup(Page<EduHealthStudentPhysicalExaminationGroup> page, Long schoolId, String groupName, Integer status);


}
