package com.yida.data.school.letter.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.letter.EduLetterBoxReplyPerson;
import com.yida.data.school.dto.letterbox.LetterBoxConfigDTO;

import java.util.List;

/**
 * @author ccl
 */
public interface EduLetterBoxReplyPersonService extends IService<EduLetterBoxReplyPerson> {

    /**
     * 查询回复人员列表
     * @param schoolId
     * @return
     */
    List<EduLetterBoxReplyPerson> findReplyPerson(Long schoolId);

    /**
     * 新增或修改回复人员
     * @param replyPeoples
     * @param schoolId
     */
    void saveOrUpdateReplyPerson(List<EduLetterBoxReplyPerson> replyPeoples, Long schoolId);

    /**
     * 新增或者修改配置
     * @param config 配置详细
     * @param schoolId 学校id
     */
    void saveOrUpdateConfig(LetterBoxConfigDTO config, Long schoolId);
}
