package com.yida.data.school.news.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.notice.EduNoticeSystemUser;


/**
 * 系统通知关联用户中间表 Service接口
 *
 * @author zhanghaijun
 * @date 2021-06-21 15:29:18
 */
public interface EduNoticeSystemUserService extends IService<EduNoticeSystemUser> {
    /**
     * 新增通知关联user
     *
     * @param eduNoticeSystemUser
     * @return 关联表 id
     */
    Long insertNotice(EduNoticeSystemUser eduNoticeSystemUser);

    /**
     * 修改为已阅读
     *
     * @param eduNoticeSystemUser
     */
    void updateNotice(EduNoticeSystemUser eduNoticeSystemUser);

    /**
     * 删除通知对应用户的关联关系
     *
     * @param eduNoticeSystemUser
     */
    void delNotice(EduNoticeSystemUser eduNoticeSystemUser);

    /**
     * 查询通知与用户中间表
     *
     * @param eduNoticeSystemUser
     * @return 中间表
     */
    EduNoticeSystemUser selectNotice(EduNoticeSystemUser eduNoticeSystemUser);


}
