package com.yida.data.school.program.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.common.core.entity.program.EduSmallProgram;
import com.yida.data.school.dto.program.SmallProgramSelectPageDTO;
import com.yida.data.school.vo.program.ListSmallProgramDeptVO;
import com.yida.data.school.vo.program.SmallProgramSelectPageVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 小程序表 Mapper
 *
 * @author ZYJ
 * @date 2021-12-10 13:44:31
 */
public interface EduSmallProgramMapper extends BaseMapper<EduSmallProgram> {

    /**
     * 查询小程序列表数据
     *
     * @param page                      分页数据
     * @param smallProgramSelectPageDTO 小程序后台列表请求类
     * @return com.baomidou.mybatisplus.core.metadata.IPage<com.yida.data.school.vo.program.SmallProgramSelectPageVO>
     * @author ZYJ
     * @date 2021/12/10 14:07
     */
    IPage<EduSmallProgram> listSmallProgramPage(Page<EduSmallProgram> page,
                                                         @Param("dto") SmallProgramSelectPageDTO smallProgramSelectPageDTO);

    /**
     * 查询所有栏目
     * @return
     */
    List<ListSmallProgramDeptVO> listSmallProgramDeptVO();
}
