package com.yida.data.school.screen.controller.out;

import com.yida.data.common.core.common.ResultBean;
import com.yida.data.school.dto.screen.SchoolDashboardSaveDTO;
import com.yida.data.school.screen.service.EduSchoolDashboardDataService;
import com.yida.data.school.vo.screen.SchoolDashboardInfoVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.*;

/**
 * 校园大数据仪表盘数据中心Controller(不鉴权)
 *
 * @author ZYJ
 * @date 2023-04-19 16:42:57
 */
@Slf4j
@RestController
@RequiredArgsConstructor
@Api(tags = "校园大数据仪表盘api(不鉴权)")
@RequestMapping("out/eduSchoolDashboardData")
public class OutEduSchoolDashboardDataController {

    private final EduSchoolDashboardDataService eduSchoolDashboardDataService;

    @GetMapping(value = "getSchoolDashboardInfo")
    @ApiOperation(value = "获取校园大数据详细信息", consumes = MediaType.APPLICATION_JSON_VALUE)
    public ResultBean<SchoolDashboardInfoVO> getSchoolDashboardInfo(@RequestParam Long schoolId) {
        return ResultBean.buildSuccess(eduSchoolDashboardDataService.getSchoolDashboardInfo(schoolId));
    }
}
