package com.yida.data.school.screen.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.screen.EduSchoolDashboardData;
import com.yida.data.school.dto.screen.SchoolDashboardSaveDTO;
import com.yida.data.school.vo.screen.SchoolDashboardInfoVO;

/**
 * 校园大数据仪表盘数据中心Service接口
 *
 * @author ZYJ
 * @date 2023-04-19 16:42:57
 */
public interface EduSchoolDashboardDataService extends IService<EduSchoolDashboardData> {

    /**
     * 获取校园大数据详细信息
     *
     * @param deptId 学校id
     * @return com.yida.data.school.vo.screen.SchoolDashboardInfoVO
     * @author ZYJ
     * @date 2023/4/19 17:35
     */
    SchoolDashboardInfoVO getSchoolDashboardInfo(Long deptId);

    /**
     * 保存校园大数据
     *
     * @param dto 保存校园大数据请求类
     * @author ZYJ
     * @date 2023/4/20 11:31
     */
    void saveSchoolDashboard(SchoolDashboardSaveDTO dto);
}
