package com.yida.data.school.secondClass.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.common.core.entity.school.secondClass.EduSecondClassVenue;
import com.yida.data.school.vo.secondClass.VenueVO;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * Mapper
 *
 * @author zhanghaijun
 * @date 2022-04-18 09:39:53
 */
public interface EduSecondClassVenueMapper extends BaseMapper<EduSecondClassVenue> {

    /**
     * 查询场馆列表
     *
     * @param page
     * @param deptId
     * @param name
     * @param sortType     0/null-创建时间倒序，1-访问量倒序
     * @param status       0-未发布，1-已发布
     * @param homeRecommed 0-不推荐，1-推荐
     * @param limit        限制查询条数
     * @param subjectId
     * @return
     */
    List<VenueVO> listVenue(Page page, @Param("deptId") Long deptId, @Param("name") String name,
        @Param("sortType") Integer sortType, @Param("status") Integer status, @Param("homeRecommed") Integer homeRecommed,
        @Param("limit") Integer limit, @Param("subjectId") Long subjectId);

    void incrVisitNum(@Param("venueId") Long venueId);
}
