package com.yida.data.school.secondClass.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yida.data.common.core.entity.school.secondClass.EduSecondClassCourse;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.school.dto.secondClass.ListCourseDTO;
import com.yida.data.school.vo.secondClass.CourseH5ContentVO;
import com.yida.data.school.vo.secondClass.CourseH5DetailVO;
import com.yida.data.school.vo.secondClass.CourseVO;

/**
 * Service接口
 *
 * @author zhanghaijun
 * @date 2022-04-11 11:09:15
 */
public interface EduSecondClassCourseService extends IService<EduSecondClassCourse> {

    /**
     * 分页查询课程列表
     *
     * @param dto
     * @return
     */
    IPage<CourseVO> listCoursePage(ListCourseDTO dto);

    /**
     * 删除课程
     *
     * @param id
     */
    void delCourse(Long id);

    /**
     * 下架，发布
     *
     * @param id
     * @param status
     * @param subjectId
     */
    void changeStatus(Long id, Integer status, Long subjectId);

    void changeRecommend(Long id, Integer status);

    /**
     * 查询详情
     *
     * @param id
     * @return
     */
    CourseVO getInfo(Long id);

    /**
     * 查询课程首页数据
     *
     * @param deptId
     * @return
     */
    CourseH5ContentVO getHomeInfo(Long deptId);

    /**
     * 查询课程详情
     *
     * @param id
     * @return
     */
    CourseH5DetailVO getCourseDetail(Long id);

    /**
     * 分页查询课程列表
     * @param pageNum
     * @param pageSize
     * @param subjectId
     * @return
     */
    IPage<CourseVO> listCoursePageBySubject(Integer pageNum, Integer pageSize, Long subjectId,Long deptId);
}
