package com.yida.data.school.smart.config;

import cc.mrbird.febs.common.redis.service.RedisService;
import com.yida.data.common.core.entity.constant.CachePrefixConstant;
import com.yida.data.school.smart.service.EduSmartWelcomeGuideRosterService;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * excel功能配置类
 *
 * @author ZYJ
 * @date 2023/10/20
 */
@Configuration
public class ExcelConfiguration {

    @Value("${febs.uploadUrl}")
    private String uploadUrl;

    @Bean
    ExportGuidePicClient exportGuidePicClient(
            EduSmartWelcomeGuideRosterService eduSmartWelcomeGuideRosterService,
            RedisService redisService) {
        return new ExportGuidePicClient(eduSmartWelcomeGuideRosterService, redisService,
                CachePrefixConstant.GUIDE_ROSTER_PIC_DATA_DOWNLOAD, uploadUrl);
    }

}
