package com.yida.data.school.smart.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.common.core.entity.smart.EduSmartWelcomeGuide;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yida.data.school.dto.smart.GuideSelectPageDTO;
import com.yida.data.school.vo.smart.GuideSelectPageVO;
import org.apache.ibatis.annotations.Param;

/**
 * 智慧迎新指南表Mapper
 *
 * @author ZYJ
 * @date 2023-05-15 15:33:18
 */
public interface EduSmartWelcomeGuideMapper extends BaseMapper<EduSmartWelcomeGuide> {

    /**
     * 查询迎新指南列表数据
     *
     * @param page 分页信息
     * @param dto  迎新指南后台列表请求类
     * @return com.baomidou.mybatisplus.core.metadata.IPage<com.yida.data.school.vo.smart.GuideSelectPageVO>
     * @author ZYJ
     * @date 2023/5/15 17:04
     */
    IPage<GuideSelectPageVO> listGuidePage(Page<EduSmartWelcomeGuide> page,
                                           @Param("dto") GuideSelectPageDTO dto);
}
