package com.yida.data.school.smart.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.common.core.entity.smart.EduSmartWelcomeGuideRoster;
import com.yida.data.school.dto.smart.GuideRosterSelectPageDTO;
import com.yida.data.school.vo.smart.GuideRosterSelectPageVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 智慧迎新指南花名册表Mapper
 *
 * @author ZYJ
 * @date 2023-05-16 15:06:19
 */
public interface EduSmartWelcomeGuideRosterMapper extends BaseMapper<EduSmartWelcomeGuideRoster> {

    /**
     * 查询指南花名册分页列表
     *
     * @param page 分页信息
     * @param dto  迎新指南花名册后台列表请求类
     * @return com.baomidou.mybatisplus.core.metadata.IPage<com.yida.data.school.vo.smart.GuideRosterSelectPageVO>
     * @author ZYJ
     * @date 2023/5/22 14:21
     */
    IPage<GuideRosterSelectPageVO> listGuideRoster(Page<EduSmartWelcomeGuideRoster> page,
                                                   @Param("dto") GuideRosterSelectPageDTO dto);

    /**
     * 查询指南花名册列表
     *
     * @param dto 迎新指南花名册后台列表请求类
     * @return java.util.List<com.yida.data.school.vo.smart.GuideRosterSelectPageVO>
     * @author ZYJ
     * @date 2023/6/13 10:24
     */
    List<GuideRosterSelectPageVO> listGuideRoster(@Param("dto") GuideRosterSelectPageDTO dto);
}
