package com.yida.data.school.smart.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.common.core.entity.smart.EduSmartWelcomeGuideRosterRelation;
import com.yida.data.school.dto.smart.h5.RosterPageDTO;
import org.apache.ibatis.annotations.Param;

/**
 * 智慧迎新指南花名册-微信用户绑定关系表Mapper
 *
 * @author ZYJ
 * @date 2023-05-17 13:53:18
 */
public interface EduSmartWelcomeGuideRosterRelationMapper extends BaseMapper<EduSmartWelcomeGuideRosterRelation> {

    /**
     * 根据名称查询花名册列表信息
     *
     * @param page 分页信息
     * @param dto  花名册列表h5查询请求类
     * @return com.baomidou.mybatisplus.core.metadata.IPage<com.yida.data.common.core.entity.smart.EduSmartWelcomeGuideRosterRelation>
     * @author ZYJ
     * @date 2023/7/7 13:41
     */
    IPage<EduSmartWelcomeGuideRosterRelation> listRoster(Page<EduSmartWelcomeGuideRosterRelation> page,
                                                         @Param("dto") RosterPageDTO dto);
}
