package com.yida.data.school.smart.service;

import com.yida.data.common.core.entity.CurrentUser;
import com.yida.data.school.dto.smart.GuideRosterErrorExportDTO;
import com.yida.data.school.dto.smart.GuideRosterImportDTO;
import com.yida.data.user.dto.*;
import org.ehcache.impl.internal.concurrent.ConcurrentHashMap;

import java.util.List;

/**
 * 指南花名册信息导入service层
 *
 * @author ZYJ
 * @date 2023/6/1
 */
public interface ImportGuideRosterService {

    /**
     * 保存指南花名册导入数据
     *
     * @param concurrentHashMap 需要保存的用户数据
     * @param errorList         导入错误数据集合
     * @param guideId           指南id
     * @param uuid              当前导入数据唯一标识
     * @param currentUser       当前登录用户信息
     * @param totalCount        总数量
     * @param handleCount       已处理数量
     * @author ZYJ
     * @date 2023/6/1 14:17
     */
    void saveGuideRosterExcelData(ConcurrentHashMap<Integer, GuideRosterImportDTO> concurrentHashMap,
                                  List<GuideRosterErrorExportDTO> errorList,
                                  Long guideId, String uuid,
                                  CurrentUser currentUser, Integer totalCount,
                                  Integer handleCount);
}
