package com.yida.data.school.transaction.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.apply.EduProductNotice;

import java.util.List;

/**
 * 商品催缴通知策略表 Service接口
 *
 * @author wjm
 * @date 2021-09-01 18:23:14
 */
public interface EduProductNoticeService extends IService<EduProductNotice> {
    /**
     * 新增催缴策略并发送通知
     *
     * @param eduProductNotice
     */
    void insertNotice(List<EduProductNotice> eduProductNotice);

    /**
     * 发送商品催缴通知
     *
     * @param id 通知id
     */
    void productSendNotice(Long id);

    /**
     * 商品查询是否已失效
     */
    void productMonitor();
}
