package com.yida.data.school.userLeave.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import com.yida.data.common.core.entity.leave.EduLeaveRequest;
import com.yida.data.common.core.entity.userLeave.EduLeaveRequestProcessConfig;
import com.yida.data.school.dto.userLeave.EduLeaveRequestProcessConfigDTO;
import com.yida.data.school.vo.userLeave.EduLeaveRequestProcessConfigVO;
import java.util.List;

/**
 * Service接口
 *
 * @author wjm
 * @date 2022-12-01 10:45:56
 */
public interface EduLeaveRequestProcessConfigService extends IService<EduLeaveRequestProcessConfig> {

    void add(EduLeaveRequestProcessConfigDTO dto);

    void deleteBatch(List<Long> idList);

    Page<EduLeaveRequestProcessConfigVO> findPageList(Page<EduLeaveRequestProcessConfig> page, String processName, Long schoolId);

    /**
     * 查询匹配策略
     *
     * @param deptIds
     * @param type
     * @param requesUserDays
     * @return
     */
    List<EduLeaveRequestProcessConfig> findConfigByDeptIds(List<Long> deptIds, Integer type, Long requesUserDays);

}
