package com.yida.data.school.visitor.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.common.core.entity.school.visitor.EduVisitorRecord;
import com.yida.data.school.dto.visitor.ListVisitorRecordDTO;
import com.yida.data.school.dto.visitor.ListVisitorRecordToStaffDTO;
import com.yida.data.school.vo.visitor.ListVisitorRecordVO;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * 访客管理-来访人员记录表 Mapper
 *
 * @author zhanghaijun
 * @date 2021-11-09 15:04:42
 */
public interface EduVisitorRecordMapper extends BaseMapper<EduVisitorRecord> {

    /**
     * 查询访客记录列表
     *
     * @param page
     * @param dto
     * @return
     */
    List<ListVisitorRecordVO> listRecord(Page page, @Param("dto") ListVisitorRecordDTO dto);

    IPage<ListVisitorRecordVO> listRecordToStaff(Page page, @Param("dto") ListVisitorRecordToStaffDTO dto);

    /**
     * 访问超时
     */
    void dealRequestDdl();
}
