package com.yida.data.user.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 添加家校部门请求类
 *
 * @author ZYJ
 * @date 2021/11/17
 */
@Data
@ApiModel(value = "AddUserDeptDTO", description = "添加家校部门请求类")
public class AddUserDeptDTO implements Serializable {

    private static final long serialVersionUID = -3916261687265265594L;

    @NotBlank
    @ApiModelProperty(value = "家校部门名称", required = true)
    private String deptName;

    @NotNull
    @ApiModelProperty(value = "学校id", required = true)
    private Long schoolId;

    @NotNull
    @ApiModelProperty(value = "家校部门类型", required = true)
    private Integer deptType;

    @NotNull
    @ApiModelProperty(value = "父级id", required = true)
    private Long parentId;

    @ApiModelProperty(value = "父级企业微信id")
    private Long parentWxId;
}
