package com.yida.data.user.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * 验证学生信息请求类
 *
 * @author ZYJ
 * @date 2021/8/19
 */
@Data
@Builder
@ApiModel(value = "CheckStudentInformationDTO", description = "验证学生信息请求类")
public class CheckStudentInformationDTO implements Serializable {

    private static final long serialVersionUID = -5248721986659353881L;

    /**
     * 学校id
     */
    @NotNull
    @ApiModelProperty(value = "学校id")
    private Long schoolId;

    /**
     * 学生信息集合
     */
    @NotEmpty
    @ApiModelProperty(value = "学生信息集合")
    private List<StudentInformationDTO> list;

    @Data
    @Builder
    public static class StudentInformationDTO implements Serializable {

        private static final long serialVersionUID = -5637594596016957783L;

        /**
         * 学生姓名
         */
        @ApiModelProperty(value = "学生姓名")
        private String studentName;

        /**
         * 学生身份证号码
         */
        @ApiModelProperty(value = "学生身份证号码")
        private String studentIdCard;
    }
}
