package com.yida.data.user.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 编辑家校部门请求类
 *
 * @author ZYJ
 * @date 2021/11/17
 */
@Data
@ApiModel(value = "EditUserDeptDTO", description = "编辑家校部门请求类")
public class EditUserDeptDTO implements Serializable {

    private static final long serialVersionUID = -4534617550650106901L;

    @NotNull
    @ApiModelProperty(value = "家校部门id", required = true)
    private Long deptId;

    @NotBlank
    @ApiModelProperty(value = "家校部门名称", required = true)
    private String deptName;

    @NotNull
    @ApiModelProperty(value = "学校id", required = true)
    private Long schoolId;

    @NotNull
    @ApiModelProperty(value = "父级id", required = true)
    private Long parentId;
}
