package com.yida.data.user.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;
import java.util.List;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ListStudentApplyForDTO {

    @ApiModelProperty("当前页码，默认为1")
    private Integer pageNum = 1;

    @ApiModelProperty("页面大小，默认为10")
    private Integer pageSize = 10;

    /**
     * 学生ID
     */
    @ApiModelProperty("学生ID")
    private Long studentId;
    /**
     * 学生姓名
     */
    @ApiModelProperty("学生姓名")
    private String studentName;
    /**
     * 学生学号
     */
    @ApiModelProperty("学生学号")
    private String studentNumber;
    /**
     * 应用编码
     */
    @ApiModelProperty("应用编码")
    private String applyCode;

    /**
     * 学校ID
     */
    @ApiModelProperty("学校ID")
    private Long schoolId;

    /**
     * 学校IDList
     */
    @ApiModelProperty("学校IDList")
    private List<Long> schoolIdList;

    /**
     * 学区ID
     */
    @ApiModelProperty("学区ID")
    private Long campusId;
    /**
     * 学段ID
     */
    @ApiModelProperty("学段ID")
    private Long sectionId;
    /**
     * 年级ID
     */
    @ApiModelProperty("年级ID")
    private Long gradeId;
    /**
     * 班级ID
     */
    @ApiModelProperty("班级ID")
    private Long classId;


}
