package com.yida.data.user.dto;

import io.swagger.annotations.ApiModelProperty;
import java.util.List;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Builder.Default;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class ListStudentDTO {

    @ApiModelProperty("学校id")
    private Long schoolId;
    private List<Long> schoolIds;
    @ApiModelProperty("校区id")
    private Long campusId;
    @ApiModelProperty("学段id")
    private Long sectionId;
    @ApiModelProperty("年级id")
    private Long gradeId;
    @ApiModelProperty("班级id")
    private Long classId;

    @ApiModelProperty("学生id列表")
    private List<Long> studentIds;
    @ApiModelProperty("班级id列表")
    private List<Long> classIds;

    @ApiModelProperty("宿舍楼id列表")
    private List<Long> dormIds;
    @ApiModelProperty("寝室id列表")
    private List<Long> dormRoomIds;

    @ApiModelProperty("学生类型，0-走读，1-住宿")
    private Integer type;

    @ApiModelProperty("学生姓名(模糊搜索)")
    private String stuName;

    @ApiModelProperty("学生姓名(精准匹配)")
    private String stuNameMatch;
    @ApiModelProperty("学生学号")
    private String stuNum;


    @ApiModelProperty("仅查询学生id(不查询其他信息),默认false")
    @Default
    private Boolean onlyId = false;

    @ApiModelProperty("是否查询家长，默认true")
    @Default
    private Boolean isQueryParent = true;

    @ApiModelProperty("是否查询学生班级等信息,默认true")
    @Default
    private Boolean isQueryUserDept = true;

    @ApiModelProperty("是否查询学校名称,默认true")
    @Default
    private Boolean isQuerySchoolName = true;

    @ApiModelProperty("是否排序（学生姓名拼音）,默认false")
    @Default
    private Boolean isSort = false;
}
