package com.yida.data.user.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 分页查询学生列表数据请求类
 *
 * @author ZYJ
 * @date 2023/2/19
 */
@Data
@ApiModel(value = "OutPageStudentDTO", description = "分页查询学生列表数据请求类")
public class OutPageStudentDTO implements Serializable {

    private static final long serialVersionUID = 4601644422338829002L;

    @NotNull
    @ApiModelProperty(value = "学校id", required = true)
    private Long schoolId;

    @ApiModelProperty(value = "当前页码", required = true)
    private Integer pageNum;

    @NotNull
    @ApiModelProperty(value = "每页数量")
    private Integer pageSize;
}
