package com.yida.data.user.dto;

import com.yida.data.common.core.common.BaseDTO;

import com.yida.data.user.vo.TeacherListVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.List;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@ApiModel("分页查询教师列表参数")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class PageTeacherDTO extends BaseDTO<TeacherListVO> {

    @ApiModelProperty("区域id")
    private Long areaId;
    @ApiModelProperty("学校id")
    private Long schoolId;
    private Long campusId;
    private Long sectionId;
    private List<Long> schoolIds;
    @ApiModelProperty("年级id")
    private Long gradeId;
    @ApiModelProperty("班级id")
    private Long classId;
    @ApiModelProperty("课程id")
    private Long courseId;
    @ApiModelProperty("手机号")
    private String phone;
    @ApiModelProperty("教师名称")
    private String teacherName;
    @ApiModelProperty("角色;1表示校区负责人，2表示年级负责人，3表示班主任，4表示任课老师，5表示学段负责人'")
    private Integer type;
}
