package com.yida.data.user.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.List;

/**
 * 保存校区数据请求类
 *
 * @author ZYJ
 * @date 2021/11/16
 */
@Data
@ApiModel(value = "SaveCampusDTO", description = "保存校区数据请求类")
public class SaveCampusDTO implements Serializable {

    private static final long serialVersionUID = -4603742507746644048L;

    @NotBlank
    @ApiModelProperty(value = "校区名称", required = true)
    private String deptName;

    @NotNull
    @ApiModelProperty(value = "上级id", required = true)
    private Long parentId;

    @NotNull
    @ApiModelProperty(value = "学校id", required = true)
    private Long schoolId;

    @NotEmpty
    @Size(min = 1)
    @ApiModelProperty(value = "学段集合", required = true)
    private List<SectionDTO> sectionList;
}
