package com.yida.data.user.dto;

import com.yida.data.common.core.entity.user.enums.SectionTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 保存年级数据请求类
 *
 * @author ZYJ
 * @date 2021/11/18
 */
@Data
@ApiModel(value = "SaveGradeDTO", description = "保存年级数据请求类")
public class SaveGradeDTO implements Serializable {

    private static final long serialVersionUID = -9010883968227916948L;

    @NotNull
    @ApiModelProperty(value = "上级id", required = true)
    private Long parentId;

    @ApiModelProperty(value = "上级微信id")
    private Long parentWxId;

    @NotNull
    @ApiModelProperty(value = "学校id", required = true)
    private Long schoolId;

    /**
     * {@link SectionTypeEnum}
     */
    @NotBlank
    @ApiModelProperty(value = "学段类型", required = true)
    private String sectionType;

    @NotNull
    @ApiModelProperty(value = "标准年级值", required = true)
    private Integer standardGradeValue;

    @NotBlank
    @ApiModelProperty(value = "年级名称", required = true)
    private String deptName;

    @NotNull
    @ApiModelProperty(value = "默认班级数量", required = true)
    private Integer defaultClassValue;
}
