package com.yida.data.user.dto;

import com.yida.data.common.core.entity.user.enums.SectionTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 保存学段数据请求类
 *
 * @author ZYJ
 * @date 2021/11/16
 */
@Data
@ApiModel(value = "SectionDTO", description = "保存学段数据请求类")
public class SectionDTO implements Serializable {

    private static final long serialVersionUID = 4669045520319643477L;

    @NotNull
    @ApiModelProperty(value = "上级id", required = true)
    private Long parentId;

    @ApiModelProperty(value = "上级微信id", required = true)
    private Long parentWxId;

    @ApiModelProperty(value = "上级大华id", required = true)
    private String parentDaHuaId;

    @NotNull
    @ApiModelProperty(value = "学校id", required = true)
    private Long schoolId;

    /**
     * {@link SectionTypeEnum}
     */
    @NotBlank
    @ApiModelProperty(value = "学段类型", required = true)
    private String type;

    @NotBlank
    @ApiModelProperty(value = "学段名称", required = true)
    private String deptName;

    @NotNull
    @ApiModelProperty(value = "默认年级数量", required = true)
    private Integer defaultGradeValue;

    @NotNull
    @ApiModelProperty(value = "默认班级数量", required = true)
    private Integer defaultClassValue;
}
