package com.yida.data.user.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.yida.data.common.core.entity.EasyExcelExportBaseDTO;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 职工信息导出类
 *
 * @author ZYJ
 * @date 2022/9/2
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "StaffExportDTO", description = "职工信息导出类")
public class StaffExportDTO extends EasyExcelExportBaseDTO implements Serializable {

    private static final long serialVersionUID = 3170308614889823545L;

    @ExcelProperty("学校名称")
    private String schoolName;

    @ExcelProperty("职工名称")
    private String name;

    @ExcelProperty("性别，0-男，1-女，2-保密")
    private Integer sex;

    @ExcelProperty("部门名称")
    private String deptIdentity;

    @ExcelProperty("手机号")
    private String mobile;

    @ExcelProperty("职务")
    private String position;

    @ExcelProperty("是否采集人脸")
    private String collectStatus;
}