package com.yida.data.user.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * Excel职工信息导入类
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "StaffImportDTO", description = "Excel职工信息导入类")
public class StaffImportDTO implements Serializable {


    private static final long serialVersionUID = 5414511146002233669L;
    /**
     * 职工姓名
     */
    @ExcelProperty(index = 0, value = "职工姓名")
    @ApiModelProperty(value = "职工姓名")
    private String name;

    /**
     * 性别
     */
    @ExcelProperty(index = 1, value = "性别")
    @ApiModelProperty(value = "性别")
    private String sex;

    /**
     * 手机号
     */
    @ExcelProperty(index = 2, value = "手机号")
    @ApiModelProperty(value = "手机号")
    private String mobile;

    /**
     * 地址
     */
    @ExcelProperty(index = 3, value = "地址")
    @ApiModelProperty(value = "地址")
    private String address;

    /**
     * 部门
     */
    @ExcelProperty(index = 4, value = "部门")
    @ApiModelProperty(value = "部门")
    private Long deptId;

    /**
     * 身份
     */
    @ExcelProperty(index = 5, value = "身份")
    @ApiModelProperty(value = "身份")
    private String identity;

    /**
     * 职务
     */
    @ExcelProperty(index = 6, value = "职务")
    @ApiModelProperty(value = "职务")
    private String position;

    /**
     * 是否同步企业微信
     */
    @ExcelProperty(index = 7, value = "是否同步企业微信")
    @ApiModelProperty(value = "是否同步企业微信")
    private String isQw;
}