package com.yida.data.user.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalTime;

/**
 * 人脸组-策略-通行计划-时间段信息保存类
 *
 * @author ZYJ
 * @date 2022/12/12
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "StrategyPlanTimeSaveDTO", description = "人脸组-策略-通行计划-时间段信息保存类")
public class StrategyPlanTimeSaveDTO implements Serializable {

    private static final long serialVersionUID = 1666232372793999487L;

    @ApiModelProperty(value = "开始时间")
    @DateTimeFormat(pattern = "HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "HH:mm:ss")
    private LocalTime planStartTime;

    @ApiModelProperty(value = "结束时间")
    @DateTimeFormat(pattern = "HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "HH:mm:ss")
    private LocalTime planEndTime;
}
