package com.yida.data.user.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDate;
import java.util.List;

/**
 * 人脸组-策略-特殊日期保存类
 *
 * @author ZYJ
 * @date 2022/12/12
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "StrategySpecialDateSaveDTO", description = "人脸组-策略-特殊日期保存类")
public class StrategySpecialDateSaveDTO implements Serializable {

    private static final long serialVersionUID = -418058543595524019L;

    @ApiModelProperty("特殊日期开始日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private LocalDate specialStartDate;

    @ApiModelProperty("特殊日期结束日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private LocalDate specialEndDate;

    @ApiModelProperty("特殊日期-时间段集合")
    private List<StrategySpecialTimeSaveDTO> specialTimeList;
}
