package com.yida.data.user.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.yida.data.common.core.converter.LocalDateTimeConverter;
import com.yida.data.common.core.entity.EasyExcelExportBaseDTO;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 学生宿舍信息导出类
 *
 * @author ZYJ
 * @date 2023/12/13
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "StudentDormExportDTO", description = "学生宿舍信息导出类")
public class StudentDormExportDTO extends EasyExcelExportBaseDTO implements Serializable {

    private static final long serialVersionUID = 3404749621207403889L;

    @ExcelProperty("学生姓名")
    private String stuName;

    @ExcelProperty("学号")
    private String stuNumber;

    @ExcelProperty("班级信息")
    private String deptName;

    @ExcelProperty("入住寝室")
    private String dormRoomName;

    @ExcelProperty(value = "入住时间", converter = LocalDateTimeConverter.class)
    private LocalDateTime checkInTime;
}