package com.yida.data.user.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 学生信息导入错误返回类
 *
 * @author ZYJ
 * @date 2021/8/24
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "StudentErrorExportDTO", description = "学生信息导入错误返回类")
public class StudentErrorExportDTO implements Serializable {

    private static final long serialVersionUID = -3117342768217650130L;

    /**
     * 学生姓名
     */
    @ExcelProperty("学生姓名")
    private String studentName;

    /**
     * 校区名称
     */
    @ExcelProperty("校区名称")
    private String campusName;

    /**
     * 学段名称
     */
    @ExcelProperty("学段名称")
    private String sectionName;

    /**
     * 年级名称
     */
    @ExcelProperty("年级名称")
    private String gradeName;

    /**
     * 班级名称
     */
    @ExcelProperty("班级名称")
    private String className;

    /**
     * 学生学号
     */
    @ExcelProperty("学生学号")
    private String studentNumber;

    /**
     * 家长一关系
     */
    @ExcelProperty("家长一关系")
    private String parentTypeName;

    /**
     * 家长一电话
     */
    @ExcelProperty("家长一电话")
    private String parentTelephone;

    /**
     * 家长二关系
     */
    @ExcelProperty("家长二关系")
    private String parentTypeNameSecond;

    /**
     * 家长二电话
     */
    @ExcelProperty("家长二电话")
    private String parentTelephoneSecond;

    /**
     * 家长三关系
     */
    @ExcelProperty("家长三关系")
    private String parentTypeNameThird;

    /**
     * 家长三电话
     */
    @ExcelProperty("家长三电话")
    private String parentTelephoneThird;

    /**
     * 家长四关系
     */
    @ExcelProperty("家长四关系")
    private String parentTypeNameFourth;

    /**
     * 家长四电话
     */
    @ExcelProperty("家长四电话")
    private String parentTelephoneFourth;

    /**
     * 错误信息
     */
    @ExcelProperty("错误信息")
    private String errorMessage;
}