package com.yida.data.user.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.yida.data.common.core.converter.LocalDateConverter;
import com.yida.data.common.core.entity.EasyExcelExportBaseDTO;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDate;

/**
 * 学生信息导出类
 *
 * @author ZYJ
 * @date 2022/8/31
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "StudentExportDTO", description = "学生信息导出类")
public class StudentExportDTO extends StudentDormExportDTO implements Serializable {

    private static final long serialVersionUID = 6625908714399734930L;

    @ExcelProperty("学生姓名")
    private String stuName;

    @ExcelProperty("班级信息")
    private String deptName;

    @ExcelProperty("曾用名")
    private String formerName;

    @ExcelProperty("学号")
    private String stuNumber;

    @ExcelProperty("考生号")
    private String stuExamNumber;

    @ExcelProperty("银行卡号")
    private String creditCardNumbers;

    @ExcelProperty("邮箱")
    private String email;

    @ExcelProperty("QQ号")
    private String qqCode;

    @ExcelProperty("微信号")
    private String wxCode;

    @ExcelProperty(value = "入学时间", converter = LocalDateConverter.class)
    private LocalDate startDate;

    @ExcelProperty("入学年级")
    private String startGrade;

    @ExcelProperty("政治面貌")
    private String politicsStatus;

    @ExcelProperty("邮政编码")
    private String postalCode;

    @ExcelProperty("籍贯")
    private String nativePlace;

    @ExcelProperty("现住址")
    private String presentAddress;

    /**
     * 学生性别，0-男，1-女"
     */
    @ExcelProperty("学生性别")
    private String stuSex;

    @ExcelProperty("民族")
    private String nation;

    @ExcelProperty("身份证号")
    private String idNumber;

    @ExcelProperty("校园卡号")
    private String stuCardNumber;

    /**
     * 学生类别，0-走读，1-住宿
     */
    @ExcelProperty("学生类型")
    private String type;

    /**
     * 学籍状态：关联字典表
     */
    @ExcelProperty("学籍状态")
    private String studentStatus;

    @ExcelProperty("是否采集人脸")
    private String collectStatus;
}