package com.yida.data.user.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.yida.data.common.core.entity.EasyExcelExportBaseDTO;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 学生同步错误信息导出类
 *
 * @author ZYJ
 * @date 2022/8/31
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "StudentSyncErrorDTO", description = "学生同步错误信息导出类")
public class StudentSyncErrorDTO extends EasyExcelExportBaseDTO implements Serializable {

    private static final long serialVersionUID = -6098949729390428258L;

    @ExcelProperty("学校名称")
    private String schoolName;

    @ExcelProperty("学校id")
    private Long schoolId;

    @ExcelProperty("学生姓名")
    private String stuName;

    @ExcelProperty("学生id")
    private Long stuId;

    @ExcelProperty("企业微信学生信息")
    private String wxStudent;

    @ExcelProperty("错误信息")
    private String errorMessage;
}