package com.yida.data.user.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.yida.data.common.core.converter.LocalDateConverter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDate;

/**
 * Excel一键邀请信息导入类
 *
 * @author ZYJ
 * @date 2021/8/24
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "WelcomeInviteImportDTO", description = "Excel一键邀请信息导入类")
public class WelcomeInviteImportDTO implements Serializable {

    private static final long serialVersionUID = -5264894950976819314L;

    /**
     * 学生姓名
     */
    @ExcelProperty(index = 0)
    private String studentName;

    /**
     * 校区名称
     */
    @ExcelProperty(index = 1)
    private String campusName;

    /**
     * 学段名称
     */
    @ExcelProperty(index = 2)
    private String sectionName;

    /**
     * 年级名称
     */
    @ExcelProperty(index = 3)
    private String gradeName;

    /**
     * 班级名称
     */
    @ExcelProperty(index = 4)
    private String className;

    /**
     * 学生学号
     */
    @ExcelProperty(index = 5)
    private String studentNumber;

    /**
     * 家长一关系
     */
    @ExcelProperty(index = 6)
    private String parentTypeName;

    /**
     * 家长一电话
     */
    @ExcelProperty(index = 7)
    private String parentTelephone;

    /**
     * 家长二关系
     */
    @ExcelProperty(index = 8)
    private String parentTypeNameSecond;

    /**
     * 家长二电话
     */
    @ExcelProperty(index = 9)
    private String parentTelephoneSecond;

    /**
     * 家长三关系
     */
    @ExcelProperty(index = 10)
    private String parentTypeNameThird;

    /**
     * 家长三电话
     */
    @ExcelProperty(index = 11)
    private String parentTelephoneThird;

    /**
     * 家长四关系
     */
    @ExcelProperty(index = 12)
    private String parentTypeNameFourth;

    /**
     * 家长四电话
     */
    @ExcelProperty(index = 13)
    private String parentTelephoneFourth;

    /**
     * 学生类型字符串
     */
    @ExcelProperty(index = 14)
    private String familyName;

    /**
     * 住宿类型
     */
    @ExcelProperty(index = 15)
    private String type;

    /**
     * 曾用名
     */
    @ExcelProperty(index = 16)
    private String formerName;

    /**
     * 考生号
     */
    @ExcelProperty(index = 17)
    private String stuExamNumber;

    /**
     * 银行卡号
     */
    @ExcelProperty(index = 18)
    private String creditCardNumbers;

    /**
     * 邮箱
     */
    @ExcelProperty(index = 19)
    private String email;

    /**
     * QQ号
     */
    @ExcelProperty(index = 20)
    private String qqCode;

    /**
     * 微信号
     */
    @ExcelProperty(index = 21)
    private String wxCode;

    /**
     * 入学时间
     */
    @ExcelProperty(index = 22)
    private String startDate;

    /**
     * 入学年级
     */
    @ExcelProperty(index = 23)
    private String startGrade;

    /**
     * 政治面貌
     */
    @ExcelProperty(index = 24)
    private String politicsStatus;

    /**
     * 邮政编码
     */
    @ExcelProperty(index = 25)
    private String postalCode;

    /**
     * 籍贯
     */
    @ExcelProperty(index = 26)
    private String nativePlace;

    /**
     * 现住址
     */
    @ExcelProperty(index = 27)
    private String presentAddress;

    /**
     * 学生性别
     */
    @ExcelProperty(index = 28)
    private String stuSex;

    /**
     * 民族
     */
    @ExcelProperty(index = 29)
    private String nation;

    /**
     * 身份证号
     */
    @ExcelProperty(index = 30)
    private String idNumber;

    /**
     * 校园卡号
     */
    @ExcelProperty(index = 31)
    private String stuCardNumber;

    /**
     * 学籍状态
     */
    @ExcelProperty(index = 32)
    private String studentStatus;
}