package com.yida.data.user.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * Excel迎新学生信息导入类
 * 
 * @author ZYJ
 * @date 2021/8/23
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "WelcomeStudentImportDTO", description = "Excel迎新学生信息导入类")
public class WelcomeStudentImportDTO implements Serializable {

    private static final long serialVersionUID = -6568014284027854497L;

    /**
     * 序号
     */
    @ExcelProperty(index = 0, value = "序号")
    @ApiModelProperty(value = "序号")
    private String indexNo;

    /**
     * 学生姓名
     */
    @ExcelProperty(index = 1, value = "学生姓名")
    @ApiModelProperty(value = "学生姓名")
    private String studentName;

    /**
     * 学生学号
     */
    @ExcelProperty(index = 2, value = "学生学号")
    @ApiModelProperty(value = "学生学号")
    private String studentNumber;

    /**
     * 身份证号码
     */
    @ExcelProperty(index = 3, value = "身份证号码")
    @ApiModelProperty(value = "身份证号码")
    private String studentIdCard;

    /**
     * 校区名称
     */
    @ExcelProperty(index = 4, value = "校区名称")
    @ApiModelProperty(value = "校区名称")
    private String campusName;

    /**
     * 学段名称
     */
    @ExcelProperty(index = 5, value = "学段名称")
    @ApiModelProperty(value = "学段名称")
    private String sectionName;

    /**
     * 年级名称
     */
    @ExcelProperty(index = 6, value = "年级名称")
    @ApiModelProperty(value = "年级名称")
    private String gradeName;

    /**
     * 班级名称
     */
    @ExcelProperty(index = 7, value = "班级名称")
    @ApiModelProperty(value = "班级名称")
    private String className;

    /**
     * 家长关系
     */
    @ExcelProperty(index = 8, value = "家长关系")
    @ApiModelProperty(value = "家长关系")
    private String parentTypeName;

    /**
     * 家长电话
     */
    @ExcelProperty(index = 9, value = "家长电话")
    @ApiModelProperty(value = "家长电话")
    private String parentTelephone;
}