package com.yida.data.user.dto.h5;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDate;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 查询用户关联班级或者寝室考勤请求类
 */
@Data
@ApiModel(value = "ListUserDeptAttendanceDTO", description = "查询用户关联班级或者寝室考勤请求类")
public class ListUserDeptAttendanceDTO implements Serializable {

    @ApiModelProperty("职工主键【用户统计数据】")
    private Long staffId;

    @ApiModelProperty("查询日期【用户统计数据、详情】")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private LocalDate date;

    @ApiModelProperty("部门ID，班级或者宿舍【用于详情】")
    private Long deptId;

    @ApiModelProperty("类型：0班级，1宿舍【用于详情】")
    private Integer type;

}
