package com.yida.data.user.feign;

import com.yida.data.common.core.common.ResultBean;
import com.yida.data.common.core.entity.constant.FebsServerConstant;
import com.yida.data.common.core.entity.user.EduFaceGroupDevice;
import com.yida.data.common.core.entity.user.EduUserDevice;
import com.yida.data.user.fallback.RemoteUserDeviceServiceFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * 人脸组设备 Feign
 *
 * @author ZYJ
 * @date 2023/9/28
 */
@FeignClient(name = FebsServerConstant.EDU_USER, contextId = "faceGroupDeviceService",
        fallbackFactory = RemoteUserDeviceServiceFallback.class)
public interface RemoteFaceGroupDeviceService {

    /**
     * 查询人脸组设备id集合
     *
     * @param faceGroupId 人脸组id
     * @return com.yida.data.common.core.common.ResultBean<java.util.List < java.lang.Long>>
     * @author ZYJ
     * @date 2023/9/28 16:08
     */
    @GetMapping("/in/groupDevice/listFaceGroupOnlineDevice")
    ResultBean<List<Long>> listFaceGroupOnlineDevice(@RequestParam Long faceGroupId);
}
