package com.yida.data.user.feign;

import com.yida.data.common.core.common.ResultBean;
import com.yida.data.common.core.entity.constant.FebsServerConstant;
import com.yida.data.common.core.entity.user.EduCourse;
import com.yida.data.common.core.entity.user.EduFaceGroupStrategy;
import com.yida.data.user.fallback.RemoteCourseServiceFallback;
import com.yida.data.user.fallback.RemoteFaceGroupStrategyServiceFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(value = FebsServerConstant.EDU_USER, contextId = "remoteFaceGroupStrategyServiceClient",
        fallbackFactory = RemoteFaceGroupStrategyServiceFallback.class)
public interface RemoteFaceGroupStrategyService {

    @GetMapping("/in/eduFaceGroupStrategy/getStrategyInfo")
    ResultBean<EduFaceGroupStrategy> getStrategyInfo(@RequestParam("faceGroupId") Long faceGroupId);
}
