package com.yida.data.user.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.io.Serializable;

/**
 * 验证学生信息成功后返回类
 *
 * @author ZYJ
 * @date 2021/8/19
 */
@Data
@Builder
@ApiModel(value = "CheckStudentInformationReturnVO", description = "验证学生信息成功后返回类")
public class CheckStudentInformationReturnVO implements Serializable {

    private static final long serialVersionUID = -193047885809783467L;

    /**
     * 学生id
     */
    @ApiModelProperty(value = "学生id")
    private Long studentId;

    /**
     * 学生姓名
     */
    @ApiModelProperty(value = "学生姓名")
    private String studentName;

    /**
     * 学生身份证号码
     */
    @ApiModelProperty(value = "学生身份证号码")
    private String studentIdCard;

    /**
     * 学校名称
     */
    @ApiModelProperty("学校名称")
    private String schoolName;

    /**
     * 校区名称
     */
    @ApiModelProperty("校区名称")
    private String campusName;

    /**
     * 学段名称
     */
    @ApiModelProperty("学段名称")
    private String sectionName;

    /**
     * 年级名称
     */
    @ApiModelProperty("年级名称")
    private String gradeName;

    /**
     * 班级名称
     */
    @ApiModelProperty("班级名称")
    private String className;
}
