package com.yida.data.user.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @ClassName EduSchoolStudentInformationVo
 * @Description TODO
 * @Author jianMingWang
 * @Date 2021/8/21 16:09
 * @Version 1.0
 **/

@ApiModel("学生报到信息")
@Data
public class EduSchoolStudentInformationVo implements Serializable {

    private static final long serialVersionUID = 7726717952415984551L;

    @ApiModelProperty(value = "主键ID")
    private Long id;


    /**
     * 学生姓名
     */
    @ApiModelProperty(value = "学生姓名")
    private String studentName;

    /**
     * 学生身份证号码
     */
    @ApiModelProperty(value = "学生身份证号码")
    private String studentIdCard;

    /**
     * 校区名称
     */
    @ApiModelProperty("校区名称")
    private String campusName;

    /**
     * 年级名称
     */
    @ApiModelProperty("年级名称")
    private String gradeName;

    /**
     * 班级名称
     */
    @ApiModelProperty("班级名称")
    private String className;
    /***
     * 报到时间
     **/
    @ApiModelProperty("报到时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime checkDate;


    /***
     * 报到家长信息
     **/
    @ApiModelProperty("家长信息")
    private String patriarch;

}
