package com.yida.data.user.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 分页查询学生列表数据返回类
 *
 * @author ZYJ
 * @date 2023/2/20
 */
@Data
@ApiModel(value = "OutPageStudentVO", description = "分页查询学生列表数据返回类")
public class OutPageStudentVO implements Serializable {

    private static final long serialVersionUID = 7179610417104867560L;

    @ApiModelProperty("学生id")
    private Long studentId;

    @ApiModelProperty("学生姓名")
    private String studentName;

    @ApiModelProperty("校园卡号")
    private String stuCardNumber;

    @ApiModelProperty("学生头像url")
    private String avatar;

    @ApiModelProperty("学校id")
    private Long schoolId;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;
}
