package com.yida.data.user.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yida.data.common.core.entity.user.EduStaffDept;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.util.List;

@ApiModel("职工分页列表信息")
@Data
public class StaffPageVO {

    private Long id;

    private Long schoolId;

    @ApiModelProperty("学校名称")
    private String schoolName;

    @ApiModelProperty("职工名称")
    private String name;

    @ApiModelProperty("性别，0-男，1-女，2-保密")
    private Integer sex;

    @ApiModelProperty("部门名称")
    private String deptIdentity;

    @ApiModelProperty("手机号")
    private String mobile;

    @ApiModelProperty("职务")
    private String position;

    private Long createId;

    @ApiModelProperty("创建人")
    private String createUser;

    @ApiModelProperty("创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    @ApiModelProperty("系统账号状态")
    private Integer status;

    @ApiModelProperty("系统账号id")
    private Long sysUserId;

    private String avatar;

    private List<EduStaffDept> deptList;

    @ApiModelProperty("采集状态")
    private Integer collectType;
}
