package com.yida.data.user.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 人脸组-策略信息返回类
 *
 * @author ZYJ
 * @date 2022/12/12
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "StrategyInfoVO", description = "人脸组-策略信息返回类")
public class StrategyInfoVO implements Serializable {

    private static final long serialVersionUID = 5883547164739281028L;

    @ApiModelProperty(value = "策略id")
    private Long strategyId;

    @ApiModelProperty(value = "人脸组id")
    private Long faceGroupId;

    @ApiModelProperty(value = "策略生效时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime strategyStartDate;

    @ApiModelProperty(value = "策略失效时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime strategyEndDate;

    @ApiModelProperty(value = "星期一通行计划uuid")
    private String mondayUniqueCode;

    @ApiModelProperty(value = "星期二通行计划uuid")
    private String tuesdayUniqueCode;

    @ApiModelProperty(value = "星期三通行计划uuid")
    private String wednesdayUniqueCode;

    @ApiModelProperty(value = "星期四通行计划uuid")
    private String thursdayUniqueCode;

    @ApiModelProperty(value = "星期五通行计划uuid")
    private String fridayUniqueCode;

    @ApiModelProperty(value = "星期六通行计划uuid")
    private String saturdayUniqueCode;

    @ApiModelProperty(value = "星期天通行计划uuid")
    private String sundayUniqueCode;

    @ApiModelProperty(value = "通行计划集合")
    private List<StrategyPlanVO> planList;

    @ApiModelProperty(value = "特殊日期集合")
    private List<StrategySpecialDateVO> specialList;
}
