package com.yida.data.user.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalTime;

/**
 * 人脸组-策略-通行计划-时间段信息返回类
 *
 * @author ZYJ
 * @date 2022/12/12
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "StrategyPlanTimeVO", description = "人脸组-策略-通行计划-时间段信息返回类")
public class StrategyPlanTimeVO implements Serializable {

    private static final long serialVersionUID = -3006837050525867421L;

    @ApiModelProperty(value = "人脸组id")
    @TableField("face_group_id")
    private Long faceGroupId;

    @ApiModelProperty(value = "人脸组-策略id")
    private Long faceGroupStrategyId;

    @ApiModelProperty(value = "人脸组-策略-通行计划id")
    private Long faceGroupStrategyPlanId;

    @ApiModelProperty(value = "开始时间")
    @DateTimeFormat(pattern = "HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "HH:mm:ss")
    private LocalTime planStartTime;

    @ApiModelProperty(value = "结束时间")
    @DateTimeFormat(pattern = "HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "HH:mm:ss")
    private LocalTime planEndTime;
}
