package com.yida.data.user.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * 人脸组-策略-通行计划信息返回类
 *
 * @author ZYJ
 * @date 2022/12/12
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "StrategyPlanVO", description = "人脸组-策略-通行计划信息返回类")
public class StrategyPlanVO implements Serializable {

    private static final long serialVersionUID = -4014484234037617273L;

    @ApiModelProperty(value = "通行计划id")
    private Long planId;

    @ApiModelProperty(value = "人脸组id")
    private Long faceGroupId;

    @ApiModelProperty(value = "人脸组-策略id")
    private Long faceGroupStrategyId;

    @ApiModelProperty("通行计划唯一编码")
    private String uniqueCode;

    @ApiModelProperty("通行计划-时间段集合")
    private List<StrategyPlanTimeVO> planTimeList;
}
