package com.yida.data.user.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDate;
import java.util.List;

/**
 * 人脸组-策略-特殊日期返回类
 *
 * @author ZYJ
 * @date 2022/12/12
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "StrategySpecialDateVO", description = "人脸组-策略-特殊日期返回类")
public class StrategySpecialDateVO implements Serializable {

    private static final long serialVersionUID = -3513266099905879137L;

    @ApiModelProperty(value = "特殊日期主键id")
    private Long specialId;

    @ApiModelProperty(value = "人脸组id")
    private Long faceGroupId;

    @ApiModelProperty(value = "人脸组-策略id")
    private Long faceGroupStrategyId;

    @ApiModelProperty(value = "特殊日期开始日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private LocalDate specialStartDate;

    @ApiModelProperty(value = "特殊日期结束日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private LocalDate specialEndDate;

    @ApiModelProperty("特殊日期-时间段集合")
    private List<StrategySpecialTimeVO> specialTimeList;
}
