package com.yida.data.user.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalTime;

/**
 * 人脸组-策略-特殊日期-时间返回类
 *
 * @author ZYJ
 * @date 2022/12/12
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "StrategySpecialTimeVO", description = "人脸组-策略-特殊日期-时间返回类")
public class StrategySpecialTimeVO implements Serializable {

    private static final long serialVersionUID = 3886115890777830964L;

    @ApiModelProperty(value = "开始时间")
    @DateTimeFormat(pattern = "HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "HH:mm:ss")
    private LocalTime specialStartTime;

    @ApiModelProperty(value = "结束时间")
    @DateTimeFormat(pattern = "HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "HH:mm:ss")
    private LocalTime specialEndTime;
}
