package com.yida.data.user.vo;

import com.fasterxml.jackson.annotation.JsonFormat;

import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel("学生住宿信息")
@Data
public class StudentDormInfoVO {

    @ApiModelProperty("学生id")
    private Long studentId;

    @ApiModelProperty("学生姓名")
    private String studentName;

    @ApiModelProperty("年级班级")
    private String gradeClass;

    private Long gradeId;

    private Long classId;

    @ApiModelProperty("学号")
    private String studentNum;

    private Long dormRoomId;

    @ApiModelProperty("入住寝室")
    private String dormRoomName;

    @ApiModelProperty("入住时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime checkInTime;
}
