package com.yida.data.user;


import com.alibaba.druid.spring.boot.autoconfigure.DruidDataSourceAutoConfigure;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringBootConfiguration;
import org.springframework.boot.WebApplicationType;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.scheduling.annotation.EnableAsync;

import cc.mrbird.febs.common.security.starter.annotation.EnableFebsCloudResourceServer;

@SpringBootConfiguration
@EnableAsync
@EnableFeignClients(basePackages = "com.yida.data")
@SpringBootApplication(exclude = DruidDataSourceAutoConfigure.class)
@EnableFebsCloudResourceServer
@MapperScan("com.yida.data.user.mapper")
public class EduUserApplication {
    public static void main(String[] args) {
        new SpringApplicationBuilder(EduUserApplication.class)
                .web(WebApplicationType.SERVLET)
                .run(args);
    }
}
