package com.yida.data.user.controller.in;

import com.yida.data.common.core.common.ResultBean;
import com.yida.data.common.core.entity.user.EduFaceGroupDevice;
import com.yida.data.common.core.utils.FebsUtil;
import com.yida.data.user.dto.BatchIssueDTO;
import com.yida.data.user.service.EduFaceGroupDeviceService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 人脸设备 Controller(不鉴权)
 *
 * @author ZYJ
 * @date 2023/9/28
 */
@Slf4j
@RestController
@RequiredArgsConstructor
@RequestMapping("in/groupDevice")
public class InEduFaceGroupDeviceController {

    private final EduFaceGroupDeviceService eduFaceGroupDeviceService;

    /**
     * 查询人脸组设备id集合
     */
    @GetMapping("/listFaceGroupOnlineDevice")
    public ResultBean<List<Long>> listFaceGroupOnlineDevice(@RequestParam Long faceGroupId) {
        return ResultBean.buildSuccess(eduFaceGroupDeviceService.listFaceGroupOnlineDevice(faceGroupId));
    }

}
