package com.yida.data.user.excel;

import com.yida.data.common.core.file.common.export.SelectExportData;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.util.List;

/**
 * 导出学生宿舍查询类
 *
 * @author ZYJ
 * @date 2023/12/13 16:41
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class SelectStudentDormExportData extends SelectExportData implements Serializable {

    private static final long serialVersionUID = 1138422440767435262L;

    @ApiModelProperty("学校id")
    private Long schoolId;

    @ApiModelProperty("宿舍楼")
    private Long dormId;

    @ApiModelProperty("楼层")
    private Integer floor;

    @ApiModelProperty("寝室id")
    private Long dormRoomId;

    @ApiModelProperty("班级id")
    private Long classId;

    @ApiModelProperty("关键词")
    private String keyword;
}
