package com.yida.data.user.excel;

import com.yida.data.common.core.file.common.export.SelectExportData;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.util.List;

/**
 * 导出学生查询类
 *
 * @author ZYJ
 * @date 2023/12/12 15:41
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class SelectStudentExportData extends SelectExportData implements Serializable {

    private static final long serialVersionUID = -7368186456144813899L;

    @ApiModelProperty("区域id")
    private Long areaId;

    @ApiModelProperty("学校id")
    private Long schoolId;

    @ApiModelProperty("学生类型id")
    private Integer type;

    @ApiModelProperty("校区id")
    private Long campusId;

    @ApiModelProperty("校区id")
    private List<Long> campusIdList;

    @ApiModelProperty("学段id")
    private Long sectionId;
    private List<Long> sectionIdList;

    @ApiModelProperty("年级id")
    private Long gradeId;
    private List<Long> gradeIdList;

    @ApiModelProperty("班级id")
    private Long classId;
    private List<Long> classIdList;

    @ApiModelProperty("学号id")
    private String stuNumber;

    @ApiModelProperty("名字")
    private String name;

    @ApiModelProperty("家庭类型 字典值")
    private String familyType;

    @ApiModelProperty("是否采集人脸：0否，1是")
    private String collectType;
}
