package com.yida.data.user.service;

import com.yida.data.common.core.entity.constant.FebsConstant;
import org.springframework.scheduling.annotation.Async;

/**
 * 大华同步service
 *
 * @author ZYJ
 * @date 2022/10/12
 */
public interface DaHuaSyncService {

    /**
     * 同步学生数据到大华
     *
     * @param schoolId 学校id
     * @author ZYJ
     * @date 2022/10/12 15:47
     */
    @Async(FebsConstant.ASYNC_POOL)
    void syncSchoolDaHuaStudent(Long schoolId);

    /**
     * 同步家校部门数据到大华
     *
     * @param schoolId 学校id
     * @author ZYJ
     * @date 2022/10/12 17:57
     */
    @Async(FebsConstant.ASYNC_POOL)
    void syncSchoolDaHuaDept(Long schoolId);
}
