package com.yida.data.user.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.user.EduFaceGroupStrategy;
import com.yida.data.user.dto.StrategySaveDTO;
import com.yida.data.user.vo.StrategyInfoVO;

/**
 * 人脸组-策略Service接口
 *
 * @author ZYJ
 * @date 2022-12-12 11:04:39
 */
public interface EduFaceGroupStrategyService extends IService<EduFaceGroupStrategy> {

    /**
     * 获取人脸组策略信息
     *
     * @param faceGroupId 人脸组id
     * @return com.yida.data.user.vo.StrategyInfoVO
     * @author ZYJ
     * @date 2022/12/12 14:11
     */
    StrategyInfoVO getStrategyInfo(Long faceGroupId);

    /**
     * 保存人脸组策略信息
     *
     * @param strategySaveDTO 人脸组-策略信息保存类
     * @author ZYJ
     * @date 2022/12/12 15:17
     */
    void saveStrategyInfo(StrategySaveDTO strategySaveDTO);
}
