package com.yida.data.user.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.user.EduStaff;
import com.yida.data.common.core.entity.user.EduTeacherDept;
import com.yida.data.user.vo.TeacherClassVO;

import java.util.List;

public interface EduTeacherDeptService extends IService<EduTeacherDept> {

    Integer countTeacherDept(Long teacherId, Long classId, Integer type, Long courseId);

    /**
     * 查询教师管辖班级
     *
     * @param teacherId
     * @return
     */
    List<TeacherClassVO> listTeacherClass(Long teacherId);

    /**
     * 查询教师部门列表
     */
    List<EduTeacherDept> listTeacherDept(List<Long> teacherIds);

    /**
     * 根据家校部门id和类型查询对应教师信息
     *
     * @param deptId 家校部门id
     * @param type   教师类型 1表示校区负责人，2表示年级负责人，3表示班主任，4表示任课老师，5表示学段负责人
     * @return java.util.List<com.yida.data.common.core.entity.user.EduStaff>
     * @author ZYJ
     * @date 2022/7/15 17:49
     */
    List<EduStaff> listTeacherDept(Long deptId, String type);

    /**
     * 教师数量
     *
     * @param schoolId 学校id
     * @return long
     * @author ZYJ
     * @date 2023/4/24 16:58
     */
    long countTeacherNumber(Long schoolId);
}
