package com.yida.data.user.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.user.EduFaceGroupStrategyPlan;
import com.yida.data.user.mapper.EduFaceGroupStrategyPlanMapper;
import com.yida.data.user.service.EduFaceGroupStrategyPlanService;
import com.yida.data.user.vo.StrategyPlanVO;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 人脸组-策略-通行计划Service实现
 *
 * @author ZYJ
 * @date 2022-12-12 11:36:19
 */
@Slf4j
@Service
@RequiredArgsConstructor
@Transactional(rollbackFor = Exception.class)
public class EduFaceGroupStrategyPlanServiceImpl extends ServiceImpl
        <EduFaceGroupStrategyPlanMapper, EduFaceGroupStrategyPlan> implements EduFaceGroupStrategyPlanService {

    @Override
    public List<StrategyPlanVO> listStrategyPlan(Long strategyId) {
        return baseMapper.listStrategyPlan(strategyId);
    }
}
