package com.yida.data.system.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 保存代理商管理员账号请求类
 *
 * @author ZYJ
 * @date 2021/9/28
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "AgentAdminAccountSaveDTO", description = "保存代理商管理员账号请求类")
public class AgentAdminAccountSaveDTO implements Serializable {

    private static final long serialVersionUID = 6351012092179133750L;

    /**
     * 用户账号id
     */
    @ApiModelProperty(value = "用户账号id")
    private Long userId;

    /**
     * 代理商id
     */
    @NotNull
    @ApiModelProperty(value = "代理商id", required = true)
    private Long agentId;

    /**
     * 用户名
     */
    @NotBlank
    @ApiModelProperty(value = "用户名", required = true)
    private String userName;

    /**
     * 用户昵称
     */
    @ApiModelProperty(value = "用户昵称")
    private String nickname;
}