package com.yida.data.system.dto;

import com.yida.data.common.core.common.BaseDTO;
import com.yida.data.common.core.entity.system.Dept;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * 查询代理商管理的学校列表数据请求类
 *
 * @author ZYJ
 * @date 2021/9/27
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "AgentSchoolSelectPageDTO", description = "查询代理商管理的学校列表数据请求类")
public class AgentSchoolSelectPageDTO extends BaseDTO<Dept> implements Serializable {

    private static final long serialVersionUID = 5234385629628310228L;

    /**
     * 学校名称
     */
    @ApiModelProperty(value = "学校名称")
    private String schoolName;
}