package com.yida.data.system.dto;

import com.yida.data.common.core.common.BaseDTO;
import com.yida.data.common.core.entity.agent.EduAgent;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * 代理商后台列表请求类
 *
 * @author ZYJ
 * @date 2021/9/26
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "AgentSelectPageDTO", description = "代理商后台列表请求类")
public class AgentSelectPageDTO extends BaseDTO<EduAgent> implements Serializable {

    private static final long serialVersionUID = 5390246046707004153L;

    /**
     * 代理商名称
     */
    @ApiModelProperty(value = "代理商名称", required = true)
    private String agentName;
}