package com.yida.data.system.dto;

import com.yida.data.common.core.entity.system.Dept;
import com.yida.data.common.core.entity.system.EduQywxServiceProvider;
import com.yida.data.common.core.entity.system.EduQywxServiceProviderSchool;
import com.yida.data.common.core.enums.QywxCallbackTypeEnum;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.w3c.dom.Element;

import java.io.Serializable;

/**
 * 企业微信回调处理类
 *
 * @author ZYJ
 * @date 2023/10/27 16:25
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class QywxCallbackHandleDTO implements Serializable {

    private static final long serialVersionUID = 820667804126969451L;

    /**
     * 回调返回的节点信息
     */
    private Element root;

    /**
     * 对应的企业微信corpId
     */
    private String corpId;

    /**
     * 学校信息
     */
    private Dept school;

    /**
     * 企业微信服务商信息
     */
    private EduQywxServiceProvider eduQywxServiceProvider;

    /**
     * 企业微信服务商-学校密文corpId对照信息
     */
    private EduQywxServiceProviderSchool providerSchool;

    /**
     * 回调类型枚举
     */
    private QywxCallbackTypeEnum qywxCallbackTypeEnum;
}
