package com.yida.data.system.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 保存学校负责人账号请求类
 *
 * @author ZYJ
 * @date 2021/9/28
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "SchoolAdminAccountSaveDTO", description = "保存学校负责人账号请求类")
public class SchoolAdminAccountSaveDTO implements Serializable {

    private static final long serialVersionUID = 6804031473321741084L;

    /**
     * 用户账号id
     */
    @ApiModelProperty(value = "用户账号id")
    private Long userId;

    /**
     * 学校主键id
     */
    @NotNull
    @ApiModelProperty(value = "学校主键id", required = true)
    private Long deptId;

    /**
     * 用户名
     */
    @NotBlank
    @ApiModelProperty(value = "用户名", required = true)
    private String userName;

    /**
     * 用户昵称
     */
    @ApiModelProperty(value = "用户昵称")
    private String nickname;
}