package com.yida.data.system.dto;

import com.yida.data.common.core.common.BaseDTO;
import com.yida.data.common.core.entity.system.SystemUser;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 代理商查询学校管理员账号列表数据请求类
 *
 * @author ZYJ
 * @date 2021/9/29
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "SchoolAdminAccountSelectPageDTO", description = "代理商查询学校管理员账号列表数据请求类")
public class SchoolAdminAccountSelectPageDTO extends BaseDTO<SystemUser> implements Serializable {

    private static final long serialVersionUID = 234557562287933809L;

    /**
     * 学校id
     */
    @NotNull
    @ApiModelProperty(value = "学校id", required = true)
    private Long schoolId;

    /**
     * 账号名称
     */
    @ApiModelProperty(value = "账号名称")
    private String userName;
}