package com.yida.data.system.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author ccl
 */
@Data
public class SchoolInformationDTO {

    @ApiModelProperty("")
    private Long id;

    @ApiModelProperty("学校id")
    private Long schoolId;

    @ApiModelProperty("学校名称")
    private String schoolName;

    @ApiModelProperty("学校类型：1学历学校，2培训学校，3特殊学校")
    private Integer schoolType;

    @ApiModelProperty("'当school_type = 1时：1幼儿园，2小学，3初中，4高中，5大学'")
    private List<Integer> schoolEducationNature;

    @ApiModelProperty("'当school_type = 2时：1=盈利性，2=非营利性；当school_type = 3时：1=全部'")
    private Integer schoolProfitNature;

    @ApiModelProperty("'1为公办，2为民办,3盈利，4非盈利'")
    private Integer schoolOwnership;

    @ApiModelProperty("联系电话")
    private String phone;

    @ApiModelProperty("学校介绍")
    private String introduction;

    @ApiModelProperty("学校招生范围")
    private String studentRange;

    @ApiModelProperty("分流情况")
    private String shuntSituation;

    @ApiModelProperty("省id")
    private Long provinceId;

    @ApiModelProperty("市id")
    private Long cityId;

    @ApiModelProperty("县id")
    private Long countyId;

    @ApiModelProperty("乡id")
    private Long villageId;

    @ApiModelProperty("具体地址")
    private String address;

    @ApiModelProperty("logo地址")
    private String logoUrl;

    @ApiModelProperty("学校图标")
    private String icon;

    @ApiModelProperty("经")
    private BigDecimal lng;

    @ApiModelProperty("维")
    private BigDecimal lat;

    @ApiModelProperty("邮箱")
    private String email;

    @ApiModelProperty("邮编")
    private String zipCode;

    @ApiModelProperty("标签")
    private List<String> tags;

    @ApiModelProperty
    private String schoolNature;
}
