package com.yida.data.system.dto;

import com.yida.data.common.core.common.BaseDTO;
import com.yida.data.common.core.entity.system.Dept;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * 查询教育局学校列表请求类
 *
 * @author ZYJ
 * @date 2022/7/4
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "SchoolPageDTO", description = "查询教育局学校列表请求类")
public class SchoolPageDTO extends BaseDTO<Dept> implements Serializable {

    private static final long serialVersionUID = -7787242008677035962L;

    @ApiModelProperty("教育局或代理商id")
    private Long deptId;

    @ApiModelProperty("学校名字")
    private String schoolName;

    @ApiModelProperty("类型. 1幼儿园，2小学，3初中，4高中，5大学")
    private Integer natureType;

    @ApiModelProperty("查询类型. 是否只包含能缴费的学校, 0-是，1或null-否")
    private Integer onlyPay;
}