package com.yida.data.system.feign;

import com.yida.data.common.core.common.ResultBean;
import com.yida.data.common.core.entity.agent.EduAgentWxPublicReceiver;
import com.yida.data.common.core.entity.constant.FebsServerConstant;
import com.yida.data.system.fallback.RemoteAgentServiceFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(value = FebsServerConstant.FEBS_SERVER_SYSTEM, contextId = "agentServiceClient", fallbackFactory =
        RemoteAgentServiceFallback.class)
public interface RemoteAgentService {

    @GetMapping("/in/agentReceiver/listReceiverBySchool")
    ResultBean<List<EduAgentWxPublicReceiver>> listReceiverBySchool(@RequestParam("schoolId") Long schoolId);
}
