package com.yida.data.system.feign;

import com.yida.data.common.core.common.ResultBean;
import com.yida.data.common.core.entity.constant.FebsServerConstant;
import com.yida.data.common.core.entity.system.BaiduApiConfig;
import com.yida.data.common.core.entity.system.ConstructionPayConfig;
import com.yida.data.system.fallback.RemoteBaiDuApiConfigServiceFallback;
import com.yida.data.system.fallback.RemoteConstructionPayConfigServiceFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(value = FebsServerConstant.FEBS_SERVER_SYSTEM, contextId = "baiDuApiConfigServiceClient",
        fallbackFactory = RemoteBaiDuApiConfigServiceFallback.class)
public interface RemoteBaiDuApiConfigService {

    /**
     * 根据学校id查询百度api配置
     */
    @GetMapping("/in/baiDuApiConfig/getBaiDuApiConfigByDept")
    ResultBean<BaiduApiConfig> getBaiDuApiConfigByDept(@RequestParam("deptId") Long deptId,
                                                       @RequestParam("moduleName") String moduleName);
}
