package com.yida.data.system.feign;

import com.yida.data.common.core.common.ResultBean;
import com.yida.data.common.core.entity.constant.FebsServerConstant;
import com.yida.data.common.core.entity.system.ConstructionPayConfig;
import com.yida.data.common.core.entity.system.UnionPayConfig;
import com.yida.data.system.fallback.RemoteConstructionPayConfigServiceFallback;
import com.yida.data.system.fallback.RemoteUnionPayConfigServiceFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(value = FebsServerConstant.FEBS_SERVER_SYSTEM, contextId = "constructionPayConfigServiceClient",
        fallbackFactory = RemoteConstructionPayConfigServiceFallback.class)
public interface RemoteConstructionPayConfigService {

    @GetMapping("/in/constructionPayConfig/getConstructionPayConfigByDept")
    ResultBean<ConstructionPayConfig> getConstructionPayConfigByDept(@RequestParam("deptId") Long deptId);
}
