package com.yida.data.system.feign;

import com.yida.data.common.core.common.ResultBean;
import com.yida.data.common.core.entity.constant.FebsServerConstant;
import com.yida.data.common.core.entity.consume.EduConsumeConfig;
import com.yida.data.system.fallback.RemoteConsumeConfigServiceFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(value = FebsServerConstant.FEBS_SERVER_SYSTEM, contextId = "consumeConfigServiceClient",
        fallbackFactory = RemoteConsumeConfigServiceFallback.class)
public interface RemoteConsumeConfigService {

    @GetMapping("/in/consumeConfig/getConsumeConfigByDept")
    ResultBean<EduConsumeConfig> getConsumeConfigByDept(@RequestParam("deptId") Long deptId);
}
