package com.yida.data.system.feign;

import com.yida.data.common.core.common.ResultBean;
import com.yida.data.common.core.entity.constant.FebsServerConstant;
import com.yida.data.common.core.entity.system.EduHoliday;

import com.yida.data.system.fallback.RemoteHolidayServiceFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

import java.util.List;

@FeignClient(value = FebsServerConstant.FEBS_SERVER_SYSTEM, contextId = "holidayServiceClient",
        fallbackFactory = RemoteHolidayServiceFallback.class)
public interface RemoteHolidayService {

    /**
     * 查询所有节假日
     *
     * @return
     */
    @GetMapping("/in/holiday/listAllHoliday")
    ResultBean<List<EduHoliday>> listAllHoliday();
}
