package com.yida.data.system.feign;

import com.yida.data.common.core.common.ResultBean;
import com.yida.data.common.core.entity.constant.FebsServerConstant;
import com.yida.data.common.core.entity.system.EduPayWxConfig;

import com.yida.data.system.fallback.RemotePayWxConfigServiceFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(value = FebsServerConstant.FEBS_SERVER_SYSTEM, contextId = "payWxConfigServiceClient",
        fallbackFactory = RemotePayWxConfigServiceFallback.class)
public interface RemotePayWxConfigService {

    @GetMapping("/in/payWxConfig/getPayWxConfigBySchool")
    ResultBean<EduPayWxConfig> getPayWxConfigBySchool(@RequestParam("schoolId") Long schoolId);
}
