package com.yida.data.system.feign;

import com.yida.data.common.core.common.ResultBean;
import com.yida.data.common.core.entity.constant.FebsServerConstant;
import com.yida.data.common.core.entity.system.UnionPayConfig;
import com.yida.data.system.fallback.RemoteUnionPayConfigServiceFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(value = FebsServerConstant.FEBS_SERVER_SYSTEM, contextId = "unionPayConfigServiceClient",
        fallbackFactory = RemoteUnionPayConfigServiceFallback.class)
public interface RemoteUnionPayConfigService {

    @GetMapping("/in/unionPayConfig/getUnionPayConfigByDept")
    ResultBean<UnionPayConfig> getUnionPayConfigByDept(@RequestParam("deptId") Long deptId);
}
