package com.yida.data.system.feign;

import com.yida.data.common.core.common.ResultBean;
import com.yida.data.common.core.entity.constant.FebsServerConstant;
import com.yida.data.common.core.entity.system.EduYidaApp;

import com.yida.data.system.fallback.RemoteYidaAppServiceFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(value = FebsServerConstant.FEBS_SERVER_SYSTEM, contextId = "yidaAppServiceClient",
        fallbackFactory = RemoteYidaAppServiceFallback.class)
public interface RemoteYidaAppService {
    @GetMapping("/yida/app/getAppBySchool")
    ResultBean<EduYidaApp> getAppBySchool(@RequestParam("schoolId") Long schoolId);

    @GetMapping("/in/yida/app/getAppBySchool")
    ResultBean<EduYidaApp> getAppBySchoolNoPermission(@RequestParam("schoolId") Long schoolId);

}
