package com.yida.data.system.vo;

import com.yida.data.common.core.enums.EnableStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 代理商学校关联关系返回类
 *
 * @author ZYJ
 * @date 2021/9/26
 */
@Data
@ApiModel(value = "AgentSchoolRelateVO", description = "代理商学校关联关系返回类")
public class AgentSchoolRelateVO implements Serializable {

    private static final long serialVersionUID = 6094163592909208547L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    private Long id;

    /**
     * 代理商主部门id
     */
    @ApiModelProperty(value = "代理商主部门id")
    private Long deptId;

    /**
     * 学校id
     */
    @ApiModelProperty(value = "学校id")
    private Long schoolId;

    /**
     * 启用状态. 0:未启用, 1:已启用
     * {@link EnableStatusEnum}
     */
    @ApiModelProperty(value = "启用状态. 0:未启用, 1:已启用")
    private Integer enableStatus;
}