package com.yida.data.system.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yida.data.common.core.enums.EnableStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 代理商关联学校列表返回类
 *
 * @author ZYJ
 * @date 2021/9/27
 */
@Data
@ApiModel(value = "AgentSchoolSelectPageVO", description = "代理商关联学校列表返回类")
public class AgentSchoolSelectPageVO implements Serializable {

    private static final long serialVersionUID = -3217357483469916773L;

    /**
     * 学校id
     */
    @ApiModelProperty(value = "学校id")
    private Long deptId;

    /**
     * 学校名称
     */
    @ApiModelProperty(value = "学校名称")
    private String deptName;

    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty("创建人")
    private String createName;

    /**
     * 启用状态. 0:未启用, 1:已启用
     * {@link EnableStatusEnum}
     */
    @ApiModelProperty(value = "启用状态. 0:未启用, 1:已启用")
    private Integer enableStatus;
}