package com.yida.data.system.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 代理商后台列表返回数据
 *
 * @author ZYJ
 * @date 2021/9/26
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "AgentSelectPageVO", description = "代理商后台列表返回数据")
public class AgentSelectPageVO implements Serializable {

    private static final long serialVersionUID = -6182892386403244171L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    private Long id;

    /**
     * 图集名称
     */
    @ApiModelProperty(value = "代理商名称")
    private String agentName;

    /**
     * 后台创建人id
     */
    @ApiModelProperty(value = "后台创建人id")
    private Long createId;

    /**
     * 后台创建人名称
     */
    @ApiModelProperty(value = "后台创建人名称")
    private String createName;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     * 负责人名称
     */
    @ApiModelProperty(value = "负责人名称")
    private String principalName;

    /**
     * 负责人电话
     */
    @ApiModelProperty(value = "负责人电话")
    private String principalPhone;

    /**
     * 地址
     */
    @ApiModelProperty(value = "地址")
    private String address;
}