package com.yida.data.system.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 查询学校管理员账号返回类
 *
 * @author ZYJ
 * @date 2021/9/30
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "SchoolAdminAccountSelectPageVO", description = "查询学校管理员账号返回类")
public class SchoolAdminAccountSelectPageVO implements Serializable {

    private static final long serialVersionUID = -4641204683253423648L;

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "用户名")
    private String username;

    @ApiModelProperty(value = "昵称")
    private String nickname;

    @ApiModelProperty(value = "性别.0男, 1女, 2保密")
    private String sex;

    @ApiModelProperty(value = "邮箱")
    private String email;

    @ApiModelProperty(value = "状态. 0锁定, 1有效")
    private String status;

    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;
}