package com.yida.data.system.controller;

import com.yida.data.common.core.common.ResultBean;
import com.yida.data.common.core.entity.system.EduBaseApp;
import com.yida.data.system.service.EduBaseAppService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 基础应用信息(本地配置) Controller
 *
 * @author ZYJ
 * @date 2023-06-28 14:57:58
 */
@RestController
@RequiredArgsConstructor
@RequestMapping("eduBaseApp")
@Api(tags = "基础应用信息配置信息")
public class EduBaseAppController {

    private final EduBaseAppService eduBaseAppService;

    @PostMapping(value = "listBaseApp")
    @ApiOperation(value = "查询基础应用列表数据")
    public ResultBean<List<EduBaseApp>> listBaseApp() {
        return ResultBean.buildSuccess(eduBaseAppService.list());
    }
}
