package com.yida.data.system.controller;

import com.yida.data.common.core.common.ResultBean;
import com.yida.data.common.core.entity.system.EduBaseApp;
import com.yida.data.system.service.EduBaseAppService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * 基础app管理（无鉴权）
 *
 * @author ZYJ
 * @date 2023-06-28 15:24:25
 */
@Slf4j
@Api(tags = "基础app管理（无鉴权）")
@RestController
@RequestMapping("/in/deptHomeApp")
@RequiredArgsConstructor
public class InBaseDeptHomeAppController {

    private final EduBaseAppService eduBaseAppService;

    @ApiOperation("根据id查询基础应用")
    @GetMapping("/getById")
    public ResultBean<EduBaseApp> getById(@RequestParam Long id) {
        return ResultBean.buildSuccess(eduBaseAppService.getById(id));
    }

}
