package com.yida.data.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.common.core.entity.agent.EduAgent;
import com.yida.data.system.dto.AgentSelectPageDTO;
import com.yida.data.system.vo.AgentSelectPageVO;
import org.apache.ibatis.annotations.Param;

/**
 * 代理商表 Mapper
 *
 * @author ZYJ
 * @date 2021-09-26 11:19:45
 */
public interface EduAgentMapper extends BaseMapper<EduAgent> {

    /**
     * 查询代理商列表数据
     *
     * @param toPage             分页数据
     * @param agentSelectPageDTO 代理商后台列表请求类
     * @return com.baomidou.mybatisplus.core.metadata.IPage<com.yida.data.system.vo.AgentSelectPageVO>
     * @author ZYJ
     * @date 2021/9/26 13:23
     */
    IPage<AgentSelectPageVO> listAgentPage(Page<EduAgent> toPage,
                                           @Param("dto") AgentSelectPageDTO agentSelectPageDTO);
}
