package com.yida.data.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yida.data.common.core.entity.system.Menu;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author MrBird
 */
public interface MenuMapper extends BaseMapper<Menu> {

    /**
     * 获取用户权限集
     *
     * @param username 用户名
     * @return 用户权限集
     */
    List<Menu> findUserPermissions(String username);

    /**
     * 查询用户真实权限数据
     *
     * @param username   用户名
     * @param selectType 查询类型 0菜单,1按钮,空查询所有
     * @return 用户菜单
     */
    List<Menu> findUserRealMenus(@Param("username") String username,
                                 @Param("selectType") Integer selectType);


    /**
     * 查询用户绑定权限数据
     *
     * @param username   用户名
     * @param selectType 查询类型 0菜单,1按钮,空查询所有
     * @return 用户菜单
     */
    List<Menu> findUserMenus(@Param("username") String username,
        @Param("selectType") Integer selectType);
}