package com.yida.data.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.system.DeptSchoolInformation;
import com.yida.data.system.dto.SchoolInformationDTO;
import com.yida.data.system.dto.SchoolPageDTO;

import java.util.List;

/**
 * @author ccl
 */

public interface DeptSchoolInformationService extends IService<DeptSchoolInformation> {

    Page<SchoolInformationDTO> findSchoolListByDeptId(Long deptId, String schoolName, Integer schoolType,
                                                      Integer natureType, String address, String tag, Page<SchoolInformationDTO> page,
                                                      Integer schoolOwnership);

    Page<SchoolInformationDTO> findSchoolPageList(String schoolName, List<Integer> schoolType, List<Integer> natureType,
                                                  Page<SchoolInformationDTO> page, String[] tags, Long deptId,
                                                  List<Integer> schoolOwnership);


    Page<SchoolInformationDTO> findSchoolByAddress(Page<SchoolInformationDTO> page, String address, Long deptId);

    /**
     * 根据名称和类型查询教育局学校列表
     *
     * @param dto 查询教育局学校列表请求类
     * @return com.baomidou.mybatisplus.core.metadata.IPage<com.yida.data.system.dto.SchoolInformationDTO>
     * @author ZYJ
     * @date 2022/7/4 16:17
     */
    IPage<SchoolInformationDTO> listSchoolPage(SchoolPageDTO dto);
}
