package com.yida.data.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.common.ResultBean;
import com.yida.data.common.core.entity.agent.EduAgentSchoolRelate;
import com.yida.data.system.dto.AgentSchoolRelateSaveDTO;
import com.yida.data.system.vo.AgentSchoolRelateVO;

import java.util.List;

/**
 * 代理商-学校关联表 Service接口
 *
 * @author ZYJ
 * @date 2021-09-26 15:41:06
 */
public interface EduAgentSchoolRelateService extends IService<EduAgentSchoolRelate> {

    /**
     * 查询代理商和学校关联关系
     *
     * @return java.util.List<com.yida.data.system.vo.AgentSchoolRelateVO>
     * @author ZYJ
     * @date 2022/4/6 11:46
     */
    List<AgentSchoolRelateVO> listAgentSchoolRelates();

    /**
     * 保存代理商和学校关联关系
     *
     * @param agentSchoolRelateSaveDTO 需要保存的关联关系集合数据
     * @return com.yida.data.common.core.common.ResultBean<java.lang.String>
     * @author ZYJ
     * @date 2021/9/26 16:59
     */
    ResultBean<String> saveAgentSchoolRelate(AgentSchoolRelateSaveDTO agentSchoolRelateSaveDTO);
}
