package com.yida.data.system.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.system.UserRole;

import java.util.List;

/**
 * @author MrBird
 */
public interface IUserRoleService extends IService<UserRole> {

    /**
     * 删除角色用户管理关系
     *
     * @param roleIds 角色id数组
     */
    void deleteUserRolesByRoleId(String[] roleIds);

    /**
     * 删除角色用户管理关系
     *
     * @param userIds 用户id数组
     */
    void deleteUserRolesByUserId(String[] userIds);

    /**
     * 通过角色id查找对应的用户id
     *
     * @param roleIds 角色id
     * @return 用户id集
     */
    List<String> findUserIdsByRoleId(String[] roleIds);

    void bindRoleByRoleName(UserRole[] userRoles);

    void bindRoleByMobile(String mobile, String roleName);

    void bindRoleByUser(Long sysUserId, String roleName);
}
